# https://github.com/lxyu/pinyin/blob/master/pinyin/Mandarin.dat
pinyin_dict = {
  "3400": "qiu",
  "3401": "tian",
  "3404": "kua",
  "3405": "wu",
  "3406": "yin",
  "3416": "ye",
  "3421": "nuo",
  "3424": "qiu",
  "3428": "xu",
  "3429": "xing",
  "3430": "xin",
  "3431": "zhen",
  "3432": "dai",
  "3433": "wu",
  "3434": "pan",
  "3437": "ma",
  "3438": "qian",
  "3439": "yi",
  "3441": "zhuo",
  "3442": "fang",
  "3443": "ao",
  "3444": "wu",
  "3445": "zuo",
  "3447": "zhou",
  "3448": "dong",
  "3449": "su",
  "3454": "xu",
  "3458": "jie",
  "3459": "die",
  "3463": "lan",
  "3464": "miao",
  "3465": "yi",
  "3466": "li",
  "3467": "ji",
  "3468": "yu",
  "3469": "luo",
  "3470": "hui",
  "3471": "rao",
  "3473": "zhou",
  "3475": "han",
  "3476": "xi",
  "3477": "tai",
  "3478": "ai",
  "3479": "hui",
  "3480": "zha",
  "3481": "yu",
  "3482": "ku",
  "3483": "er",
  "3484": "nang",
  "3485": "qi",
  "3486": "chi",
  "3487": "mu",
  "3488": "han",
  "3489": "tang",
  "3491": "hui",
  "3492": "pu",
  "3493": "ta",
  "3494": "shu",
  "3496": "ou",
  "3497": "tai",
  "3499": "mian",
  "3500": "lve",
  "3502": "lin",
  "3503": "jue",
  "3504": "su",
  "3505": "xiao",
  "3506": "chan",
  "3509": "zhu",
  "3511": "chi",
  "3512": "xi",
  "3513": "jian",
  "3515": "ji",
  "3517": "fei",
  "3518": "chu",
  "3519": "bang",
  "3520": "he",
  "3522": "jue",
  "3523": "lei",
  "3524": "shen",
  "3525": "pi",
  "3526": "yang",
  "3527": "lv",
  "3528": "bei",
  "3529": "e",
  "3530": "heng",
  "3531": "yu",
  "3533": "gui",
  "3534": "yi",
  "3535": "xian",
  "3536": "gong",
  "3537": "lou",
  "3539": "le",
  "3541": "que",
  "3542": "yin",
  "3544": "zhi",
  "3545": "jia",
  "3546": "hu",
  "3547": "la",
  "3548": "hou",
  "3549": "ke",
  "3550": "xie",
  "3551": "chu",
  "3552": "wei",
  "3555": "huan",
  "3556": "su",
  "3557": "you",
  "3559": "jun",
  "3561": "he",
  "3562": "gai",
  "3563": "yan",
  "3564": "qiu",
  "3565": "yi",
  "3566": "hua",
  "3568": "fan",
  "3569": "zhang",
  "3570": "he",
  "3571": "you",
  "3572": "hua",
  "3574": "chen",
  "3575": "guo",
  "3576": "ng",
  "3577": "hua",
  "3578": "li",
  "3579": "fa",
  "3580": "le",
  "3581": "lin",
  "3582": "yi",
  "3583": "hou",
  "3585": "xu",
  "3586": "qu",
  "3587": "er",
  "3590": "wei",
  "3591": "xie",
  "3592": "ti",
  "3593": "hong",
  "3594": "tun",
  "3595": "bo",
  "3596": "nie",
  "3597": "yin",
  "3600": "zuo",
  "3601": "yi",
  "3602": "ci",
  "3605": "xian",
  "3606": "tai",
  "3607": "rong",
  "3608": "yi",
  "3609": "zhi",
  "3610": "pao",
  "3611": "li",
  "3613": "lan",
  "3614": "can",
  "3615": "han",
  "3616": "yan",
  "3619": "yan",
  "3620": "bi",
  "3621": "xia",
  "3622": "weng",
  "3623": "xuan",
  "3625": "you",
  "3626": "qin",
  "3627": "xu",
  "3628": "nei",
  "3629": "bi",
  "3632": "ju",
  "3634": "zuo",
  "3635": "bu",
  "3636": "jie",
  "3637": "ai",
  "3638": "zang",
  "3639": "ci",
  "3640": "liu",
  "3641": "mang",
  "3642": "dui",
  "3644": "bi",
  "3645": "bao",
  "3647": "chu",
  "3648": "han",
  "3649": "tian",
  "3650": "duo",
  "3651": "yu",
  "3652": "ye",
  "3653": "kui",
  "3654": "han",
  "3655": "kuai",
  "3657": "kuai",
  "3659": "long",
  "3660": "yi",
  "3662": "man",
  "3663": "zhang",
  "3664": "xia",
  "3665": "gun",
  "3668": "ji",
  "3669": "liao",
  "3670": "xie",
  "3671": "hao",
  "3672": "yong",
  "3673": "han",
  "3674": "chan",
  "3675": "tai",
  "3676": "tang",
  "3677": "zhi",
  "3678": "bao",
  "3679": "meng",
  "3681": "qiao",
  "3682": "rang",
  "3683": "yun",
  "3685": "long",
  "3686": "fu",
  "3689": "gu",
  "3690": "tao",
  "3692": "shan",
  "3693": "lai",
  "3694": "nie",
  "3695": "fu",
  "3696": "gao",
  "3697": "qie",
  "3698": "ban",
  "3703": "lian",
  "3704": "xun",
  "3705": "xu",
  "3706": "mi",
  "3707": "hui",
  "3708": "mu",
  "3710": "shu",
  "3711": "fu",
  "3712": "yi",
  "3713": "da",
  "3715": "lian",
  "3716": "cao",
  "3717": "can",
  "3718": "ju",
  "3719": "lu",
  "3723": "ran",
  "3724": "shen",
  "3725": "mai",
  "3726": "han",
  "3727": "yue",
  "3728": "er",
  "3729": "ao",
  "3730": "yue",
  "3731": "dong",
  "3732": "weng",
  "3733": "huai",
  "3734": "meng",
  "3735": "niao",
  "3736": "wan",
  "3737": "mi",
  "3738": "nie",
  "3739": "qu",
  "3740": "hao",
  "3741": "xun",
  "3742": "zhi",
  "3743": "fan",
  "3744": "chun",
  "3745": "gou",
  "3747": "chun",
  "3748": "luan",
  "3749": "zhu",
  "3750": "rong",
  "3751": "mang",
  "3753": "ge",
  "3754": "yao",
  "3755": "ning",
  "3756": "yi",
  "3757": "lang",
  "3758": "yong",
  "3759": "yin",
  "3760": "ming",
  "3761": "zui",
  "3762": "yu",
  "3763": "ye",
  "3764": "gou",
  "3765": "mi",
  "3766": "jun",
  "3767": "wen",
  "3770": "mian",
  "3771": "meng",
  "3772": "qin",
  "3774": "wan",
  "3775": "de",
  "3776": "ai",
  "3778": "bian",
  "3779": "nou",
  "3781": "yao",
  "3782": "tui",
  "3783": "ji",
  "3785": "guo",
  "3786": "ji",
  "3787": "wei",
  "3790": "ju",
  "3791": "wei",
  "3792": "xi",
  "3793": "qi",
  "3794": "yi",
  "3795": "xie",
  "3796": "ci",
  "3797": "qiu",
  "3798": "tun",
  "3799": "niao",
  "3800": "dao",
  "3802": "ao",
  "3804": "xi",
  "3805": "fu",
  "3807": "jiu",
  "3808": "run",
  "3809": "tong",
  "3810": "jiao",
  "3811": "zui",
  "3812": "biao",
  "3813": "meng",
  "3814": "bai",
  "3815": "wei",
  "3816": "ji",
  "3817": "ao",
  "3818": "yu",
  "3819": "hao",
  "3820": "lu",
  "3821": "niao",
  "3822": "hua",
  "3823": "lai",
  "3825": "lv",
  "3827": "mi",
  "3828": "yu",
  "3831": "ji",
  "3832": "bi",
  "3834": "ren",
  "3836": "fan",
  "3837": "ge",
  "3838": "ku",
  "3839": "jie",
  "3840": "bi",
  "3841": "kai",
  "3842": "li",
  "3844": "sun",
  "3845": "nuo",
  "3847": "ji",
  "3848": "men",
  "3849": "xian",
  "3851": "qiao",
  "3854": "wu",
  "3856": "chuang",
  "3857": "ti",
  "3858": "lian",
  "3859": "bi",
  "3860": "zheng",
  "3861": "chu",
  "3862": "man",
  "3863": "long",
  "3865": "yin",
  "3867": "zheng",
  "3868": "qian",
  "3869": "luan",
  "3870": "yu",
  "3871": "jiu",
  "3872": "huan",
  "3873": "di",
  "3875": "ling",
  "3876": "ji",
  "3877": "ben",
  "3878": "zha",
  "3879": "ci",
  "3880": "ci",
  "3881": "chi",
  "3882": "yan",
  "3883": "lang",
  "3884": "dou",
  "3885": "long",
  "3886": "chan",
  "3888": "tui",
  "3889": "cha",
  "3891": "tui",
  "3892": "cha",
  "3893": "yao",
  "3894": "zong",
  "3897": "qiao",
  "3898": "lian",
  "3899": "qin",
  "3901": "mian",
  "3902": "ji",
  "3903": "fang",
  "3904": "pei",
  "3905": "ai",
  "3906": "fan",
  "3907": "ao",
  "3908": "qin",
  "3909": "qia",
  "3911": "you",
  "3913": "ben",
  "3914": "fu",
  "3915": "chu",
  "3916": "zhu",
  "3918": "chu",
  "3920": "lie",
  "3921": "li",
  "3922": "xu",
  "3924": "yu",
  "3925": "hai",
  "3926": "li",
  "3927": "hou",
  "3928": "gong",
  "3929": "ke",
  "3930": "zan",
  "3931": "fu",
  "3932": "qie",
  "3933": "bei",
  "3934": "xi",
  "3935": "ci",
  "3936": "pang",
  "3938": "xi",
  "3939": "qiu",
  "3940": "de",
  "3941": "de",
  "3942": "te",
  "3943": "men",
  "3944": "ling",
  "3945": "shou",
  "3946": "dian",
  "3947": "can",
  "3948": "die",
  "3949": "che",
  "3950": "yuan",
  "3952": "cai",
  "3953": "qi",
  "3954": "yu",
  "3955": "lian",
  "3960": "xu",
  "3961": "xi",
  "3962": "qiu",
  "3963": "hui",
  "3965": "yu",
  "3966": "qie",
  "3967": "shun",
  "3968": "chui",
  "3969": "duo",
  "3971": "fei",
  "3972": "shen",
  "3973": "yuan",
  "3974": "yi",
  "3975": "hun",
  "3976": "se",
  "3977": "ye",
  "3978": "min",
  "3979": "fen",
  "3980": "feng",
  "3981": "lian",
  "3982": "chang",
  "3983": "chan",
  "3984": "ma",
  "3985": "di",
  "3987": "lu",
  "3989": "yi",
  "3990": "ni",
  "3991": "lian",
  "3992": "li",
  "3993": "xian",
  "3994": "yan",
  "3995": "long",
  "3996": "men",
  "3997": "jian",
  "4000": "fan",
  "4001": "you",
  "4003": "tui",
  "4004": "meng",
  "4005": "she",
  "4006": "jin",
  "4007": "gu",
  "4008": "qi",
  "4009": "qiao",
  "4010": "san",
  "4011": "na",
  "4013": "huan",
  "4014": "niu",
  "4015": "cheng",
  "4017": "jue",
  "4018": "xi",
  "4019": "qi",
  "4020": "qu",
  "4021": "chan",
  "4022": "shun",
  "4023": "bi",
  "4024": "mao",
  "4025": "shuo",
  "4026": "gu",
  "4027": "hong",
  "4028": "huan",
  "4029": "luo",
  "4030": "gu",
  "4032": "mu",
  "4033": "ai",
  "4034": "ying",
  "4035": "shun",
  "4036": "lang",
  "4037": "jie",
  "4038": "di",
  "4039": "jie",
  "4041": "lang",
  "4042": "xian",
  "4044": "xing",
  "4045": "bei",
  "4046": "an",
  "4047": "mi",
  "4048": "qi",
  "4049": "qi",
  "4050": "ying",
  "4051": "yang",
  "4052": "ji",
  "4053": "jie",
  "4054": "han",
  "4055": "min",
  "4056": "lou",
  "4057": "kai",
  "4058": "yao",
  "4059": "yan",
  "4060": "lian",
  "4062": "xuan",
  "4063": "chuan",
  "4064": "che",
  "4065": "ni",
  "4066": "qu",
  "4067": "miao",
  "4068": "huo",
  "4069": "yu",
  "4070": "jiang",
  "4071": "ao",
  "4072": "mai",
  "4073": "mang",
  "4074": "zhan",
  "4075": "bian",
  "4076": "jiao",
  "4077": "jue",
  "4078": "nong",
  "4079": "bi",
  "4080": "xi",
  "4081": "chan",
  "4082": "qu",
  "4083": "jiao",
  "4084": "huo",
  "4086": "xu",
  "4087": "nang",
  "4088": "tong",
  "4089": "hou",
  "4090": "chuo",
  "4092": "jie",
  "4094": "xing",
  "4095": "hui",
  "4096": "shi",
  "4100": "huo",
  "4101": "yi",
  "4102": "liu",
  "4105": "juan",
  "4106": "huo",
  "4107": "cheng",
  "4108": "dou",
  "4109": "e",
  "4110": "quan",
  "4111": "huo",
  "4112": "nie",
  "4113": "heng",
  "4114": "ju",
  "4115": "she",
  "4118": "peng",
  "4119": "ming",
  "4120": "shan",
  "4122": "qi",
  "4124": "lai",
  "4125": "ling",
  "4126": "liao",
  "4127": "reng",
  "4128": "yu",
  "4129": "nao",
  "4130": "ya",
  "4132": "chui",
  "4136": "bi",
  "4137": "dan",
  "4138": "po",
  "4139": "nian",
  "4140": "lie",
  "4141": "an",
  "4142": "he",
  "4143": "qiong",
  "4144": "li",
  "4146": "zi",
  "4147": "su",
  "4148": "yuan",
  "4149": "ya",
  "4150": "jian",
  "4151": "rui",
  "4152": "mang",
  "4153": "ju",
  "4156": "an",
  "4157": "sui",
  "4158": "lai",
  "4159": "hun",
  "4160": "ti",
  "4161": "xu",
  "4162": "jiu",
  "4163": "huang",
  "4164": "qi",
  "4165": "jie",
  "4166": "mao",
  "4167": "yan",
  "4169": "zhi",
  "4170": "en",
  "4171": "hun",
  "4172": "qi",
  "4173": "chu",
  "4174": "suo",
  "4175": "zhuo",
  "4176": "nou",
  "4177": "tu",
  "4178": "zu",
  "4179": "lou",
  "4180": "mei",
  "4182": "lian",
  "4183": "dao",
  "4184": "shan",
  "4185": "ci",
  "4188": "zhi",
  "4189": "ba",
  "4190": "guo",
  "4191": "cheng",
  "4192": "jiu",
  "4193": "e",
  "4195": "jue",
  "4196": "hong",
  "4197": "jiao",
  "4198": "cuan",
  "4199": "yao",
  "4201": "lun",
  "4202": "bing",
  "4203": "zhao",
  "4204": "han",
  "4205": "yu",
  "4206": "dai",
  "4207": "zhao",
  "4208": "fei",
  "4209": "sha",
  "4210": "kui",
  "4211": "gua",
  "4212": "nan",
  "4213": "ge",
  "4215": "chi",
  "4217": "suo",
  "4218": "ci",
  "4219": "zhou",
  "4220": "huan",
  "4222": "sai",
  "4223": "zheng",
  "4224": "qian",
  "4227": "wei",
  "4232": "pan",
  "4233": "ta",
  "4234": "qian",
  "4236": "rong",
  "4237": "luo",
  "4238": "hu",
  "4239": "sou",
  "4240": "shu",
  "4241": "ling",
  "4242": "lei",
  "4243": "jiang",
  "4244": "leng",
  "4245": "zhi",
  "4246": "diao",
  "4248": "san",
  "4249": "hu",
  "4251": "mo",
  "4252": "fan",
  "4253": "lei",
  "4255": "ceng",
  "4256": "ling",
  "4258": "cong",
  "4259": "yun",
  "4260": "wei",
  "4261": "tan",
  "4262": "se",
  "4263": "xie",
  "4264": "sou",
  "4265": "song",
  "4267": "liu",
  "4268": "yi",
  "4270": "yao",
  "4272": "bie",
  "4273": "xian",
  "4274": "rang",
  "4275": "zhuan",
  "4277": "dan",
  "4278": "bian",
  "4279": "ling",
  "4280": "hu",
  "4282": "ce",
  "4283": "pei",
  "4284": "qiong",
  "4285": "ming",
  "4286": "jiu",
  "4287": "bu",
  "4288": "mei",
  "4289": "san",
  "4290": "en",
  "4291": "xiang",
  "4293": "shi",
  "4296": "lan",
  "4297": "huang",
  "4298": "jiu",
  "4299": "yan",
  "4302": "ou",
  "4303": "shuo",
  "4304": "geng",
  "4305": "tang",
  "4306": "gui",
  "4307": "hui",
  "4308": "ta",
  "4310": "mi",
  "4312": "lu",
  "4313": "fan",
  "4314": "ou",
  "4315": "mi",
  "4316": "jie",
  "4317": "fu",
  "4318": "mi",
  "4319": "huang",
  "4320": "qing",
  "4321": "ti",
  "4322": "ling",
  "4323": "zuan",
  "4324": "zhi",
  "4325": "yin",
  "4326": "dao",
  "4327": "chou",
  "4328": "cai",
  "4329": "mi",
  "4330": "she",
  "4331": "luo",
  "4334": "luo",
  "4335": "zhu",
  "4337": "chou",
  "4338": "juan",
  "4339": "jiong",
  "4340": "lan",
  "4341": "sui",
  "4342": "yu",
  "4343": "yao",
  "4344": "dian",
  "4345": "ling",
  "4346": "zhu",
  "4347": "ta",
  "4348": "ping",
  "4349": "qian",
  "4350": "han",
  "4351": "han",
  "4352": "mou",
  "4353": "hu",
  "4354": "hong",
  "4355": "di",
  "4356": "fu",
  "4357": "xuan",
  "4358": "mi",
  "4359": "mei",
  "4360": "li",
  "4361": "liao",
  "4362": "wu",
  "4363": "lei",
  "4364": "ji",
  "4365": "lei",
  "4366": "li",
  "4368": "bo",
  "4369": "ang",
  "4371": "xu",
  "4372": "nai",
  "4373": "chuo",
  "4374": "duo",
  "4376": "dong",
  "4377": "gui",
  "4378": "bo",
  "4380": "xue",
  "4381": "hu",
  "4382": "bao",
  "4383": "ran",
  "4384": "tiao",
  "4385": "fu",
  "4386": "liao",
  "4388": "yi",
  "4389": "shu",
  "4390": "chao",
  "4391": "lu",
  "4392": "zhan",
  "4393": "ta",
  "4397": "qiao",
  "4398": "su",
  "4400": "ji",
  "4401": "niao",
  "4402": "lu",
  "4403": "jiong",
  "4404": "han",
  "4405": "yi",
  "4406": "cai",
  "4407": "chun",
  "4408": "zhi",
  "4409": "zi",
  "4411": "zhe",
  "4413": "rou",
  "4414": "bin",
  "4415": "ji",
  "4416": "yi",
  "4417": "du",
  "4418": "jue",
  "4419": "ge",
  "4420": "huang",
  "4421": "qi",
  "4422": "zhu",
  "4423": "cuo",
  "4424": "chi",
  "4425": "weng",
  "4427": "kao",
  "4428": "gu",
  "4429": "kai",
  "4432": "zhe",
  "4433": "yu",
  "4434": "gui",
  "4435": "huang",
  "4436": "jin",
  "4438": "guo",
  "4439": "sao",
  "4440": "pi",
  "4441": "wu",
  "4442": "ai",
  "4443": "meng",
  "4444": "pi",
  "4445": "meng",
  "4446": "yang",
  "4447": "zhi",
  "4448": "bo",
  "4449": "ying",
  "4450": "zhen",
  "4451": "pu",
  "4453": "tai",
  "4454": "fei",
  "4455": "shu",
  "4457": "dang",
  "4458": "cha",
  "4459": "ran",
  "4460": "liao",
  "4464": "jin",
  "4465": "e",
  "4467": "fu",
  "4468": "duo",
  "4470": "bu",
  "4471": "man",
  "4472": "che",
  "4473": "lun",
  "4474": "qi",
  "4475": "mu",
  "4476": "can",
  "4480": "fu",
  "4481": "ji",
  "4482": "jiang",
  "4483": "cao",
  "4484": "bo",
  "4485": "teng",
  "4486": "che",
  "4487": "fu",
  "4488": "bu",
  "4489": "wu",
  "4490": "meng",
  "4491": "cao",
  "4492": "tiao",
  "4493": "kai",
  "4494": "bai",
  "4495": "xiao",
  "4496": "xin",
  "4497": "qi",
  "4501": "li",
  "4502": "zi",
  "4503": "zu",
  "4504": "yao",
  "4506": "li",
  "4507": "qi",
  "4508": "gan",
  "4509": "li",
  "4511": "xie",
  "4512": "bei",
  "4513": "xu",
  "4514": "jing",
  "4515": "pu",
  "4516": "ling",
  "4517": "xiang",
  "4518": "zuo",
  "4519": "diao",
  "4520": "shao",
  "4521": "yu",
  "4522": "hua",
  "4523": "li",
  "4527": "li",
  "4530": "fu",
  "4532": "cheng",
  "4533": "nan",
  "4534": "ce",
  "4536": "ti",
  "4537": "qin",
  "4538": "biao",
  "4539": "sui",
  "4540": "kuan",
  "4541": "fei",
  "4543": "yin",
  "4545": "sao",
  "4546": "dou",
  "4547": "hui",
  "4548": "xie",
  "4549": "ze",
  "4551": "jun",
  "4553": "cha",
  "4554": "xian",
  "4555": "man",
  "4557": "bi",
  "4558": "ling",
  "4559": "jie",
  "4560": "fei",
  "4561": "lu",
  "4562": "zha",
  "4563": "he",
  "4565": "ni",
  "4566": "ying",
  "4567": "xiao",
  "4568": "teng",
  "4569": "lao",
  "4570": "ban",
  "4571": "dou",
  "4572": "lin",
  "4573": "mi",
  "4574": "zhuo",
  "4575": "xie",
  "4576": "hu",
  "4577": "mi",
  "4579": "za",
  "4581": "yi",
  "4582": "luan",
  "4583": "yue",
  "4584": "ran",
  "4585": "ling",
  "4586": "niang",
  "4587": "yu",
  "4588": "nve",
  "4590": "jin",
  "4591": "mi",
  "4593": "na",
  "4594": "han",
  "4595": "zu",
  "4596": "xia",
  "4597": "yan",
  "4598": "tu",
  "4600": "fu",
  "4601": "ge",
  "4603": "mo",
  "4604": "fu",
  "4605": "nai",
  "4606": "xian",
  "4607": "wen",
  "4608": "li",
  "4609": "can",
  "4610": "nv",
  "4611": "mai",
  "4613": "kan",
  "4615": "hang",
  "4618": "yu",
  "4619": "wei",
  "4620": "fu",
  "4621": "bi",
  "4622": "zhu",
  "4623": "zi",
  "4624": "shu",
  "4625": "xia",
  "4626": "ni",
  "4628": "jiao",
  "4629": "xuan",
  "4631": "yu",
  "4635": "lu",
  "4636": "han",
  "4638": "yi",
  "4639": "zui",
  "4640": "beng",
  "4641": "can",
  "4643": "duo",
  "4644": "qi",
  "4645": "yao",
  "4646": "gui",
  "4647": "nuan",
  "4648": "hou",
  "4649": "xun",
  "4650": "ke",
  "4652": "xu",
  "4653": "bai",
  "4655": "chu",
  "4657": "ti",
  "4658": "chu",
  "4659": "chi",
  "4660": "jue",
  "4661": "hui",
  "4662": "zeng",
  "4663": "sa",
  "4664": "duo",
  "4665": "ling",
  "4666": "meng",
  "4668": "guo",
  "4669": "meng",
  "4670": "li",
  "4671": "du",
  "4673": "e",
  "4677": "de",
  "4678": "de",
  "4679": "jiang",
  "4682": "he",
  "4683": "you",
  "4684": "lu",
  "4685": "lai",
  "4686": "ou",
  "4687": "sheng",
  "4688": "juan",
  "4689": "qi",
  "4690": "ji",
  "4691": "mai",
  "4692": "chuang",
  "4693": "nian",
  "4695": "li",
  "4696": "ling",
  "4698": "chen",
  "4700": "nao",
  "4701": "xi",
  "4704": "chi",
  "4705": "wei",
  "4706": "mo",
  "4707": "gun",
  "4711": "qia",
  "4712": "ao",
  "4713": "nie",
  "4714": "sui",
  "4715": "mai",
  "4716": "tan",
  "4717": "xin",
  "4718": "jing",
  "4719": "an",
  "4720": "che",
  "4721": "xu",
  "4722": "xian",
  "4723": "xin",
  "4727": "nao",
  "4729": "yan",
  "4731": "man",
  "4732": "lie",
  "4734": "chu",
  "4735": "chi",
  "4736": "xiang",
  "4738": "mei",
  "4739": "shu",
  "4740": "liao",
  "4741": "lao",
  "4742": "shu",
  "4743": "zhe",
  "4748": "e",
  "4750": "wei",
  "4752": "zhu",
  "4753": "la",
  "4755": "zhe",
  "4756": "zhao",
  "4758": "yi",
  "4760": "huan",
  "4761": "man",
  "4762": "man",
  "4763": "qu",
  "4764": "lao",
  "4765": "hao",
  "4767": "men",
  "4768": "xian",
  "4769": "zhen",
  "4770": "ti",
  "4772": "jin",
  "4773": "can",
  "4775": "bu",
  "4776": "liang",
  "4777": "zhi",
  "4778": "ji",
  "4779": "wan",
  "4780": "gou",
  "4781": "xian",
  "4782": "ruan",
  "4783": "zhi",
  "4784": "biao",
  "4785": "yi",
  "4786": "suo",
  "4787": "die",
  "4788": "gui",
  "4789": "sheng",
  "4790": "chun",
  "4791": "hong",
  "4792": "dong",
  "4793": "cheng",
  "4794": "wei",
  "4795": "die",
  "4796": "shu",
  "4798": "ji",
  "4799": "za",
  "4800": "chang",
  "4802": "chu",
  "4803": "liang",
  "4804": "tian",
  "4805": "kun",
  "4806": "chang",
  "4807": "jue",
  "4808": "tu",
  "4809": "hua",
  "4810": "qu",
  "4811": "kui",
  "4812": "hu",
  "4813": "cu",
  "4814": "sui",
  "4817": "qiu",
  "4818": "pi",
  "4819": "bei",
  "4820": "chi",
  "4821": "cuo",
  "4822": "meng",
  "4823": "xuan",
  "4824": "duo",
  "4825": "bie",
  "4826": "zhe",
  "4827": "chu",
  "4828": "chan",
  "4829": "gui",
  "4830": "quan",
  "4831": "shu",
  "4832": "ling",
  "4834": "qin",
  "4835": "fu",
  "4836": "she",
  "4837": "tiao",
  "4839": "ai",
  "4840": "zhan",
  "4841": "long",
  "4842": "jiu",
  "4843": "li",
  "4845": "min",
  "4846": "rong",
  "4847": "yue",
  "4848": "jue",
  "4849": "kang",
  "4850": "tuo",
  "4851": "min",
  "4852": "tian",
  "4853": "juan",
  "4854": "qi",
  "4855": "zheng",
  "4856": "jing",
  "4857": "gong",
  "4858": "tian",
  "4859": "lang",
  "4861": "xie",
  "4862": "bian",
  "4865": "rong",
  "4866": "sang",
  "4867": "wu",
  "4868": "cha",
  "4869": "gu",
  "4870": "keng",
  "4871": "zhuan",
  "4872": "chan",
  "4874": "chuang",
  "4875": "sui",
  "4876": "bei",
  "4877": "kai",
  "4879": "zhi",
  "4880": "qi",
  "4881": "yue",
  "4883": "yi",
  "4884": "xi",
  "4885": "chen",
  "4887": "rong",
  "4888": "chen",
  "4889": "nong",
  "4890": "cu",
  "4891": "di",
  "4893": "yu",
  "4894": "ge",
  "4895": "xu",
  "4896": "lv",
  "4897": "he",
  "4899": "bai",
  "4901": "cen",
  "4902": "mei",
  "4903": "yin",
  "4904": "mian",
  "4905": "tu",
  "4906": "kui",
  "4909": "mi",
  "4910": "jin",
  "4911": "wang",
  "4912": "ji",
  "4913": "meng",
  "4914": "jian",
  "4915": "xue",
  "4916": "bao",
  "4917": "gan",
  "4918": "chan",
  "4919": "li",
  "4920": "ji",
  "4921": "ran",
  "4923": "lve",
  "4925": "gui",
  "4926": "yue",
  "4927": "hui",
  "4928": "pi",
  "4929": "cha",
  "4930": "weng",
  "4931": "shi",
  "4932": "chi",
  "4933": "ye",
  "4934": "han",
  "4935": "fei",
  "4936": "ye",
  "4937": "yan",
  "4938": "zuan",
  "4940": "chan",
  "4941": "han",
  "4942": "meng",
  "4943": "yue",
  "4944": "cu",
  "4945": "qian",
  "4946": "jin",
  "4947": "shan",
  "4948": "mu",
  "4950": "mou",
  "4951": "wan",
  "4952": "chou",
  "4954": "su",
  "4955": "pie",
  "4956": "tian",
  "4957": "kuan",
  "4958": "cu",
  "4959": "sui",
  "4961": "ye",
  "4962": "long",
  "4963": "zao",
  "4964": "bao",
  "4965": "lian",
  "4967": "huan",
  "4968": "lv",
  "4969": "wei",
  "4970": "meng",
  "4971": "xie",
  "4975": "xiao",
  "4976": "li",
  "4977": "zha",
  "4978": "mi",
  "4982": "shan",
  "4985": "shan",
  "4986": "jue",
  "4987": "ji",
  "4988": "fang",
  "4990": "ting",
  "4991": "xie",
  "4992": "dang",
  "4994": "tan",
  "4996": "xia",
  "4997": "xu",
  "4998": "bi",
  "4999": "si",
  "5000": "chang",
  "5001": "chi",
  "5002": "bing",
  "5003": "zan",
  "5004": "yao",
  "5005": "cui",
  "5006": "lia",
  "5007": "wan",
  "5008": "lai",
  "5009": "cang",
  "5010": "shu",
  "5011": "men",
  "5012": "dao",
  "5013": "tan",
  "5014": "jue",
  "5015": "chui",
  "5016": "xing",
  "5017": "peng",
  "5018": "tang",
  "5019": "hou",
  "5020": "sui",
  "5021": "chang",
  "5022": "jie",
  "5023": "fang",
  "5024": "zhi",
  "5025": "kong",
  "5026": "juan",
  "5027": "zong",
  "5028": "ju",
  "5029": "qian",
  "5030": "leng",
  "5031": "hun",
  "5032": "dong",
  "5033": "zi",
  "5034": "ben",
  "5035": "wu",
  "5036": "ju",
  "5037": "nai",
  "5038": "cai",
  "5039": "jian",
  "5040": "ying",
  "5041": "cheng",
  "5042": "jian",
  "5043": "yan",
  "5044": "nuan",
  "5045": "zhong",
  "5046": "chun",
  "5047": "jia",
  "5048": "jie",
  "5049": "wei",
  "5050": "yan",
  "5051": "feng",
  "5052": "tang",
  "5053": "wo",
  "5054": "e",
  "5055": "xie",
  "5056": "che",
  "5057": "sheng",
  "5058": "kan",
  "5059": "di",
  "5060": "yao",
  "5061": "zhan",
  "5062": "chou",
  "5063": "yan",
  "5064": "you",
  "5065": "jian",
  "5066": "xu",
  "5067": "zha",
  "5068": "ci",
  "5069": "fu",
  "5070": "xie",
  "5071": "xun",
  "5072": "si",
  "5073": "duan",
  "5074": "ce",
  "5075": "zhen",
  "5076": "ou",
  "5077": "tou",
  "5078": "tou",
  "5079": "bei",
  "5080": "gui",
  "5081": "sou",
  "5082": "zhi",
  "5083": "su",
  "5084": "xia",
  "5085": "fu",
  "5086": "yuan",
  "5087": "rong",
  "5088": "li",
  "5089": "ru",
  "5090": "hao",
  "5091": "jie",
  "5092": "xi",
  "5093": "shan",
  "5094": "qian",
  "5095": "jue",
  "5096": "cang",
  "5097": "chu",
  "5098": "san",
  "5099": "bei",
  "5100": "yi",
  "5101": "jun",
  "5102": "nong",
  "5103": "chan",
  "5104": "yi",
  "5105": "dang",
  "5106": "jing",
  "5107": "xuan",
  "5108": "kuai",
  "5109": "jian",
  "5110": "bin",
  "5111": "an",
  "5112": "ru",
  "5113": "tai",
  "5114": "chou",
  "5115": "chai",
  "5116": "lan",
  "5117": "ni",
  "5118": "jin",
  "5119": "qian",
  "5120": "lie",
  "5121": "lei",
  "5122": "lv",
  "5123": "kuang",
  "5124": "bao",
  "5125": "du",
  "5126": "biao",
  "5127": "zan",
  "5128": "zhi",
  "5129": "si",
  "5130": "wei",
  "5131": "long",
  "5132": "chu",
  "5133": "chan",
  "5134": "rang",
  "5135": "shu",
  "5136": "hui",
  "5137": "li",
  "5138": "luo",
  "5139": "zan",
  "5140": "wu",
  "5141": "yun",
  "5142": "zan",
  "5143": "yuan",
  "5144": "xiong",
  "5145": "chong",
  "5146": "zhao",
  "5147": "xiong",
  "5148": "xian",
  "5149": "guang",
  "5150": "er",
  "5151": "dui",
  "5152": "er",
  "5153": "xin",
  "5154": "tu",
  "5155": "si",
  "5156": "yan",
  "5157": "yan",
  "5158": "shi",
  "5160": "dou",
  "5162": "jing",
  "5163": "li",
  "5164": "huang",
  "5165": "ru",
  "5166": "wang",
  "5167": "nei",
  "5168": "quan",
  "5169": "liang",
  "5170": "lan",
  "5171": "gong",
  "5172": "tian",
  "5173": "guan",
  "5174": "xing",
  "5175": "bing",
  "5176": "qi",
  "5177": "ju",
  "5178": "dian",
  "5179": "zi",
  "5180": "ji",
  "5181": "chan",
  "5182": "jiong",
  "5184": "ran",
  "5185": "nei",
  "5187": "mao",
  "5188": "gang",
  "5189": "ran",
  "5190": "mao",
  "5191": "zhou",
  "5192": "mao",
  "5193": "gou",
  "5194": "xu",
  "5195": "mian",
  "5196": "mi",
  "5197": "rong",
  "5198": "yin",
  "5199": "xie",
  "5200": "dao",
  "5201": "diao",
  "5202": "dao",
  "5203": "ren",
  "5204": "ren",
  "5205": "chuang",
  "5206": "fen",
  "5207": "qie",
  "5208": "yi",
  "5209": "ji",
  "5210": "dan",
  "5211": "xing",
  "5212": "hua",
  "5213": "wan",
  "5214": "jue",
  "5215": "li",
  "5216": "yue",
  "5217": "lie",
  "5218": "liu",
  "5219": "ze",
  "5220": "shan",
  "5221": "min",
  "5222": "ling",
  "5223": "zhong",
  "5224": "pan",
  "5225": "bie",
  "5226": "jie",
  "5227": "jie",
  "5228": "bao",
  "5229": "li",
  "5230": "dao",
  "5231": "chuang",
  "5232": "kui",
  "5233": "ku",
  "5234": "duo",
  "5235": "er",
  "5236": "zhi",
  "5237": "shua",
  "5238": "quan",
  "5239": "cha",
  "5240": "kai",
  "5241": "duo",
  "5242": "ji",
  "5243": "ti",
  "5244": "jing",
  "5245": "lou",
  "5246": "gen",
  "5247": "ze",
  "5248": "yuan",
  "5249": "cuo",
  "5250": "gua",
  "5251": "jian",
  "5252": "cuo",
  "5253": "li",
  "5254": "ti",
  "5255": "fei",
  "5256": "pou",
  "5257": "chan",
  "5258": "qi",
  "5259": "chuang",
  "5260": "qing",
  "5261": "yan",
  "5262": "zhuo",
  "5263": "jian",
  "5264": "ji",
  "5265": "bo",
  "5266": "yan",
  "5267": "ju",
  "5268": "huo",
  "5269": "sheng",
  "5270": "sheng",
  "5271": "jian",
  "5272": "ge",
  "5273": "zha",
  "5274": "kai",
  "5275": "chuang",
  "5276": "juan",
  "5277": "chan",
  "5278": "tuan",
  "5279": "lu",
  "5280": "gua",
  "5281": "qiao",
  "5282": "jue",
  "5283": "hua",
  "5284": "zha",
  "5285": "zhuo",
  "5286": "lian",
  "5287": "ju",
  "5288": "pi",
  "5289": "liu",
  "5290": "huo",
  "5291": "ji",
  "5292": "jian",
  "5293": "yi",
  "5294": "jian",
  "5295": "zhi",
  "5296": "chan",
  "5297": "cuan",
  "5298": "mo",
  "5299": "li",
  "5300": "yun",
  "5303": "gai",
  "5304": "gai",
  "5305": "bao",
  "5306": "cong",
  "5308": "xiong",
  "5309": "peng",
  "5310": "fu",
  "5311": "gong",
  "5312": "da",
  "5313": "jiu",
  "5314": "qiong",
  "5315": "bi",
  "5316": "hua",
  "5317": "bei",
  "5318": "nao",
  "5319": "chi",
  "5320": "jiang",
  "5321": "kuang",
  "5322": "hu",
  "5323": "xia",
  "5324": "qu",
  "5325": "bian",
  "5326": "gui",
  "5327": "qie",
  "5328": "zang",
  "5329": "kuang",
  "5330": "dan",
  "5331": "gui",
  "5332": "lian",
  "5333": "lian",
  "5334": "suan",
  "5335": "du",
  "5336": "jiu",
  "5337": "qu",
  "5338": "xi",
  "5339": "pi",
  "5340": "qu",
  "5341": "shi",
  "5342": "xin",
  "5343": "qian",
  "5344": "nian",
  "5345": "sa",
  "5346": "zu",
  "5347": "sheng",
  "5348": "wu",
  "5349": "hui",
  "5350": "wan",
  "5351": "bei",
  "5352": "zu",
  "5353": "zhuo",
  "5354": "xie",
  "5355": "dan",
  "5356": "mai",
  "5357": "nan",
  "5358": "dan",
  "5359": "ji",
  "5360": "zhan",
  "5361": "qia",
  "5362": "lu",
  "5363": "you",
  "5364": "lu",
  "5365": "xi",
  "5366": "gua",
  "5367": "wo",
  "5368": "xie",
  "5369": "jie",
  "5370": "yin",
  "5371": "wei",
  "5372": "shao",
  "5373": "ji",
  "5374": "que",
  "5375": "luan",
  "5376": "shi",
  "5377": "juan",
  "5378": "xie",
  "5379": "xu",
  "5380": "xi",
  "5382": "chang",
  "5383": "zhan",
  "5384": "e",
  "5385": "ting",
  "5386": "li",
  "5387": "zhe",
  "5388": "han",
  "5389": "li",
  "5390": "pang",
  "5392": "he",
  "5393": "ya",
  "5394": "zhi",
  "5395": "ce",
  "5396": "pang",
  "5397": "ti",
  "5398": "li",
  "5399": "she",
  "5400": "mie",
  "5401": "xu",
  "5402": "mang",
  "5403": "chi",
  "5404": "ge",
  "5405": "xuan",
  "5406": "yao",
  "5407": "zi",
  "5408": "he",
  "5409": "ji",
  "5410": "tu",
  "5411": "xiang",
  "5412": "zha",
  "5413": "xia",
  "5414": "ye",
  "5415": "lv",
  "5416": "a",
  "5417": "ma",
  "5418": "ou",
  "5419": "xue",
  "5420": "fei",
  "5421": "bi",
  "5422": "qin",
  "5423": "qin",
  "5424": "jie",
  "5425": "bu",
  "5426": "fou",
  "5427": "ba",
  "5428": "dun",
  "5429": "fen",
  "5430": "hong",
  "5431": "zhi",
  "5432": "shen",
  "5433": "wu",
  "5434": "wu",
  "5435": "chao",
  "5436": "ne",
  "5437": "xue",
  "5438": "xi",
  "5439": "chui",
  "5440": "ya",
  "5441": "jun",
  "5442": "lv",
  "5443": "e",
  "5444": "ge",
  "5445": "mei",
  "5446": "dai",
  "5447": "qi",
  "5448": "cheng",
  "5449": "wu",
  "5450": "ne",
  "5451": "tun",
  "5452": "fu",
  "5453": "yi",
  "5454": "dai",
  "5455": "ou",
  "5456": "li",
  "5457": "bai",
  "5458": "yuan",
  "5459": "kuai",
  "5460": "pen",
  "5461": "wen",
  "5462": "ni",
  "5464": "ling",
  "5465": "ran",
  "5466": "you",
  "5467": "di",
  "5468": "zhou",
  "5469": "shi",
  "5470": "zi",
  "5471": "gu",
  "5472": "zi",
  "5473": "wei",
  "5474": "xu",
  "5475": "he",
  "5476": "nao",
  "5477": "xia",
  "5478": "pei",
  "5479": "yi",
  "5480": "ju",
  "5482": "za",
  "5483": "tuo",
  "5484": "duo",
  "5485": "pou",
  "5486": "pao",
  "5487": "bi",
  "5488": "fu",
  "5489": "yang",
  "5490": "fu",
  "5491": "que",
  "5492": "zhou",
  "5493": "wa",
  "5494": "ka",
  "5495": "gu",
  "5496": "ka",
  "5497": "zuo",
  "5498": "bu",
  "5499": "long",
  "5500": "you",
  "5501": "yan",
  "5502": "gu",
  "5503": "gu",
  "5504": "bai",
  "5505": "han",
  "5506": "suo",
  "5507": "chun",
  "5508": "yi",
  "5509": "ai",
  "5510": "tang",
  "5511": "zuo",
  "5512": "qiu",
  "5513": "che",
  "5514": "wu",
  "5515": "zao",
  "5516": "ya",
  "5517": "dou",
  "5518": "qi",
  "5519": "di",
  "5520": "lao",
  "5521": "liang",
  "5522": "suo",
  "5523": "zao",
  "5524": "huan",
  "5526": "sha",
  "5527": "ji",
  "5528": "zuo",
  "5529": "wo",
  "5530": "shua",
  "5531": "chang",
  "5532": "er",
  "5533": "li",
  "5534": "qiang",
  "5535": "an",
  "5536": "jie",
  "5537": "yo",
  "5538": "nian",
  "5539": "yu",
  "5540": "ai",
  "5541": "zhou",
  "5542": "nou",
  "5543": "ken",
  "5544": "zhuo",
  "5545": "zhuo",
  "5546": "shang",
  "5547": "di",
  "5548": "heng",
  "5549": "lan",
  "5550": "cui",
  "5551": "sha",
  "5552": "hu",
  "5553": "qi",
  "5554": "qi",
  "5555": "tao",
  "5556": "dan",
  "5557": "dan",
  "5558": "ye",
  "5559": "zi",
  "5560": "zhe",
  "5561": "fei",
  "5562": "liang",
  "5563": "xian",
  "5564": "pi",
  "5565": "sha",
  "5566": "la",
  "5567": "ze",
  "5568": "qing",
  "5569": "gua",
  "5570": "luo",
  "5571": "yan",
  "5572": "di",
  "5573": "quan",
  "5574": "tan",
  "5575": "bo",
  "5576": "ding",
  "5577": "lang",
  "5578": "xiao",
  "5580": "ka",
  "5581": "yong",
  "5582": "wei",
  "5583": "nan",
  "5584": "shan",
  "5585": "yu",
  "5586": "zhe",
  "5587": "la",
  "5588": "jie",
  "5589": "hou",
  "5590": "yu",
  "5591": "yin",
  "5592": "zan",
  "5593": "yao",
  "5594": "o",
  "5595": "mian",
  "5596": "hu",
  "5597": "yun",
  "5598": "chuan",
  "5599": "hui",
  "5600": "di",
  "5601": "qi",
  "5602": "jiao",
  "5603": "chong",
  "5604": "jiao",
  "5605": "kai",
  "5606": "tan",
  "5607": "san",
  "5608": "cao",
  "5609": "jia",
  "5610": "xiao",
  "5611": "hu",
  "5612": "hui",
  "5613": "guo",
  "5614": "ou",
  "5615": "xian",
  "5616": "ze",
  "5617": "chang",
  "5618": "xu",
  "5619": "po",
  "5620": "ga",
  "5621": "tang",
  "5622": "ye",
  "5623": "beng",
  "5624": "ying",
  "5626": "jiao",
  "5627": "mi",
  "5628": "xiao",
  "5629": "hua",
  "5630": "ji",
  "5631": "zhu",
  "5632": "chao",
  "5633": "kui",
  "5634": "zui",
  "5635": "xiao",
  "5636": "si",
  "5637": "hao",
  "5638": "fu",
  "5639": "liao",
  "5640": "xun",
  "5641": "e",
  "5642": "zun",
  "5643": "fan",
  "5644": "chi",
  "5645": "hui",
  "5646": "zan",
  "5647": "chuang",
  "5648": "cu",
  "5649": "dan",
  "5650": "qi",
  "5651": "hao",
  "5652": "lian",
  "5653": "xu",
  "5654": "deng",
  "5655": "hui",
  "5656": "yin",
  "5657": "pu",
  "5658": "jue",
  "5659": "qin",
  "5660": "da",
  "5661": "dan",
  "5662": "o",
  "5663": "zhou",
  "5664": "jin",
  "5665": "nong",
  "5666": "yue",
  "5667": "hui",
  "5668": "qi",
  "5669": "e",
  "5670": "yong",
  "5671": "jue",
  "5672": "kuai",
  "5673": "yu",
  "5674": "pen",
  "5675": "dao",
  "5676": "ge",
  "5677": "xin",
  "5678": "dun",
  "5679": "dang",
  "5680": "ning",
  "5681": "di",
  "5682": "lan",
  "5683": "ta",
  "5684": "huo",
  "5685": "ru",
  "5686": "hao",
  "5687": "xia",
  "5688": "ya",
  "5689": "duo",
  "5690": "chang",
  "5693": "ca",
  "5694": "ti",
  "5695": "lu",
  "5696": "hui",
  "5697": "bo",
  "5698": "you",
  "5699": "nie",
  "5700": "guo",
  "5701": "yin",
  "5702": "hun",
  "5703": "pu",
  "5704": "yu",
  "5705": "han",
  "5706": "yuan",
  "5707": "lun",
  "5708": "quan",
  "5709": "yu",
  "5710": "ku",
  "5711": "fu",
  "5712": "yuan",
  "5713": "yuan",
  "5714": "e",
  "5716": "tu",
  "5717": "tu",
  "5718": "tuan",
  "5719": "lve",
  "5720": "ya",
  "5721": "tu",
  "5722": "ting",
  "5723": "sheng",
  "5724": "pu",
  "5725": "lu",
  "5727": "ya",
  "5728": "zai",
  "5729": "wei",
  "5730": "di",
  "5731": "qian",
  "5732": "qian",
  "5733": "zhen",
  "5734": "zhuo",
  "5735": "dang",
  "5736": "qia",
  "5739": "kuang",
  "5740": "zhi",
  "5741": "zhi",
  "5742": "ban",
  "5743": "xun",
  "5744": "tou",
  "5745": "qin",
  "5746": "fen",
  "5747": "jun",
  "5748": "keng",
  "5749": "tun",
  "5750": "zuo",
  "5751": "keng",
  "5752": "bi",
  "5753": "xing",
  "5754": "di",
  "5755": "jing",
  "5756": "ji",
  "5757": "kuai",
  "5758": "di",
  "5759": "jing",
  "5760": "zhui",
  "5761": "po",
  "5762": "pan",
  "5763": "tang",
  "5764": "kun",
  "5765": "qu",
  "5766": "tan",
  "5767": "zhi",
  "5768": "tuo",
  "5769": "gan",
  "5770": "jiong",
  "5771": "yang",
  "5772": "fo",
  "5773": "ao",
  "5774": "liu",
  "5775": "qiu",
  "5776": "mu",
  "5777": "ke",
  "5778": "gou",
  "5779": "xue",
  "5780": "hu",
  "5781": "zhi",
  "5782": "chui",
  "5783": "la",
  "5784": "long",
  "5785": "long",
  "5786": "lu",
  "5787": "ao",
  "5789": "pao",
  "5790": "ci",
  "5791": "chi",
  "5792": "lei",
  "5793": "gai",
  "5794": "yin",
  "5795": "hou",
  "5796": "dui",
  "5797": "zhao",
  "5798": "fu",
  "5799": "guang",
  "5800": "ku",
  "5801": "ke",
  "5802": "tang",
  "5803": "kun",
  "5804": "ni",
  "5805": "jian",
  "5806": "dui",
  "5807": "jin",
  "5808": "gang",
  "5809": "yu",
  "5810": "ya",
  "5811": "qian",
  "5813": "an",
  "5815": "duo",
  "5816": "nao",
  "5817": "tu",
  "5818": "cheng",
  "5819": "yin",
  "5820": "hou",
  "5821": "bao",
  "5822": "bao",
  "5823": "yu",
  "5824": "di",
  "5825": "mao",
  "5826": "jie",
  "5827": "ruan",
  "5828": "e",
  "5829": "geng",
  "5830": "yan",
  "5831": "bao",
  "5832": "ji",
  "5833": "mei",
  "5834": "chang",
  "5835": "du",
  "5836": "tuo",
  "5837": "yin",
  "5838": "feng",
  "5839": "zhong",
  "5842": "xiang",
  "5843": "huang",
  "5844": "leng",
  "5845": "duan",
  "5847": "xuan",
  "5848": "ji",
  "5849": "ji",
  "5850": "su",
  "5851": "su",
  "5852": "shi",
  "5853": "mi",
  "5854": "ta",
  "5855": "weng",
  "5856": "cheng",
  "5857": "tu",
  "5858": "tang",
  "5859": "que",
  "5860": "dui",
  "5861": "tian",
  "5862": "wu",
  "5863": "cheng",
  "5864": "xun",
  "5865": "ge",
  "5866": "zhen",
  "5867": "ai",
  "5868": "gong",
  "5869": "yan",
  "5871": "lang",
  "5872": "chang",
  "5873": "peng",
  "5874": "beng",
  "5875": "chen",
  "5876": "cu",
  "5877": "lu",
  "5878": "ou",
  "5879": "qian",
  "5880": "chi",
  "5881": "man",
  "5882": "biao",
  "5883": "jing",
  "5884": "qi",
  "5885": "shu",
  "5886": "di",
  "5887": "zhang",
  "5888": "kan",
  "5889": "yong",
  "5890": "jin",
  "5891": "di",
  "5892": "shang",
  "5893": "mu",
  "5894": "cui",
  "5895": "yan",
  "5896": "ta",
  "5897": "zeng",
  "5898": "qi",
  "5899": "qiang",
  "5900": "shou",
  "5901": "yi",
  "5902": "zhi",
  "5903": "gu",
  "5904": "chu",
  "5905": "jiang",
  "5906": "feng",
  "5907": "bei",
  "5909": "bian",
  "5910": "xiong",
  "5912": "nao",
  "5913": "xia",
  "5914": "kui",
  "5915": "xi",
  "5916": "wai",
  "5917": "yuan",
  "5918": "mao",
  "5919": "su",
  "5920": "gou",
  "5921": "qi",
  "5922": "meng",
  "5923": "meng",
  "5924": "yin",
  "5925": "huo",
  "5926": "chen",
  "5927": "da",
  "5928": "ze",
  "5929": "tian",
  "5930": "gao",
  "5931": "shi",
  "5932": "ben",
  "5933": "tai",
  "5934": "tou",
  "5935": "yan",
  "5936": "bi",
  "5937": "yi",
  "5938": "kua",
  "5939": "jia",
  "5940": "en",
  "5941": "lian",
  "5942": "huan",
  "5943": "di",
  "5944": "yan",
  "5945": "pao",
  "5946": "quan",
  "5947": "qi",
  "5948": "nai",
  "5949": "feng",
  "5950": "huan",
  "5951": "qi",
  "5952": "kai",
  "5953": "she",
  "5954": "ben",
  "5955": "yi",
  "5956": "jiang",
  "5957": "tao",
  "5958": "zang",
  "5959": "ben",
  "5960": "dian",
  "5961": "ao",
  "5962": "she",
  "5963": "weng",
  "5964": "pan",
  "5965": "ao",
  "5966": "wu",
  "5967": "ao",
  "5968": "jiang",
  "5969": "lian",
  "5970": "bi",
  "5971": "lian",
  "5972": "duo",
  "5973": "nv",
  "5974": "nu",
  "5975": "ding",
  "5976": "nai",
  "5977": "qian",
  "5978": "jian",
  "5979": "ta",
  "5980": "ji",
  "5981": "shuo",
  "5982": "ru",
  "5983": "fei",
  "5984": "wang",
  "5985": "hong",
  "5986": "zhuang",
  "5987": "fu",
  "5988": "ma",
  "5989": "dan",
  "5990": "zhong",
  "5991": "pa",
  "5992": "du",
  "5993": "ji",
  "5994": "keng",
  "5995": "zhong",
  "5996": "yao",
  "5997": "jin",
  "5998": "yun",
  "5999": "miao",
  "6000": "huai",
  "6001": "tai",
  "6002": "song",
  "6003": "wu",
  "6004": "ou",
  "6005": "chang",
  "6006": "chuang",
  "6007": "ju",
  "6008": "yi",
  "6009": "bao",
  "6010": "kou",
  "6011": "ban",
  "6012": "nu",
  "6013": "nao",
  "6014": "zheng",
  "6015": "pa",
  "6016": "bu",
  "6017": "tie",
  "6018": "gu",
  "6019": "hu",
  "6020": "dai",
  "6021": "yi",
  "6022": "tu",
  "6023": "you",
  "6024": "fu",
  "6025": "ji",
  "6026": "peng",
  "6027": "xing",
  "6028": "yuan",
  "6029": "ni",
  "6030": "xuan",
  "6031": "cong",
  "6032": "bing",
  "6033": "huang",
  "6034": "xu",
  "6035": "chu",
  "6036": "pi",
  "6037": "xi",
  "6038": "xi",
  "6039": "tan",
  "6040": "chi",
  "6041": "ren",
  "6042": "xun",
  "6043": "shi",
  "6044": "xi",
  "6045": "lao",
  "6046": "heng",
  "6047": "kuang",
  "6048": "mu",
  "6049": "zhi",
  "6050": "kong",
  "6051": "gui",
  "6052": "heng",
  "6053": "xi",
  "6054": "xiao",
  "6055": "shu",
  "6057": "kua",
  "6058": "qiu",
  "6059": "yang",
  "6060": "guai",
  "6061": "lin",
  "6062": "hui",
  "6063": "zi",
  "6064": "xu",
  "6065": "chi",
  "6066": "xiang",
  "6067": "nv",
  "6068": "hen",
  "6069": "en",
  "6070": "qia",
  "6071": "yue",
  "6072": "peng",
  "6073": "ken",
  "6074": "de",
  "6075": "hui",
  "6076": "e",
  "6078": "tong",
  "6079": "yan",
  "6080": "yong",
  "6081": "yuan",
  "6082": "pi",
  "6083": "kun",
  "6084": "qiao",
  "6085": "yue",
  "6086": "yu",
  "6087": "yu",
  "6088": "jie",
  "6089": "xi",
  "6090": "ti",
  "6091": "bu",
  "6092": "yi",
  "6093": "qian",
  "6094": "hui",
  "6095": "xi",
  "6096": "bei",
  "6097": "man",
  "6098": "yi",
  "6099": "heng",
  "6100": "qiao",
  "6101": "chou",
  "6102": "bei",
  "6103": "xuan",
  "6104": "wei",
  "6105": "ge",
  "6106": "qian",
  "6107": "wei",
  "6108": "yu",
  "6109": "yu",
  "6110": "mian",
  "6111": "yong",
  "6112": "kai",
  "6113": "dang",
  "6114": "yin",
  "6115": "e",
  "6116": "chen",
  "6117": "mou",
  "6118": "ke",
  "6119": "ke",
  "6120": "yun",
  "6121": "zong",
  "6122": "sai",
  "6123": "leng",
  "6124": "fen",
  "6126": "kui",
  "6127": "kui",
  "6128": "que",
  "6129": "gong",
  "6130": "huang",
  "6131": "ji",
  "6132": "gu",
  "6133": "ju",
  "6134": "chuang",
  "6135": "ni",
  "6136": "xie",
  "6137": "kai",
  "6138": "zheng",
  "6139": "yong",
  "6140": "xie",
  "6141": "hun",
  "6142": "yong",
  "6143": "yang",
  "6144": "li",
  "6145": "sao",
  "6146": "tao",
  "6147": "yin",
  "6148": "ci",
  "6149": "xu",
  "6151": "she",
  "6152": "cong",
  "6153": "piao",
  "6154": "mo",
  "6155": "mu",
  "6156": "guo",
  "6157": "chi",
  "6158": "can",
  "6159": "can",
  "6160": "ao",
  "6161": "shuang",
  "6162": "man",
  "6163": "guan",
  "6164": "que",
  "6165": "zao",
  "6166": "jiu",
  "6167": "hui",
  "6168": "kai",
  "6169": "lian",
  "6170": "wei",
  "6171": "tuan",
  "6172": "man",
  "6173": "qian",
  "6174": "she",
  "6175": "yong",
  "6176": "qing",
  "6177": "kang",
  "6178": "di",
  "6179": "zhi",
  "6180": "liao",
  "6181": "cong",
  "6182": "you",
  "6183": "chong",
  "6184": "zhi",
  "6185": "tong",
  "6186": "cheng",
  "6187": "qi",
  "6188": "qu",
  "6189": "peng",
  "6190": "lian",
  "6191": "ping",
  "6192": "kui",
  "6193": "hui",
  "6194": "qiao",
  "6195": "cheng",
  "6196": "yin",
  "6197": "yin",
  "6198": "xi",
  "6199": "xi",
  "6200": "lian",
  "6201": "nan",
  "6202": "mi",
  "6203": "tang",
  "6204": "jue",
  "6205": "gang",
  "6206": "gang",
  "6207": "gang",
  "6208": "ge",
  "6209": "yue",
  "6210": "cheng",
  "6211": "wo",
  "6212": "jie",
  "6213": "ge",
  "6214": "jian",
  "6215": "qiang",
  "6216": "huo",
  "6217": "qiang",
  "6218": "zhan",
  "6219": "dong",
  "6220": "shi",
  "6221": "kan",
  "6222": "ji",
  "6223": "kui",
  "6224": "gai",
  "6225": "deng",
  "6226": "zhan",
  "6227": "chuang",
  "6228": "ge",
  "6229": "jian",
  "6230": "zhan",
  "6231": "xi",
  "6232": "xi",
  "6233": "chuo",
  "6234": "dai",
  "6235": "qu",
  "6236": "hu",
  "6237": "hu",
  "6238": "hu",
  "6239": "e",
  "6240": "suo",
  "6241": "bian",
  "6242": "dian",
  "6243": "jiong",
  "6244": "shang",
  "6245": "yi",
  "6246": "yi",
  "6247": "shan",
  "6248": "hu",
  "6249": "fei",
  "6250": "le",
  "6251": "pu",
  "6252": "ba",
  "6253": "da",
  "6254": "reng",
  "6255": "fu",
  "6257": "zai",
  "6258": "tuo",
  "6259": "zhang",
  "6260": "cha",
  "6261": "yi",
  "6262": "gu",
  "6263": "kou",
  "6264": "wu",
  "6265": "tuo",
  "6266": "qian",
  "6267": "zhi",
  "6268": "ren",
  "6269": "kuo",
  "6270": "rao",
  "6271": "xi",
  "6272": "qian",
  "6273": "ban",
  "6274": "jia",
  "6275": "yu",
  "6276": "fu",
  "6277": "ao",
  "6278": "xi",
  "6279": "pi",
  "6280": "ji",
  "6281": "yan",
  "6282": "kuang",
  "6283": "bian",
  "6284": "chao",
  "6285": "ju",
  "6286": "wen",
  "6287": "hu",
  "6288": "yue",
  "6289": "jue",
  "6290": "nu",
  "6291": "yi",
  "6292": "shu",
  "6293": "zhua",
  "6294": "pou",
  "6295": "tou",
  "6296": "dou",
  "6297": "kang",
  "6298": "zhe",
  "6299": "pou",
  "6300": "bo",
  "6301": "chi",
  "6302": "gua",
  "6303": "zhi",
  "6304": "kuo",
  "6305": "duo",
  "6306": "duo",
  "6307": "zhi",
  "6308": "qie",
  "6309": "an",
  "6310": "ru",
  "6311": "tiao",
  "6312": "lie",
  "6313": "zha",
  "6314": "lv",
  "6315": "die",
  "6316": "wa",
  "6317": "jue",
  "6319": "ju",
  "6320": "nao",
  "6321": "dang",
  "6322": "jiao",
  "6323": "zheng",
  "6324": "ji",
  "6325": "hui",
  "6326": "xun",
  "6328": "ai",
  "6329": "tuo",
  "6330": "cheng",
  "6331": "suo",
  "6332": "suo",
  "6333": "keng",
  "6334": "mei",
  "6335": "long",
  "6336": "ju",
  "6337": "peng",
  "6338": "jian",
  "6339": "yi",
  "6340": "feng",
  "6341": "jiao",
  "6342": "wu",
  "6343": "jun",
  "6344": "jiu",
  "6345": "tong",
  "6346": "kun",
  "6347": "huo",
  "6348": "tu",
  "6349": "zhuo",
  "6350": "juan",
  "6351": "ze",
  "6352": "song",
  "6353": "ye",
  "6354": "jue",
  "6355": "bu",
  "6356": "huan",
  "6357": "bu",
  "6358": "zun",
  "6359": "yi",
  "6360": "bang",
  "6361": "jian",
  "6362": "huan",
  "6363": "dao",
  "6365": "wan",
  "6366": "qin",
  "6367": "peng",
  "6368": "she",
  "6369": "lie",
  "6370": "wo",
  "6371": "ai",
  "6372": "juan",
  "6373": "yue",
  "6374": "zong",
  "6375": "chen",
  "6376": "chui",
  "6377": "jie",
  "6378": "tu",
  "6379": "ben",
  "6380": "xian",
  "6381": "cheng",
  "6382": "dian",
  "6383": "sao",
  "6384": "lun",
  "6385": "qing",
  "6386": "gang",
  "6387": "duo",
  "6388": "shou",
  "6389": "diao",
  "6390": "qia",
  "6391": "qi",
  "6392": "pai",
  "6393": "shu",
  "6394": "qian",
  "6395": "ling",
  "6396": "ye",
  "6397": "ya",
  "6398": "jue",
  "6399": "zheng",
  "6400": "chan",
  "6401": "ge",
  "6402": "lou",
  "6403": "zong",
  "6404": "geng",
  "6405": "jiao",
  "6406": "gou",
  "6407": "qin",
  "6408": "yong",
  "6409": "que",
  "6410": "chu",
  "6411": "rong",
  "6412": "beng",
  "6413": "cuo",
  "6414": "sao",
  "6415": "ke",
  "6416": "yao",
  "6417": "dao",
  "6418": "zhi",
  "6419": "nu",
  "6420": "shuo",
  "6421": "sang",
  "6422": "jin",
  "6423": "mie",
  "6424": "e",
  "6425": "chui",
  "6426": "nuo",
  "6427": "shan",
  "6428": "ta",
  "6429": "jie",
  "6430": "hu",
  "6431": "zhi",
  "6432": "wa",
  "6433": "xia",
  "6434": "qian",
  "6435": "wen",
  "6436": "qiang",
  "6437": "tian",
  "6438": "zhen",
  "6439": "e",
  "6440": "wu",
  "6441": "en",
  "6442": "she",
  "6443": "kang",
  "6444": "she",
  "6445": "shu",
  "6446": "bai",
  "6447": "yao",
  "6448": "bin",
  "6449": "sou",
  "6450": "chuang",
  "6451": "guo",
  "6452": "bing",
  "6453": "feng",
  "6454": "shuai",
  "6455": "di",
  "6456": "qi",
  "6458": "zhai",
  "6459": "lian",
  "6460": "zong",
  "6461": "gai",
  "6462": "hu",
  "6463": "zha",
  "6464": "chuang",
  "6465": "tang",
  "6466": "hua",
  "6467": "cui",
  "6468": "nai",
  "6469": "mo",
  "6470": "nie",
  "6471": "man",
  "6472": "shan",
  "6473": "kou",
  "6474": "shu",
  "6475": "suo",
  "6476": "tuan",
  "6477": "jiao",
  "6478": "mo",
  "6479": "mo",
  "6480": "gou",
  "6481": "qian",
  "6482": "liao",
  "6483": "ji",
  "6484": "ying",
  "6485": "jue",
  "6486": "pie",
  "6487": "pie",
  "6488": "lao",
  "6489": "dun",
  "6490": "cheng",
  "6491": "cheng",
  "6492": "sa",
  "6493": "nao",
  "6494": "heng",
  "6495": "si",
  "6496": "qian",
  "6497": "huang",
  "6498": "da",
  "6499": "zun",
  "6500": "pan",
  "6501": "yang",
  "6502": "lei",
  "6503": "sa",
  "6504": "shu",
  "6505": "zan",
  "6506": "nian",
  "6507": "xian",
  "6508": "jun",
  "6509": "huo",
  "6510": "qian",
  "6511": "qian",
  "6512": "zan",
  "6513": "qian",
  "6514": "lan",
  "6515": "san",
  "6516": "ying",
  "6517": "mei",
  "6518": "rang",
  "6519": "chan",
  "6520": "mi",
  "6521": "li",
  "6522": "zan",
  "6523": "luan",
  "6524": "tan",
  "6525": "zuan",
  "6526": "li",
  "6527": "dian",
  "6528": "wa",
  "6529": "dang",
  "6530": "gui",
  "6531": "gui",
  "6532": "qi",
  "6533": "xin",
  "6534": "pu",
  "6535": "sui",
  "6536": "shou",
  "6537": "kao",
  "6538": "you",
  "6539": "gai",
  "6540": "bo",
  "6541": "dian",
  "6542": "kou",
  "6543": "min",
  "6544": "wu",
  "6545": "gu",
  "6546": "he",
  "6547": "ce",
  "6548": "xiao",
  "6549": "mi",
  "6550": "chen",
  "6551": "jiu",
  "6552": "zhen",
  "6553": "duo",
  "6554": "yu",
  "6555": "chi",
  "6556": "ao",
  "6557": "bai",
  "6558": "xu",
  "6559": "jiao",
  "6560": "duo",
  "6561": "yi",
  "6562": "gan",
  "6563": "san",
  "6564": "ke",
  "6565": "yan",
  "6566": "dun",
  "6567": "qi",
  "6568": "dou",
  "6569": "xiao",
  "6570": "shu",
  "6571": "ai",
  "6572": "qiao",
  "6573": "ai",
  "6574": "zheng",
  "6575": "di",
  "6576": "zhen",
  "6577": "fu",
  "6578": "shu",
  "6579": "liao",
  "6580": "zhuo",
  "6581": "yi",
  "6582": "lian",
  "6583": "bi",
  "6584": "li",
  "6585": "xiao",
  "6586": "xiao",
  "6587": "wen",
  "6588": "xue",
  "6589": "qi",
  "6590": "fei",
  "6591": "ban",
  "6592": "ban",
  "6593": "lan",
  "6594": "yu",
  "6595": "lan",
  "6596": "wei",
  "6597": "dou",
  "6598": "sheng",
  "6599": "liao",
  "6600": "yun",
  "6601": "bei",
  "6602": "ang",
  "6603": "ze",
  "6604": "ban",
  "6605": "jie",
  "6606": "kun",
  "6607": "sheng",
  "6608": "hu",
  "6609": "fang",
  "6610": "fen",
  "6611": "qin",
  "6612": "hu",
  "6613": "yi",
  "6614": "xi",
  "6615": "xin",
  "6616": "yan",
  "6617": "ze",
  "6618": "fang",
  "6619": "tan",
  "6620": "ying",
  "6621": "xuan",
  "6622": "pei",
  "6623": "zhen",
  "6624": "ling",
  "6625": "chun",
  "6626": "hao",
  "6627": "mei",
  "6628": "zuo",
  "6629": "mo",
  "6630": "shi",
  "6631": "yu",
  "6632": "fei",
  "6633": "die",
  "6634": "mao",
  "6635": "ni",
  "6636": "chang",
  "6637": "wen",
  "6638": "dong",
  "6639": "ai",
  "6640": "tiao",
  "6641": "chao",
  "6642": "shi",
  "6643": "huang",
  "6644": "huang",
  "6645": "xuan",
  "6646": "kui",
  "6647": "xu",
  "6648": "jiao",
  "6649": "jin",
  "6650": "gai",
  "6651": "xiang",
  "6652": "shai",
  "6653": "xiao",
  "6654": "ye",
  "6655": "yun",
  "6656": "hui",
  "6657": "han",
  "6658": "han",
  "6659": "jun",
  "6660": "sheng",
  "6661": "bu",
  "6662": "zhe",
  "6663": "zhe",
  "6664": "wu",
  "6665": "han",
  "6666": "hui",
  "6667": "hao",
  "6668": "chen",
  "6669": "wan",
  "6670": "xi",
  "6671": "shan",
  "6672": "yi",
  "6673": "xi",
  "6674": "qing",
  "6675": "qi",
  "6676": "jing",
  "6677": "gui",
  "6678": "zhen",
  "6679": "yi",
  "6680": "wang",
  "6681": "xiao",
  "6682": "zan",
  "6684": "xuan",
  "6685": "xuan",
  "6686": "yi",
  "6687": "xia",
  "6688": "yun",
  "6689": "hui",
  "6690": "wei",
  "6691": "shu",
  "6692": "qing",
  "6693": "mao",
  "6694": "nan",
  "6695": "jian",
  "6696": "nuan",
  "6697": "an",
  "6698": "yang",
  "6699": "chun",
  "6700": "zui",
  "6701": "can",
  "6702": "xu",
  "6703": "hui",
  "6704": "yin",
  "6705": "qie",
  "6706": "fen",
  "6707": "pi",
  "6708": "yue",
  "6709": "you",
  "6710": "qu",
  "6712": "nv",
  "6713": "tiao",
  "6714": "shuo",
  "6715": "zhen",
  "6716": "lang",
  "6717": "lang",
  "6718": "juan",
  "6719": "ming",
  "6720": "ying",
  "6721": "zong",
  "6722": "wang",
  "6723": "tong",
  "6724": "lang",
  "6726": "meng",
  "6727": "long",
  "6728": "mu",
  "6729": "deng",
  "6731": "zhu",
  "6732": "ren",
  "6733": "ba",
  "6734": "po",
  "6735": "duo",
  "6736": "duo",
  "6737": "dao",
  "6738": "li",
  "6739": "qiu",
  "6740": "sha",
  "6742": "za",
  "6743": "quan",
  "6744": "qian",
  "6745": "yu",
  "6746": "gan",
  "6747": "wu",
  "6748": "cha",
  "6749": "shan",
  "6750": "cai",
  "6751": "cun",
  "6752": "ren",
  "6753": "shao",
  "6754": "tuo",
  "6755": "di",
  "6756": "zhang",
  "6757": "mang",
  "6758": "chi",
  "6759": "yi",
  "6760": "gang",
  "6761": "tiao",
  "6765": "lai",
  "6767": "mang",
  "6768": "yang",
  "6769": "ma",
  "6770": "jie",
  "6771": "dong",
  "6772": "gao",
  "6773": "yao",
  "6774": "xian",
  "6775": "chu",
  "6776": "chun",
  "6777": "pa",
  "6778": "shu",
  "6779": "hua",
  "6780": "song",
  "6781": "ji",
  "6782": "yue",
  "6783": "jin",
  "6784": "gou",
  "6785": "ji",
  "6786": "mao",
  "6787": "pi",
  "6788": "bi",
  "6789": "wang",
  "6790": "xi",
  "6791": "hu",
  "6792": "ya",
  "6793": "dou",
  "6794": "xun",
  "6795": "zhen",
  "6796": "yao",
  "6797": "lin",
  "6798": "rui",
  "6799": "e",
  "6800": "zhi",
  "6801": "liu",
  "6802": "mei",
  "6804": "rong",
  "6805": "zha",
  "6807": "biao",
  "6808": "zhan",
  "6809": "jie",
  "6810": "yong",
  "6811": "shu",
  "6812": "xun",
  "6813": "shuan",
  "6814": "qi",
  "6815": "zhen",
  "6816": "qi",
  "6817": "li",
  "6818": "yi",
  "6819": "xiang",
  "6820": "ren",
  "6821": "xiao",
  "6822": "bo",
  "6823": "ren",
  "6824": "bing",
  "6825": "zi",
  "6826": "chou",
  "6827": "yi",
  "6828": "jie",
  "6829": "xu",
  "6830": "fa",
  "6831": "gong",
  "6832": "kao",
  "6833": "lao",
  "6834": "zhan",
  "6835": "li",
  "6837": "yang",
  "6838": "he",
  "6839": "gen",
  "6840": "jie",
  "6841": "heng",
  "6842": "gui",
  "6843": "tao",
  "6844": "guang",
  "6845": "wei",
  "6846": "kuang",
  "6847": "ru",
  "6848": "an",
  "6849": "an",
  "6850": "tong",
  "6851": "sang",
  "6852": "sang",
  "6853": "huan",
  "6854": "jie",
  "6855": "jiu",
  "6856": "xue",
  "6857": "duo",
  "6858": "zhui",
  "6859": "yu",
  "6860": "ya",
  "6861": "nao",
  "6862": "zhen",
  "6863": "dang",
  "6864": "qi",
  "6865": "qiao",
  "6866": "hua",
  "6867": "kuai",
  "6868": "jiang",
  "6869": "zhuang",
  "6870": "gua",
  "6871": "jing",
  "6872": "bo",
  "6873": "ben",
  "6874": "fu",
  "6875": "rui",
  "6876": "tong",
  "6877": "jue",
  "6878": "xi",
  "6879": "lang",
  "6880": "cu",
  "6881": "liang",
  "6882": "qiu",
  "6883": "ting",
  "6884": "you",
  "6885": "mei",
  "6886": "bang",
  "6887": "long",
  "6888": "peng",
  "6889": "zhuang",
  "6890": "bi",
  "6891": "di",
  "6892": "han",
  "6893": "zi",
  "6894": "zhi",
  "6895": "ren",
  "6896": "bei",
  "6897": "geng",
  "6898": "jian",
  "6899": "huan",
  "6900": "wan",
  "6901": "guo",
  "6902": "lu",
  "6903": "hao",
  "6904": "jie",
  "6905": "yi",
  "6906": "chou",
  "6907": "ju",
  "6908": "ju",
  "6909": "cheng",
  "6910": "ju",
  "6911": "bei",
  "6912": "jiao",
  "6913": "zhuo",
  "6914": "zi",
  "6915": "bin",
  "6916": "peng",
  "6917": "ding",
  "6918": "chu",
  "6920": "qian",
  "6924": "luo",
  "6925": "zhi",
  "6930": "ye",
  "6931": "fou",
  "6932": "wei",
  "6933": "wei",
  "6934": "duan",
  "6935": "jia",
  "6936": "zong",
  "6937": "jian",
  "6938": "yi",
  "6939": "shen",
  "6940": "yu",
  "6941": "he",
  "6942": "zha",
  "6943": "wo",
  "6944": "pian",
  "6945": "bi",
  "6946": "yao",
  "6947": "huo",
  "6948": "xu",
  "6949": "ruo",
  "6950": "jie",
  "6951": "kui",
  "6952": "si",
  "6953": "feng",
  "6954": "xie",
  "6955": "tuo",
  "6956": "zhi",
  "6957": "jian",
  "6958": "mu",
  "6959": "mao",
  "6960": "nan",
  "6961": "yu",
  "6962": "you",
  "6963": "mei",
  "6964": "song",
  "6965": "xuan",
  "6966": "xuan",
  "6967": "ying",
  "6968": "zhen",
  "6969": "pian",
  "6970": "yu",
  "6971": "cou",
  "6972": "wei",
  "6973": "mei",
  "6974": "di",
  "6975": "ji",
  "6976": "jie",
  "6977": "kai",
  "6978": "qiu",
  "6979": "ying",
  "6980": "pin",
  "6982": "gai",
  "6983": "tan",
  "6984": "lan",
  "6985": "yun",
  "6986": "yu",
  "6987": "chen",
  "6988": "lv",
  "6989": "ju",
  "6990": "zhan",
  "6991": "fu",
  "6992": "nai",
  "6993": "mi",
  "6994": "lang",
  "6995": "rong",
  "6996": "gu",
  "6997": "jian",
  "6998": "ju",
  "6999": "ta",
  "7000": "you",
  "7001": "yang",
  "7002": "lu",
  "7003": "si",
  "7004": "jie",
  "7005": "ying",
  "7006": "du",
  "7007": "wang",
  "7008": "hui",
  "7009": "xie",
  "7010": "jian",
  "7011": "pu",
  "7012": "se",
  "7013": "cheng",
  "7014": "gu",
  "7015": "bin",
  "7016": "huo",
  "7017": "xian",
  "7018": "lu",
  "7019": "qin",
  "7020": "ying",
  "7021": "sui",
  "7022": "wei",
  "7023": "xie",
  "7024": "huai",
  "7025": "hao",
  "7026": "zhu",
  "7027": "long",
  "7028": "lai",
  "7029": "dui",
  "7030": "mi",
  "7031": "ji",
  "7032": "lian",
  "7033": "jian",
  "7034": "ying",
  "7035": "fen",
  "7036": "lin",
  "7037": "yi",
  "7038": "jian",
  "7039": "yue",
  "7040": "shuang",
  "7041": "yuan",
  "7042": "zhuo",
  "7043": "feng",
  "7044": "she",
  "7045": "lei",
  "7046": "lan",
  "7047": "cong",
  "7048": "qu",
  "7049": "yong",
  "7051": "sa",
  "7052": "zan",
  "7053": "luan",
  "7054": "yan",
  "7055": "li",
  "7056": "mi",
  "7057": "shan",
  "7058": "tan",
  "7059": "dang",
  "7060": "lan",
  "7061": "lan",
  "7062": "nang",
  "7063": "wan",
  "7064": "luan",
  "7065": "xun",
  "7066": "xian",
  "7067": "yan",
  "7068": "gan",
  "7069": "yan",
  "7070": "hui",
  "7071": "xiao",
  "7072": "xiao",
  "7074": "hong",
  "7075": "ling",
  "7076": "zao",
  "7077": "zhuan",
  "7078": "jiu",
  "7079": "zha",
  "7080": "yang",
  "7081": "qi",
  "7082": "zhong",
  "7083": "fen",
  "7084": "niu",
  "7085": "jiong",
  "7086": "wen",
  "7087": "po",
  "7088": "yi",
  "7089": "lu",
  "7090": "pang",
  "7091": "mu",
  "7092": "chao",
  "7093": "liao",
  "7094": "gui",
  "7095": "kang",
  "7096": "tun",
  "7097": "guang",
  "7098": "xin",
  "7099": "zhi",
  "7100": "hu",
  "7102": "shu",
  "7103": "he",
  "7104": "xun",
  "7105": "ku",
  "7106": "jue",
  "7107": "xiao",
  "7108": "xi",
  "7109": "yan",
  "7110": "wu",
  "7113": "han",
  "7114": "yan",
  "7115": "huan",
  "7116": "men",
  "7117": "ju",
  "7118": "chou",
  "7119": "bei",
  "7120": "cui",
  "7121": "wu",
  "7122": "hong",
  "7123": "ju",
  "7124": "fu",
  "7125": "wo",
  "7126": "jiao",
  "7127": "cong",
  "7128": "feng",
  "7129": "ping",
  "7130": "yan",
  "7131": "yan",
  "7132": "yi",
  "7133": "jue",
  "7134": "yu",
  "7135": "gang",
  "7136": "ran",
  "7137": "pi",
  "7138": "gu",
  "7141": "chen",
  "7142": "he",
  "7143": "kui",
  "7144": "zhong",
  "7145": "duan",
  "7146": "xia",
  "7147": "hui",
  "7148": "feng",
  "7149": "lian",
  "7150": "ying",
  "7151": "zhu",
  "7152": "wei",
  "7153": "tuan",
  "7154": "tian",
  "7155": "xi",
  "7156": "nuan",
  "7157": "nuan",
  "7158": "chan",
  "7159": "yan",
  "7160": "ye",
  "7161": "xin",
  "7162": "qiong",
  "7163": "rou",
  "7164": "mei",
  "7165": "huan",
  "7166": "xu",
  "7167": "zhao",
  "7168": "wei",
  "7169": "fan",
  "7170": "gao",
  "7171": "gua",
  "7172": "bao",
  "7173": "hu",
  "7174": "yun",
  "7175": "xia",
  "7178": "bian",
  "7179": "gou",
  "7180": "huang",
  "7181": "xie",
  "7182": "xi",
  "7183": "wu",
  "7184": "xi",
  "7185": "yun",
  "7186": "he",
  "7187": "he",
  "7188": "xi",
  "7189": "yun",
  "7190": "mi",
  "7191": "lian",
  "7192": "ying",
  "7193": "wu",
  "7194": "rong",
  "7197": "qiang",
  "7198": "liu",
  "7199": "xi",
  "7200": "he",
  "7201": "lan",
  "7202": "biao",
  "7203": "rong",
  "7204": "li",
  "7205": "mo",
  "7206": "bao",
  "7207": "ruo",
  "7208": "lv",
  "7209": "la",
  "7210": "lu",
  "7211": "jue",
  "7212": "liao",
  "7213": "yan",
  "7214": "xi",
  "7215": "xie",
  "7216": "long",
  "7217": "ye",
  "7219": "rang",
  "7221": "che",
  "7222": "mi",
  "7223": "tang",
  "7224": "lan",
  "7225": "zhu",
  "7227": "ling",
  "7228": "cuan",
  "7229": "yu",
  "7230": "yuan",
  "7231": "ai",
  "7232": "wei",
  "7234": "jue",
  "7235": "jue",
  "7236": "fu",
  "7237": "ye",
  "7238": "ba",
  "7239": "die",
  "7240": "chuang",
  "7241": "ge",
  "7242": "zang",
  "7243": "die",
  "7244": "qiang",
  "7245": "yong",
  "7246": "qiang",
  "7247": "pian",
  "7248": "ban",
  "7249": "pan",
  "7250": "zha",
  "7251": "bian",
  "7252": "die",
  "7253": "bang",
  "7254": "bo",
  "7255": "chuang",
  "7256": "you",
  "7258": "du",
  "7259": "ya",
  "7260": "tuo",
  "7261": "mu",
  "7262": "lao",
  "7263": "ren",
  "7264": "mang",
  "7265": "fang",
  "7266": "mao",
  "7267": "mu",
  "7268": "gang",
  "7269": "wu",
  "7270": "you",
  "7271": "ge",
  "7272": "sheng",
  "7273": "mu",
  "7274": "di",
  "7275": "qian",
  "7276": "quan",
  "7277": "quan",
  "7278": "zi",
  "7279": "te",
  "7280": "xi",
  "7281": "li",
  "7282": "li",
  "7283": "pou",
  "7284": "ji",
  "7285": "gang",
  "7286": "zhi",
  "7287": "ben",
  "7288": "quan",
  "7289": "run",
  "7290": "ke",
  "7291": "ju",
  "7292": "kao",
  "7293": "chu",
  "7294": "xi",
  "7295": "bei",
  "7296": "luo",
  "7297": "jie",
  "7298": "ma",
  "7299": "san",
  "7300": "sha",
  "7301": "li",
  "7302": "han",
  "7303": "xian",
  "7304": "jing",
  "7305": "pai",
  "7306": "fei",
  "7307": "yao",
  "7308": "ba",
  "7309": "qi",
  "7310": "qiang",
  "7311": "kun",
  "7312": "yan",
  "7313": "guo",
  "7314": "zong",
  "7315": "mi",
  "7316": "chang",
  "7317": "yi",
  "7318": "zhi",
  "7319": "zheng",
  "7321": "luo",
  "7322": "hu",
  "7323": "zong",
  "7324": "ji",
  "7325": "wei",
  "7326": "feng",
  "7327": "wo",
  "7328": "yuan",
  "7329": "xing",
  "7330": "ya",
  "7331": "nao",
  "7332": "xie",
  "7333": "jia",
  "7334": "hou",
  "7335": "bian",
  "7336": "you",
  "7337": "you",
  "7338": "mei",
  "7339": "zha",
  "7340": "sou",
  "7341": "ma",
  "7342": "yuan",
  "7343": "dai",
  "7344": "yu",
  "7345": "shi",
  "7346": "hao",
  "7348": "yi",
  "7349": "zhen",
  "7350": "zhang",
  "7351": "chan",
  "7352": "ao",
  "7353": "ao",
  "7354": "hao",
  "7355": "cui",
  "7356": "fen",
  "7357": "jue",
  "7358": "bi",
  "7359": "bi",
  "7360": "liao",
  "7361": "shuo",
  "7362": "xiao",
  "7365": "xi",
  "7366": "ge",
  "7367": "juan",
  "7368": "du",
  "7369": "hui",
  "7370": "ning",
  "7371": "pin",
  "7372": "huo",
  "7373": "nou",
  "7374": "meng",
  "7375": "lie",
  "7376": "nao",
  "7377": "guang",
  "7378": "shou",
  "7379": "lu",
  "7380": "luo",
  "7381": "xian",
  "7382": "qi",
  "7383": "jue",
  "7384": "xuan",
  "7385": "miao",
  "7386": "zi",
  "7387": "lv",
  "7388": "lu",
  "7389": "yu",
  "7390": "ba",
  "7391": "ji",
  "7392": "hong",
  "7393": "di",
  "7394": "chuan",
  "7395": "gan",
  "7396": "jiu",
  "7397": "yu",
  "7398": "ji",
  "7399": "yu",
  "7400": "han",
  "7401": "xuan",
  "7402": "yan",
  "7403": "qiu",
  "7404": "quan",
  "7405": "lang",
  "7406": "li",
  "7407": "xiu",
  "7408": "fu",
  "7409": "liu",
  "7410": "suo",
  "7413": "wan",
  "7414": "dian",
  "7415": "pin",
  "7416": "zhan",
  "7417": "cui",
  "7418": "min",
  "7419": "yu",
  "7420": "dian",
  "7421": "chu",
  "7422": "zhuo",
  "7423": "pei",
  "7424": "cheng",
  "7425": "hu",
  "7426": "qi",
  "7427": "e",
  "7428": "kun",
  "7429": "chang",
  "7430": "yan",
  "7431": "diao",
  "7432": "bei",
  "7433": "lin",
  "7434": "qin",
  "7435": "pi",
  "7436": "pa",
  "7437": "que",
  "7438": "zhuo",
  "7439": "qin",
  "7440": "yu",
  "7441": "mao",
  "7442": "mei",
  "7444": "xuan",
  "7445": "ti",
  "7446": "xing",
  "7447": "dai",
  "7448": "rou",
  "7449": "min",
  "7450": "jian",
  "7451": "zhuan",
  "7452": "yang",
  "7453": "lian",
  "7454": "quan",
  "7455": "xia",
  "7456": "duan",
  "7457": "yuan",
  "7458": "ye",
  "7459": "nao",
  "7460": "liu",
  "7462": "rong",
  "7463": "suo",
  "7464": "yao",
  "7465": "wen",
  "7466": "wu",
  "7467": "jin",
  "7468": "jin",
  "7469": "ying",
  "7470": "gui",
  "7471": "tian",
  "7472": "qiang",
  "7473": "cuo",
  "7474": "jue",
  "7475": "zhao",
  "7476": "yao",
  "7477": "ai",
  "7478": "bin",
  "7479": "tu",
  "7480": "cui",
  "7481": "cong",
  "7482": "qi",
  "7483": "li",
  "7484": "ying",
  "7485": "suo",
  "7486": "qiu",
  "7487": "xuan",
  "7488": "ao",
  "7489": "lian",
  "7490": "lu",
  "7491": "wu",
  "7492": "deng",
  "7494": "zeng",
  "7495": "xun",
  "7496": "qu",
  "7497": "dang",
  "7498": "lin",
  "7499": "liao",
  "7500": "zhui",
  "7501": "ping",
  "7502": "bian",
  "7503": "zhou",
  "7504": "zhen",
  "7506": "ci",
  "7507": "ying",
  "7508": "qi",
  "7509": "xian",
  "7510": "lin",
  "7511": "zeng",
  "7512": "wu",
  "7513": "pi",
  "7514": "dan",
  "7515": "weng",
  "7516": "ying",
  "7517": "yan",
  "7518": "gan",
  "7519": "dai",
  "7520": "qing",
  "7521": "shen",
  "7522": "chan",
  "7523": "chan",
  "7524": "rui",
  "7525": "sheng",
  "7526": "su",
  "7527": "sen",
  "7528": "yong",
  "7529": "shuai",
  "7530": "tian",
  "7531": "you",
  "7532": "jia",
  "7533": "shen",
  "7534": "zha",
  "7535": "dian",
  "7536": "fu",
  "7537": "nan",
  "7538": "dian",
  "7539": "ping",
  "7540": "bi",
  "7541": "qi",
  "7542": "liu",
  "7543": "xun",
  "7544": "liu",
  "7545": "chang",
  "7546": "mu",
  "7547": "yun",
  "7548": "fan",
  "7549": "fu",
  "7550": "fu",
  "7551": "tian",
  "7552": "mu",
  "7554": "pan",
  "7555": "jiang",
  "7556": "wa",
  "7557": "da",
  "7558": "nan",
  "7559": "liu",
  "7561": "gai",
  "7562": "bi",
  "7563": "da",
  "7564": "zhi",
  "7565": "lve",
  "7566": "qi",
  "7567": "lve",
  "7568": "pan",
  "7570": "yi",
  "7571": "liu",
  "7572": "yu",
  "7573": "die",
  "7574": "chou",
  "7575": "hua",
  "7576": "dang",
  "7577": "chuo",
  "7578": "ji",
  "7579": "wan",
  "7580": "cha",
  "7581": "liu",
  "7583": "tuan",
  "7584": "lin",
  "7585": "jiang",
  "7586": "jiang",
  "7587": "chou",
  "7588": "bo",
  "7589": "die",
  "7590": "zhi",
  "7591": "yi",
  "7592": "chuang",
  "7593": "nai",
  "7594": "ding",
  "7595": "bi",
  "7596": "jie",
  "7597": "liao",
  "7598": "gang",
  "7599": "ge",
  "7600": "yu",
  "7601": "cui",
  "7602": "ya",
  "7603": "zhu",
  "7604": "cu",
  "7605": "dan",
  "7606": "shen",
  "7607": "zhong",
  "7608": "ji",
  "7609": "yu",
  "7610": "yu",
  "7611": "gua",
  "7612": "wen",
  "7613": "huan",
  "7614": "ku",
  "7615": "jia",
  "7616": "yin",
  "7617": "yi",
  "7618": "lv",
  "7619": "sao",
  "7620": "ji",
  "7621": "chuang",
  "7622": "ban",
  "7623": "lei",
  "7624": "liu",
  "7625": "chai",
  "7626": "shou",
  "7627": "nve",
  "7628": "dian",
  "7629": "da",
  "7630": "luo",
  "7631": "yi",
  "7632": "zong",
  "7633": "chou",
  "7634": "zhang",
  "7635": "zhai",
  "7636": "sou",
  "7637": "suo",
  "7638": "que",
  "7639": "diao",
  "7640": "huang",
  "7641": "fu",
  "7642": "liao",
  "7643": "long",
  "7644": "qiao",
  "7645": "liu",
  "7646": "lao",
  "7647": "xian",
  "7648": "fei",
  "7649": "dan",
  "7650": "guai",
  "7651": "nong",
  "7652": "yu",
  "7653": "wei",
  "7654": "yi",
  "7655": "yong",
  "7656": "pi",
  "7657": "lei",
  "7658": "li",
  "7659": "shu",
  "7660": "ji",
  "7661": "chi",
  "7662": "yang",
  "7663": "xian",
  "7664": "jie",
  "7665": "zheng",
  "7667": "li",
  "7668": "huo",
  "7669": "lai",
  "7670": "yong",
  "7671": "tan",
  "7672": "dian",
  "7673": "luo",
  "7674": "luan",
  "7675": "luan",
  "7676": "bo",
  "7678": "gui",
  "7679": "po",
  "7680": "bi",
  "7681": "zao",
  "7682": "zao",
  "7683": "mao",
  "7684": "de",
  "7685": "pa",
  "7686": "jie",
  "7687": "huang",
  "7688": "gui",
  "7689": "ci",
  "7690": "gao",
  "7691": "ai",
  "7692": "e",
  "7693": "hao",
  "7694": "han",
  "7695": "bi",
  "7696": "wan",
  "7697": "chou",
  "7698": "qian",
  "7699": "xi",
  "7700": "ming",
  "7701": "sheng",
  "7702": "shi",
  "7703": "yun",
  "7704": "mian",
  "7705": "pan",
  "7706": "fang",
  "7707": "miao",
  "7708": "dan",
  "7709": "mei",
  "7710": "zheng",
  "7711": "yao",
  "7712": "shen",
  "7713": "huo",
  "7714": "da",
  "7715": "zhen",
  "7716": "kuang",
  "7717": "ju",
  "7718": "shen",
  "7719": "chi",
  "7720": "mian",
  "7721": "di",
  "7722": "yuan",
  "7723": "die",
  "7724": "yi",
  "7725": "zi",
  "7726": "zi",
  "7727": "chao",
  "7728": "zha",
  "7729": "xuan",
  "7730": "die",
  "7731": "yi",
  "7732": "er",
  "7733": "ming",
  "7734": "xuan",
  "7735": "chi",
  "7736": "kuang",
  "7737": "juan",
  "7738": "mou",
  "7739": "zhen",
  "7740": "zhao",
  "7741": "zheng",
  "7742": "mei",
  "7743": "jun",
  "7744": "shao",
  "7745": "han",
  "7746": "huan",
  "7747": "di",
  "7748": "cheng",
  "7749": "cuo",
  "7750": "lai",
  "7751": "jian",
  "7752": "shan",
  "7753": "tian",
  "7754": "hun",
  "7755": "wan",
  "7756": "ling",
  "7757": "shi",
  "7758": "qiong",
  "7759": "lie",
  "7760": "juan",
  "7761": "shui",
  "7762": "sui",
  "7763": "du",
  "7764": "bi",
  "7765": "bi",
  "7766": "mu",
  "7767": "hun",
  "7768": "ni",
  "7769": "lu",
  "7770": "ma",
  "7771": "xia",
  "7772": "xing",
  "7773": "xi",
  "7774": "gun",
  "7776": "chun",
  "7777": "jian",
  "7778": "mei",
  "7779": "du",
  "7780": "mao",
  "7781": "xu",
  "7782": "fa",
  "7783": "wen",
  "7784": "miao",
  "7785": "chou",
  "7786": "kui",
  "7787": "mi",
  "7788": "weng",
  "7789": "kou",
  "7790": "mao",
  "7791": "ming",
  "7792": "man",
  "7793": "shui",
  "7794": "ze",
  "7795": "zhang",
  "7796": "yi",
  "7797": "diao",
  "7798": "ou",
  "7799": "mo",
  "7800": "dang",
  "7801": "ma",
  "7802": "sha",
  "7803": "dan",
  "7804": "jue",
  "7805": "li",
  "7806": "fu",
  "7807": "min",
  "7808": "nuo",
  "7809": "huo",
  "7810": "e",
  "7811": "ya",
  "7812": "pi",
  "7813": "zhe",
  "7814": "yan",
  "7815": "sui",
  "7816": "zhuan",
  "7817": "che",
  "7818": "dun",
  "7819": "pan",
  "7820": "qu",
  "7821": "yu",
  "7822": "luo",
  "7823": "tuo",
  "7824": "tuo",
  "7825": "di",
  "7826": "zhai",
  "7827": "zhen",
  "7828": "ai",
  "7829": "fei",
  "7830": "peng",
  "7831": "ling",
  "7832": "pao",
  "7833": "le",
  "7834": "po",
  "7835": "bo",
  "7836": "po",
  "7837": "shen",
  "7838": "za",
  "7839": "nuo",
  "7840": "chu",
  "7841": "keng",
  "7842": "quan",
  "7843": "zhu",
  "7844": "kuang",
  "7845": "gui",
  "7846": "e",
  "7847": "nao",
  "7848": "jia",
  "7849": "lu",
  "7850": "tong",
  "7851": "peng",
  "7852": "xi",
  "7854": "hong",
  "7855": "shuo",
  "7856": "xia",
  "7857": "qiao",
  "7859": "wei",
  "7860": "lang",
  "7861": "hong",
  "7862": "yu",
  "7863": "xiao",
  "7864": "xia",
  "7865": "mang",
  "7866": "long",
  "7867": "yong",
  "7868": "che",
  "7869": "che",
  "7870": "sha",
  "7871": "kun",
  "7872": "yu",
  "7875": "lu",
  "7876": "chen",
  "7877": "jian",
  "7878": "nve",
  "7879": "song",
  "7880": "ceng",
  "7881": "qi",
  "7882": "zong",
  "7883": "qing",
  "7884": "lin",
  "7885": "jun",
  "7886": "bo",
  "7887": "ding",
  "7888": "min",
  "7889": "diao",
  "7890": "ling",
  "7891": "bei",
  "7892": "yin",
  "7893": "dui",
  "7894": "wu",
  "7895": "qi",
  "7896": "lun",
  "7897": "wan",
  "7898": "dian",
  "7899": "gang",
  "7901": "jiao",
  "7903": "zhang",
  "7904": "qiao",
  "7905": "dun",
  "7906": "xian",
  "7907": "yu",
  "7908": "zhui",
  "7909": "he",
  "7910": "que",
  "7911": "dang",
  "7912": "yi",
  "7913": "jiang",
  "7914": "pi",
  "7915": "pi",
  "7916": "yu",
  "7917": "pin",
  "7918": "qi",
  "7919": "ai",
  "7920": "ci",
  "7921": "bo",
  "7923": "mie",
  "7924": "ca",
  "7925": "xian",
  "7926": "kuang",
  "7927": "lei",
  "7928": "lei",
  "7929": "zhi",
  "7930": "li",
  "7931": "long",
  "7932": "long",
  "7933": "mo",
  "7934": "bo",
  "7935": "shuang",
  "7936": "guan",
  "7937": "lan",
  "7938": "zan",
  "7939": "yan",
  "7940": "si",
  "7941": "qi",
  "7942": "ta",
  "7943": "ma",
  "7944": "xie",
  "7945": "yao",
  "7946": "xian",
  "7947": "qi",
  "7948": "qi",
  "7949": "zhi",
  "7950": "you",
  "7951": "zhi",
  "7952": "tiao",
  "7953": "fu",
  "7954": "fu",
  "7955": "mi",
  "7956": "zu",
  "7957": "zhi",
  "7958": "suan",
  "7959": "mei",
  "7960": "ci",
  "7961": "chai",
  "7962": "mi",
  "7963": "lv",
  "7964": "yu",
  "7965": "xiang",
  "7966": "wu",
  "7967": "tiao",
  "7968": "piao",
  "7969": "zhu",
  "7970": "gao",
  "7971": "shui",
  "7972": "jin",
  "7973": "chen",
  "7974": "gai",
  "7975": "kun",
  "7976": "di",
  "7977": "dao",
  "7978": "huo",
  "7979": "tao",
  "7980": "bing",
  "7981": "jin",
  "7982": "dao",
  "7983": "zhi",
  "7984": "lu",
  "7985": "shan",
  "7986": "bei",
  "7987": "zhe",
  "7988": "hui",
  "7989": "you",
  "7990": "yuan",
  "7991": "wu",
  "7992": "xian",
  "7993": "yang",
  "7994": "ti",
  "7995": "yi",
  "7996": "mei",
  "7997": "si",
  "7998": "di",
  "8000": "yao",
  "8001": "lao",
  "8003": "kao",
  "8004": "mao",
  "8005": "zhe",
  "8006": "qi",
  "8007": "gou",
  "8008": "gou",
  "8009": "gou",
  "8010": "nai",
  "8011": "zhuan",
  "8012": "lei",
  "8013": "ting",
  "8014": "zi",
  "8015": "geng",
  "8016": "chao",
  "8017": "hao",
  "8018": "yun",
  "8019": "ba",
  "8020": "he",
  "8021": "chu",
  "8022": "lao",
  "8023": "lun",
  "8024": "ji",
  "8025": "tang",
  "8026": "ou",
  "8027": "lou",
  "8028": "nou",
  "8029": "jiang",
  "8030": "you",
  "8031": "mo",
  "8032": "huai",
  "8033": "er",
  "8034": "zhe",
  "8035": "ting",
  "8036": "ye",
  "8037": "da",
  "8038": "song",
  "8039": "qin",
  "8040": "zhi",
  "8042": "nie",
  "8043": "dan",
  "8044": "zhen",
  "8045": "che",
  "8046": "ling",
  "8047": "zheng",
  "8048": "you",
  "8049": "wa",
  "8050": "ya",
  "8051": "die",
  "8052": "gua",
  "8054": "lian",
  "8055": "hao",
  "8056": "sheng",
  "8057": "lie",
  "8058": "pin",
  "8059": "jing",
  "8060": "ping",
  "8061": "cong",
  "8064": "ting",
  "8065": "yu",
  "8066": "cong",
  "8067": "kui",
  "8069": "kui",
  "8070": "cong",
  "8071": "ao",
  "8072": "sheng",
  "8073": "song",
  "8074": "ting",
  "8075": "kui",
  "8076": "nie",
  "8077": "zhi",
  "8078": "dan",
  "8079": "ning",
  "8080": "yu",
  "8081": "zhao",
  "8082": "si",
  "8083": "su",
  "8084": "yi",
  "8085": "su",
  "8086": "si",
  "8087": "zhao",
  "8088": "zhao",
  "8089": "rou",
  "8090": "ge",
  "8091": "di",
  "8092": "huan",
  "8093": "huang",
  "8094": "yi",
  "8095": "ren",
  "8096": "xiao",
  "8097": "ru",
  "8098": "zhou",
  "8099": "yuan",
  "8100": "cheng",
  "8101": "tiao",
  "8102": "zhi",
  "8103": "cui",
  "8104": "mei",
  "8105": "xie",
  "8106": "cui",
  "8107": "xie",
  "8108": "mai",
  "8109": "mai",
  "8110": "qi",
  "8111": "nao",
  "8112": "mi",
  "8113": "nong",
  "8114": "luan",
  "8115": "wan",
  "8116": "bo",
  "8117": "wen",
  "8118": "guan",
  "8119": "qiu",
  "8120": "shan",
  "8121": "ting",
  "8122": "mei",
  "8123": "chun",
  "8124": "shen",
  "8125": "qian",
  "8126": "te",
  "8127": "zui",
  "8128": "cu",
  "8129": "xiu",
  "8130": "dou",
  "8131": "tuo",
  "8132": "niao",
  "8134": "pi",
  "8135": "gu",
  "8136": "gua",
  "8137": "li",
  "8138": "lian",
  "8139": "zhang",
  "8140": "lun",
  "8141": "pian",
  "8142": "guo",
  "8143": "kui",
  "8144": "chui",
  "8145": "dan",
  "8146": "tian",
  "8147": "nei",
  "8148": "jing",
  "8149": "jie",
  "8150": "fu",
  "8151": "fu",
  "8152": "ju",
  "8153": "fei",
  "8154": "qiang",
  "8155": "wan",
  "8156": "dong",
  "8157": "pi",
  "8158": "guo",
  "8159": "zong",
  "8160": "cou",
  "8161": "gua",
  "8162": "ou",
  "8163": "di",
  "8164": "an",
  "8165": "xing",
  "8166": "nao",
  "8167": "yu",
  "8168": "chuan",
  "8169": "nan",
  "8170": "yao",
  "8171": "jian",
  "8172": "wei",
  "8173": "jiao",
  "8174": "yu",
  "8175": "jia",
  "8176": "duan",
  "8177": "bi",
  "8178": "chang",
  "8179": "fu",
  "8180": "bang",
  "8181": "qian",
  "8182": "lv",
  "8183": "wa",
  "8184": "sou",
  "8185": "tang",
  "8186": "su",
  "8187": "zhui",
  "8188": "ge",
  "8189": "yi",
  "8190": "lv",
  "8191": "bin",
  "8193": "chang",
  "8194": "lu",
  "8195": "guo",
  "8196": "pang",
  "8197": "chuai",
  "8198": "piao",
  "8199": "jiang",
  "8200": "yao",
  "8201": "yu",
  "8202": "chong",
  "8203": "xi",
  "8204": "xi",
  "8205": "jiu",
  "8206": "yu",
  "8207": "yu",
  "8208": "xing",
  "8209": "ju",
  "8210": "shi",
  "8211": "tan",
  "8212": "shu",
  "8213": "shi",
  "8214": "tian",
  "8215": "dan",
  "8216": "pu",
  "8217": "pu",
  "8218": "guan",
  "8219": "hua",
  "8220": "dao",
  "8221": "gang",
  "8222": "shan",
  "8223": "yi",
  "8225": "pa",
  "8226": "tai",
  "8227": "fan",
  "8228": "ban",
  "8229": "chuan",
  "8230": "jian",
  "8231": "cang",
  "8232": "ling",
  "8233": "zhu",
  "8234": "ze",
  "8235": "duo",
  "8236": "bo",
  "8237": "xian",
  "8238": "ge",
  "8239": "chuan",
  "8240": "fu",
  "8241": "zao",
  "8242": "feng",
  "8243": "li",
  "8244": "shao",
  "8245": "yu",
  "8246": "lang",
  "8247": "ting",
  "8249": "wei",
  "8250": "zong",
  "8251": "bian",
  "8252": "mao",
  "8253": "die",
  "8255": "bang",
  "8256": "cha",
  "8257": "yi",
  "8258": "sao",
  "8259": "cang",
  "8261": "dang",
  "8262": "tan",
  "8263": "lu",
  "8264": "yi",
  "8265": "jie",
  "8266": "jian",
  "8267": "huo",
  "8268": "meng",
  "8269": "qi",
  "8270": "jian",
  "8271": "jian",
  "8272": "se",
  "8273": "yan",
  "8274": "fu",
  "8275": "ping",
  "8276": "yan",
  "8277": "yan",
  "8278": "cao",
  "8280": "tiao",
  "8281": "jiao",
  "8282": "jie",
  "8283": "peng",
  "8284": "wan",
  "8285": "yi",
  "8286": "chai",
  "8287": "mian",
  "8288": "mie",
  "8289": "gan",
  "8290": "xia",
  "8291": "qi",
  "8292": "mang",
  "8293": "zi",
  "8294": "hui",
  "8295": "sui",
  "8296": "zhi",
  "8297": "xiang",
  "8298": "pi",
  "8299": "fu",
  "8300": "fu",
  "8301": "zhuo",
  "8302": "mao",
  "8303": "fan",
  "8304": "qie",
  "8305": "mao",
  "8306": "mao",
  "8307": "ba",
  "8308": "zi",
  "8309": "mo",
  "8311": "niao",
  "8313": "xue",
  "8314": "ying",
  "8315": "qiong",
  "8316": "ge",
  "8317": "ming",
  "8318": "li",
  "8319": "rong",
  "8320": "xiu",
  "8321": "zi",
  "8322": "lie",
  "8323": "wu",
  "8324": "ji",
  "8325": "gui",
  "8326": "ce",
  "8327": "chong",
  "8328": "ci",
  "8329": "gou",
  "8330": "yu",
  "8331": "zhu",
  "8332": "zi",
  "8333": "jiang",
  "8334": "hui",
  "8335": "yin",
  "8336": "cha",
  "8337": "fa",
  "8338": "rong",
  "8339": "ru",
  "8340": "xun",
  "8341": "huan",
  "8342": "kua",
  "8343": "quan",
  "8344": "gai",
  "8345": "da",
  "8346": "jing",
  "8347": "xing",
  "8348": "chuan",
  "8349": "cao",
  "8350": "jian",
  "8351": "ti",
  "8352": "huang",
  "8353": "ping",
  "8354": "li",
  "8355": "jin",
  "8356": "lao",
  "8357": "shu",
  "8358": "zhuang",
  "8359": "da",
  "8360": "qi",
  "8361": "dang",
  "8363": "rong",
  "8364": "hun",
  "8365": "ying",
  "8366": "luo",
  "8367": "ying",
  "8368": "xun",
  "8369": "jin",
  "8370": "du",
  "8371": "wei",
  "8372": "chu",
  "8373": "dou",
  "8374": "fu",
  "8375": "ren",
  "8376": "yin",
  "8377": "he",
  "8378": "bi",
  "8379": "bu",
  "8380": "chen",
  "8381": "wu",
  "8382": "bie",
  "8383": "xi",
  "8384": "geng",
  "8385": "li",
  "8386": "fu",
  "8387": "zhu",
  "8388": "mo",
  "8389": "li",
  "8390": "chen",
  "8391": "feng",
  "8392": "ju",
  "8393": "mei",
  "8394": "meng",
  "8395": "xing",
  "8396": "jing",
  "8397": "che",
  "8398": "shen",
  "8399": "jun",
  "8400": "hu",
  "8401": "qi",
  "8402": "he",
  "8403": "cui",
  "8404": "tao",
  "8405": "chun",
  "8406": "pi",
  "8407": "chang",
  "8408": "huan",
  "8409": "fei",
  "8410": "sha",
  "8411": "huan",
  "8412": "yan",
  "8413": "yi",
  "8414": "tiao",
  "8415": "qi",
  "8416": "wan",
  "8417": "ce",
  "8418": "nai",
  "8420": "meng",
  "8424": "ying",
  "8425": "ying",
  "8426": "ying",
  "8427": "xiao",
  "8428": "sa",
  "8429": "qiu",
  "8430": "lian",
  "8431": "xuan",
  "8432": "yuan",
  "8433": "nan",
  "8434": "ze",
  "8435": "wo",
  "8436": "chun",
  "8437": "xiao",
  "8438": "yu",
  "8439": "pian",
  "8440": "gua",
  "8441": "jiang",
  "8442": "mian",
  "8443": "zuo",
  "8444": "zuo",
  "8445": "ju",
  "8446": "bao",
  "8447": "rou",
  "8448": "xi",
  "8449": "ye",
  "8450": "pen",
  "8451": "feng",
  "8452": "hong",
  "8453": "hong",
  "8454": "hou",
  "8455": "yan",
  "8456": "tu",
  "8457": "zhu",
  "8458": "zi",
  "8459": "xiang",
  "8460": "shen",
  "8461": "pu",
  "8462": "gai",
  "8463": "dong",
  "8464": "zhou",
  "8465": "qian",
  "8466": "wei",
  "8467": "bo",
  "8468": "wei",
  "8469": "pa",
  "8470": "jun",
  "8471": "cong",
  "8472": "quan",
  "8473": "wei",
  "8474": "zhen",
  "8475": "kui",
  "8476": "ting",
  "8477": "hun",
  "8478": "xi",
  "8479": "shi",
  "8480": "yun",
  "8481": "shu",
  "8482": "di",
  "8483": "zhuan",
  "8484": "guan",
  "8486": "xue",
  "8487": "chan",
  "8488": "kai",
  "8489": "kui",
  "8490": "sou",
  "8491": "yin",
  "8492": "shi",
  "8493": "chun",
  "8494": "shi",
  "8495": "yun",
  "8496": "zhen",
  "8497": "lang",
  "8498": "nu",
  "8499": "meng",
  "8500": "bu",
  "8501": "zhang",
  "8502": "luo",
  "8503": "jiang",
  "8504": "man",
  "8505": "yan",
  "8506": "ling",
  "8507": "ji",
  "8508": "piao",
  "8509": "gun",
  "8510": "di",
  "8511": "mie",
  "8512": "xun",
  "8513": "man",
  "8514": "bo",
  "8515": "di",
  "8516": "cuo",
  "8517": "zhe",
  "8518": "sen",
  "8519": "xuan",
  "8520": "zhong",
  "8521": "cai",
  "8522": "po",
  "8523": "jiang",
  "8524": "mi",
  "8525": "cong",
  "8526": "niao",
  "8527": "hui",
  "8528": "jun",
  "8529": "yin",
  "8530": "hu",
  "8531": "sha",
  "8532": "kou",
  "8533": "qian",
  "8534": "ma",
  "8535": "zang",
  "8537": "qiang",
  "8538": "dou",
  "8539": "lian",
  "8540": "ji",
  "8541": "xun",
  "8542": "sheng",
  "8543": "fan",
  "8544": "meng",
  "8545": "ou",
  "8546": "chan",
  "8547": "dian",
  "8548": "xun",
  "8549": "jiao",
  "8550": "hua",
  "8551": "jian",
  "8552": "mai",
  "8553": "yun",
  "8554": "bao",
  "8555": "you",
  "8556": "qu",
  "8557": "lu",
  "8558": "rao",
  "8559": "hui",
  "8560": "ru",
  "8561": "fen",
  "8562": "kui",
  "8563": "shun",
  "8564": "rui",
  "8565": "ya",
  "8566": "xu",
  "8567": "fu",
  "8568": "jue",
  "8569": "dang",
  "8570": "yun",
  "8572": "qi",
  "8573": "jian",
  "8574": "yun",
  "8575": "sun",
  "8576": "ling",
  "8577": "yu",
  "8578": "xia",
  "8579": "yong",
  "8580": "yun",
  "8581": "yu",
  "8582": "xi",
  "8583": "hao",
  "8584": "bo",
  "8585": "hao",
  "8586": "ai",
  "8587": "wei",
  "8588": "hui",
  "8589": "wei",
  "8590": "leng",
  "8591": "jiang",
  "8592": "can",
  "8593": "shen",
  "8594": "qiang",
  "8595": "lian",
  "8596": "ke",
  "8597": "yuan",
  "8598": "da",
  "8599": "ti",
  "8600": "tuo",
  "8601": "wu",
  "8602": "rui",
  "8603": "rui",
  "8604": "qi",
  "8605": "heng",
  "8606": "lu",
  "8607": "su",
  "8608": "tui",
  "8609": "mang",
  "8610": "xian",
  "8611": "mo",
  "8613": "su",
  "8614": "jiong",
  "8616": "nie",
  "8617": "bo",
  "8618": "rang",
  "8619": "yi",
  "8620": "qiang",
  "8621": "ying",
  "8622": "long",
  "8623": "tong",
  "8624": "wei",
  "8625": "yue",
  "8626": "ling",
  "8627": "qu",
  "8628": "yao",
  "8629": "fan",
  "8631": "lei",
  "8632": "lei",
  "8633": "hua",
  "8634": "feng",
  "8635": "zhi",
  "8636": "wei",
  "8637": "kui",
  "8638": "zhan",
  "8639": "huai",
  "8640": "ji",
  "8641": "kui",
  "8642": "lu",
  "8643": "jian",
  "8646": "lei",
  "8647": "quan",
  "8648": "xiao",
  "8649": "yi",
  "8650": "nve",
  "8651": "lv",
  "8652": "si",
  "8653": "xiao",
  "8654": "qian",
  "8655": "chu",
  "8656": "hu",
  "8657": "xu",
  "8658": "cuo",
  "8659": "fu",
  "8660": "jiao",
  "8661": "ju",
  "8662": "guo",
  "8663": "bao",
  "8664": "yan",
  "8665": "zhan",
  "8666": "zhan",
  "8667": "kui",
  "8668": "ban",
  "8669": "xi",
  "8670": "cheng",
  "8671": "shi",
  "8673": "di",
  "8674": "zhe",
  "8675": "she",
  "8676": "yu",
  "8677": "gan",
  "8678": "zi",
  "8679": "hong",
  "8680": "shi",
  "8681": "yi",
  "8682": "ma",
  "8683": "xiang",
  "8684": "fang",
  "8685": "e",
  "8686": "pa",
  "8687": "chi",
  "8688": "qian",
  "8689": "wen",
  "8690": "jun",
  "8691": "qi",
  "8692": "tong",
  "8693": "yin",
  "8694": "qi",
  "8695": "can",
  "8696": "yuan",
  "8697": "jue",
  "8698": "hui",
  "8699": "qin",
  "8700": "shu",
  "8701": "xuan",
  "8702": "feng",
  "8703": "shen",
  "8704": "zhen",
  "8705": "fu",
  "8706": "xian",
  "8707": "zhe",
  "8708": "wu",
  "8709": "fu",
  "8710": "jie",
  "8711": "dan",
  "8712": "yan",
  "8713": "ting",
  "8714": "dian",
  "8715": "shui",
  "8716": "hui",
  "8717": "gua",
  "8718": "zhi",
  "8719": "song",
  "8720": "jun",
  "8721": "la",
  "8722": "meng",
  "8723": "qiang",
  "8724": "si",
  "8725": "xi",
  "8726": "lun",
  "8727": "li",
  "8728": "die",
  "8729": "tiao",
  "8730": "fei",
  "8731": "pi",
  "8732": "wei",
  "8733": "dun",
  "8734": "yi",
  "8735": "yuan",
  "8736": "su",
  "8737": "quan",
  "8738": "qian",
  "8739": "rui",
  "8740": "dong",
  "8741": "e",
  "8742": "ban",
  "8743": "di",
  "8744": "wang",
  "8745": "can",
  "8746": "yang",
  "8747": "ying",
  "8748": "guo",
  "8749": "chan",
  "8750": "mai",
  "8751": "xu",
  "8752": "mian",
  "8753": "yu",
  "8754": "jie",
  "8755": "shi",
  "8756": "xuan",
  "8757": "huang",
  "8758": "yan",
  "8759": "bian",
  "8760": "fu",
  "8761": "ruan",
  "8762": "xie",
  "8763": "you",
  "8764": "qiu",
  "8765": "mao",
  "8766": "xia",
  "8767": "ying",
  "8768": "shi",
  "8769": "chong",
  "8770": "hui",
  "8771": "meng",
  "8772": "la",
  "8773": "du",
  "8774": "hu",
  "8775": "qiu",
  "8776": "die",
  "8777": "li",
  "8778": "gua",
  "8779": "yun",
  "8780": "jiang",
  "8782": "lang",
  "8783": "pang",
  "8784": "si",
  "8785": "xi",
  "8786": "ci",
  "8787": "xi",
  "8788": "yuan",
  "8789": "weng",
  "8790": "wu",
  "8791": "qiu",
  "8792": "han",
  "8793": "qin",
  "8794": "yi",
  "8795": "bi",
  "8796": "hua",
  "8797": "tang",
  "8798": "yi",
  "8799": "du",
  "8800": "ci",
  "8801": "xiang",
  "8802": "she",
  "8803": "luo",
  "8804": "qin",
  "8805": "ying",
  "8806": "chai",
  "8807": "li",
  "8808": "ze",
  "8809": "xuan",
  "8810": "qi",
  "8811": "rong",
  "8812": "jian",
  "8813": "meng",
  "8814": "hao",
  "8815": "ru",
  "8816": "huo",
  "8817": "zhuo",
  "8818": "jie",
  "8819": "bin",
  "8820": "mi",
  "8821": "li",
  "8822": "chun",
  "8823": "li",
  "8824": "qiu",
  "8825": "nie",
  "8826": "lu",
  "8827": "du",
  "8828": "xiao",
  "8829": "zhu",
  "8830": "shang",
  "8831": "gu",
  "8832": "juan",
  "8833": "ying",
  "8835": "xi",
  "8836": "can",
  "8837": "qu",
  "8838": "quan",
  "8839": "du",
  "8840": "xie",
  "8841": "huang",
  "8842": "niu",
  "8843": "pei",
  "8844": "nv",
  "8845": "xin",
  "8846": "zhong",
  "8847": "mo",
  "8848": "er",
  "8849": "ke",
  "8851": "ling",
  "8852": "xuan",
  "8853": "shu",
  "8854": "xian",
  "8855": "tong",
  "8856": "long",
  "8857": "jie",
  "8858": "xian",
  "8859": "ya",
  "8860": "zhun",
  "8861": "heng",
  "8862": "qu",
  "8863": "yi",
  "8865": "bu",
  "8866": "gan",
  "8867": "yu",
  "8868": "biao",
  "8869": "cha",
  "8870": "shuai",
  "8871": "jie",
  "8872": "na",
  "8873": "zhong",
  "8874": "dan",
  "8875": "ri",
  "8876": "zhong",
  "8877": "zhong",
  "8878": "xie",
  "8879": "qi",
  "8880": "jun",
  "8881": "yuan",
  "8882": "mei",
  "8883": "chai",
  "8884": "ao",
  "8885": "niao",
  "8886": "hui",
  "8887": "ran",
  "8888": "jia",
  "8889": "tuo",
  "8890": "bi",
  "8891": "shao",
  "8892": "tan",
  "8893": "ju",
  "8894": "he",
  "8895": "shu",
  "8896": "xiu",
  "8897": "zhen",
  "8898": "yi",
  "8899": "pa",
  "8900": "ji",
  "8901": "zhi",
  "8902": "gua",
  "8903": "ken",
  "8905": "ti",
  "8906": "ti",
  "8907": "fu",
  "8908": "chong",
  "8909": "xie",
  "8910": "he",
  "8911": "yuan",
  "8912": "bao",
  "8913": "bao",
  "8914": "fu",
  "8915": "yu",
  "8916": "tuan",
  "8917": "yan",
  "8918": "hui",
  "8919": "bei",
  "8920": "gou",
  "8921": "da",
  "8922": "huai",
  "8923": "rong",
  "8924": "yuan",
  "8925": "ru",
  "8926": "nai",
  "8927": "jiong",
  "8928": "suo",
  "8929": "ban",
  "8930": "qian",
  "8931": "huai",
  "8932": "ku",
  "8933": "lian",
  "8934": "bao",
  "8935": "li",
  "8936": "zhe",
  "8937": "shi",
  "8938": "lv",
  "8939": "yi",
  "8940": "ji",
  "8941": "jiang",
  "8942": "sen",
  "8943": "bao",
  "8944": "xiang",
  "8946": "pu",
  "8947": "jian",
  "8948": "zhuan",
  "8949": "jian",
  "8950": "xiang",
  "8951": "xin",
  "8952": "bie",
  "8953": "rao",
  "8954": "man",
  "8955": "lan",
  "8956": "ao",
  "8957": "duo",
  "8958": "gui",
  "8959": "cao",
  "8960": "dang",
  "8961": "shu",
  "8962": "tan",
  "8963": "bi",
  "8964": "lan",
  "8965": "pu",
  "8966": "ru",
  "8967": "zhi",
  "8969": "shu",
  "8970": "lai",
  "8971": "long",
  "8972": "xi",
  "8973": "xian",
  "8974": "lan",
  "8975": "zhe",
  "8976": "dai",
  "8978": "zan",
  "8979": "shi",
  "8980": "xi",
  "8981": "yao",
  "8982": "feng",
  "8983": "tan",
  "8985": "biao",
  "8986": "fu",
  "8987": "ba",
  "8988": "he",
  "8989": "ji",
  "8990": "jue",
  "8991": "pian",
  "8992": "mao",
  "8993": "mi",
  "8994": "mi",
  "8995": "mie",
  "8996": "shi",
  "8997": "si",
  "8998": "zhan",
  "8999": "luo",
  "9000": "tui",
  "9001": "song",
  "9002": "shi",
  "9003": "tao",
  "9004": "pang",
  "9005": "hou",
  "9006": "ni",
  "9007": "dun",
  "9008": "jiong",
  "9009": "xuan",
  "9010": "zhu",
  "9011": "qiu",
  "9012": "di",
  "9013": "di",
  "9014": "tu",
  "9015": "jing",
  "9016": "ti",
  "9017": "dou",
  "9018": "yi",
  "9019": "zhe",
  "9020": "zao",
  "9021": "qun",
  "9022": "feng",
  "9023": "lian",
  "9024": "suo",
  "9025": "hui",
  "9026": "li",
  "9028": "lai",
  "9029": "ben",
  "9030": "you",
  "9031": "zhou",
  "9032": "jin",
  "9033": "yu",
  "9034": "chuo",
  "9035": "kui",
  "9036": "wei",
  "9037": "ti",
  "9038": "yi",
  "9039": "da",
  "9040": "sui",
  "9041": "dun",
  "9042": "sui",
  "9043": "yan",
  "9044": "chuan",
  "9045": "chi",
  "9046": "ti",
  "9047": "yu",
  "9048": "shi",
  "9049": "zhen",
  "9050": "xia",
  "9051": "huang",
  "9052": "qiu",
  "9053": "dao",
  "9054": "da",
  "9055": "wei",
  "9057": "yi",
  "9058": "gou",
  "9059": "yao",
  "9060": "yuan",
  "9061": "su",
  "9062": "ta",
  "9063": "qian",
  "9065": "yao",
  "9066": "guan",
  "9067": "zhang",
  "9068": "ao",
  "9069": "shi",
  "9070": "di",
  "9071": "lou",
  "9072": "chi",
  "9073": "cuo",
  "9074": "lin",
  "9075": "zun",
  "9076": "rao",
  "9077": "qian",
  "9078": "xuan",
  "9079": "yu",
  "9080": "yao",
  "9081": "mai",
  "9082": "xie",
  "9083": "sui",
  "9084": "huan",
  "9085": "zhan",
  "9086": "teng",
  "9087": "er",
  "9088": "miao",
  "9089": "bian",
  "9090": "li",
  "9091": "yi",
  "9092": "ting",
  "9093": "deng",
  "9094": "qi",
  "9095": "yong",
  "9096": "shan",
  "9097": "han",
  "9098": "yu",
  "9099": "mang",
  "9100": "ruo",
  "9101": "bei",
  "9102": "e",
  "9103": "yu",
  "9104": "juan",
  "9105": "yu",
  "9106": "yun",
  "9107": "hou",
  "9108": "kui",
  "9109": "xiang",
  "9110": "chu",
  "9111": "zi",
  "9112": "zou",
  "9113": "ju",
  "9114": "wu",
  "9115": "xiang",
  "9116": "yun",
  "9117": "hao",
  "9118": "yong",
  "9119": "bi",
  "9120": "hu",
  "9121": "qiao",
  "9122": "yan",
  "9123": "zhang",
  "9124": "man",
  "9125": "qiao",
  "9126": "xu",
  "9127": "deng",
  "9128": "bi",
  "9129": "xin",
  "9130": "lin",
  "9131": "po",
  "9132": "dan",
  "9133": "meng",
  "9134": "ye",
  "9135": "cao",
  "9136": "kuai",
  "9137": "feng",
  "9138": "meng",
  "9139": "zou",
  "9140": "yan",
  "9141": "chan",
  "9142": "zan",
  "9143": "ling",
  "9144": "huan",
  "9145": "xi",
  "9146": "feng",
  "9147": "zan",
  "9148": "li",
  "9149": "you",
  "9150": "hang",
  "9151": "yu",
  "9152": "jiu",
  "9153": "yan",
  "9154": "zui",
  "9155": "mao",
  "9156": "dan",
  "9157": "xu",
  "9158": "tou",
  "9159": "zhen",
  "9160": "qia",
  "9161": "tuo",
  "9162": "zuo",
  "9163": "han",
  "9164": "gu",
  "9165": "su",
  "9166": "po",
  "9167": "chou",
  "9168": "zai",
  "9169": "ming",
  "9170": "xian",
  "9171": "jiang",
  "9172": "cheng",
  "9173": "yin",
  "9174": "tu",
  "9175": "jiao",
  "9176": "mei",
  "9177": "ku",
  "9178": "suan",
  "9179": "lei",
  "9180": "wei",
  "9181": "lu",
  "9182": "lan",
  "9183": "yan",
  "9184": "tao",
  "9185": "pei",
  "9186": "zhan",
  "9187": "chun",
  "9188": "tan",
  "9189": "zui",
  "9190": "hu",
  "9191": "xu",
  "9192": "xing",
  "9193": "tan",
  "9194": "jiu",
  "9195": "chun",
  "9196": "yun",
  "9197": "po",
  "9198": "ke",
  "9199": "sou",
  "9200": "ba",
  "9201": "fang",
  "9202": "chen",
  "9203": "xing",
  "9204": "dou",
  "9205": "yue",
  "9206": "yan",
  "9207": "fu",
  "9208": "pi",
  "9209": "na",
  "9210": "qian",
  "9211": "ban",
  "9212": "ji",
  "9213": "ren",
  "9214": "chao",
  "9215": "niu",
  "9216": "fen",
  "9217": "yun",
  "9218": "ji",
  "9219": "qin",
  "9220": "yi",
  "9221": "zhong",
  "9222": "nie",
  "9223": "gai",
  "9224": "ri",
  "9225": "huo",
  "9226": "tai",
  "9227": "kang",
  "9230": "shi",
  "9231": "min",
  "9232": "gu",
  "9233": "ke",
  "9234": "ling",
  "9235": "bing",
  "9236": "yi",
  "9237": "gu",
  "9238": "bo",
  "9239": "pi",
  "9240": "jia",
  "9241": "zhen",
  "9242": "shi",
  "9243": "shi",
  "9244": "tie",
  "9245": "ju",
  "9246": "chan",
  "9247": "shi",
  "9248": "shi",
  "9249": "xuan",
  "9250": "shi",
  "9251": "bo",
  "9252": "zhu",
  "9253": "chi",
  "9254": "za",
  "9255": "po",
  "9256": "tong",
  "9257": "qian",
  "9258": "fu",
  "9259": "zhai",
  "9260": "yang",
  "9261": "ban",
  "9262": "bo",
  "9263": "jie",
  "9264": "gou",
  "9265": "shu",
  "9266": "zheng",
  "9267": "mu",
  "9268": "ni",
  "9269": "nie",
  "9270": "si",
  "9271": "kuang",
  "9272": "ka",
  "9273": "bei",
  "9274": "jian",
  "9275": "tong",
  "9276": "xing",
  "9277": "hong",
  "9278": "jiao",
  "9279": "chi",
  "9280": "yin",
  "9281": "jun",
  "9282": "zhou",
  "9283": "chong",
  "9284": "shang",
  "9285": "tong",
  "9286": "mo",
  "9287": "lei",
  "9288": "ji",
  "9289": "yu",
  "9290": "chi",
  "9291": "xian",
  "9292": "xing",
  "9293": "quan",
  "9294": "pi",
  "9295": "tie",
  "9296": "zhu",
  "9297": "hou",
  "9298": "ming",
  "9299": "kua",
  "9300": "lun",
  "9301": "guo",
  "9302": "ling",
  "9303": "bei",
  "9304": "lu",
  "9305": "li",
  "9306": "qiang",
  "9307": "pou",
  "9308": "juan",
  "9309": "min",
  "9310": "zhui",
  "9311": "lei",
  "9312": "a",
  "9313": "kong",
  "9314": "ta",
  "9315": "kun",
  "9316": "du",
  "9317": "wei",
  "9318": "chui",
  "9319": "zi",
  "9320": "ding",
  "9321": "qi",
  "9322": "qian",
  "9323": "zhuo",
  "9324": "qi",
  "9325": "yu",
  "9326": "jin",
  "9327": "guan",
  "9328": "mao",
  "9329": "chang",
  "9330": "shu",
  "9331": "zhen",
  "9332": "lu",
  "9333": "meng",
  "9334": "lu",
  "9335": "hua",
  "9336": "biao",
  "9337": "ga",
  "9338": "lai",
  "9339": "ken",
  "9340": "de",
  "9341": "xian",
  "9343": "huo",
  "9344": "liang",
  "9346": "men",
  "9347": "kai",
  "9348": "ying",
  "9349": "di",
  "9350": "cong",
  "9351": "fu",
  "9352": "rou",
  "9353": "ji",
  "9354": "e",
  "9355": "rou",
  "9356": "chen",
  "9357": "ti",
  "9358": "zha",
  "9359": "hong",
  "9360": "huang",
  "9361": "wei",
  "9362": "fu",
  "9363": "zhao",
  "9364": "cha",
  "9365": "qie",
  "9366": "she",
  "9367": "hong",
  "9368": "kui",
  "9369": "tian",
  "9370": "huan",
  "9371": "ye",
  "9372": "min",
  "9373": "jian",
  "9374": "duan",
  "9375": "jian",
  "9376": "si",
  "9377": "kui",
  "9378": "hu",
  "9379": "xuan",
  "9380": "xiu",
  "9381": "ye",
  "9382": "mei",
  "9383": "pai",
  "9384": "ai",
  "9385": "jie",
  "9387": "mei",
  "9388": "chuo",
  "9389": "ta",
  "9390": "zu",
  "9391": "ye",
  "9392": "nou",
  "9393": "weng",
  "9394": "rong",
  "9395": "tang",
  "9396": "suo",
  "9397": "qiang",
  "9398": "ge",
  "9399": "shuo",
  "9400": "kui",
  "9401": "si",
  "9402": "liu",
  "9403": "nao",
  "9404": "heng",
  "9405": "pie",
  "9406": "sui",
  "9407": "fan",
  "9408": "qiao",
  "9409": "quan",
  "9410": "liao",
  "9411": "jie",
  "9412": "lao",
  "9413": "dui",
  "9414": "tan",
  "9415": "zan",
  "9416": "ji",
  "9417": "jian",
  "9418": "zhong",
  "9419": "deng",
  "9420": "pu",
  "9421": "tie",
  "9424": "ding",
  "9425": "shan",
  "9426": "kai",
  "9427": "jian",
  "9428": "fei",
  "9429": "sui",
  "9430": "qiao",
  "9431": "qian",
  "9432": "zhuo",
  "9433": "lei",
  "9434": "bi",
  "9435": "tie",
  "9436": "huan",
  "9437": "ye",
  "9438": "duo",
  "9439": "guo",
  "9440": "ai",
  "9441": "zong",
  "9442": "xun",
  "9443": "diao",
  "9444": "zhu",
  "9445": "heng",
  "9446": "zhui",
  "9447": "ji",
  "9448": "nie",
  "9449": "ta",
  "9450": "xu",
  "9451": "jian",
  "9452": "jian",
  "9454": "cha",
  "9455": "zhi",
  "9456": "mie",
  "9457": "li",
  "9458": "lei",
  "9459": "ji",
  "9460": "shuo",
  "9461": "chuo",
  "9462": "lv",
  "9463": "biao",
  "9464": "bao",
  "9465": "lu",
  "9468": "long",
  "9469": "e",
  "9470": "yao",
  "9471": "chan",
  "9472": "xiang",
  "9473": "jian",
  "9474": "xi",
  "9475": "guan",
  "9476": "cang",
  "9477": "nie",
  "9478": "lei",
  "9479": "cuan",
  "9480": "nie",
  "9481": "jue",
  "9482": "tang",
  "9483": "shu",
  "9484": "lan",
  "9485": "jin",
  "9486": "qiu",
  "9487": "yi",
  "9488": "zhen",
  "9489": "ding",
  "9490": "shan",
  "9491": "ji",
  "9492": "fan",
  "9493": "diao",
  "9494": "men",
  "9495": "nv",
  "9496": "xi",
  "9497": "chai",
  "9498": "xing",
  "9499": "gai",
  "9500": "xiao",
  "9501": "suo",
  "9502": "li",
  "9503": "zheng",
  "9504": "chu",
  "9505": "guo",
  "9506": "gao",
  "9507": "tie",
  "9508": "xiu",
  "9509": "cuo",
  "9510": "rui",
  "9511": "ti",
  "9512": "lang",
  "9513": "qian",
  "9514": "ju",
  "9515": "a",
  "9516": "qiang",
  "9517": "duo",
  "9518": "tian",
  "9519": "cuo",
  "9520": "chang",
  "9521": "xi",
  "9522": "gu",
  "9523": "luo",
  "9524": "chui",
  "9525": "zhui",
  "9526": "jin",
  "9527": "zhi",
  "9528": "xian",
  "9529": "juan",
  "9530": "meng",
  "9531": "zi",
  "9532": "qie",
  "9533": "ying",
  "9534": "kai",
  "9535": "qiang",
  "9536": "song",
  "9537": "e",
  "9538": "cha",
  "9539": "qiao",
  "9540": "du",
  "9541": "mei",
  "9542": "lou",
  "9543": "zi",
  "9544": "fei",
  "9545": "mei",
  "9546": "mo",
  "9547": "zhen",
  "9548": "bo",
  "9549": "ge",
  "9550": "hao",
  "9551": "bang",
  "9552": "yi",
  "9553": "jia",
  "9554": "bin",
  "9555": "rong",
  "9556": "biao",
  "9557": "tang",
  "9558": "man",
  "9559": "luo",
  "9560": "liu",
  "9561": "tan",
  "9562": "jue",
  "9563": "liao",
  "9564": "pu",
  "9565": "lu",
  "9566": "dui",
  "9567": "lan",
  "9568": "pu",
  "9569": "cuan",
  "9570": "lian",
  "9571": "yi",
  "9572": "cha",
  "9573": "biao",
  "9574": "la",
  "9575": "chan",
  "9576": "xiang",
  "9577": "chang",
  "9578": "chang",
  "9579": "jiu",
  "9580": "men",
  "9581": "ma",
  "9582": "shuan",
  "9583": "shan",
  "9584": "huo",
  "9585": "men",
  "9586": "yan",
  "9587": "bi",
  "9588": "han",
  "9589": "bi",
  "9590": "san",
  "9591": "xian",
  "9592": "xian",
  "9593": "jian",
  "9594": "min",
  "9595": "xia",
  "9597": "dou",
  "9598": "zha",
  "9599": "nao",
  "9600": "fa",
  "9601": "ge",
  "9602": "he",
  "9603": "kun",
  "9604": "jiu",
  "9605": "yue",
  "9606": "lang",
  "9607": "du",
  "9608": "yu",
  "9609": "yan",
  "9610": "chan",
  "9611": "lan",
  "9612": "qu",
  "9613": "hui",
  "9614": "kuo",
  "9615": "que",
  "9616": "ge",
  "9617": "tian",
  "9618": "ta",
  "9619": "que",
  "9620": "xin",
  "9621": "qian",
  "9622": "wu",
  "9623": "yi",
  "9624": "tuo",
  "9625": "yin",
  "9626": "yang",
  "9627": "dou",
  "9628": "e",
  "9629": "sheng",
  "9630": "pi",
  "9631": "jing",
  "9632": "fang",
  "9633": "yang",
  "9634": "yin",
  "9635": "zhen",
  "9636": "jie",
  "9637": "cheng",
  "9638": "e",
  "9639": "qu",
  "9640": "tuo",
  "9641": "tuo",
  "9642": "bei",
  "9643": "bing",
  "9644": "fu",
  "9645": "ji",
  "9646": "lu",
  "9647": "long",
  "9648": "chen",
  "9649": "xing",
  "9650": "xian",
  "9651": "er",
  "9652": "gui",
  "9653": "yu",
  "9654": "gai",
  "9655": "shan",
  "9656": "xun",
  "9657": "qiao",
  "9658": "xing",
  "9659": "chun",
  "9660": "pu",
  "9661": "dou",
  "9662": "yuan",
  "9663": "zhen",
  "9664": "chu",
  "9665": "xian",
  "9667": "nie",
  "9668": "yun",
  "9669": "xian",
  "9670": "yin",
  "9671": "ju",
  "9672": "chui",
  "9673": "chen",
  "9674": "pi",
  "9675": "ling",
  "9676": "tao",
  "9677": "xian",
  "9678": "lu",
  "9680": "chong",
  "9681": "yan",
  "9682": "yin",
  "9683": "yu",
  "9684": "di",
  "9685": "yu",
  "9686": "long",
  "9687": "wei",
  "9688": "wei",
  "9689": "nie",
  "9690": "yin",
  "9691": "gai",
  "9692": "yan",
  "9693": "hui",
  "9694": "ge",
  "9695": "yun",
  "9696": "wu",
  "9697": "wei",
  "9698": "ai",
  "9699": "xi",
  "9700": "xu",
  "9701": "ji",
  "9702": "mu",
  "9703": "chen",
  "9704": "xiao",
  "9705": "zha",
  "9706": "ting",
  "9707": "zhen",
  "9708": "pei",
  "9709": "mei",
  "9710": "weng",
  "9711": "zhan",
  "9712": "yin",
  "9713": "ni",
  "9714": "zhu",
  "9715": "tun",
  "9716": "lin",
  "9718": "dong",
  "9719": "ying",
  "9720": "yin",
  "9721": "mo",
  "9722": "mai",
  "9723": "yun",
  "9724": "liu",
  "9725": "meng",
  "9726": "bin",
  "9727": "wu",
  "9728": "wei",
  "9729": "huo",
  "9730": "xian",
  "9731": "yu",
  "9732": "lu",
  "9733": "long",
  "9734": "dai",
  "9735": "ji",
  "9736": "pang",
  "9737": "yang",
  "9738": "ba",
  "9739": "pi",
  "9740": "meng",
  "9741": "lei",
  "9742": "li",
  "9743": "huo",
  "9744": "ai",
  "9745": "fei",
  "9746": "dai",
  "9747": "long",
  "9748": "ling",
  "9749": "ai",
  "9750": "bing",
  "9751": "qing",
  "9752": "qing",
  "9753": "jing",
  "9754": "tian",
  "9755": "zhen",
  "9756": "jing",
  "9757": "cheng",
  "9758": "qing",
  "9759": "jing",
  "9760": "kao",
  "9761": "mi",
  "9762": "mian",
  "9763": "mian",
  "9764": "pao",
  "9765": "ye",
  "9766": "tian",
  "9767": "hui",
  "9768": "ye",
  "9769": "ge",
  "9770": "wu",
  "9771": "ren",
  "9772": "qin",
  "9773": "jin",
  "9774": "xue",
  "9775": "niu",
  "9776": "ba",
  "9777": "yin",
  "9778": "sa",
  "9779": "na",
  "9780": "tao",
  "9781": "tuo",
  "9782": "jia",
  "9783": "hong",
  "9784": "pao",
  "9785": "yang",
  "9787": "yin",
  "9788": "jia",
  "9789": "tao",
  "9791": "da",
  "9792": "qiao",
  "9793": "ting",
  "9794": "wan",
  "9795": "ying",
  "9796": "sui",
  "9797": "tiao",
  "9798": "qiao",
  "9799": "xuan",
  "9800": "hu",
  "9801": "ye",
  "9802": "ding",
  "9803": "qing",
  "9804": "kui",
  "9805": "xiang",
  "9806": "shun",
  "9807": "han",
  "9808": "xu",
  "9809": "yi",
  "9810": "yu",
  "9811": "wan",
  "9812": "ban",
  "9813": "dun",
  "9814": "di",
  "9815": "dan",
  "9816": "pan",
  "9817": "po",
  "9818": "ling",
  "9819": "ce",
  "9820": "wei",
  "9821": "jie",
  "9822": "gua",
  "9823": "shen",
  "9824": "yi",
  "9825": "shen",
  "9826": "hai",
  "9827": "dui",
  "9828": "pian",
  "9829": "ping",
  "9830": "jia",
  "9831": "le",
  "9832": "ting",
  "9833": "cheng",
  "9834": "ying",
  "9835": "jun",
  "9836": "hu",
  "9837": "han",
  "9838": "jing",
  "9839": "tui",
  "9840": "chui",
  "9841": "ding",
  "9842": "lai",
  "9843": "yan",
  "9844": "han",
  "9845": "jian",
  "9846": "ke",
  "9847": "cui",
  "9848": "jiong",
  "9849": "qin",
  "9850": "hun",
  "9851": "kan",
  "9852": "yong",
  "9853": "zhuan",
  "9854": "yan",
  "9855": "xian",
  "9856": "xin",
  "9857": "yi",
  "9858": "yuan",
  "9859": "sang",
  "9860": "piao",
  "9861": "yi",
  "9862": "man",
  "9863": "qi",
  "9864": "rao",
  "9865": "hao",
  "9866": "qiao",
  "9867": "gu",
  "9868": "xun",
  "9869": "qian",
  "9870": "pin",
  "9871": "lu",
  "9872": "lan",
  "9873": "nie",
  "9874": "quan",
  "9875": "ye",
  "9876": "ding",
  "9877": "qing",
  "9878": "han",
  "9879": "xiang",
  "9880": "qi",
  "9881": "ban",
  "9882": "song",
  "9883": "hang",
  "9884": "yu",
  "9885": "lu",
  "9886": "ling",
  "9887": "po",
  "9888": "jing",
  "9889": "jie",
  "9890": "yi",
  "9891": "pin",
  "9892": "hui",
  "9893": "tui",
  "9894": "han",
  "9895": "ying",
  "9896": "ying",
  "9897": "ke",
  "9898": "ti",
  "9899": "yong",
  "9900": "hai",
  "9901": "ren",
  "9902": "tian",
  "9903": "jiao",
  "9904": "jia",
  "9905": "bing",
  "9906": "yao",
  "9907": "tong",
  "9908": "ci",
  "9909": "xiang",
  "9910": "can",
  "9911": "bo",
  "9912": "nei",
  "9913": "e",
  "9914": "bu",
  "9915": "jun",
  "9916": "dou",
  "9917": "su",
  "9918": "yu",
  "9919": "shi",
  "9920": "bing",
  "9921": "xian",
  "9922": "bu",
  "9923": "ye",
  "9924": "tan",
  "9925": "fei",
  "9926": "zhang",
  "9927": "wei",
  "9928": "guan",
  "9929": "e",
  "9930": "jian",
  "9931": "hou",
  "9932": "he",
  "9933": "xing",
  "9934": "fen",
  "9935": "wei",
  "9936": "gu",
  "9937": "cha",
  "9938": "song",
  "9939": "tang",
  "9940": "tao",
  "9941": "ye",
  "9942": "yun",
  "9943": "mo",
  "9944": "tang",
  "9945": "man",
  "9946": "bi",
  "9947": "yu",
  "9948": "xiu",
  "9949": "jin",
  "9950": "yi",
  "9951": "ji",
  "9952": "rao",
  "9953": "cheng",
  "9954": "yong",
  "9955": "tao",
  "9956": "hui",
  "9957": "xiang",
  "9958": "zhan",
  "9959": "fen",
  "9960": "luo",
  "9961": "zuan",
  "9962": "nang",
  "9963": "shi",
  "9964": "ding",
  "9965": "ji",
  "9966": "tuo",
  "9967": "xing",
  "9968": "tun",
  "9969": "xi",
  "9970": "shi",
  "9971": "bao",
  "9972": "si",
  "9973": "duo",
  "9974": "yi",
  "9975": "er",
  "9976": "rao",
  "9977": "xiang",
  "9978": "jia",
  "9979": "le",
  "9980": "yu",
  "9981": "nei",
  "9982": "jun",
  "9983": "guo",
  "9984": "hun",
  "9985": "xian",
  "9986": "guan",
  "9987": "cha",
  "9988": "kui",
  "9989": "gu",
  "9990": "xiu",
  "9991": "jin",
  "9992": "man",
  "9993": "san",
  "9994": "zhuan",
  "9995": "nang",
  "9996": "shou",
  "9997": "kui",
  "9998": "guo",
  "9999": "xiang",
  "20000": "ha",
  "20001": "qi",
  "20005": "hai",
  "20009": "qiu",
  "20065": "ga",
  "20094": "zi",
  "20503": "xi",
  "20509": "juan",
  "21014": "lu",
  "21219": "you",
  "21484": "lan",
  "21681": "bi",
  "21731": "ji",
  "22091": "shi",
  "22136": "hua",
  "22156": "lian",
  "22638": "jiang",
  "22738": "nao",
  "22833": "bie",
  "22835": "tang",
  "23012": "chong",
  "23119": "huang",
  "23626": "yi",
  "24364": "zhang",
  "24455": "xun",
  "25134": "xue",
  "25275": "ma",
  "25418": "shi",
  "25725": "yi",
  "25762": "li",
  "25874": "ji",
  "26007": "jing",
  "26102": "dai",
  "26246": "cha",
  "26408": "fen",
  "26675": "wan",
  "26693": "ping",
  "27313": "fu",
  "27602": "chong",
  "27701": "sha",
  "28329": "tang",
  "28373": "yao",
  "28452": "tu",
  "29517": "lei",
  "29707": "juan",
  "29760": "qiu",
  "29811": "ding",
  "340C": "si",
  "341C": "chou",
  "342B": "xiong",
  "342C": "liu",
  "342D": "lin",
  "342E": "xiang",
  "342F": "yong",
  "343A": "zhong",
  "343B": "n",
  "343C": "cheng",
  "344A": "yi",
  "344B": "jiong",
  "344C": "wang",
  "344D": "lei",
  "344E": "nao",
  "344F": "zhu",
  "345A": "nuo",
  "345B": "su",
  "345C": "yi",
  "345D": "long",
  "345E": "ying",
  "345F": "beng",
  "346A": "chai",
  "346E": "hun",
  "346F": "xu",
  "347A": "jun",
  "347B": "ma",
  "347C": "lve",
  "347D": "tang",
  "347E": "xiao",
  "347F": "tiao",
  "348A": "se",
  "348C": "qiong",
  "348D": "lei",
  "348E": "sa",
  "349A": "wen",
  "349B": "diao",
  "349C": "yu",
  "349D": "mie",
  "349E": "jun",
  "349F": "niao",
  "34A0": "xie",
  "34A1": "you",
  "34A4": "she",
  "34A6": "lei",
  "34A7": "li",
  "34A9": "luo",
  "34AB": "ji",
  "34B0": "quan",
  "34B2": "cai",
  "34B3": "liang",
  "34B4": "gu",
  "34B5": "mao",
  "34B7": "gua",
  "34B8": "sui",
  "34BB": "mao",
  "34BC": "man",
  "34BE": "shi",
  "34BF": "li",
  "34C1": "wang",
  "34C2": "kou",
  "34C3": "chui",
  "34C4": "zhen",
  "34C8": "bing",
  "34C9": "huan",
  "34CA": "dong",
  "34CB": "gong",
  "34CE": "lian",
  "34CF": "jiong",
  "34D0": "lu",
  "34D1": "xing",
  "34D3": "nan",
  "34D4": "xie",
  "34D6": "bi",
  "34D7": "jie",
  "34D8": "su",
  "34DC": "you",
  "34DD": "xing",
  "34DE": "qi",
  "34E0": "dian",
  "34E1": "fu",
  "34E2": "luo",
  "34E3": "qia",
  "34E4": "jie",
  "34E7": "yan",
  "34E8": "ci",
  "34EA": "lang",
  "34ED": "he",
  "34EF": "li",
  "34F0": "hua",
  "34F1": "tou",
  "34F2": "pian",
  "34F4": "jun",
  "34F5": "e",
  "34F6": "qie",
  "34F7": "yi",
  "34F8": "jue",
  "34F9": "rui",
  "34FA": "jian",
  "34FC": "chi",
  "34FD": "chong",
  "34FE": "chi",
  "350A": "dan",
  "350B": "jian",
  "350C": "zhou",
  "350D": "duo",
  "350E": "xie",
  "350F": "li",
  "351A": "kou",
  "351C": "ba",
  "351D": "liang",
  "351E": "kuai",
  "352A": "lu",
  "352D": "che",
  "352E": "nuo",
  "352F": "suan",
  "353A": "shi",
  "353C": "sun",
  "353D": "yao",
  "353E": "jie",
  "353F": "zou",
  "354B": "jing",
  "354C": "ai",
  "354E": "e",
  "354F": "chu",
  "355A": "zhao",
  "355B": "xu",
  "355C": "shi",
  "355F": "kui",
  "356A": "dan",
  "356B": "fang",
  "356C": "song",
  "356D": "ao",
  "356E": "fu",
  "356F": "nei",
  "357A": "hao",
  "357B": "pou",
  "357D": "si",
  "358F": "nei",
  "359E": "wai",
  "359F": "shou",
  "35A0": "ba",
  "35A1": "ye",
  "35A2": "ji",
  "35A3": "tou",
  "35A4": "han",
  "35A5": "jiong",
  "35A6": "dong",
  "35A7": "wen",
  "35A8": "lu",
  "35A9": "sou",
  "35AA": "guo",
  "35AB": "ling",
  "35AD": "tian",
  "35AE": "lun",
  "35B6": "ye",
  "35B7": "shi",
  "35B8": "xue",
  "35B9": "fen",
  "35BA": "chun",
  "35BB": "rou",
  "35BC": "duo",
  "35BD": "ze",
  "35BE": "e",
  "35BF": "xie",
  "35C1": "e",
  "35C2": "sheng",
  "35C3": "wen",
  "35C4": "man",
  "35C5": "hu",
  "35C6": "ge",
  "35C7": "xia",
  "35C8": "man",
  "35C9": "bi",
  "35CA": "ji",
  "35CB": "hou",
  "35CC": "zhi",
  "35D1": "bai",
  "35D2": "ai",
  "35D5": "gou",
  "35D6": "dan",
  "35D7": "bai",
  "35D8": "bo",
  "35D9": "na",
  "35DA": "li",
  "35DB": "xiao",
  "35DC": "xiu",
  "35E2": "dong",
  "35E3": "ti",
  "35E4": "cu",
  "35E5": "kuo",
  "35E6": "lao",
  "35E7": "zhi",
  "35E8": "ai",
  "35E9": "xi",
  "35EB": "qie",
  "35F0": "chu",
  "35F1": "ji",
  "35F2": "huo",
  "35F3": "ta",
  "35F4": "yan",
  "35F5": "xu",
  "35F7": "sai",
  "35FC": "ye",
  "35FD": "xiang",
  "35FF": "xia",
  "360A": "yi",
  "360B": "xian",
  "360C": "ju",
  "360D": "ji",
  "360E": "han",
  "361A": "han",
  "361C": "chi",
  "361D": "nian",
  "361E": "huo",
  "362A": "hao",
  "362B": "jing",
  "362C": "ao",
  "362D": "ao",
  "363A": "fa",
  "363F": "nie",
  "364A": "chang",
  "364F": "fu",
  "365B": "bu",
  "365C": "chi",
  "365D": "xie",
  "365E": "nie",
  "365F": "lang",
  "366A": "ye",
  "366B": "ji",
  "366C": "yin",
  "366E": "da",
  "366F": "yi",
  "367A": "gui",
  "367B": "chan",
  "367C": "lei",
  "367E": "xi",
  "368C": "hua",
  "368D": "guo",
  "368F": "gao",
  "369B": "xi",
  "369C": "xu",
  "369D": "kui",
  "369E": "meng",
  "369F": "chuo",
  "36A1": "ji",
  "36A2": "nu",
  "36A3": "xiao",
  "36A4": "yi",
  "36A5": "yu",
  "36A6": "yi",
  "36A7": "yan",
  "36A9": "ran",
  "36AA": "hao",
  "36AB": "sha",
  "36AD": "you",
  "36AF": "xin",
  "36B0": "bi",
  "36B2": "dian",
  "36B4": "bu",
  "36B6": "si",
  "36B7": "er",
  "36B9": "mao",
  "36BA": "yun",
  "36BD": "qiao",
  "36BF": "pao",
  "36C2": "nuo",
  "36C3": "jie",
  "36C5": "er",
  "36C6": "duo",
  "36CA": "duo",
  "36CD": "qie",
  "36CF": "ou",
  "36D0": "sou",
  "36D1": "can",
  "36D2": "dou",
  "36D4": "peng",
  "36D5": "yi",
  "36D7": "zuo",
  "36D8": "po",
  "36D9": "qie",
  "36DA": "tong",
  "36DB": "xin",
  "36DC": "you",
  "36DD": "bei",
  "36DE": "long",
  "36E5": "ta",
  "36E6": "lan",
  "36E7": "man",
  "36E8": "qiang",
  "36E9": "zhou",
  "36EA": "yan",
  "36EC": "lu",
  "36EE": "sao",
  "36EF": "mian",
  "36F1": "rui",
  "36F2": "fa",
  "36F3": "cha",
  "36F4": "nao",
  "36F6": "chou",
  "36F8": "shu",
  "36F9": "pian",
  "36FB": "kui",
  "36FC": "sha",
  "36FE": "xian",
  "36FF": "zhi",
  "370A": "pang",
  "370B": "yi",
  "370C": "gou",
  "370D": "tang",
  "370E": "qi",
  "370F": "yun",
  "371A": "su",
  "371B": "nen",
  "371C": "ao",
  "371D": "an",
  "371E": "qian",
  "372A": "xian",
  "372B": "ma",
  "372E": "lan",
  "373A": "zan",
  "373B": "lian",
  "373C": "zhi",
  "373D": "zi",
  "373E": "hai",
  "373F": "xu",
  "374A": "shou",
  "374B": "liao",
  "374C": "jie",
  "374D": "xie",
  "374E": "ding",
  "374F": "jie",
  "375B": "su",
  "375D": "lin",
  "375E": "ya",
  "375F": "mao",
  "376A": "dian",
  "376B": "long",
  "376D": "xing",
  "376E": "cui",
  "376F": "qiao",
  "377A": "lian",
  "377B": "jin",
  "377D": "chui",
  "377E": "zuo",
  "377F": "bo",
  "378A": "xu",
  "378B": "nian",
  "378C": "yun",
  "378E": "ba",
  "378F": "zhe",
  "379A": "qi",
  "379B": "ji",
  "379F": "dian",
  "37A0": "lao",
  "37A1": "zhan",
  "37A4": "yin",
  "37A5": "cen",
  "37A6": "ji",
  "37A7": "hui",
  "37A8": "zai",
  "37A9": "lan",
  "37AA": "nao",
  "37AB": "ju",
  "37AC": "qin",
  "37AD": "dai",
  "37AF": "jie",
  "37B0": "xu",
  "37B2": "yong",
  "37B3": "dou",
  "37B4": "chi",
  "37B6": "min",
  "37B7": "huang",
  "37B8": "sui",
  "37B9": "ke",
  "37BA": "zu",
  "37BB": "hao",
  "37BC": "cheng",
  "37BD": "xue",
  "37BE": "ni",
  "37BF": "chi",
  "37C0": "lian",
  "37C1": "an",
  "37C2": "chi",
  "37C4": "xiang",
  "37C5": "yang",
  "37C6": "hua",
  "37C7": "cuo",
  "37C8": "qiu",
  "37C9": "lao",
  "37CA": "fu",
  "37CB": "dui",
  "37CC": "mang",
  "37CD": "lang",
  "37CE": "tuo",
  "37CF": "han",
  "37D0": "mang",
  "37D1": "bo",
  "37D3": "qi",
  "37D4": "han",
  "37D6": "long",
  "37D8": "tiao",
  "37D9": "lao",
  "37DA": "qi",
  "37DB": "zan",
  "37DC": "mi",
  "37DD": "pei",
  "37DE": "zhan",
  "37DF": "xiang",
  "37E0": "gang",
  "37E2": "qi",
  "37E4": "lu",
  "37E6": "yun",
  "37E7": "e",
  "37E8": "quan",
  "37E9": "min",
  "37EA": "wei",
  "37EB": "quan",
  "37EC": "shu",
  "37ED": "min",
  "37F0": "ming",
  "37F1": "yao",
  "37F2": "jue",
  "37F3": "li",
  "37F4": "kuai",
  "37F5": "gang",
  "37F6": "yuan",
  "37F7": "da",
  "37F9": "lao",
  "37FA": "lou",
  "37FB": "qian",
  "37FC": "ao",
  "37FD": "biao",
  "37FF": "mang",
  "380A": "qu",
  "380B": "e",
  "380D": "ji",
  "380E": "ji",
  "380F": "hua",
  "381A": "dui",
  "381B": "wo",
  "381C": "ni",
  "381D": "cuan",
  "381F": "li",
  "382A": "ju",
  "382D": "zhan",
  "382F": "yi",
  "383A": "miao",
  "383D": "tong",
  "383F": "ci",
  "384A": "qia",
  "384B": "e",
  "384C": "mao",
  "384F": "tou",
  "385B": "mang",
  "385C": "xue",
  "385D": "feng",
  "385E": "lei",
  "386A": "nie",
  "386B": "yi",
  "386D": "ji",
  "386E": "ji",
  "386F": "zhai",
  "387A": "dan",
  "387B": "liao",
  "387C": "yi",
  "387D": "zhao",
  "387E": "xian",
  "387F": "chi",
  "388A": "ai",
  "388B": "chi",
  "388D": "ying",
  "388E": "cha",
  "388F": "tou",
  "389A": "lu",
  "389B": "yan",
  "389E": "yi",
  "389F": "chan",
  "38A0": "jiong",
  "38A1": "jiang",
  "38A3": "jing",
  "38A5": "dong",
  "38A7": "juan",
  "38A8": "han",
  "38A9": "di",
  "38AC": "hong",
  "38AE": "chi",
  "38AF": "min",
  "38B0": "bi",
  "38B2": "xun",
  "38B3": "lu",
  "38B5": "she",
  "38B6": "bi",
  "38B8": "bi",
  "38BA": "xian",
  "38BB": "wei",
  "38BC": "bie",
  "38BD": "er",
  "38BE": "juan",
  "38C0": "zhen",
  "38C1": "bei",
  "38C2": "yi",
  "38C3": "yu",
  "38C4": "qu",
  "38C5": "zan",
  "38C6": "mi",
  "38C7": "ni",
  "38C8": "si",
  "38CC": "shan",
  "38CD": "tai",
  "38CE": "mu",
  "38CF": "jing",
  "38D0": "bian",
  "38D1": "rong",
  "38D2": "ceng",
  "38D3": "can",
  "38D9": "di",
  "38DA": "tong",
  "38DB": "ta",
  "38DC": "xing",
  "38DE": "duo",
  "38DF": "xi",
  "38E0": "tong",
  "38E2": "ti",
  "38E3": "shan",
  "38E4": "jian",
  "38E5": "zhi",
  "38E7": "yin",
  "38EA": "huan",
  "38EB": "zhong",
  "38EC": "qi",
  "38EF": "xie",
  "38F0": "xie",
  "38F1": "ze",
  "38F2": "wei",
  "38F5": "ta",
  "38F6": "zhan",
  "38F7": "ning",
  "38FB": "yi",
  "38FC": "ren",
  "38FD": "shu",
  "38FE": "cha",
  "38FF": "zhuo",
  "390A": "xiao",
  "390D": "qiao",
  "390F": "tong",
  "391A": "hang",
  "391B": "nin",
  "391C": "jue",
  "391E": "cha",
  "391F": "kong",
  "392A": "yuan",
  "392B": "de",
  "392C": "hui",
  "392E": "kuang",
  "392F": "jiong",
  "393A": "huang",
  "393D": "chou",
  "393E": "san",
  "394A": "peng",
  "394C": "ju",
  "394D": "ji",
  "394E": "lai",
  "394F": "tian",
  "395A": "yu",
  "395B": "ji",
  "395C": "wei",
  "395D": "mi",
  "395E": "cui",
  "395F": "xie",
  "396A": "lou",
  "396C": "pang",
  "396D": "tai",
  "396E": "zhou",
  "396F": "yin",
  "397A": "he",
  "397C": "yin",
  "397D": "ce",
  "397E": "ni",
  "397F": "ao",
  "398A": "hua",
  "398C": "tui",
  "398D": "e",
  "398E": "hua",
  "398F": "sun",
  "399A": "bian",
  "399B": "yu",
  "399C": "huo",
  "399D": "miao",
  "399E": "chou",
  "399F": "hai",
  "39A1": "le",
  "39A2": "jie",
  "39A3": "wei",
  "39A4": "yi",
  "39A5": "huan",
  "39A6": "he",
  "39A7": "can",
  "39A8": "lan",
  "39A9": "yin",
  "39AA": "xie",
  "39AC": "luo",
  "39AD": "ling",
  "39AE": "qian",
  "39AF": "huo",
  "39B1": "wo",
  "39B4": "ge",
  "39B6": "die",
  "39B7": "yong",
  "39B8": "ji",
  "39B9": "ang",
  "39BA": "ru",
  "39BB": "xi",
  "39BC": "shuang",
  "39BD": "xu",
  "39BE": "yi",
  "39BF": "hu",
  "39C0": "ji",
  "39C1": "qu",
  "39C2": "tian",
  "39C4": "qian",
  "39C5": "mu",
  "39C7": "mao",
  "39C8": "yin",
  "39C9": "gai",
  "39CA": "ba",
  "39CB": "xian",
  "39CC": "mao",
  "39CD": "fang",
  "39CE": "ya",
  "39D0": "song",
  "39D1": "wei",
  "39D2": "xue",
  "39D4": "guai",
  "39D5": "jiu",
  "39D6": "e",
  "39D7": "zi",
  "39D8": "cui",
  "39D9": "bi",
  "39DA": "wa",
  "39DC": "lie",
  "39DF": "kuai",
  "39E1": "hai",
  "39E3": "zhu",
  "39E4": "chong",
  "39E5": "xian",
  "39E6": "xuan",
  "39E8": "qiu",
  "39E9": "pei",
  "39EA": "gui",
  "39EB": "er",
  "39EC": "gong",
  "39ED": "qiong",
  "39EF": "lao",
  "39F0": "li",
  "39F1": "chen",
  "39F2": "san",
  "39F3": "bo",
  "39F4": "wo",
  "39F5": "pou",
  "39F7": "duo",
  "39F9": "te",
  "39FA": "ta",
  "39FB": "zhi",
  "39FC": "biao",
  "39FD": "gu",
  "3A00": "bing",
  "3A01": "zhi",
  "3A02": "dong",
  "3A03": "cheng",
  "3A04": "zhao",
  "3A05": "nei",
  "3A06": "lin",
  "3A07": "po",
  "3A08": "ji",
  "3A09": "min",
  "3A0A": "wei",
  "3A0B": "che",
  "3A0C": "gou",
  "3A0E": "ru",
  "3A10": "bu",
  "3A12": "kui",
  "3A13": "lao",
  "3A14": "han",
  "3A15": "ying",
  "3A16": "zhi",
  "3A17": "jie",
  "3A18": "xing",
  "3A19": "xie",
  "3A1A": "xun",
  "3A1B": "shan",
  "3A1C": "qian",
  "3A1D": "xie",
  "3A1E": "su",
  "3A1F": "hai",
  "3A20": "mi",
  "3A21": "hun",
  "3A24": "hui",
  "3A25": "na",
  "3A26": "song",
  "3A27": "ben",
  "3A28": "liu",
  "3A29": "jie",
  "3A2A": "huang",
  "3A2B": "lan",
  "3A2D": "hu",
  "3A2E": "dou",
  "3A2F": "huo",
  "3A30": "ge",
  "3A31": "yao",
  "3A32": "ce",
  "3A33": "gui",
  "3A34": "jian",
  "3A35": "jian",
  "3A36": "chou",
  "3A37": "jin",
  "3A38": "ma",
  "3A39": "hui",
  "3A3A": "men",
  "3A3B": "can",
  "3A3C": "lve",
  "3A3D": "pi",
  "3A3E": "yang",
  "3A3F": "ju",
  "3A40": "ju",
  "3A41": "que",
  "3A44": "shai",
  "3A46": "jiu",
  "3A47": "hua",
  "3A48": "xian",
  "3A49": "xie",
  "3A4B": "su",
  "3A4C": "fei",
  "3A4D": "ce",
  "3A4E": "ye",
  "3A52": "qin",
  "3A53": "hui",
  "3A54": "tun",
  "3A56": "qiang",
  "3A57": "xi",
  "3A58": "yi",
  "3A5A": "meng",
  "3A5B": "tuan",
  "3A5C": "lan",
  "3A5D": "hao",
  "3A5E": "ci",
  "3A5F": "zhai",
  "3A60": "piao",
  "3A61": "luo",
  "3A62": "mi",
  "3A66": "xie",
  "3A67": "bo",
  "3A68": "hui",
  "3A69": "qi",
  "3A6A": "xie",
  "3A6D": "bo",
  "3A6E": "qian",
  "3A6F": "ban",
  "3A70": "jiao",
  "3A71": "jue",
  "3A72": "kun",
  "3A73": "song",
  "3A74": "ju",
  "3A75": "e",
  "3A76": "nie",
  "3A78": "die",
  "3A79": "die",
  "3A7B": "gui",
  "3A7D": "qi",
  "3A7E": "chui",
  "3A80": "yu",
  "3A81": "qin",
  "3A83": "ke",
  "3A84": "fu",
  "3A86": "di",
  "3A87": "xian",
  "3A88": "gui",
  "3A89": "he",
  "3A8A": "qun",
  "3A8B": "han",
  "3A8C": "tong",
  "3A8D": "bo",
  "3A8E": "shan",
  "3A8F": "bi",
  "3A90": "lu",
  "3A91": "ye",
  "3A92": "ni",
  "3A93": "chuai",
  "3A94": "san",
  "3A95": "diao",
  "3A96": "lu",
  "3A97": "tou",
  "3A98": "lian",
  "3A99": "ke",
  "3A9A": "san",
  "3A9B": "zhen",
  "3A9C": "chuai",
  "3A9D": "lian",
  "3A9E": "mao",
  "3AA0": "qian",
  "3AA1": "ke",
  "3AA2": "shao",
  "3AA3": "qiao",
  "3AA4": "bi",
  "3AA6": "yin",
  "3AA8": "shan",
  "3AA9": "su",
  "3AAA": "sa",
  "3AAB": "rui",
  "3AAC": "zhuo",
  "3AAD": "lu",
  "3AAE": "ling",
  "3AAF": "cha",
  "3AB1": "huan",
  "3AB4": "jia",
  "3AB5": "ban",
  "3AB6": "hu",
  "3AB7": "dou",
  "3AB9": "lou",
  "3ABB": "juan",
  "3ABC": "ke",
  "3ABD": "suo",
  "3ABE": "ge",
  "3ABF": "zhe",
  "3AC0": "ding",
  "3AC1": "duan",
  "3AC2": "zhu",
  "3AC3": "yan",
  "3AC4": "pang",
  "3AC5": "cha",
  "3ACA": "yi",
  "3ACD": "you",
  "3ACE": "gun",
  "3ACF": "yao",
  "3AD0": "yao",
  "3AD1": "shi",
  "3AD2": "gong",
  "3AD3": "qi",
  "3AD4": "gen",
  "3AD7": "hou",
  "3AD8": "mi",
  "3AD9": "fu",
  "3ADA": "hu",
  "3ADB": "guang",
  "3ADC": "dan",
  "3ADF": "yan",
  "3AE2": "qu",
  "3AE4": "chang",
  "3AE5": "ming",
  "3AE7": "bao",
  "3AEB": "xian",
  "3AEF": "mao",
  "3AF0": "lang",
  "3AF1": "nan",
  "3AF2": "pei",
  "3AF3": "chen",
  "3AF6": "cou",
  "3AF8": "qie",
  "3AF9": "dai",
  "3AFB": "kun",
  "3AFC": "die",
  "3AFD": "lu",
  "3B02": "yu",
  "3B03": "tai",
  "3B04": "chan",
  "3B05": "man",
  "3B06": "mian",
  "3B07": "huan",
  "3B09": "nuan",
  "3B0A": "huan",
  "3B0B": "hou",
  "3B0C": "jing",
  "3B0D": "bo",
  "3B0E": "xian",
  "3B0F": "li",
  "3B10": "jin",
  "3B12": "mang",
  "3B13": "piao",
  "3B14": "hao",
  "3B15": "yang",
  "3B17": "xian",
  "3B18": "su",
  "3B19": "wei",
  "3B1A": "che",
  "3B1C": "jin",
  "3B1D": "ceng",
  "3B1E": "he",
  "3B20": "shai",
  "3B21": "ling",
  "3B23": "dui",
  "3B25": "pu",
  "3B26": "yue",
  "3B27": "bo",
  "3B29": "hui",
  "3B2A": "die",
  "3B2B": "yan",
  "3B2C": "ju",
  "3B2D": "jiao",
  "3B2E": "kuai",
  "3B2F": "lie",
  "3B30": "yu",
  "3B31": "ti",
  "3B33": "wu",
  "3B34": "hong",
  "3B35": "xiao",
  "3B36": "hao",
  "3B3B": "huang",
  "3B3C": "fu",
  "3B3F": "dun",
  "3B41": "reng",
  "3B42": "jiao",
  "3B44": "xin",
  "3B47": "yuan",
  "3B48": "jue",
  "3B49": "hua",
  "3B4B": "bang",
  "3B4C": "mou",
  "3B4F": "wei",
  "3B51": "mei",
  "3B52": "si",
  "3B53": "bian",
  "3B54": "lu",
  "3B58": "he",
  "3B59": "she",
  "3B5A": "lv",
  "3B5B": "pai",
  "3B5C": "rong",
  "3B5D": "qiu",
  "3B5E": "lie",
  "3B5F": "gong",
  "3B60": "xian",
  "3B61": "xi",
  "3B64": "niao",
  "3B68": "xie",
  "3B69": "lei",
  "3B6B": "cuan",
  "3B6C": "zhuo",
  "3B6D": "fei",
  "3B6E": "zuo",
  "3B6F": "die",
  "3B70": "ji",
  "3B71": "he",
  "3B72": "ji",
  "3B78": "tu",
  "3B79": "xian",
  "3B7A": "yan",
  "3B7B": "tang",
  "3B7C": "ta",
  "3B7D": "di",
  "3B7E": "jue",
  "3B7F": "ang",
  "3B80": "han",
  "3B81": "yao",
  "3B82": "ju",
  "3B83": "rui",
  "3B84": "bang",
  "3B86": "nie",
  "3B87": "tian",
  "3B88": "nai",
  "3B8B": "you",
  "3B8C": "mian",
  "3B8F": "nai",
  "3B90": "xing",
  "3B91": "qi",
  "3B93": "gen",
  "3B94": "tong",
  "3B95": "er",
  "3B96": "jia",
  "3B97": "qin",
  "3B98": "mao",
  "3B99": "e",
  "3B9A": "li",
  "3B9B": "chi",
  "3B9D": "he",
  "3B9E": "jie",
  "3B9F": "ji",
  "3BA1": "guan",
  "3BA2": "hou",
  "3BA3": "gai",
  "3BA5": "fen",
  "3BA6": "se",
  "3BA8": "ji",
  "3BAA": "qiong",
  "3BAB": "he",
  "3BAD": "xian",
  "3BAE": "jie",
  "3BAF": "hua",
  "3BB0": "bi",
  "3BB3": "zhen",
  "3BB6": "shi",
  "3BB8": "song",
  "3BB9": "zhi",
  "3BBA": "ben",
  "3BBE": "lang",
  "3BBF": "bi",
  "3BC0": "xian",
  "3BC1": "bang",
  "3BC2": "dai",
  "3BC5": "pi",
  "3BC6": "chan",
  "3BC7": "bi",
  "3BC8": "su",
  "3BC9": "huo",
  "3BCA": "hen",
  "3BCB": "ying",
  "3BCC": "chuan",
  "3BCD": "jiang",
  "3BCE": "nen",
  "3BCF": "gu",
  "3BD0": "fang",
  "3BD3": "ta",
  "3BD4": "cui",
  "3BD6": "de",
  "3BD7": "ran",
  "3BD8": "kuan",
  "3BD9": "che",
  "3BDA": "da",
  "3BDB": "hu",
  "3BDC": "cui",
  "3BDD": "lu",
  "3BDE": "juan",
  "3BDF": "lu",
  "3BE0": "qian",
  "3BE1": "pao",
  "3BE2": "zhen",
  "3BE4": "li",
  "3BE5": "cao",
  "3BE6": "qi",
  "3BE9": "ti",
  "3BEA": "ling",
  "3BEB": "qu",
  "3BEC": "lian",
  "3BED": "lu",
  "3BEE": "shu",
  "3BEF": "gong",
  "3BF0": "zhe",
  "3BF1": "biao",
  "3BF2": "jin",
  "3BF3": "qing",
  "3BF6": "zong",
  "3BF7": "pu",
  "3BF8": "jin",
  "3BF9": "biao",
  "3BFA": "jian",
  "3BFB": "gun",
  "3BFF": "lie",
  "3C00": "li",
  "3C01": "luo",
  "3C02": "shen",
  "3C03": "mian",
  "3C04": "jian",
  "3C05": "di",
  "3C06": "bei",
  "3C08": "lian",
  "3C0A": "xun",
  "3C0B": "pin",
  "3C0C": "que",
  "3C0D": "long",
  "3C0E": "zui",
  "3C10": "jue",
  "3C12": "she",
  "3C14": "xie",
  "3C16": "lan",
  "3C17": "cu",
  "3C18": "yi",
  "3C19": "nuo",
  "3C1A": "li",
  "3C1B": "yue",
  "3C1D": "yi",
  "3C1F": "ji",
  "3C20": "kang",
  "3C21": "xie",
  "3C23": "zi",
  "3C24": "ke",
  "3C25": "hui",
  "3C26": "qu",
  "3C2A": "wa",
  "3C2C": "xun",
  "3C2E": "shen",
  "3C2F": "kou",
  "3C30": "qie",
  "3C31": "sha",
  "3C32": "xu",
  "3C33": "ya",
  "3C34": "po",
  "3C35": "zu",
  "3C36": "you",
  "3C37": "zi",
  "3C38": "lian",
  "3C39": "jin",
  "3C3A": "xia",
  "3C3B": "yi",
  "3C3C": "qie",
  "3C3D": "mi",
  "3C3E": "jiao",
  "3C40": "chi",
  "3C41": "shi",
  "3C43": "yin",
  "3C44": "mo",
  "3C45": "yi",
  "3C47": "se",
  "3C48": "jin",
  "3C49": "ye",
  "3C4B": "que",
  "3C4C": "che",
  "3C4D": "luan",
  "3C4F": "zheng",
  "3C56": "cui",
  "3C58": "an",
  "3C59": "xiu",
  "3C5A": "can",
  "3C5B": "chuan",
  "3C5C": "zha",
  "3C5E": "ji",
  "3C5F": "bo",
  "3C62": "lang",
  "3C63": "tui",
  "3C65": "ling",
  "3C66": "e",
  "3C67": "wo",
  "3C68": "lian",
  "3C69": "du",
  "3C6A": "men",
  "3C6B": "lan",
  "3C6C": "wei",
  "3C6D": "duan",
  "3C6E": "kuai",
  "3C6F": "ai",
  "3C70": "zai",
  "3C71": "hui",
  "3C72": "yi",
  "3C73": "mo",
  "3C74": "zi",
  "3C75": "ben",
  "3C76": "beng",
  "3C78": "bi",
  "3C79": "li",
  "3C7A": "lu",
  "3C7B": "luo",
  "3C7D": "dan",
  "3C7F": "que",
  "3C80": "chen",
  "3C82": "cheng",
  "3C83": "jiu",
  "3C84": "kou",
  "3C85": "ji",
  "3C86": "ling",
  "3C88": "shao",
  "3C89": "kai",
  "3C8A": "rui",
  "3C8B": "chuo",
  "3C8C": "neng",
  "3C8E": "lou",
  "3C8F": "bao",
  "3C92": "bao",
  "3C93": "rong",
  "3C95": "lei",
  "3C98": "qu",
  "3C9B": "zhi",
  "3C9C": "tan",
  "3C9D": "rong",
  "3C9E": "zu",
  "3C9F": "ying",
  "3CA0": "mao",
  "3CA1": "nai",
  "3CA2": "bian",
  "3CA5": "tang",
  "3CA6": "han",
  "3CA7": "zao",
  "3CA8": "rong",
  "3CAB": "pu",
  "3CAD": "tan",
  "3CAF": "ran",
  "3CB0": "ning",
  "3CB1": "lie",
  "3CB2": "die",
  "3CB3": "die",
  "3CB4": "zhong",
  "3CB6": "lv",
  "3CB7": "dan",
  "3CB9": "gui",
  "3CBA": "ji",
  "3CBB": "ni",
  "3CBC": "yi",
  "3CBD": "nian",
  "3CBE": "yu",
  "3CBF": "wang",
  "3CC0": "guo",
  "3CC1": "ze",
  "3CC2": "yan",
  "3CC3": "cui",
  "3CC4": "xian",
  "3CC5": "jiao",
  "3CC6": "shu",
  "3CC7": "fu",
  "3CC8": "pei",
  "3CCD": "bu",
  "3CCE": "bian",
  "3CCF": "chi",
  "3CD0": "sa",
  "3CD1": "yi",
  "3CD2": "bian",
  "3CD4": "dui",
  "3CD5": "lan",
  "3CD7": "chai",
  "3CD9": "xuan",
  "3CDA": "yu",
  "3CDB": "yu",
  "3CE0": "ta",
  "3CE5": "ju",
  "3CE6": "xie",
  "3CE7": "xi",
  "3CE8": "jian",
  "3CEA": "pan",
  "3CEB": "ta",
  "3CEC": "xuan",
  "3CED": "xian",
  "3CEE": "niao",
  "3CF4": "mi",
  "3CF5": "ji",
  "3CF6": "gou",
  "3CF7": "wen",
  "3CF9": "wang",
  "3CFA": "you",
  "3CFB": "ze",
  "3CFC": "bi",
  "3CFD": "mi",
  "3CFF": "xie",
  "3D00": "fan",
  "3D01": "yi",
  "3D03": "lei",
  "3D04": "ying",
  "3D06": "jin",
  "3D07": "she",
  "3D08": "yin",
  "3D09": "ji",
  "3D0B": "su",
  "3D0F": "wang",
  "3D10": "mian",
  "3D11": "su",
  "3D12": "yi",
  "3D13": "zai",
  "3D14": "se",
  "3D15": "ji",
  "3D16": "luo",
  "3D18": "mao",
  "3D19": "zha",
  "3D1A": "sui",
  "3D1B": "zhi",
  "3D1C": "bian",
  "3D1D": "li",
  "3D25": "qiao",
  "3D26": "guan",
  "3D28": "zhen",
  "3D2A": "nie",
  "3D2B": "jun",
  "3D2C": "xie",
  "3D2D": "yao",
  "3D2E": "xie",
  "3D30": "neng",
  "3D33": "long",
  "3D34": "chen",
  "3D35": "mi",
  "3D36": "que",
  "3D38": "na",
  "3D3C": "su",
  "3D3D": "xie",
  "3D3E": "bo",
  "3D3F": "ding",
  "3D40": "cuan",
  "3D42": "chuang",
  "3D43": "che",
  "3D44": "han",
  "3D45": "dan",
  "3D46": "hao",
  "3D4A": "shen",
  "3D4B": "mi",
  "3D4C": "chan",
  "3D4D": "men",
  "3D4E": "han",
  "3D4F": "cui",
  "3D50": "jue",
  "3D51": "he",
  "3D52": "fei",
  "3D53": "shi",
  "3D54": "che",
  "3D55": "shen",
  "3D56": "nv",
  "3D57": "fu",
  "3D58": "man",
  "3D5D": "yi",
  "3D5E": "chou",
  "3D61": "bao",
  "3D62": "lei",
  "3D63": "ke",
  "3D64": "dian",
  "3D65": "bi",
  "3D66": "sui",
  "3D67": "ge",
  "3D68": "bi",
  "3D69": "yi",
  "3D6A": "xian",
  "3D6B": "ni",
  "3D6C": "ying",
  "3D6D": "zhu",
  "3D6E": "chun",
  "3D6F": "feng",
  "3D70": "xu",
  "3D71": "piao",
  "3D72": "wu",
  "3D73": "liao",
  "3D74": "cang",
  "3D75": "zou",
  "3D77": "bian",
  "3D78": "yao",
  "3D79": "huan",
  "3D7A": "pai",
  "3D7B": "sou",
  "3D7D": "dui",
  "3D7E": "jing",
  "3D7F": "xi",
  "3D81": "guo",
  "3D84": "yan",
  "3D85": "xue",
  "3D86": "chu",
  "3D87": "heng",
  "3D88": "ying",
  "3D8C": "lian",
  "3D8D": "xian",
  "3D8E": "huan",
  "3D91": "lian",
  "3D92": "shan",
  "3D93": "cang",
  "3D94": "bei",
  "3D95": "jian",
  "3D96": "shu",
  "3D97": "fan",
  "3D98": "dian",
  "3D9A": "ba",
  "3D9B": "yu",
  "3D9E": "nang",
  "3D9F": "lei",
  "3DA0": "yi",
  "3DA1": "dai",
  "3DA3": "chan",
  "3DA4": "chao",
  "3DA6": "jin",
  "3DA7": "nen",
  "3DAB": "liao",
  "3DAC": "mei",
  "3DAD": "jiu",
  "3DAF": "liu",
  "3DB0": "han",
  "3DB2": "yong",
  "3DB3": "jin",
  "3DB4": "chi",
  "3DB5": "ren",
  "3DB6": "nong",
  "3DB9": "hong",
  "3DBA": "tian",
  "3DBF": "bo",
  "3DC0": "qiong",
  "3DC2": "shu",
  "3DC3": "cui",
  "3DC4": "hui",
  "3DC5": "chao",
  "3DC6": "dou",
  "3DC7": "guai",
  "3DC8": "e",
  "3DC9": "wei",
  "3DCA": "fen",
  "3DCB": "tan",
  "3DCD": "lun",
  "3DCE": "he",
  "3DCF": "yong",
  "3DD0": "hui",
  "3DD2": "yu",
  "3DD3": "zong",
  "3DD4": "yan",
  "3DD5": "qiu",
  "3DD6": "zhao",
  "3DD7": "jiong",
  "3DD8": "tai",
  "3DDF": "tui",
  "3DE0": "lin",
  "3DE1": "jiong",
  "3DE2": "zha",
  "3DE4": "he",
  "3DE6": "xu",
  "3DEA": "cui",
  "3DEB": "qing",
  "3DEC": "mo",
  "3DEF": "beng",
  "3DF0": "li",
  "3DF3": "yan",
  "3DF4": "ge",
  "3DF5": "mo",
  "3DF6": "bei",
  "3DF7": "juan",
  "3DF8": "die",
  "3DF9": "shao",
  "3DFB": "wu",
  "3DFC": "yan",
  "3DFE": "jue",
  "3E00": "tai",
  "3E01": "han",
  "3E03": "dian",
  "3E04": "ji",
  "3E05": "jie",
  "3E09": "xie",
  "3E0A": "la",
  "3E0B": "fan",
  "3E0C": "huo",
  "3E0D": "xi",
  "3E0E": "nie",
  "3E0F": "mi",
  "3E10": "ran",
  "3E11": "cuan",
  "3E12": "yin",
  "3E13": "mi",
  "3E15": "jue",
  "3E17": "tong",
  "3E18": "wan",
  "3E1A": "li",
  "3E1B": "shao",
  "3E1C": "kong",
  "3E1D": "kan",
  "3E1E": "ban",
  "3E20": "tiao",
  "3E22": "bei",
  "3E23": "ye",
  "3E24": "pian",
  "3E25": "chan",
  "3E26": "hu",
  "3E27": "ken",
  "3E29": "an",
  "3E2A": "chun",
  "3E2B": "qian",
  "3E2C": "bei",
  "3E2E": "fen",
  "3E30": "tuo",
  "3E31": "tuo",
  "3E32": "zuo",
  "3E33": "ling",
  "3E35": "gui",
  "3E37": "shi",
  "3E38": "hou",
  "3E39": "lie",
  "3E3B": "si",
  "3E3D": "bei",
  "3E3E": "ren",
  "3E3F": "du",
  "3E40": "bo",
  "3E41": "liang",
  "3E42": "ci",
  "3E43": "bi",
  "3E44": "ji",
  "3E45": "zong",
  "3E47": "he",
  "3E48": "li",
  "3E49": "yuan",
  "3E4A": "yue",
  "3E4C": "chan",
  "3E4D": "di",
  "3E4E": "lei",
  "3E4F": "jin",
  "3E50": "chong",
  "3E51": "si",
  "3E52": "pu",
  "3E53": "yi",
  "3E56": "huan",
  "3E57": "tao",
  "3E58": "ru",
  "3E59": "ying",
  "3E5A": "ying",
  "3E5B": "rao",
  "3E5C": "yin",
  "3E5D": "shi",
  "3E5E": "yin",
  "3E5F": "jue",
  "3E60": "tun",
  "3E61": "xuan",
  "3E64": "qie",
  "3E65": "zhu",
  "3E68": "you",
  "3E6B": "xi",
  "3E6C": "shi",
  "3E6D": "yi",
  "3E6E": "mo",
  "3E71": "hu",
  "3E72": "xiao",
  "3E73": "wu",
  "3E75": "jing",
  "3E76": "ting",
  "3E77": "shi",
  "3E78": "ni",
  "3E7A": "ta",
  "3E7C": "chu",
  "3E7D": "chan",
  "3E7E": "piao",
  "3E7F": "diao",
  "3E80": "nao",
  "3E81": "nao",
  "3E82": "gan",
  "3E83": "gou",
  "3E84": "yu",
  "3E85": "hou",
  "3E89": "hu",
  "3E8A": "yang",
  "3E8C": "xian",
  "3E8E": "rong",
  "3E8F": "lou",
  "3E90": "zhao",
  "3E91": "can",
  "3E92": "liao",
  "3E93": "piao",
  "3E94": "hai",
  "3E95": "fan",
  "3E96": "han",
  "3E97": "dan",
  "3E98": "zhan",
  "3E9A": "ta",
  "3E9B": "zhu",
  "3E9C": "ban",
  "3E9D": "jian",
  "3E9E": "yu",
  "3E9F": "zhuo",
  "3EA0": "you",
  "3EA1": "li",
  "3EA5": "chan",
  "3EA6": "lian",
  "3EA9": "jiu",
  "3EAA": "pu",
  "3EAB": "qiu",
  "3EAC": "gong",
  "3EAD": "zi",
  "3EAE": "yu",
  "3EB1": "reng",
  "3EB2": "niu",
  "3EB3": "mei",
  "3EB5": "jiu",
  "3EB7": "xu",
  "3EB8": "ping",
  "3EB9": "bian",
  "3EBA": "mao",
  "3EBF": "yi",
  "3EC0": "you",
  "3EC2": "ping",
  "3EC4": "bao",
  "3EC5": "hui",
  "3EC9": "bu",
  "3ECA": "mang",
  "3ECB": "la",
  "3ECC": "tu",
  "3ECD": "wu",
  "3ECE": "li",
  "3ECF": "ling",
  "3ED1": "ji",
  "3ED2": "jun",
  "3ED4": "duo",
  "3ED5": "jue",
  "3ED6": "dai",
  "3ED7": "bei",
  "3EDD": "la",
  "3EDE": "bian",
  "3EDF": "sui",
  "3EE0": "tu",
  "3EE1": "die",
  "3EE7": "duo",
  "3EEA": "sui",
  "3EEB": "bi",
  "3EEC": "tu",
  "3EED": "se",
  "3EEE": "can",
  "3EEF": "tu",
  "3EF0": "mian",
  "3EF2": "lv",
  "3EF5": "zhan",
  "3EF6": "bi",
  "3EF7": "ji",
  "3EF8": "cen",
  "3EFA": "li",
  "3EFD": "sui",
  "3EFF": "shu",
  "3F02": "e",
  "3F07": "qiong",
  "3F08": "luo",
  "3F09": "yin",
  "3F0A": "tun",
  "3F0B": "gu",
  "3F0C": "yu",
  "3F0D": "lei",
  "3F0E": "bei",
  "3F0F": "nei",
  "3F10": "pian",
  "3F11": "lian",
  "3F12": "qiu",
  "3F13": "lian",
  "3F16": "li",
  "3F17": "ding",
  "3F18": "wa",
  "3F19": "zhou",
  "3F1B": "xing",
  "3F1C": "ang",
  "3F1D": "fan",
  "3F1E": "peng",
  "3F1F": "bai",
  "3F20": "tuo",
  "3F22": "e",
  "3F23": "bai",
  "3F24": "qi",
  "3F25": "chu",
  "3F26": "gong",
  "3F27": "tong",
  "3F28": "han",
  "3F29": "cheng",
  "3F2A": "jia",
  "3F2B": "huan",
  "3F2C": "xing",
  "3F2D": "dian",
  "3F2E": "mai",
  "3F2F": "dong",
  "3F30": "e",
  "3F31": "ruan",
  "3F32": "lie",
  "3F33": "sheng",
  "3F34": "ou",
  "3F35": "di",
  "3F36": "yu",
  "3F37": "chuan",
  "3F38": "rong",
  "3F3A": "tang",
  "3F3B": "cong",
  "3F3C": "piao",
  "3F3D": "shuang",
  "3F3E": "lu",
  "3F3F": "tong",
  "3F40": "zheng",
  "3F41": "li",
  "3F42": "sa",
  "3F47": "guai",
  "3F48": "yi",
  "3F49": "han",
  "3F4A": "xie",
  "3F4B": "luo",
  "3F4C": "liu",
  "3F4E": "dan",
  "3F51": "tan",
  "3F55": "you",
  "3F56": "nan",
  "3F58": "gang",
  "3F59": "jun",
  "3F5A": "chi",
  "3F5B": "kou",
  "3F5C": "wan",
  "3F5D": "li",
  "3F5E": "liu",
  "3F5F": "lie",
  "3F60": "xia",
  "3F62": "an",
  "3F63": "yu",
  "3F64": "ju",
  "3F65": "rou",
  "3F66": "xun",
  "3F68": "cuo",
  "3F69": "can",
  "3F6A": "zeng",
  "3F6B": "yong",
  "3F6C": "fu",
  "3F6D": "ruan",
  "3F6F": "xi",
  "3F70": "shu",
  "3F71": "jiao",
  "3F72": "jiao",
  "3F73": "han",
  "3F74": "zhang",
  "3F77": "shui",
  "3F78": "chen",
  "3F79": "fan",
  "3F7A": "ji",
  "3F7D": "gu",
  "3F7E": "wu",
  "3F80": "qie",
  "3F81": "shu",
  "3F83": "tuo",
  "3F84": "du",
  "3F85": "si",
  "3F86": "ran",
  "3F87": "mu",
  "3F88": "fu",
  "3F89": "ling",
  "3F8A": "ji",
  "3F8B": "xiu",
  "3F8C": "xuan",
  "3F8D": "nai",
  "3F8F": "jie",
  "3F90": "li",
  "3F91": "da",
  "3F92": "ji",
  "3F94": "lv",
  "3F95": "shen",
  "3F96": "li",
  "3F97": "lang",
  "3F98": "geng",
  "3F99": "yin",
  "3F9B": "qin",
  "3F9C": "qie",
  "3F9D": "che",
  "3F9E": "you",
  "3F9F": "bu",
  "3FA0": "huang",
  "3FA1": "que",
  "3FA2": "lai",
  "3FA5": "xu",
  "3FA6": "bang",
  "3FA7": "ke",
  "3FA8": "qi",
  "3FAA": "sheng",
  "3FAD": "zhou",
  "3FAE": "huang",
  "3FAF": "tui",
  "3FB0": "hu",
  "3FB1": "bei",
  "3FB5": "ji",
  "3FB6": "gu",
  "3FB8": "gao",
  "3FB9": "chai",
  "3FBA": "ma",
  "3FBB": "zhu",
  "3FBC": "tui",
  "3FBD": "tui",
  "3FBE": "lian",
  "3FBF": "lang",
  "3FC3": "dai",
  "3FC4": "ai",
  "3FC5": "xian",
  "3FC7": "xi",
  "3FC9": "tui",
  "3FCA": "can",
  "3FCB": "sao",
  "3FCD": "jie",
  "3FCE": "fen",
  "3FCF": "qun",
  "3FD1": "yao",
  "3FD2": "dao",
  "3FD3": "jia",
  "3FD4": "lei",
  "3FD5": "yan",
  "3FD6": "lu",
  "3FD7": "tui",
  "3FD8": "ying",
  "3FD9": "pi",
  "3FDA": "luo",
  "3FDB": "li",
  "3FDC": "bie",
  "3FDE": "mao",
  "3FDF": "bai",
  "3FE2": "yao",
  "3FE3": "he",
  "3FE4": "chun",
  "3FE5": "hu",
  "3FE6": "ning",
  "3FE7": "chou",
  "3FE8": "li",
  "3FE9": "tang",
  "3FEA": "huan",
  "3FEB": "bi",
  "3FED": "che",
  "3FEE": "yang",
  "3FEF": "da",
  "3FF0": "ao",
  "3FF1": "xue",
  "3FF5": "ran",
  "3FF7": "zao",
  "3FF8": "wan",
  "3FF9": "ta",
  "3FFA": "bao",
  "3FFC": "yan",
  "3FFE": "zhu",
  "3FFF": "ya",
  "400A": "jiao",
  "400B": "yan",
  "400D": "kan",
  "400E": "mian",
  "400F": "xian",
  "401A": "ang",
  "401B": "mei",
  "401C": "gu",
  "401F": "fan",
  "402A": "hang",
  "402B": "jia",
  "402C": "quan",
  "402E": "mang",
  "402F": "bu",
  "403B": "pin",
  "403C": "ren",
  "403D": "yan",
  "403E": "du",
  "403F": "di",
  "404A": "wo",
  "404B": "she",
  "404C": "yu",
  "404D": "jia",
  "404E": "cheng",
  "404F": "yao",
  "405A": "sun",
  "405B": "gui",
  "405C": "huang",
  "405D": "ying",
  "405E": "sheng",
  "405F": "cha",
  "406A": "nan",
  "406B": "hu",
  "406C": "ceng",
  "406E": "qian",
  "406F": "she",
  "407A": "shi",
  "407B": "li",
  "407C": "mo",
  "407D": "lie",
  "407E": "mie",
  "407F": "mo",
  "408A": "yu",
  "408D": "bo",
  "408E": "zuan",
  "409A": "yao",
  "409B": "yu",
  "409C": "bang",
  "409D": "jie",
  "409E": "zhe",
  "40A0": "she",
  "40A1": "di",
  "40A2": "dong",
  "40A3": "ci",
  "40A4": "fu",
  "40A5": "min",
  "40A6": "zhen",
  "40A7": "zhen",
  "40A9": "yan",
  "40AA": "diao",
  "40AB": "hong",
  "40AC": "gong",
  "40AE": "lve",
  "40AF": "guai",
  "40B0": "la",
  "40B1": "cui",
  "40B2": "fa",
  "40B3": "cuo",
  "40B4": "yan",
  "40B6": "jie",
  "40B8": "guo",
  "40B9": "suo",
  "40BA": "wan",
  "40BB": "zheng",
  "40BC": "nie",
  "40BD": "diao",
  "40BE": "lai",
  "40BF": "ta",
  "40C0": "cui",
  "40C2": "gun",
  "40C7": "mian",
  "40C9": "min",
  "40CA": "ju",
  "40CB": "yu",
  "40CD": "zhao",
  "40CE": "ze",
  "40D1": "pan",
  "40D2": "he",
  "40D3": "gou",
  "40D4": "hong",
  "40D5": "lao",
  "40D6": "wu",
  "40D7": "chuo",
  "40D9": "lu",
  "40DA": "cu",
  "40DB": "lian",
  "40DD": "qiao",
  "40DE": "shu",
  "40E1": "cen",
  "40E3": "hui",
  "40E4": "su",
  "40E5": "chuang",
  "40E7": "long",
  "40E9": "nao",
  "40EA": "tan",
  "40EB": "dan",
  "40EC": "wei",
  "40ED": "gan",
  "40EE": "da",
  "40EF": "li",
  "40F1": "xian",
  "40F2": "pan",
  "40F3": "la",
  "40F5": "niao",
  "40F6": "huai",
  "40F7": "ying",
  "40F8": "xian",
  "40F9": "lan",
  "40FA": "mo",
  "40FB": "ba",
  "40FD": "fu",
  "40FE": "bi",
  "410B": "yan",
  "410C": "zhui",
  "410D": "du",
  "410E": "qi",
  "410F": "yu",
  "411A": "cao",
  "411B": "lou",
  "411C": "li",
  "411D": "chun",
  "411F": "cui",
  "412A": "chuo",
  "412B": "qi",
  "412C": "yi",
  "412D": "nian",
  "412F": "jian",
  "413A": "zhi",
  "413B": "chao",
  "413C": "tian",
  "413D": "tian",
  "413E": "rou",
  "413F": "yi",
  "414A": "du",
  "414B": "wan",
  "414D": "dong",
  "414E": "you",
  "414F": "hui",
  "415A": "qiang",
  "415C": "duo",
  "415E": "na",
  "415F": "can",
  "416A": "tui",
  "416C": "ai",
  "416D": "pang",
  "416E": "cang",
  "416F": "tang",
  "417A": "miao",
  "417B": "li",
  "417C": "man",
  "417D": "gu",
  "417E": "cen",
  "417F": "hua",
  "418A": "cui",
  "418B": "qiu",
  "418D": "long",
  "418F": "fei",
  "419A": "tong",
  "419B": "cha",
  "419C": "you",
  "419D": "shu",
  "419E": "yao",
  "419F": "ge",
  "41A0": "huan",
  "41A1": "lang",
  "41A2": "jue",
  "41A3": "chen",
  "41A6": "shen",
  "41A8": "ming",
  "41A9": "ming",
  "41AB": "chuang",
  "41AC": "yun",
  "41AE": "jin",
  "41AF": "chuo",
  "41B1": "tan",
  "41B3": "qiong",
  "41B5": "cheng",
  "41B7": "yu",
  "41B8": "cheng",
  "41B9": "tong",
  "41BB": "qiao",
  "41BD": "ju",
  "41BE": "lan",
  "41BF": "yi",
  "41C0": "rong",
  "41C3": "si",
  "41C5": "fa",
  "41C7": "meng",
  "41C8": "gui",
  "41CB": "hai",
  "41CC": "qiao",
  "41CD": "chuo",
  "41CE": "que",
  "41CF": "dui",
  "41D0": "li",
  "41D1": "ba",
  "41D2": "jie",
  "41D4": "luo",
  "41D6": "yun",
  "41D8": "hu",
  "41D9": "yin",
  "41DB": "zhi",
  "41DC": "lian",
  "41DE": "gan",
  "41DF": "jian",
  "41E0": "zhou",
  "41E1": "zhu",
  "41E2": "ku",
  "41E3": "na",
  "41E4": "dui",
  "41E5": "ze",
  "41E6": "yang",
  "41E7": "zhu",
  "41E8": "gong",
  "41E9": "yi",
  "41EC": "chuang",
  "41ED": "lao",
  "41EE": "ren",
  "41EF": "rong",
  "41F1": "na",
  "41F2": "ce",
  "41F5": "yi",
  "41F6": "jue",
  "41F7": "bi",
  "41F8": "cheng",
  "41F9": "jun",
  "41FA": "chou",
  "41FB": "hui",
  "41FC": "chi",
  "41FD": "zhi",
  "41FE": "yan",
  "420A": "ling",
  "420B": "ta",
  "420D": "mang",
  "420E": "ye",
  "420F": "bao",
  "421A": "tai",
  "421B": "kuai",
  "421C": "qin",
  "421E": "du",
  "421F": "ce",
  "422A": "xi",
  "422B": "na",
  "422C": "pu",
  "422D": "huai",
  "422E": "ju",
  "423B": "pu",
  "423C": "mie",
  "423E": "shuo",
  "423F": "mai",
  "424A": "fan",
  "424B": "mei",
  "424C": "sui",
  "424D": "jian",
  "424E": "tang",
  "424F": "xie",
  "425A": "meng",
  "425B": "yu",
  "425C": "zhi",
  "425D": "qi",
  "425E": "dan",
  "425F": "huo",
  "426A": "lei",
  "426B": "li",
  "426C": "fei",
  "426D": "lie",
  "426E": "lin",
  "426F": "xian",
  "427A": "hong",
  "427B": "qi",
  "427C": "liao",
  "427D": "ban",
  "427E": "mi",
  "427F": "hu",
  "428A": "mei",
  "428D": "li",
  "428E": "quan",
  "429B": "sa",
  "429C": "tuan",
  "429D": "xie",
  "429E": "zhe",
  "429F": "men",
  "42A0": "xi",
  "42A1": "man",
  "42A3": "huang",
  "42A4": "tan",
  "42A5": "xiao",
  "42A6": "ya",
  "42A7": "bi",
  "42A8": "luo",
  "42A9": "fan",
  "42AA": "li",
  "42AB": "cui",
  "42AC": "cha",
  "42AD": "chou",
  "42AE": "di",
  "42AF": "kuang",
  "42B0": "chu",
  "42B2": "chan",
  "42B3": "mi",
  "42B4": "qian",
  "42B5": "qiu",
  "42B6": "zhen",
  "42BA": "gu",
  "42BB": "yan",
  "42BC": "chi",
  "42BD": "guai",
  "42BE": "mu",
  "42BF": "bo",
  "42C0": "kua",
  "42C1": "geng",
  "42C2": "yao",
  "42C3": "mao",
  "42C4": "wang",
  "42C8": "ru",
  "42C9": "jue",
  "42CB": "min",
  "42CC": "jiang",
  "42CE": "zhan",
  "42CF": "zuo",
  "42D0": "yue",
  "42D1": "bing",
  "42D3": "zhou",
  "42D4": "bi",
  "42D5": "ren",
  "42D6": "yu",
  "42D8": "chuo",
  "42D9": "er",
  "42DA": "yi",
  "42DB": "mi",
  "42DC": "qing",
  "42DE": "wang",
  "42DF": "ji",
  "42E0": "bu",
  "42E2": "bie",
  "42E3": "fan",
  "42E4": "yao",
  "42E5": "li",
  "42E6": "fan",
  "42E7": "qu",
  "42E8": "fu",
  "42E9": "er",
  "42ED": "huo",
  "42EE": "jin",
  "42EF": "qi",
  "42F0": "ju",
  "42F1": "lai",
  "42F2": "che",
  "42F3": "bei",
  "42F4": "niu",
  "42F5": "yi",
  "42F6": "xu",
  "42F7": "liu",
  "42F8": "xun",
  "42F9": "fu",
  "42FB": "nin",
  "42FC": "ting",
  "42FD": "beng",
  "42FE": "zha",
  "430A": "yao",
  "430C": "qi",
  "430D": "han",
  "430E": "lve",
  "430F": "mi",
  "431A": "su",
  "431B": "yao",
  "431C": "nie",
  "431D": "jin",
  "431E": "lian",
  "431F": "bi",
  "432A": "yan",
  "432B": "lan",
  "432C": "chong",
  "432F": "guan",
  "433A": "er",
  "433B": "yi",
  "433C": "rui",
  "433D": "cai",
  "433E": "ren",
  "433F": "fu",
  "434A": "jue",
  "434B": "chui",
  "434C": "bu",
  "434D": "gu",
  "434E": "cun",
  "435A": "lang",
  "435B": "gu",
  "435C": "zhao",
  "435D": "ta",
  "435E": "yu",
  "435F": "zong",
  "436A": "kui",
  "436B": "tuo",
  "436E": "zhao",
  "436F": "gui",
  "437A": "huan",
  "437B": "xuan",
  "437C": "can",
  "437D": "li",
  "437E": "tui",
  "437F": "huang",
  "438A": "po",
  "438B": "he",
  "438C": "cu",
  "438E": "na",
  "438F": "an",
  "439A": "guan",
  "439D": "chu",
  "439F": "er",
  "43A0": "er",
  "43A1": "nuan",
  "43A2": "qi",
  "43A3": "si",
  "43A4": "chu",
  "43A6": "yan",
  "43A7": "bang",
  "43A8": "an",
  "43AA": "ne",
  "43AB": "chuang",
  "43AC": "ba",
  "43AE": "ti",
  "43AF": "han",
  "43B0": "zuo",
  "43B1": "ba",
  "43B2": "zhe",
  "43B3": "wa",
  "43B4": "sheng",
  "43B5": "bi",
  "43B6": "er",
  "43B7": "zhu",
  "43B8": "wu",
  "43B9": "wen",
  "43BA": "zhi",
  "43BB": "zhou",
  "43BC": "lu",
  "43BD": "wen",
  "43BE": "gun",
  "43BF": "qiu",
  "43C0": "la",
  "43C1": "zai",
  "43C2": "sou",
  "43C3": "mian",
  "43C4": "zhi",
  "43C5": "qi",
  "43C6": "cao",
  "43C7": "piao",
  "43C8": "lian",
  "43CA": "long",
  "43CB": "su",
  "43CC": "qi",
  "43CD": "yuan",
  "43CE": "feng",
  "43D0": "jue",
  "43D1": "di",
  "43D2": "pian",
  "43D3": "guan",
  "43D4": "niu",
  "43D5": "ren",
  "43D6": "zhen",
  "43D7": "gai",
  "43D8": "pi",
  "43D9": "tan",
  "43DA": "chao",
  "43DB": "chun",
  "43DD": "chun",
  "43DE": "mo",
  "43DF": "bie",
  "43E0": "qi",
  "43E1": "shi",
  "43E2": "bi",
  "43E3": "jue",
  "43E4": "si",
  "43E6": "hua",
  "43E7": "na",
  "43E8": "hui",
  "43EA": "er",
  "43EC": "mou",
  "43EE": "xi",
  "43EF": "zhi",
  "43F0": "ren",
  "43F1": "ju",
  "43F2": "die",
  "43F3": "zhe",
  "43F4": "shao",
  "43F5": "meng",
  "43F6": "bi",
  "43F7": "han",
  "43F8": "yu",
  "43F9": "xian",
  "43FB": "neng",
  "43FC": "can",
  "43FD": "bu",
  "43FF": "qi",
  "440A": "da",
  "440C": "tian",
  "440D": "zhou",
  "440F": "chun",
  "441A": "ji",
  "441D": "suo",
  "441E": "ruo",
  "441F": "xiang",
  "442A": "fan",
  "442C": "cao",
  "442D": "zhi",
  "442E": "chan",
  "442F": "lei",
  "443A": "tan",
  "443C": "xi",
  "443D": "man",
  "443E": "duo",
  "443F": "ao",
  "444A": "wei",
  "444B": "nao",
  "444C": "lan",
  "444D": "yan",
  "444E": "chan",
  "444F": "quan",
  "445A": "tian",
  "445B": "chi",
  "445C": "ta",
  "445D": "jia",
  "445E": "shun",
  "445F": "huang",
  "446A": "e",
  "446C": "yao",
  "446D": "di",
  "446F": "di",
  "447B": "you",
  "447D": "da",
  "447F": "su",
  "448B": "yang",
  "448C": "ming",
  "448D": "pang",
  "448E": "mang",
  "449A": "shao",
  "449B": "heng",
  "449C": "niu",
  "449D": "xiao",
  "449E": "chen",
  "44A0": "fan",
  "44A1": "yin",
  "44A2": "ang",
  "44A3": "ran",
  "44A4": "ri",
  "44A5": "fa",
  "44A6": "fan",
  "44A7": "qu",
  "44A8": "shi",
  "44A9": "he",
  "44AA": "bian",
  "44AB": "dai",
  "44AC": "mo",
  "44AD": "deng",
  "44B2": "cha",
  "44B3": "duo",
  "44B4": "you",
  "44B5": "hao",
  "44B8": "xian",
  "44B9": "lei",
  "44BA": "jin",
  "44BB": "qi",
  "44BD": "mei",
  "44C2": "yan",
  "44C3": "yi",
  "44C4": "yin",
  "44C5": "qi",
  "44C6": "zhe",
  "44C7": "xi",
  "44C8": "yi",
  "44C9": "ye",
  "44CA": "e",
  "44CC": "zhi",
  "44CD": "han",
  "44CE": "chuo",
  "44D0": "chun",
  "44D1": "bing",
  "44D2": "kuai",
  "44D3": "chou",
  "44D5": "tuo",
  "44D6": "qiong",
  "44D8": "jiu",
  "44DA": "cu",
  "44DB": "fu",
  "44DD": "meng",
  "44DE": "li",
  "44DF": "lie",
  "44E0": "ta",
  "44E2": "gu",
  "44E3": "liang",
  "44E5": "la",
  "44E6": "dian",
  "44E7": "ci",
  "44EB": "ji",
  "44ED": "cha",
  "44EE": "mao",
  "44EF": "du",
  "44F1": "chai",
  "44F2": "rui",
  "44F3": "hen",
  "44F4": "ruan",
  "44F6": "lai",
  "44F7": "xing",
  "44F9": "yi",
  "44FA": "mei",
  "44FC": "he",
  "44FD": "ji",
  "44FF": "han",
  "450E": "su",
  "450F": "chou",
  "451A": "chun",
  "451B": "qing",
  "451C": "nan",
  "451E": "lv",
  "451F": "chi",
  "452A": "dui",
  "452C": "yi",
  "452D": "ning",
  "452F": "hu",
  "453A": "wei",
  "453C": "se",
  "453D": "ai",
  "453E": "e",
  "453F": "jie",
  "454A": "tan",
  "454B": "chang",
  "454C": "zhi",
  "454D": "yi",
  "454E": "fu",
  "454F": "e",
  "455A": "kui",
  "455B": "jia",
  "455E": "lang",
  "456A": "ze",
  "456B": "kui",
  "456D": "qian",
  "456E": "ju",
  "456F": "piao",
  "457A": "cong",
  "457B": "ge",
  "457C": "nan",
  "457D": "zhu",
  "457E": "yan",
  "457F": "han",
  "458A": "yi",
  "458B": "nve",
  "458C": "qin",
  "458D": "qian",
  "458E": "xia",
  "458F": "chu",
  "459B": "suo",
  "459C": "yin",
  "459D": "chong",
  "459E": "zhou",
  "459F": "mang",
  "45A0": "yuan",
  "45A1": "nv",
  "45A2": "miao",
  "45A3": "sao",
  "45A4": "wan",
  "45A5": "li",
  "45A7": "na",
  "45A8": "shi",
  "45A9": "bi",
  "45AA": "ci",
  "45AB": "bang",
  "45AD": "juan",
  "45AE": "xiang",
  "45AF": "gui",
  "45B0": "pai",
  "45B2": "xun",
  "45B3": "zha",
  "45B4": "yao",
  "45B8": "e",
  "45B9": "yang",
  "45BA": "tiao",
  "45BB": "you",
  "45BC": "jue",
  "45BD": "li",
  "45BF": "li",
  "45C1": "ji",
  "45C2": "hu",
  "45C3": "zhan",
  "45C4": "fu",
  "45C5": "chang",
  "45C6": "guan",
  "45C7": "ju",
  "45C8": "meng",
  "45CA": "cheng",
  "45CB": "mou",
  "45CD": "li",
  "45D1": "yi",
  "45D2": "bing",
  "45D4": "hou",
  "45D5": "wan",
  "45D6": "chi",
  "45D8": "ge",
  "45D9": "han",
  "45DA": "bo",
  "45DC": "liu",
  "45DD": "can",
  "45DE": "can",
  "45DF": "yi",
  "45E0": "xuan",
  "45E1": "yan",
  "45E2": "suo",
  "45E3": "gao",
  "45E4": "yong",
  "45E8": "yu",
  "45EA": "zhe",
  "45EB": "ma",
  "45EE": "shuang",
  "45EF": "jin",
  "45F0": "guan",
  "45F1": "pu",
  "45F2": "lin",
  "45F4": "ting",
  "45F6": "la",
  "45F7": "yi",
  "45F9": "ci",
  "45FA": "yan",
  "45FB": "jie",
  "45FD": "wei",
  "45FE": "xian",
  "45FF": "ning",
  "460A": "mie",
  "460C": "ni",
  "460D": "chai",
  "460F": "xu",
  "461A": "zhu",
  "461D": "yi",
  "462B": "nou",
  "462C": "rong",
  "462D": "die",
  "462E": "sa",
  "463A": "zhan",
  "463B": "su",
  "463C": "wan",
  "463D": "ni",
  "463E": "guan",
  "463F": "jue",
  "464A": "xie",
  "464C": "hui",
  "464E": "xie",
  "464F": "bo",
  "465A": "niao",
  "465B": "guan",
  "465C": "feng",
  "465D": "xie",
  "465F": "duo",
  "466A": "long",
  "466C": "ying",
  "466E": "guan",
  "466F": "cu",
  "467A": "lian",
  "467C": "shao",
  "467D": "xi",
  "467F": "wei",
  "468B": "yun",
  "468D": "qi",
  "468F": "leng",
  "469A": "xian",
  "469B": "hu",
  "469D": "zu",
  "469E": "dai",
  "469F": "dai",
  "46A0": "hun",
  "46A2": "che",
  "46A3": "ti",
  "46A5": "nuo",
  "46A6": "zhi",
  "46A7": "liu",
  "46A8": "fei",
  "46A9": "jiao",
  "46AB": "ao",
  "46AC": "lin",
  "46AE": "reng",
  "46AF": "tao",
  "46B0": "pi",
  "46B1": "xin",
  "46B2": "shan",
  "46B3": "xie",
  "46B4": "wa",
  "46B5": "tao",
  "46B7": "xi",
  "46B8": "xie",
  "46B9": "pi",
  "46BA": "yao",
  "46BB": "yao",
  "46BC": "nv",
  "46BD": "hao",
  "46BE": "nin",
  "46BF": "yin",
  "46C0": "fan",
  "46C1": "nan",
  "46C2": "chi",
  "46C3": "wang",
  "46C4": "yuan",
  "46C5": "xia",
  "46C6": "zhou",
  "46C7": "yuan",
  "46C8": "shi",
  "46C9": "mi",
  "46CB": "ge",
  "46CC": "pao",
  "46CD": "fei",
  "46CE": "hu",
  "46CF": "ni",
  "46D0": "ci",
  "46D1": "mi",
  "46D2": "bian",
  "46D4": "na",
  "46D5": "yu",
  "46D6": "e",
  "46D7": "zhi",
  "46D8": "nin",
  "46D9": "xu",
  "46DA": "lve",
  "46DB": "hui",
  "46DC": "xun",
  "46DD": "nao",
  "46DE": "han",
  "46DF": "jia",
  "46E0": "dou",
  "46E1": "hua",
  "46E4": "cu",
  "46E5": "xi",
  "46E6": "song",
  "46E7": "mi",
  "46E8": "xin",
  "46E9": "wu",
  "46EA": "qiong",
  "46EB": "zheng",
  "46EC": "chou",
  "46ED": "xing",
  "46EE": "jiu",
  "46EF": "ju",
  "46F0": "hun",
  "46F1": "ti",
  "46F2": "man",
  "46F3": "jian",
  "46F4": "qi",
  "46F5": "shou",
  "46F6": "lei",
  "46F7": "wan",
  "46F8": "che",
  "46F9": "can",
  "46FA": "jie",
  "46FB": "you",
  "46FC": "hui",
  "46FD": "zha",
  "46FE": "su",
  "46FF": "ge",
  "470A": "zao",
  "470B": "hui",
  "470C": "luan",
  "470D": "liao",
  "470E": "lao",
  "471A": "ta",
  "471B": "chan",
  "471C": "wei",
  "471D": "tuan",
  "471E": "ji",
  "471F": "chen",
  "472A": "qiu",
  "472B": "hong",
  "472C": "song",
  "472D": "jun",
  "472E": "liao",
  "472F": "ju",
  "473A": "ce",
  "473B": "chi",
  "473C": "gu",
  "473D": "yu",
  "474A": "sha",
  "474B": "zong",
  "474C": "jue",
  "474D": "jun",
  "474F": "lou",
  "475A": "ni",
  "475D": "yi",
  "475E": "hao",
  "475F": "ya",
  "476A": "shu",
  "476B": "zuo",
  "476C": "zhu",
  "476D": "gou",
  "476E": "xuan",
  "476F": "yi",
  "477A": "guan",
  "477C": "qing",
  "477D": "ai",
  "477E": "fu",
  "477F": "gui",
  "478A": "xun",
  "478B": "chen",
  "478C": "she",
  "478D": "qing",
  "479A": "qi",
  "479C": "fu",
  "479D": "ao",
  "479E": "fu",
  "479F": "po",
  "47A1": "tan",
  "47A2": "zha",
  "47A3": "che",
  "47A4": "qu",
  "47A5": "you",
  "47A6": "he",
  "47A7": "hou",
  "47A8": "gui",
  "47A9": "e",
  "47AA": "jiang",
  "47AB": "yun",
  "47AC": "tou",
  "47AD": "qiu",
  "47AF": "fu",
  "47B0": "zuo",
  "47B1": "hu",
  "47B3": "bo",
  "47B5": "jue",
  "47B6": "di",
  "47B7": "jue",
  "47B8": "fu",
  "47B9": "huang",
  "47BB": "yong",
  "47BC": "chui",
  "47BD": "suo",
  "47BE": "chi",
  "47C2": "man",
  "47C3": "ca",
  "47C4": "qi",
  "47C5": "jian",
  "47C6": "bi",
  "47C8": "zhi",
  "47C9": "zhu",
  "47CA": "qu",
  "47CB": "zhan",
  "47CC": "ji",
  "47CD": "dian",
  "47CF": "li",
  "47D0": "li",
  "47D1": "la",
  "47D2": "quan",
  "47D4": "fu",
  "47D5": "cha",
  "47D6": "tang",
  "47D7": "shi",
  "47D8": "hang",
  "47D9": "qie",
  "47DA": "qi",
  "47DB": "bo",
  "47DC": "na",
  "47DD": "tou",
  "47DE": "chu",
  "47DF": "cu",
  "47E0": "yue",
  "47E1": "di",
  "47E2": "chen",
  "47E3": "chu",
  "47E4": "bi",
  "47E5": "mang",
  "47E6": "ba",
  "47E7": "tian",
  "47E8": "min",
  "47E9": "lie",
  "47EA": "feng",
  "47EC": "qiu",
  "47ED": "tiao",
  "47EE": "fu",
  "47EF": "kuo",
  "47F0": "jian",
  "47F4": "zhen",
  "47F5": "qiu",
  "47F6": "cuo",
  "47F7": "chi",
  "47F8": "kui",
  "47F9": "lie",
  "47FA": "bang",
  "47FB": "du",
  "47FC": "wu",
  "47FE": "jue",
  "47FF": "lu",
  "480A": "fei",
  "480B": "bi",
  "480D": "qia",
  "480E": "wo",
  "480F": "ji",
  "481A": "wa",
  "481B": "jiao",
  "481C": "rong",
  "481E": "cu",
  "481F": "die",
  "482A": "duan",
  "482B": "zou",
  "482C": "deng",
  "482D": "lai",
  "482E": "teng",
  "482F": "yue",
  "483B": "qiong",
  "483C": "diao",
  "483D": "hai",
  "483E": "shan",
  "483F": "wai",
  "484A": "fan",
  "484B": "qi",
  "484C": "hong",
  "484D": "fu",
  "484E": "lu",
  "484F": "hong",
  "485A": "mao",
  "485B": "yin",
  "485C": "lu",
  "485D": "yun",
  "485E": "ju",
  "485F": "pi",
  "486A": "chan",
  "486B": "peng",
  "486C": "man",
  "486F": "shuang",
  "487A": "wei",
  "487B": "min",
  "487C": "ling",
  "487E": "nei",
  "487F": "ling",
  "488A": "you",
  "488B": "ji",
  "488C": "bo",
  "488D": "fang",
  "489A": "gong",
  "489B": "jiong",
  "489D": "ya",
  "489E": "nu",
  "489F": "you",
  "48A0": "song",
  "48A1": "xie",
  "48A2": "cang",
  "48A3": "yao",
  "48A4": "shu",
  "48A5": "yan",
  "48A6": "shuai",
  "48A7": "liao",
  "48A9": "yu",
  "48AA": "bo",
  "48AB": "sui",
  "48AD": "yan",
  "48AE": "lei",
  "48AF": "lin",
  "48B0": "tai",
  "48B1": "du",
  "48B2": "yue",
  "48B3": "ji",
  "48B5": "yun",
  "48B9": "ju",
  "48BB": "chen",
  "48BD": "xiang",
  "48BE": "xian",
  "48C0": "gui",
  "48C1": "yu",
  "48C2": "lei",
  "48C4": "tu",
  "48C5": "chen",
  "48C6": "xing",
  "48C7": "qiu",
  "48C8": "hang",
  "48CA": "dang",
  "48CB": "cai",
  "48CC": "di",
  "48CD": "yan",
  "48D1": "chan",
  "48D3": "li",
  "48D4": "suo",
  "48D5": "ma",
  "48D6": "ma",
  "48D8": "tang",
  "48D9": "pei",
  "48DA": "lou",
  "48DC": "cuo",
  "48DD": "tu",
  "48DE": "e",
  "48DF": "can",
  "48E0": "jie",
  "48E1": "ti",
  "48E2": "ji",
  "48E3": "dang",
  "48E4": "jiao",
  "48E5": "bi",
  "48E6": "lei",
  "48E7": "yi",
  "48E8": "chun",
  "48E9": "chun",
  "48EA": "po",
  "48EB": "li",
  "48EC": "zai",
  "48ED": "tai",
  "48EE": "po",
  "48EF": "tian",
  "48F0": "ju",
  "48F1": "xu",
  "48F2": "fan",
  "48F4": "xu",
  "48F5": "er",
  "48F6": "huo",
  "48F8": "ran",
  "48F9": "fa",
  "48FC": "liang",
  "48FD": "ti",
  "48FE": "mi",
  "490A": "rong",
  "490B": "guo",
  "490D": "mi",
  "490E": "ju",
  "490F": "pi",
  "491A": "li",
  "491B": "qiu",
  "491C": "dun",
  "491D": "ying",
  "491E": "yun",
  "491F": "chen",
  "492A": "duo",
  "492B": "chan",
  "492D": "kuan",
  "492E": "she",
  "492F": "xing",
  "493A": "yin",
  "493B": "duo",
  "493C": "xian",
  "493F": "qie",
  "494C": "zheng",
  "494D": "zhi",
  "494E": "chun",
  "494F": "yu",
  "495B": "jie",
  "495C": "jian",
  "495D": "ao",
  "495E": "jiao",
  "495F": "ye",
  "496A": "xian",
  "496B": "tie",
  "496C": "bo",
  "496D": "zheng",
  "496E": "zhu",
  "496F": "ba",
  "497A": "ye",
  "497E": "xie",
  "498A": "niao",
  "498B": "ao",
  "498C": "chu",
  "498D": "wu",
  "498E": "guan",
  "498F": "xie",
  "499A": "huo",
  "499B": "zheng",
  "499C": "wu",
  "499E": "run",
  "499F": "chuai",
  "49A0": "shi",
  "49A1": "huan",
  "49A2": "kuo",
  "49A3": "fu",
  "49A4": "chuai",
  "49A5": "xian",
  "49A6": "qin",
  "49A7": "qie",
  "49A8": "lan",
  "49AA": "ya",
  "49AC": "que",
  "49AE": "chun",
  "49AF": "zhi",
  "49B1": "kui",
  "49B2": "qian",
  "49B3": "hang",
  "49B4": "yi",
  "49B5": "ni",
  "49B6": "zheng",
  "49B7": "chuai",
  "49B9": "shi",
  "49BB": "ci",
  "49BC": "jue",
  "49BD": "xu",
  "49BE": "yun",
  "49C1": "chu",
  "49C2": "dao",
  "49C3": "dian",
  "49C4": "ge",
  "49C5": "ti",
  "49C6": "hong",
  "49C7": "ni",
  "49C9": "li",
  "49CB": "xian",
  "49CD": "xi",
  "49CE": "xuan",
  "49D2": "lai",
  "49D4": "mu",
  "49D5": "cheng",
  "49D6": "jian",
  "49D7": "bi",
  "49D8": "qi",
  "49D9": "ling",
  "49DA": "hao",
  "49DB": "bang",
  "49DC": "tang",
  "49DD": "di",
  "49DE": "fu",
  "49DF": "xian",
  "49E0": "shuan",
  "49E4": "pu",
  "49E5": "hui",
  "49E6": "wei",
  "49E7": "yi",
  "49E8": "ye",
  "49EA": "che",
  "49EB": "hao",
  "49EE": "xian",
  "49EF": "chan",
  "49F0": "hun",
  "49F2": "han",
  "49F3": "ci",
  "49F5": "qi",
  "49F6": "kui",
  "49F7": "rou",
  "49FA": "xiong",
  "49FC": "hu",
  "49FD": "cui",
  "49FF": "que",
  "4A00": "di",
  "4A01": "che",
  "4A04": "yan",
  "4A05": "liao",
  "4A06": "bi",
  "4A0B": "nve",
  "4A0C": "bao",
  "4A0D": "ying",
  "4A0E": "hong",
  "4A0F": "ci",
  "4A10": "qia",
  "4A11": "ti",
  "4A12": "yu",
  "4A13": "lei",
  "4A14": "bao",
  "4A16": "ji",
  "4A17": "fu",
  "4A18": "xian",
  "4A19": "cen",
  "4A1B": "se",
  "4A1E": "yu",
  "4A20": "ai",
  "4A21": "han",
  "4A22": "dan",
  "4A23": "ge",
  "4A24": "di",
  "4A25": "hu",
  "4A26": "pang",
  "4A29": "ling",
  "4A2A": "mai",
  "4A2B": "mai",
  "4A2C": "lian",
  "4A2E": "xue",
  "4A2F": "zhen",
  "4A30": "po",
  "4A31": "fu",
  "4A32": "nou",
  "4A33": "xi",
  "4A34": "dui",
  "4A35": "dan",
  "4A36": "yun",
  "4A37": "xian",
  "4A38": "yin",
  "4A3A": "dui",
  "4A3B": "beng",
  "4A3C": "hu",
  "4A3D": "fei",
  "4A3E": "fei",
  "4A3F": "qian",
  "4A40": "bei",
  "4A43": "shi",
  "4A44": "tian",
  "4A45": "zhan",
  "4A46": "jian",
  "4A48": "hui",
  "4A49": "fu",
  "4A4A": "wan",
  "4A4B": "mo",
  "4A4C": "qiao",
  "4A4D": "liao",
  "4A4F": "mie",
  "4A50": "ge",
  "4A51": "hong",
  "4A52": "yu",
  "4A53": "qi",
  "4A54": "duo",
  "4A55": "ang",
  "4A57": "ba",
  "4A58": "di",
  "4A59": "xuan",
  "4A5A": "di",
  "4A5B": "bi",
  "4A5C": "zhou",
  "4A5D": "pao",
  "4A5E": "nian",
  "4A5F": "yi",
  "4A61": "jia",
  "4A62": "da",
  "4A63": "duo",
  "4A64": "xi",
  "4A65": "dan",
  "4A66": "tiao",
  "4A67": "xie",
  "4A68": "chang",
  "4A69": "yuan",
  "4A6A": "guan",
  "4A6B": "liang",
  "4A6C": "beng",
  "4A6E": "lu",
  "4A6F": "ji",
  "4A70": "xuan",
  "4A71": "shu",
  "4A73": "shu",
  "4A74": "hu",
  "4A75": "yun",
  "4A76": "chan",
  "4A78": "rong",
  "4A79": "e",
  "4A7B": "ba",
  "4A7C": "feng",
  "4A7E": "zhe",
  "4A7F": "fen",
  "4A80": "guan",
  "4A81": "bu",
  "4A82": "ge",
  "4A84": "huang",
  "4A85": "du",
  "4A86": "ti",
  "4A87": "bo",
  "4A88": "qian",
  "4A89": "la",
  "4A8A": "long",
  "4A8B": "wei",
  "4A8C": "zhan",
  "4A8D": "lan",
  "4A8F": "na",
  "4A90": "bi",
  "4A91": "tuo",
  "4A92": "jiao",
  "4A94": "bu",
  "4A95": "ju",
  "4A96": "po",
  "4A97": "xia",
  "4A98": "wei",
  "4A99": "fu",
  "4A9A": "he",
  "4A9B": "fan",
  "4A9C": "chan",
  "4A9D": "hu",
  "4A9E": "za",
  "4AA4": "fan",
  "4AA5": "die",
  "4AA6": "hong",
  "4AA7": "chi",
  "4AA8": "bao",
  "4AA9": "yin",
  "4AAC": "bo",
  "4AAD": "ruan",
  "4AAE": "chou",
  "4AAF": "ying",
  "4AB1": "gai",
  "4AB3": "yun",
  "4AB4": "zhen",
  "4AB5": "ya",
  "4AB7": "hou",
  "4AB8": "min",
  "4AB9": "pei",
  "4ABA": "ge",
  "4ABB": "bian",
  "4ABD": "hao",
  "4ABE": "mi",
  "4ABF": "sheng",
  "4AC0": "gen",
  "4AC1": "bi",
  "4AC2": "duo",
  "4AC3": "chun",
  "4AC4": "chua",
  "4AC5": "san",
  "4AC6": "cheng",
  "4AC7": "ran",
  "4AC8": "zen",
  "4AC9": "mao",
  "4ACA": "bo",
  "4ACB": "tui",
  "4ACC": "pi",
  "4ACD": "fu",
  "4AD0": "lin",
  "4AD2": "men",
  "4AD3": "wu",
  "4AD4": "qi",
  "4AD5": "zhi",
  "4AD6": "chen",
  "4AD7": "xia",
  "4AD8": "he",
  "4AD9": "sang",
  "4ADB": "hou",
  "4ADD": "fu",
  "4ADE": "rao",
  "4ADF": "hun",
  "4AE0": "pei",
  "4AE1": "qian",
  "4AE3": "xi",
  "4AE4": "ming",
  "4AE5": "kui",
  "4AE6": "ge",
  "4AE8": "ao",
  "4AE9": "san",
  "4AEA": "shuang",
  "4AEB": "lou",
  "4AEC": "zhen",
  "4AED": "hui",
  "4AEE": "can",
  "4AF0": "lin",
  "4AF1": "na",
  "4AF2": "han",
  "4AF3": "du",
  "4AF4": "jin",
  "4AF5": "mian",
  "4AF6": "fan",
  "4AF7": "e",
  "4AF8": "nao",
  "4AF9": "hong",
  "4AFA": "hong",
  "4AFB": "xue",
  "4AFC": "xue",
  "4AFE": "bi",
  "4B00": "you",
  "4B01": "yi",
  "4B02": "xue",
  "4B03": "sa",
  "4B04": "yu",
  "4B05": "li",
  "4B06": "li",
  "4B07": "yuan",
  "4B08": "dui",
  "4B09": "hao",
  "4B0A": "qie",
  "4B0B": "leng",
  "4B0E": "guo",
  "4B0F": "bu",
  "4B10": "wei",
  "4B11": "wei",
  "4B13": "an",
  "4B14": "xu",
  "4B15": "shang",
  "4B16": "heng",
  "4B17": "yang",
  "4B19": "yao",
  "4B1B": "bi",
  "4B1D": "heng",
  "4B1E": "tao",
  "4B1F": "liu",
  "4B21": "zhu",
  "4B23": "qi",
  "4B24": "chao",
  "4B25": "yi",
  "4B26": "dou",
  "4B27": "yuan",
  "4B28": "cu",
  "4B2A": "bo",
  "4B2B": "can",
  "4B2C": "yang",
  "4B2E": "yi",
  "4B2F": "nian",
  "4B30": "shao",
  "4B31": "ben",
  "4B33": "ban",
  "4B34": "mo",
  "4B35": "ai",
  "4B36": "en",
  "4B37": "she",
  "4B39": "zhi",
  "4B3A": "yang",
  "4B3B": "jian",
  "4B3C": "yuan",
  "4B3D": "dui",
  "4B3E": "ti",
  "4B3F": "wei",
  "4B40": "xun",
  "4B41": "zhi",
  "4B42": "yi",
  "4B43": "ren",
  "4B44": "shi",
  "4B45": "hu",
  "4B46": "ne",
  "4B47": "yi",
  "4B48": "jian",
  "4B49": "sui",
  "4B4A": "ying",
  "4B4B": "bao",
  "4B4C": "hu",
  "4B4D": "hu",
  "4B4E": "xie",
  "4B50": "yang",
  "4B51": "lian",
  "4B53": "en",
  "4B55": "jian",
  "4B56": "zhu",
  "4B57": "ying",
  "4B58": "yan",
  "4B59": "jin",
  "4B5A": "chuang",
  "4B5B": "dan",
  "4B5D": "kuai",
  "4B5E": "yi",
  "4B5F": "ye",
  "4B60": "jian",
  "4B61": "en",
  "4B62": "ning",
  "4B63": "ci",
  "4B64": "qian",
  "4B65": "xue",
  "4B66": "bo",
  "4B67": "mi",
  "4B68": "shui",
  "4B69": "mi",
  "4B6A": "liang",
  "4B6B": "qi",
  "4B6C": "qi",
  "4B6D": "shou",
  "4B6E": "bi",
  "4B6F": "bo",
  "4B70": "beng",
  "4B71": "bie",
  "4B72": "ni",
  "4B73": "wei",
  "4B74": "huan",
  "4B75": "fan",
  "4B76": "qi",
  "4B77": "liu",
  "4B78": "fu",
  "4B79": "ang",
  "4B7A": "ang",
  "4B7C": "qi",
  "4B7D": "qun",
  "4B7E": "tuo",
  "4B7F": "yi",
  "4B80": "bo",
  "4B81": "pian",
  "4B82": "bo",
  "4B84": "xuan",
  "4B87": "yu",
  "4B88": "chi",
  "4B89": "lu",
  "4B8A": "yi",
  "4B8B": "li",
  "4B8D": "niao",
  "4B8E": "xi",
  "4B8F": "wu",
  "4B91": "lei",
  "4B93": "zhao",
  "4B94": "zui",
  "4B95": "chuo",
  "4B97": "an",
  "4B98": "er",
  "4B99": "yu",
  "4B9A": "leng",
  "4B9B": "fu",
  "4B9C": "sha",
  "4B9D": "huan",
  "4B9E": "chu",
  "4B9F": "sou",
  "4BA1": "bi",
  "4BA2": "die",
  "4BA4": "di",
  "4BA5": "li",
  "4BA7": "han",
  "4BA8": "zai",
  "4BA9": "gu",
  "4BAA": "cheng",
  "4BAB": "lou",
  "4BAC": "mo",
  "4BAD": "mi",
  "4BAE": "mai",
  "4BAF": "ao",
  "4BB0": "dan",
  "4BB1": "zhu",
  "4BB2": "huang",
  "4BB3": "fan",
  "4BB4": "deng",
  "4BB5": "tong",
  "4BB7": "du",
  "4BB8": "hu",
  "4BB9": "wei",
  "4BBA": "ji",
  "4BBB": "chi",
  "4BBC": "lin",
  "4BBE": "pang",
  "4BBF": "jian",
  "4BC0": "nie",
  "4BC1": "luo",
  "4BC2": "ji",
  "4BC5": "nie",
  "4BC6": "yi",
  "4BC8": "wan",
  "4BC9": "ya",
  "4BCA": "qia",
  "4BCB": "bo",
  "4BCD": "ling",
  "4BCE": "gan",
  "4BCF": "huo",
  "4BD0": "hai",
  "4BD2": "heng",
  "4BD3": "kui",
  "4BD4": "cen",
  "4BD6": "lang",
  "4BD7": "bi",
  "4BD8": "huan",
  "4BD9": "po",
  "4BDA": "ou",
  "4BDB": "jian",
  "4BDC": "ti",
  "4BDD": "sui",
  "4BDF": "dui",
  "4BE0": "ao",
  "4BE1": "jian",
  "4BE2": "mo",
  "4BE3": "gui",
  "4BE4": "kuai",
  "4BE5": "an",
  "4BE6": "ma",
  "4BE7": "qing",
  "4BE8": "fen",
  "4BEA": "kao",
  "4BEB": "hao",
  "4BEC": "duo",
  "4BEE": "nai",
  "4BF0": "jie",
  "4BF1": "fu",
  "4BF2": "pa",
  "4BF4": "chang",
  "4BF5": "nie",
  "4BF6": "man",
  "4BF8": "ci",
  "4BFA": "kuo",
  "4BFC": "di",
  "4BFD": "fu",
  "4BFE": "tiao",
  "4BFF": "zu",
  "4C00": "wo",
  "4C01": "fei",
  "4C02": "cai",
  "4C03": "peng",
  "4C04": "shi",
  "4C06": "rou",
  "4C07": "qi",
  "4C08": "cha",
  "4C09": "pan",
  "4C0A": "bo",
  "4C0B": "man",
  "4C0C": "zong",
  "4C0D": "ci",
  "4C0E": "gui",
  "4C0F": "ji",
  "4C10": "lan",
  "4C12": "meng",
  "4C13": "mian",
  "4C14": "pan",
  "4C15": "lu",
  "4C16": "cuan",
  "4C18": "liu",
  "4C19": "yi",
  "4C1A": "wen",
  "4C1B": "li",
  "4C1C": "li",
  "4C1D": "zeng",
  "4C1E": "zhu",
  "4C1F": "hun",
  "4C20": "shen",
  "4C21": "chi",
  "4C22": "xing",
  "4C23": "wang",
  "4C25": "huo",
  "4C26": "pi",
  "4C28": "mei",
  "4C29": "che",
  "4C2A": "mei",
  "4C2B": "chao",
  "4C2C": "ju",
  "4C2D": "nou",
  "4C2F": "ni",
  "4C30": "ru",
  "4C31": "ling",
  "4C32": "ya",
  "4C34": "qi",
  "4C37": "bang",
  "4C39": "ze",
  "4C3A": "jie",
  "4C3B": "yu",
  "4C3C": "xin",
  "4C3D": "bei",
  "4C3E": "ba",
  "4C3F": "tuo",
  "4C41": "qiao",
  "4C42": "you",
  "4C43": "di",
  "4C44": "jie",
  "4C45": "mo",
  "4C46": "sheng",
  "4C47": "shan",
  "4C48": "qi",
  "4C49": "shan",
  "4C4A": "mi",
  "4C4B": "dan",
  "4C4C": "yi",
  "4C4D": "geng",
  "4C4E": "geng",
  "4C4F": "tou",
  "4C51": "xue",
  "4C52": "yi",
  "4C53": "ting",
  "4C54": "tiao",
  "4C55": "mou",
  "4C56": "liu",
  "4C58": "li",
  "4C5A": "lu",
  "4C5B": "xu",
  "4C5C": "cuo",
  "4C5D": "ba",
  "4C5E": "liu",
  "4C5F": "ju",
  "4C60": "zhan",
  "4C61": "ju",
  "4C63": "zu",
  "4C64": "xian",
  "4C65": "zhi",
  "4C68": "zhi",
  "4C6B": "la",
  "4C6D": "geng",
  "4C6E": "e",
  "4C6F": "mu",
  "4C70": "zhong",
  "4C71": "di",
  "4C72": "yan",
  "4C74": "geng",
  "4C76": "lang",
  "4C77": "yu",
  "4C79": "na",
  "4C7A": "hai",
  "4C7B": "hua",
  "4C7C": "zhan",
  "4C7E": "lou",
  "4C7F": "chan",
  "4C80": "die",
  "4C81": "wei",
  "4C82": "xuan",
  "4C83": "zao",
  "4C84": "min",
  "4C8A": "tuo",
  "4C8B": "cen",
  "4C8C": "kuan",
  "4C8D": "teng",
  "4C8E": "nei",
  "4C8F": "lao",
  "4C90": "lu",
  "4C91": "yi",
  "4C92": "xie",
  "4C93": "yan",
  "4C94": "qing",
  "4C95": "pu",
  "4C96": "chou",
  "4C97": "xian",
  "4C98": "guan",
  "4C99": "jie",
  "4C9A": "lai",
  "4C9B": "meng",
  "4C9C": "ye",
  "4C9E": "li",
  "4C9F": "yin",
  "4CA2": "teng",
  "4CA3": "yu",
  "4CA6": "cha",
  "4CA7": "du",
  "4CA8": "hong",
  "4CAA": "xi",
  "4CAC": "qi",
  "4CAE": "yuan",
  "4CAF": "ji",
  "4CB0": "yun",
  "4CB1": "fang",
  "4CB3": "hang",
  "4CB4": "zhen",
  "4CB5": "hu",
  "4CB8": "jie",
  "4CB9": "pei",
  "4CBA": "gan",
  "4CBB": "xuan",
  "4CBD": "dao",
  "4CBE": "qiao",
  "4CBF": "ci",
  "4CC0": "die",
  "4CC1": "ba",
  "4CC2": "tiao",
  "4CC3": "wan",
  "4CC4": "ci",
  "4CC5": "zhi",
  "4CC6": "bai",
  "4CC7": "wu",
  "4CC8": "bao",
  "4CC9": "dan",
  "4CCA": "ba",
  "4CCB": "tong",
  "4CCE": "jiu",
  "4CCF": "gui",
  "4CD0": "ci",
  "4CD1": "you",
  "4CD2": "yuan",
  "4CD3": "lao",
  "4CD4": "jiu",
  "4CD5": "fou",
  "4CD6": "nei",
  "4CD7": "e",
  "4CD8": "e",
  "4CD9": "xing",
  "4CDA": "he",
  "4CDB": "yan",
  "4CDC": "tu",
  "4CDD": "bu",
  "4CDE": "beng",
  "4CDF": "kou",
  "4CE0": "chui",
  "4CE2": "qi",
  "4CE3": "yuan",
  "4CE7": "hou",
  "4CE8": "huang",
  "4CEA": "juan",
  "4CEB": "kui",
  "4CEC": "e",
  "4CED": "ji",
  "4CEE": "mo",
  "4CEF": "chong",
  "4CF0": "bao",
  "4CF1": "wu",
  "4CF2": "zhen",
  "4CF3": "xu",
  "4CF4": "da",
  "4CF5": "chi",
  "4CF7": "cong",
  "4CF8": "ma",
  "4CF9": "kou",
  "4CFA": "yan",
  "4CFB": "can",
  "4CFD": "he",
  "4CFF": "lan",
  "4D00": "tong",
  "4D01": "yu",
  "4D02": "hang",
  "4D03": "nao",
  "4D04": "li",
  "4D05": "fen",
  "4D06": "pu",
  "4D07": "ling",
  "4D08": "ao",
  "4D09": "xuan",
  "4D0A": "yi",
  "4D0B": "xuan",
  "4D0C": "meng",
  "4D0E": "lei",
  "4D0F": "yan",
  "4D10": "bao",
  "4D11": "die",
  "4D12": "ling",
  "4D13": "shi",
  "4D14": "jiao",
  "4D15": "lie",
  "4D16": "jing",
  "4D17": "ju",
  "4D18": "ti",
  "4D19": "pi",
  "4D1A": "gang",
  "4D1B": "jiao",
  "4D1C": "huai",
  "4D1D": "bu",
  "4D1E": "di",
  "4D1F": "huan",
  "4D20": "yao",
  "4D21": "li",
  "4D22": "mi",
  "4D26": "ren",
  "4D29": "piao",
  "4D2A": "lu",
  "4D2B": "ling",
  "4D2C": "yi",
  "4D2D": "cai",
  "4D2E": "shan",
  "4D30": "shu",
  "4D31": "tuo",
  "4D32": "mo",
  "4D33": "he",
  "4D34": "tie",
  "4D35": "bing",
  "4D36": "peng",
  "4D37": "hun",
  "4D39": "guo",
  "4D3A": "bu",
  "4D3B": "li",
  "4D3C": "chan",
  "4D3D": "bai",
  "4D3E": "cuo",
  "4D3F": "meng",
  "4D40": "suo",
  "4D41": "qiang",
  "4D42": "zhi",
  "4D43": "kuang",
  "4D44": "bi",
  "4D45": "ao",
  "4D46": "meng",
  "4D47": "xian",
  "4D49": "tou",
  "4D4B": "wei",
  "4D4F": "lao",
  "4D50": "chan",
  "4D51": "ni",
  "4D52": "ni",
  "4D53": "li",
  "4D54": "dong",
  "4D55": "ju",
  "4D56": "jian",
  "4D57": "fu",
  "4D58": "sha",
  "4D59": "zha",
  "4D5A": "tao",
  "4D5B": "jian",
  "4D5C": "nong",
  "4D5D": "ya",
  "4D5E": "jing",
  "4D5F": "gan",
  "4D60": "di",
  "4D61": "jian",
  "4D62": "mei",
  "4D63": "da",
  "4D64": "jian",
  "4D65": "she",
  "4D66": "xie",
  "4D67": "zai",
  "4D68": "mang",
  "4D69": "li",
  "4D6A": "gun",
  "4D6B": "yu",
  "4D6C": "ta",
  "4D6D": "zhe",
  "4D6E": "yang",
  "4D6F": "tuan",
  "4D71": "he",
  "4D72": "diao",
  "4D73": "wei",
  "4D74": "yun",
  "4D75": "zha",
  "4D76": "qu",
  "4D7A": "ting",
  "4D7B": "gu",
  "4D7D": "ca",
  "4D7E": "fu",
  "4D7F": "tie",
  "4D80": "ta",
  "4D81": "ta",
  "4D82": "zhuo",
  "4D83": "han",
  "4D84": "ping",
  "4D85": "he",
  "4D87": "zhou",
  "4D88": "bo",
  "4D89": "liu",
  "4D8A": "nv",
  "4D8C": "pao",
  "4D8D": "di",
  "4D8E": "sha",
  "4D8F": "ti",
  "4D90": "kuai",
  "4D91": "ti",
  "4D92": "qi",
  "4D93": "ji",
  "4D94": "chi",
  "4D95": "pa",
  "4D96": "jin",
  "4D97": "ke",
  "4D98": "li",
  "4D99": "ju",
  "4D9A": "qu",
  "4D9B": "la",
  "4D9C": "gu",
  "4D9D": "qia",
  "4D9E": "qi",
  "4D9F": "xian",
  "4DA0": "jian",
  "4DA1": "shi",
  "4DA2": "xian",
  "4DA3": "ai",
  "4DA4": "hua",
  "4DA5": "ju",
  "4DA6": "ze",
  "4DA7": "yao",
  "4DA9": "ji",
  "4DAA": "cha",
  "4DAB": "kan",
  "4DAE": "yan",
  "4DB1": "tong",
  "4DB2": "nan",
  "4DB3": "yue",
  "4DB5": "chi",
  "4E00": "yi",
  "4E01": "ding",
  "4E02": "kao",
  "4E03": "qi",
  "4E04": "shang",
  "4E05": "xia",
  "4E07": "wan",
  "4E08": "zhang",
  "4E09": "san",
  "4E0A": "shang",
  "4E0B": "xia",
  "4E0C": "ji",
  "4E0D": "bu",
  "4E0E": "yu",
  "4E0F": "mian",
  "4E10": "gai",
  "4E11": "chou",
  "4E12": "chou",
  "4E13": "zhuan",
  "4E14": "qie",
  "4E15": "pi",
  "4E16": "shi",
  "4E17": "shi",
  "4E18": "qiu",
  "4E19": "bing",
  "4E1A": "ye",
  "4E1B": "cong",
  "4E1C": "dong",
  "4E1D": "si",
  "4E1E": "cheng",
  "4E1F": "diu",
  "4E20": "qiu",
  "4E21": "liang",
  "4E22": "diu",
  "4E23": "you",
  "4E24": "liang",
  "4E25": "yan",
  "4E26": "bing",
  "4E27": "sang",
  "4E28": "gun",
  "4E29": "jiu",
  "4E2A": "ge",
  "4E2B": "ya",
  "4E2C": "qiang",
  "4E2D": "zhong",
  "4E2E": "ji",
  "4E2F": "jie",
  "4E30": "feng",
  "4E31": "guan",
  "4E32": "chuan",
  "4E33": "chan",
  "4E34": "lin",
  "4E35": "zhuo",
  "4E36": "zhu",
  "4E38": "wan",
  "4E39": "dan",
  "4E3A": "wei",
  "4E3B": "zhu",
  "4E3C": "jing",
  "4E3D": "li",
  "4E3E": "ju",
  "4E3F": "pie",
  "4E40": "fu",
  "4E41": "yi",
  "4E42": "yi",
  "4E43": "nai",
  "4E45": "jiu",
  "4E46": "jiu",
  "4E47": "zhe",
  "4E48": "yao",
  "4E49": "yi",
  "4E4B": "zhi",
  "4E4C": "wu",
  "4E4D": "zha",
  "4E4E": "hu",
  "4E4F": "fa",
  "4E50": "le",
  "4E51": "zhong",
  "4E52": "ping",
  "4E53": "pang",
  "4E54": "qiao",
  "4E55": "hu",
  "4E56": "guai",
  "4E57": "cheng",
  "4E58": "cheng",
  "4E59": "yi",
  "4E5A": "yin",
  "4E5C": "mie",
  "4E5D": "jiu",
  "4E5E": "qi",
  "4E5F": "ye",
  "4E60": "xi",
  "4E61": "xiang",
  "4E62": "gai",
  "4E63": "jiu",
  "4E66": "shu",
  "4E68": "shi",
  "4E69": "ji",
  "4E6A": "nang",
  "4E6B": "jia",
  "4E6D": "shi",
  "4E70": "mai",
  "4E71": "luan",
  "4E73": "ru",
  "4E74": "xue",
  "4E75": "yan",
  "4E76": "fu",
  "4E77": "sha",
  "4E78": "na",
  "4E79": "gan",
  "4E7E": "gan",
  "4E7F": "chi",
  "4E80": "gui",
  "4E81": "gan",
  "4E82": "luan",
  "4E83": "lin",
  "4E84": "yi",
  "4E85": "jue",
  "4E86": "le",
  "4E88": "yu",
  "4E89": "zheng",
  "4E8A": "shi",
  "4E8B": "shi",
  "4E8C": "er",
  "4E8D": "chu",
  "4E8E": "yu",
  "4E8F": "yu",
  "4E90": "yu",
  "4E91": "yun",
  "4E92": "hu",
  "4E93": "qi",
  "4E94": "wu",
  "4E95": "jing",
  "4E96": "si",
  "4E97": "sui",
  "4E98": "gen",
  "4E99": "gen",
  "4E9A": "ya",
  "4E9B": "xie",
  "4E9C": "ya",
  "4E9D": "qi",
  "4E9E": "ya",
  "4E9F": "ji",
  "4EA0": "tou",
  "4EA1": "wang",
  "4EA2": "kang",
  "4EA3": "ta",
  "4EA4": "jiao",
  "4EA5": "hai",
  "4EA6": "yi",
  "4EA7": "chan",
  "4EA8": "heng",
  "4EA9": "mu",
  "4EAB": "xiang",
  "4EAC": "jing",
  "4EAD": "ting",
  "4EAE": "liang",
  "4EAF": "xiang",
  "4EB0": "jing",
  "4EB1": "ye",
  "4EB2": "qin",
  "4EB3": "bo",
  "4EB4": "you",
  "4EB5": "xie",
  "4EB6": "dan",
  "4EB7": "lian",
  "4EB8": "duo",
  "4EB9": "wei",
  "4EBA": "ren",
  "4EBB": "ren",
  "4EBC": "ji",
  "4EBE": "wang",
  "4EBF": "yi",
  "4EC0": "shi",
  "4EC1": "ren",
  "4EC2": "le",
  "4EC3": "ding",
  "4EC4": "ze",
  "4EC5": "jin",
  "4EC6": "pu",
  "4EC7": "chou",
  "4EC8": "ba",
  "4EC9": "zhang",
  "4ECA": "jin",
  "4ECB": "jie",
  "4ECC": "bing",
  "4ECD": "reng",
  "4ECE": "cong",
  "4ECF": "fo",
  "4ED0": "san",
  "4ED1": "lun",
  "4ED3": "cang",
  "4ED4": "zi",
  "4ED5": "shi",
  "4ED6": "ta",
  "4ED7": "zhang",
  "4ED8": "fu",
  "4ED9": "xian",
  "4EDA": "xian",
  "4EDB": "tuo",
  "4EDC": "hong",
  "4EDD": "tong",
  "4EDE": "ren",
  "4EDF": "qian",
  "4EE0": "gan",
  "4EE1": "yi",
  "4EE2": "di",
  "4EE3": "dai",
  "4EE4": "ling",
  "4EE5": "yi",
  "4EE6": "chao",
  "4EE7": "chang",
  "4EE8": "sa",
  "4EEA": "yi",
  "4EEB": "mu",
  "4EEC": "men",
  "4EED": "ren",
  "4EEE": "jia",
  "4EEF": "chao",
  "4EF0": "yang",
  "4EF1": "qian",
  "4EF2": "zhong",
  "4EF3": "pi",
  "4EF4": "wan",
  "4EF5": "wu",
  "4EF6": "jian",
  "4EF7": "jia",
  "4EF8": "yao",
  "4EF9": "feng",
  "4EFA": "cang",
  "4EFB": "ren",
  "4EFC": "wang",
  "4EFD": "fen",
  "4EFE": "di",
  "4EFF": "fang",
  "4F00": "zhong",
  "4F01": "qi",
  "4F02": "pei",
  "4F03": "yu",
  "4F04": "diao",
  "4F05": "dun",
  "4F06": "wen",
  "4F07": "yi",
  "4F08": "xin",
  "4F09": "kang",
  "4F0A": "yi",
  "4F0B": "ji",
  "4F0C": "ai",
  "4F0D": "wu",
  "4F0E": "ji",
  "4F0F": "fu",
  "4F10": "fa",
  "4F11": "xiu",
  "4F12": "jin",
  "4F13": "bei",
  "4F14": "dan",
  "4F15": "fu",
  "4F16": "tang",
  "4F17": "zhong",
  "4F18": "you",
  "4F19": "huo",
  "4F1A": "hui",
  "4F1B": "yu",
  "4F1C": "cui",
  "4F1D": "chuan",
  "4F1E": "san",
  "4F1F": "wei",
  "4F20": "chuan",
  "4F21": "che",
  "4F22": "ya",
  "4F23": "xian",
  "4F24": "shang",
  "4F25": "chang",
  "4F26": "lun",
  "4F27": "cang",
  "4F28": "xun",
  "4F29": "xin",
  "4F2A": "wei",
  "4F2B": "zhu",
  "4F2D": "xuan",
  "4F2E": "nu",
  "4F2F": "bo",
  "4F30": "gu",
  "4F31": "ni",
  "4F32": "ni",
  "4F33": "xie",
  "4F34": "ban",
  "4F35": "xu",
  "4F36": "ling",
  "4F37": "zhou",
  "4F38": "shen",
  "4F39": "qu",
  "4F3A": "si",
  "4F3B": "beng",
  "4F3C": "si",
  "4F3D": "qie",
  "4F3E": "pi",
  "4F3F": "yi",
  "4F40": "si",
  "4F41": "ai",
  "4F42": "zheng",
  "4F43": "dian",
  "4F44": "han",
  "4F45": "mai",
  "4F46": "dan",
  "4F47": "zhu",
  "4F48": "bu",
  "4F49": "qu",
  "4F4A": "bi",
  "4F4B": "shao",
  "4F4C": "ci",
  "4F4D": "wei",
  "4F4E": "di",
  "4F4F": "zhu",
  "4F50": "zuo",
  "4F51": "you",
  "4F52": "yang",
  "4F53": "ti",
  "4F54": "zhan",
  "4F55": "he",
  "4F56": "bi",
  "4F57": "tuo",
  "4F58": "she",
  "4F59": "yu",
  "4F5A": "yi",
  "4F5B": "fo",
  "4F5C": "zuo",
  "4F5D": "kou",
  "4F5E": "ning",
  "4F5F": "tong",
  "4F60": "ni",
  "4F61": "xuan",
  "4F62": "qu",
  "4F63": "yong",
  "4F64": "wa",
  "4F65": "qian",
  "4F67": "ka",
  "4F69": "pei",
  "4F6A": "hui",
  "4F6B": "he",
  "4F6C": "lao",
  "4F6D": "xiang",
  "4F6E": "ge",
  "4F6F": "yang",
  "4F70": "bai",
  "4F71": "fa",
  "4F72": "ming",
  "4F73": "jia",
  "4F74": "er",
  "4F75": "bing",
  "4F76": "ji",
  "4F77": "hen",
  "4F78": "huo",
  "4F79": "gui",
  "4F7A": "quan",
  "4F7B": "tiao",
  "4F7C": "jiao",
  "4F7D": "ci",
  "4F7E": "yi",
  "4F7F": "shi",
  "4F80": "xing",
  "4F81": "shen",
  "4F82": "tuo",
  "4F83": "kan",
  "4F84": "zhi",
  "4F85": "gai",
  "4F86": "lai",
  "4F87": "yi",
  "4F88": "chi",
  "4F89": "kua",
  "4F8A": "guang",
  "4F8B": "li",
  "4F8C": "yin",
  "4F8D": "shi",
  "4F8E": "mi",
  "4F8F": "zhu",
  "4F90": "xu",
  "4F91": "you",
  "4F92": "an",
  "4F93": "lu",
  "4F94": "mou",
  "4F95": "er",
  "4F96": "lun",
  "4F97": "tong",
  "4F98": "cha",
  "4F99": "chi",
  "4F9A": "xun",
  "4F9B": "gong",
  "4F9C": "zhou",
  "4F9D": "yi",
  "4F9E": "ru",
  "4F9F": "jian",
  "4FA0": "xia",
  "4FA1": "jia",
  "4FA2": "zai",
  "4FA3": "lv",
  "4FA5": "jiao",
  "4FA6": "zhen",
  "4FA7": "ce",
  "4FA8": "qiao",
  "4FA9": "kuai",
  "4FAA": "chai",
  "4FAB": "ning",
  "4FAC": "nong",
  "4FAD": "jin",
  "4FAE": "wu",
  "4FAF": "hou",
  "4FB0": "jiong",
  "4FB1": "cheng",
  "4FB2": "zhen",
  "4FB3": "zuo",
  "4FB4": "chou",
  "4FB5": "qin",
  "4FB6": "lv",
  "4FB7": "ju",
  "4FB8": "shu",
  "4FB9": "ting",
  "4FBA": "shen",
  "4FBB": "tuo",
  "4FBC": "bo",
  "4FBD": "nan",
  "4FBE": "hao",
  "4FBF": "bian",
  "4FC0": "tui",
  "4FC1": "yu",
  "4FC2": "xi",
  "4FC3": "cu",
  "4FC4": "e",
  "4FC5": "qiu",
  "4FC6": "xu",
  "4FC7": "kuang",
  "4FC8": "ku",
  "4FC9": "wu",
  "4FCA": "jun",
  "4FCB": "yi",
  "4FCC": "fu",
  "4FCD": "lang",
  "4FCE": "zu",
  "4FCF": "qiao",
  "4FD0": "li",
  "4FD1": "yong",
  "4FD2": "hun",
  "4FD3": "jing",
  "4FD4": "xian",
  "4FD5": "san",
  "4FD6": "pai",
  "4FD7": "su",
  "4FD8": "fu",
  "4FD9": "xi",
  "4FDA": "li",
  "4FDB": "fu",
  "4FDC": "ping",
  "4FDD": "bao",
  "4FDE": "yu",
  "4FDF": "si",
  "4FE0": "xia",
  "4FE1": "xin",
  "4FE2": "xiu",
  "4FE3": "yu",
  "4FE4": "ti",
  "4FE5": "che",
  "4FE6": "chou",
  "4FE8": "yan",
  "4FE9": "lia",
  "4FEA": "li",
  "4FEB": "lai",
  "4FED": "jian",
  "4FEE": "xiu",
  "4FEF": "fu",
  "4FF0": "he",
  "4FF1": "ju",
  "4FF2": "xiao",
  "4FF3": "pai",
  "4FF4": "jian",
  "4FF5": "biao",
  "4FF6": "chu",
  "4FF7": "fei",
  "4FF8": "feng",
  "4FF9": "ya",
  "4FFA": "an",
  "4FFB": "bei",
  "4FFC": "yu",
  "4FFD": "xin",
  "4FFE": "bi",
  "4FFF": "jian",
  "500A": "zong",
  "500B": "ge",
  "500C": "guan",
  "500D": "bei",
  "500E": "tian",
  "500F": "shu",
  "501A": "yi",
  "501B": "qi",
  "501C": "ti",
  "501D": "gan",
  "501E": "jing",
  "501F": "jie",
  "502A": "ni",
  "502B": "lun",
  "502C": "zhuo",
  "502D": "wei",
  "502E": "luo",
  "502F": "song",
  "503A": "zhai",
  "503B": "ye",
  "503C": "zhi",
  "503D": "sha",
  "503E": "qing",
  "504A": "yu",
  "504B": "bing",
  "504C": "ruo",
  "504D": "ti",
  "504E": "wei",
  "504F": "pian",
  "505A": "zuo",
  "505B": "cha",
  "505C": "ting",
  "505D": "bei",
  "505E": "ye",
  "505F": "huang",
  "506A": "bi",
  "506B": "zhi",
  "506C": "zong",
  "506D": "mian",
  "506E": "ji",
  "506F": "yi",
  "507A": "za",
  "507B": "lv",
  "507C": "jie",
  "507D": "wei",
  "507E": "fen",
  "507F": "chang",
  "508A": "yun",
  "508B": "gou",
  "508C": "ma",
  "508D": "bang",
  "508E": "dian",
  "508F": "tang",
  "509A": "xiao",
  "509B": "yong",
  "509C": "yao",
  "509D": "tan",
  "509E": "suo",
  "509F": "yang",
  "50A0": "fa",
  "50A1": "bing",
  "50A2": "jia",
  "50A3": "dai",
  "50A4": "zai",
  "50A5": "tang",
  "50A7": "bin",
  "50A8": "chu",
  "50A9": "nuo",
  "50AA": "can",
  "50AB": "lei",
  "50AC": "cui",
  "50AD": "yong",
  "50AE": "zao",
  "50AF": "zong",
  "50B0": "peng",
  "50B1": "song",
  "50B2": "ao",
  "50B3": "chuan",
  "50B4": "yu",
  "50B5": "zhai",
  "50B6": "cou",
  "50B7": "shang",
  "50B8": "qiang",
  "50B9": "jing",
  "50BA": "chi",
  "50BB": "sha",
  "50BC": "han",
  "50BD": "zhang",
  "50BE": "qing",
  "50BF": "yan",
  "50C0": "di",
  "50C1": "xi",
  "50C2": "lv",
  "50C3": "bei",
  "50C4": "piao",
  "50C5": "jin",
  "50C6": "lian",
  "50C7": "lu",
  "50C8": "man",
  "50C9": "qian",
  "50CA": "xian",
  "50CB": "tan",
  "50CC": "ying",
  "50CD": "dong",
  "50CE": "zhuan",
  "50CF": "xiang",
  "50D0": "shan",
  "50D1": "qiao",
  "50D2": "jiong",
  "50D3": "tui",
  "50D4": "zun",
  "50D5": "pu",
  "50D6": "xi",
  "50D7": "lao",
  "50D8": "chang",
  "50D9": "guang",
  "50DA": "liao",
  "50DB": "qi",
  "50DC": "deng",
  "50DD": "chan",
  "50DE": "wei",
  "50DF": "ji",
  "50E0": "fan",
  "50E1": "hui",
  "50E2": "chuan",
  "50E3": "jian",
  "50E4": "dan",
  "50E5": "jiao",
  "50E6": "jiu",
  "50E7": "seng",
  "50E8": "fen",
  "50E9": "xian",
  "50EA": "jue",
  "50EB": "e",
  "50EC": "jiao",
  "50ED": "jian",
  "50EE": "tong",
  "50EF": "lin",
  "50F0": "bo",
  "50F1": "gu",
  "50F3": "su",
  "50F4": "xian",
  "50F5": "jiang",
  "50F6": "min",
  "50F7": "ye",
  "50F8": "jin",
  "50F9": "jia",
  "50FA": "qiao",
  "50FB": "pi",
  "50FC": "feng",
  "50FD": "zhou",
  "50FE": "ai",
  "50FF": "sai",
  "510A": "chu",
  "510B": "dan",
  "510C": "jiao",
  "510D": "sha",
  "510E": "zai",
  "511A": "meng",
  "511B": "wu",
  "511C": "ning",
  "511D": "qiong",
  "511E": "ni",
  "511F": "chang",
  "512A": "you",
  "512B": "hao",
  "512C": "chen",
  "512D": "chen",
  "512E": "li",
  "512F": "teng",
  "513A": "nuo",
  "513B": "tang",
  "513C": "yan",
  "513D": "lei",
  "513E": "nang",
  "513F": "er",
  "514A": "dui",
  "514B": "ke",
  "514C": "dui",
  "514D": "mian",
  "514E": "tu",
  "514F": "chang",
  "515A": "dang",
  "515B": "qian",
  "515C": "dou",
  "515D": "fen",
  "515E": "mao",
  "515F": "shen",
  "516A": "yu",
  "516B": "ba",
  "516C": "gong",
  "516D": "liu",
  "516E": "xi",
  "517B": "yang",
  "517C": "jian",
  "517D": "shou",
  "517E": "ji",
  "517F": "yi",
  "518A": "ce",
  "518B": "jiong",
  "518C": "ce",
  "518D": "zai",
  "518E": "gua",
  "518F": "jiong",
  "519A": "kan",
  "519B": "jun",
  "519C": "nong",
  "519D": "yi",
  "519E": "mi",
  "519F": "shi",
  "51A0": "guan",
  "51A1": "meng",
  "51A2": "zhong",
  "51A3": "ju",
  "51A4": "yuan",
  "51A5": "ming",
  "51A6": "kou",
  "51A8": "fu",
  "51A9": "xie",
  "51AA": "mi",
  "51AB": "bing",
  "51AC": "dong",
  "51AD": "tai",
  "51AE": "gang",
  "51AF": "feng",
  "51B0": "bing",
  "51B1": "hu",
  "51B2": "chong",
  "51B3": "jue",
  "51B4": "hu",
  "51B5": "kuang",
  "51B6": "ye",
  "51B7": "leng",
  "51B8": "pan",
  "51B9": "fu",
  "51BA": "min",
  "51BB": "dong",
  "51BC": "xian",
  "51BD": "lie",
  "51BE": "xia",
  "51BF": "jian",
  "51C0": "jing",
  "51C1": "shu",
  "51C2": "mei",
  "51C3": "tu",
  "51C4": "qi",
  "51C5": "gu",
  "51C6": "zhun",
  "51C7": "song",
  "51C8": "jing",
  "51C9": "liang",
  "51CA": "qing",
  "51CB": "diao",
  "51CC": "ling",
  "51CD": "dong",
  "51CE": "gan",
  "51CF": "jian",
  "51D0": "yin",
  "51D1": "cou",
  "51D2": "yi",
  "51D3": "li",
  "51D4": "cang",
  "51D5": "ming",
  "51D7": "cui",
  "51D8": "si",
  "51D9": "duo",
  "51DA": "jin",
  "51DB": "lin",
  "51DC": "lin",
  "51DD": "ning",
  "51DE": "xi",
  "51DF": "du",
  "51E0": "ji",
  "51E1": "fan",
  "51E2": "fan",
  "51E3": "fan",
  "51E4": "feng",
  "51E5": "ju",
  "51E6": "chu",
  "51E8": "feng",
  "51EB": "fu",
  "51EC": "feng",
  "51ED": "ping",
  "51EE": "feng",
  "51EF": "kai",
  "51F0": "huang",
  "51F1": "kai",
  "51F2": "gan",
  "51F3": "deng",
  "51F4": "ping",
  "51F5": "qu",
  "51F6": "xiong",
  "51F7": "kuai",
  "51F8": "tu",
  "51F9": "ao",
  "51FA": "chu",
  "51FB": "ji",
  "51FC": "dang",
  "51FD": "han",
  "51FE": "han",
  "51FF": "zao",
  "520A": "kan",
  "520B": "qian",
  "520C": "cun",
  "520D": "chu",
  "520E": "wen",
  "520F": "ji",
  "521A": "gang",
  "521B": "chuang",
  "521C": "fu",
  "521D": "chu",
  "521E": "qu",
  "521F": "ju",
  "522A": "shan",
  "522B": "bie",
  "522C": "chan",
  "522D": "jing",
  "522E": "gua",
  "522F": "gen",
  "523A": "ci",
  "523B": "ke",
  "523C": "jie",
  "523D": "gui",
  "523E": "ci",
  "523F": "gui",
  "524A": "xue",
  "524B": "ke",
  "524C": "la",
  "524D": "qian",
  "524E": "cha",
  "524F": "chuang",
  "525A": "zi",
  "525B": "gang",
  "525C": "wan",
  "525D": "bo",
  "525E": "ji",
  "525F": "duo",
  "526A": "jian",
  "526B": "duo",
  "526C": "duan",
  "526D": "wu",
  "526E": "gua",
  "526F": "fu",
  "527A": "li",
  "527B": "fou",
  "527C": "shan",
  "527D": "piao",
  "527E": "kou",
  "527F": "jiao",
  "528A": "gui",
  "528B": "jiao",
  "528C": "gui",
  "528D": "jian",
  "528E": "jian",
  "528F": "tang",
  "529A": "zhu",
  "529B": "li",
  "529C": "ya",
  "529D": "quan",
  "529E": "ban",
  "529F": "gong",
  "52A0": "jia",
  "52A1": "wu",
  "52A2": "mai",
  "52A3": "lie",
  "52A4": "jin",
  "52A5": "keng",
  "52A6": "xie",
  "52A7": "zhi",
  "52A8": "dong",
  "52A9": "zhu",
  "52AA": "nu",
  "52AB": "jie",
  "52AC": "qu",
  "52AD": "shao",
  "52AE": "yi",
  "52AF": "zhu",
  "52B0": "miao",
  "52B1": "li",
  "52B2": "jing",
  "52B3": "lao",
  "52B4": "lao",
  "52B5": "juan",
  "52B6": "kou",
  "52B7": "yang",
  "52B8": "wa",
  "52B9": "xiao",
  "52BA": "mou",
  "52BB": "kuang",
  "52BC": "jie",
  "52BD": "lie",
  "52BE": "he",
  "52BF": "shi",
  "52C0": "ke",
  "52C1": "jin",
  "52C2": "hao",
  "52C3": "bo",
  "52C4": "min",
  "52C5": "chi",
  "52C6": "lang",
  "52C7": "yong",
  "52C8": "yong",
  "52C9": "mian",
  "52CA": "ke",
  "52CB": "xun",
  "52CC": "juan",
  "52CD": "qing",
  "52CE": "lu",
  "52CF": "pou",
  "52D0": "meng",
  "52D1": "lai",
  "52D2": "le",
  "52D3": "kai",
  "52D4": "mian",
  "52D5": "dong",
  "52D6": "xu",
  "52D7": "xu",
  "52D8": "kan",
  "52D9": "wu",
  "52DA": "yi",
  "52DB": "xun",
  "52DC": "weng",
  "52DD": "sheng",
  "52DE": "lao",
  "52DF": "mu",
  "52E0": "lu",
  "52E1": "piao",
  "52E2": "shi",
  "52E3": "ji",
  "52E4": "qin",
  "52E5": "qiang",
  "52E6": "jiao",
  "52E7": "quan",
  "52E8": "yang",
  "52E9": "yi",
  "52EA": "jue",
  "52EB": "fan",
  "52EC": "juan",
  "52ED": "tong",
  "52EE": "ju",
  "52EF": "dan",
  "52F0": "xie",
  "52F1": "mai",
  "52F2": "xun",
  "52F3": "xun",
  "52F4": "lv",
  "52F5": "li",
  "52F6": "che",
  "52F7": "rang",
  "52F8": "quan",
  "52F9": "bao",
  "52FA": "shao",
  "52FB": "yun",
  "52FC": "jiu",
  "52FD": "bao",
  "52FE": "gou",
  "52FF": "wu",
  "530A": "ju",
  "530B": "tao",
  "530C": "ge",
  "530D": "pu",
  "530E": "an",
  "530F": "pao",
  "531A": "fang",
  "531B": "jiu",
  "531C": "yi",
  "531D": "za",
  "531E": "jiang",
  "531F": "kang",
  "532A": "fei",
  "532B": "hu",
  "532C": "tou",
  "532D": "gui",
  "532E": "gui",
  "532F": "hui",
  "533A": "qu",
  "533B": "yi",
  "533C": "qia",
  "533D": "yan",
  "533E": "bian",
  "533F": "ni",
  "534A": "ban",
  "534B": "shi",
  "534C": "xi",
  "534D": "wan",
  "534E": "hua",
  "534F": "xie",
  "535A": "bo",
  "535B": "shuai",
  "535C": "bu",
  "535D": "kuang",
  "535E": "bian",
  "535F": "bu",
  "536A": "jie",
  "536B": "wei",
  "536C": "ang",
  "536D": "qiong",
  "536E": "zhi",
  "536F": "mao",
  "537A": "jin",
  "537B": "que",
  "537C": "wu",
  "537D": "ji",
  "537E": "e",
  "537F": "qing",
  "538A": "ya",
  "538B": "ya",
  "538C": "yan",
  "538D": "she",
  "538E": "zhi",
  "538F": "zha",
  "539A": "hou",
  "539B": "ting",
  "539C": "zui",
  "539D": "cuo",
  "539E": "fei",
  "539F": "yuan",
  "53A0": "ce",
  "53A1": "yuan",
  "53A2": "xiang",
  "53A3": "yan",
  "53A4": "li",
  "53A5": "jue",
  "53A6": "sha",
  "53A7": "dian",
  "53A8": "chu",
  "53A9": "jiu",
  "53AA": "qin",
  "53AB": "ao",
  "53AC": "gui",
  "53AD": "yan",
  "53AE": "si",
  "53AF": "li",
  "53B0": "chang",
  "53B1": "lan",
  "53B2": "li",
  "53B3": "yan",
  "53B4": "yan",
  "53B5": "yuan",
  "53B6": "si",
  "53B7": "gong",
  "53B8": "lin",
  "53B9": "qiu",
  "53BA": "qu",
  "53BB": "qu",
  "53BD": "lei",
  "53BE": "du",
  "53BF": "xian",
  "53C0": "zhuan",
  "53C1": "san",
  "53C2": "can",
  "53C3": "can",
  "53C4": "can",
  "53C5": "can",
  "53C6": "ai",
  "53C7": "dai",
  "53C8": "you",
  "53C9": "cha",
  "53CA": "ji",
  "53CB": "you",
  "53CC": "shuang",
  "53CD": "fan",
  "53CE": "shou",
  "53CF": "guai",
  "53D0": "ba",
  "53D1": "fa",
  "53D2": "ruo",
  "53D3": "shi",
  "53D4": "shu",
  "53D5": "zhuo",
  "53D6": "qu",
  "53D7": "shou",
  "53D8": "bian",
  "53D9": "xu",
  "53DA": "jia",
  "53DB": "pan",
  "53DC": "sou",
  "53DD": "gao",
  "53DE": "wei",
  "53DF": "sou",
  "53E0": "die",
  "53E1": "rui",
  "53E2": "cong",
  "53E3": "kou",
  "53E4": "gu",
  "53E5": "ju",
  "53E6": "ling",
  "53E7": "gua",
  "53E8": "tao",
  "53E9": "kou",
  "53EA": "zhi",
  "53EB": "jiao",
  "53EC": "zhao",
  "53ED": "ba",
  "53EE": "ding",
  "53EF": "ke",
  "53F0": "tai",
  "53F1": "chi",
  "53F2": "shi",
  "53F3": "you",
  "53F4": "qiu",
  "53F5": "po",
  "53F6": "ye",
  "53F7": "hao",
  "53F8": "si",
  "53F9": "tan",
  "53FA": "chi",
  "53FB": "le",
  "53FC": "diao",
  "53FD": "ji",
  "53FF": "hong",
  "540A": "diao",
  "540B": "cun",
  "540C": "tong",
  "540D": "ming",
  "540E": "hou",
  "540F": "li",
  "541A": "yi",
  "541B": "jun",
  "541C": "chou",
  "541D": "lin",
  "541E": "tun",
  "541F": "yin",
  "542A": "e",
  "542B": "han",
  "542C": "ting",
  "542D": "hang",
  "542E": "shun",
  "542F": "qi",
  "543A": "dou",
  "543B": "wen",
  "543C": "hou",
  "543D": "ou",
  "543E": "wu",
  "543F": "gao",
  "544A": "gao",
  "544B": "fu",
  "544C": "jiao",
  "544D": "hong",
  "544E": "chi",
  "544F": "sheng",
  "545B": "qiang",
  "545C": "wu",
  "545D": "e",
  "545E": "shi",
  "545F": "quan",
  "546A": "zhou",
  "546B": "tie",
  "546C": "xi",
  "546D": "yi",
  "546E": "qi",
  "546F": "ping",
  "547A": "xiao",
  "547B": "shen",
  "547C": "hu",
  "547D": "ming",
  "547E": "da",
  "547F": "qu",
  "548A": "he",
  "548B": "zha",
  "548C": "he",
  "548D": "hai",
  "548E": "jiu",
  "548F": "yong",
  "549A": "dong",
  "549B": "ning",
  "549D": "si",
  "549E": "xian",
  "549F": "huo",
  "54A0": "qi",
  "54A1": "er",
  "54A2": "e",
  "54A3": "guang",
  "54A4": "zha",
  "54A5": "xi",
  "54A6": "yi",
  "54A7": "lie",
  "54A8": "zi",
  "54A9": "mie",
  "54AA": "mi",
  "54AB": "zhi",
  "54AC": "yao",
  "54AD": "ji",
  "54AE": "zhou",
  "54AF": "ge",
  "54B0": "shuai",
  "54B1": "zan",
  "54B2": "xiao",
  "54B3": "ke",
  "54B4": "hui",
  "54B5": "kua",
  "54B6": "huai",
  "54B7": "tao",
  "54B8": "xian",
  "54B9": "e",
  "54BA": "xuan",
  "54BB": "xiu",
  "54BC": "wai",
  "54BD": "yan",
  "54BE": "lao",
  "54BF": "yi",
  "54C0": "ai",
  "54C1": "pin",
  "54C2": "shen",
  "54C3": "tong",
  "54C4": "hong",
  "54C5": "xiong",
  "54C6": "duo",
  "54C7": "wa",
  "54C8": "ha",
  "54C9": "zai",
  "54CA": "yu",
  "54CB": "di",
  "54CC": "pai",
  "54CD": "xiang",
  "54CE": "ai",
  "54CF": "hen",
  "54D0": "kuang",
  "54D1": "ya",
  "54D2": "da",
  "54D3": "xiao",
  "54D4": "bi",
  "54D5": "yue",
  "54D7": "hua",
  "54D9": "kuai",
  "54DA": "duo",
  "54DC": "ji",
  "54DD": "nong",
  "54DE": "mou",
  "54DF": "yo",
  "54E0": "hao",
  "54E1": "yuan",
  "54E2": "long",
  "54E3": "pou",
  "54E4": "mang",
  "54E5": "ge",
  "54E6": "e",
  "54E7": "chi",
  "54E8": "shao",
  "54E9": "li",
  "54EA": "na",
  "54EB": "zu",
  "54EC": "he",
  "54ED": "ku",
  "54EE": "xiao",
  "54EF": "xian",
  "54F0": "lao",
  "54F1": "bo",
  "54F2": "zhe",
  "54F3": "zha",
  "54F4": "liang",
  "54F5": "ba",
  "54F6": "mie",
  "54F7": "le",
  "54F8": "sui",
  "54F9": "fou",
  "54FA": "bu",
  "54FB": "han",
  "54FC": "heng",
  "54FD": "geng",
  "54FE": "shuo",
  "54FF": "ge",
  "550A": "jia",
  "550B": "tu",
  "550C": "xian",
  "550D": "huan",
  "550E": "li",
  "550F": "xi",
  "551A": "qin",
  "551B": "ma",
  "551D": "hong",
  "551E": "dou",
  "552A": "feng",
  "552B": "yin",
  "552C": "hu",
  "552D": "qi",
  "552E": "shou",
  "552F": "wei",
  "553A": "tian",
  "553B": "lai",
  "553C": "sha",
  "553D": "xi",
  "553E": "tuo",
  "553F": "hu",
  "554A": "a",
  "554B": "xiao",
  "554C": "xiang",
  "554D": "tun",
  "554E": "wu",
  "554F": "wen",
  "555A": "bi",
  "555B": "cui",
  "555C": "chuo",
  "555D": "he",
  "555E": "ya",
  "555F": "qi",
  "556A": "pa",
  "556B": "zhe",
  "556C": "se",
  "556D": "zhuan",
  "556E": "nie",
  "556F": "guo",
  "557A": "tang",
  "557B": "chi",
  "557C": "ti",
  "557D": "an",
  "557E": "jiu",
  "557F": "dan",
  "558A": "han",
  "558B": "die",
  "558C": "zhou",
  "558D": "chai",
  "558E": "wai",
  "558F": "re",
  "559A": "huan",
  "559B": "huan",
  "559C": "xi",
  "559D": "he",
  "559E": "ji",
  "559F": "kui",
  "55A0": "zhong",
  "55A1": "wei",
  "55A2": "sha",
  "55A3": "xu",
  "55A4": "huang",
  "55A5": "du",
  "55A6": "nie",
  "55A7": "xuan",
  "55A8": "liang",
  "55A9": "yu",
  "55AA": "sang",
  "55AB": "chi",
  "55AC": "qiao",
  "55AD": "yan",
  "55AE": "dan",
  "55AF": "pen",
  "55B0": "can",
  "55B1": "li",
  "55B2": "yo",
  "55B3": "zha",
  "55B4": "wei",
  "55B5": "miao",
  "55B6": "ying",
  "55B7": "pen",
  "55B9": "kui",
  "55BA": "xi",
  "55BB": "yu",
  "55BC": "jie",
  "55BD": "lou",
  "55BE": "ku",
  "55BF": "sao",
  "55C0": "huo",
  "55C1": "ti",
  "55C2": "yao",
  "55C3": "he",
  "55C4": "a",
  "55C5": "xiu",
  "55C6": "qiang",
  "55C7": "se",
  "55C8": "yong",
  "55C9": "su",
  "55CA": "hong",
  "55CB": "xie",
  "55CC": "yi",
  "55CD": "suo",
  "55CE": "ma",
  "55CF": "cha",
  "55D0": "hai",
  "55D1": "ke",
  "55D2": "ta",
  "55D3": "sang",
  "55D4": "tian",
  "55D5": "ru",
  "55D6": "sou",
  "55D7": "wa",
  "55D8": "ji",
  "55D9": "pang",
  "55DA": "wu",
  "55DB": "xian",
  "55DC": "shi",
  "55DD": "ge",
  "55DE": "zi",
  "55DF": "jie",
  "55E0": "luo",
  "55E1": "weng",
  "55E2": "wa",
  "55E3": "si",
  "55E4": "chi",
  "55E5": "hao",
  "55E6": "suo",
  "55E8": "hai",
  "55E9": "suo",
  "55EA": "qin",
  "55EB": "nie",
  "55EC": "he",
  "55EE": "sai",
  "55F0": "ge",
  "55F1": "na",
  "55F2": "dia",
  "55F3": "ai",
  "55F5": "tong",
  "55F6": "bi",
  "55F7": "ao",
  "55F8": "ao",
  "55F9": "lian",
  "55FA": "cui",
  "55FB": "zhe",
  "55FC": "mo",
  "55FD": "sou",
  "55FE": "sou",
  "55FF": "tan",
  "560A": "ai",
  "560B": "xiao",
  "560C": "piao",
  "560D": "lou",
  "560E": "ga",
  "560F": "gu",
  "561A": "de",
  "561B": "ma",
  "561C": "ma",
  "561D": "hu",
  "561E": "lei",
  "561F": "du",
  "562A": "mai",
  "562B": "ran",
  "562C": "zuo",
  "562D": "peng",
  "562E": "lao",
  "562F": "xiao",
  "563A": "qiao",
  "563B": "xi",
  "563C": "xiu",
  "563D": "tan",
  "563E": "tan",
  "563F": "hei",
  "564A": "yu",
  "564B": "tun",
  "564C": "cheng",
  "564D": "jiao",
  "564E": "ye",
  "564F": "xi",
  "565A": "xun",
  "565B": "nie",
  "565C": "lu",
  "565D": "si",
  "565E": "yan",
  "565F": "ying",
  "566A": "zao",
  "566B": "yi",
  "566C": "shi",
  "566D": "jiao",
  "566E": "yuan",
  "566F": "ai",
  "567B": "sai",
  "567C": "pi",
  "567D": "pi",
  "567E": "yin",
  "567F": "zui",
  "568A": "xi",
  "568B": "chou",
  "568C": "ji",
  "568D": "jin",
  "568E": "hao",
  "568F": "ti",
  "569A": "yin",
  "569B": "hu",
  "569C": "mo",
  "569D": "huang",
  "569E": "zhe",
  "569F": "li",
  "56A0": "liu",
  "56A2": "nang",
  "56A3": "xiao",
  "56A4": "mo",
  "56A5": "yan",
  "56A6": "li",
  "56A7": "lu",
  "56A8": "long",
  "56A9": "fu",
  "56AA": "dan",
  "56AB": "chen",
  "56AC": "pin",
  "56AD": "pi",
  "56AE": "xiang",
  "56AF": "huo",
  "56B0": "mo",
  "56B1": "xi",
  "56B2": "duo",
  "56B3": "ku",
  "56B4": "yan",
  "56B5": "chan",
  "56B6": "ying",
  "56B7": "rang",
  "56B8": "dian",
  "56B9": "la",
  "56BA": "ta",
  "56BB": "xiao",
  "56BC": "jiao",
  "56BD": "chuo",
  "56BE": "huan",
  "56BF": "huo",
  "56C0": "zhuan",
  "56C1": "nie",
  "56C2": "xiao",
  "56C3": "ca",
  "56C4": "li",
  "56C5": "chan",
  "56C6": "chai",
  "56C7": "li",
  "56C8": "yi",
  "56C9": "luo",
  "56CA": "nang",
  "56CB": "zan",
  "56CC": "su",
  "56CD": "xi",
  "56CF": "jian",
  "56D0": "za",
  "56D1": "zhu",
  "56D2": "lan",
  "56D3": "nie",
  "56D4": "nang",
  "56D7": "wei",
  "56D8": "hui",
  "56D9": "yin",
  "56DA": "qiu",
  "56DB": "si",
  "56DC": "nin",
  "56DD": "jian",
  "56DE": "hui",
  "56DF": "xin",
  "56E0": "yin",
  "56E1": "nan",
  "56E2": "tuan",
  "56E3": "tuan",
  "56E4": "dun",
  "56E5": "kang",
  "56E6": "yuan",
  "56E7": "jiong",
  "56E8": "pian",
  "56E9": "yun",
  "56EA": "cong",
  "56EB": "hu",
  "56EC": "hui",
  "56ED": "yuan",
  "56EE": "e",
  "56EF": "guo",
  "56F0": "kun",
  "56F1": "cong",
  "56F2": "wei",
  "56F3": "tu",
  "56F4": "wei",
  "56F5": "lun",
  "56F6": "guo",
  "56F7": "qun",
  "56F8": "ri",
  "56F9": "ling",
  "56FA": "gu",
  "56FB": "guo",
  "56FC": "tai",
  "56FD": "guo",
  "56FE": "tu",
  "56FF": "you",
  "570A": "qing",
  "570B": "guo",
  "570C": "chuan",
  "570D": "wei",
  "570E": "yuan",
  "570F": "quan",
  "571A": "hui",
  "571B": "yi",
  "571C": "yuan",
  "571D": "luan",
  "571E": "luan",
  "571F": "tu",
  "572A": "ge",
  "572B": "yu",
  "572C": "wu",
  "572D": "gui",
  "572E": "pi",
  "572F": "yi",
  "573A": "chang",
  "573B": "qi",
  "573C": "nie",
  "573D": "mo",
  "573E": "ji",
  "573F": "jia",
  "574A": "fang",
  "574B": "fen",
  "574C": "ben",
  "574D": "tan",
  "574E": "kan",
  "574F": "huai",
  "575A": "jian",
  "575B": "tan",
  "575C": "li",
  "575D": "ba",
  "575E": "wu",
  "575F": "fen",
  "576A": "ping",
  "576B": "dian",
  "576C": "gua",
  "576D": "ni",
  "576E": "tai",
  "576F": "pi",
  "577A": "ba",
  "577B": "chi",
  "577C": "che",
  "577D": "ling",
  "577E": "zhu",
  "577F": "fu",
  "578B": "xing",
  "578C": "dong",
  "578D": "ji",
  "578E": "ke",
  "578F": "lu",
  "579A": "yao",
  "579B": "duo",
  "579C": "duo",
  "579D": "gui",
  "579E": "cha",
  "579F": "yang",
  "57A0": "yin",
  "57A1": "fa",
  "57A2": "gou",
  "57A3": "yuan",
  "57A4": "die",
  "57A5": "xie",
  "57A6": "ken",
  "57A7": "jiong",
  "57A8": "shou",
  "57A9": "e",
  "57AB": "dian",
  "57AC": "hong",
  "57AD": "wu",
  "57AE": "kua",
  "57B1": "dang",
  "57B2": "kai",
  "57B4": "nao",
  "57B5": "an",
  "57B6": "xing",
  "57B7": "xian",
  "57B8": "huan",
  "57B9": "bang",
  "57BA": "pei",
  "57BB": "ba",
  "57BC": "yi",
  "57BD": "yin",
  "57BE": "han",
  "57BF": "xu",
  "57C0": "chui",
  "57C1": "cen",
  "57C2": "geng",
  "57C3": "ai",
  "57C4": "peng",
  "57C5": "fang",
  "57C6": "que",
  "57C7": "yong",
  "57C8": "xun",
  "57C9": "jia",
  "57CA": "di",
  "57CB": "mai",
  "57CC": "lang",
  "57CD": "xuan",
  "57CE": "cheng",
  "57CF": "yan",
  "57D0": "jin",
  "57D1": "zhe",
  "57D2": "lei",
  "57D3": "lie",
  "57D4": "pu",
  "57D5": "cheng",
  "57D7": "bu",
  "57D8": "shi",
  "57D9": "xun",
  "57DA": "guo",
  "57DB": "jiong",
  "57DC": "ye",
  "57DD": "nian",
  "57DE": "di",
  "57DF": "yu",
  "57E0": "bu",
  "57E1": "ya",
  "57E2": "juan",
  "57E3": "sui",
  "57E4": "pi",
  "57E5": "cheng",
  "57E6": "wan",
  "57E7": "ju",
  "57E8": "lun",
  "57E9": "zheng",
  "57EA": "kong",
  "57EB": "chong",
  "57EC": "dong",
  "57ED": "dai",
  "57EE": "tan",
  "57EF": "an",
  "57F0": "cai",
  "57F1": "shu",
  "57F2": "beng",
  "57F3": "kan",
  "57F4": "zhi",
  "57F5": "duo",
  "57F6": "yi",
  "57F7": "zhi",
  "57F8": "yi",
  "57F9": "pei",
  "57FA": "ji",
  "57FB": "zhun",
  "57FC": "qi",
  "57FD": "sao",
  "57FE": "ju",
  "57FF": "ni",
  "580A": "e",
  "580B": "peng",
  "580C": "gu",
  "580D": "tu",
  "580E": "leng",
  "581A": "hun",
  "581B": "bi",
  "581C": "lian",
  "581D": "guo",
  "581E": "die",
  "581F": "zhuan",
  "582A": "kan",
  "582B": "zong",
  "582C": "yu",
  "582D": "huang",
  "582E": "e",
  "582F": "yao",
  "583A": "jie",
  "583B": "zhen",
  "583C": "feng",
  "583D": "gang",
  "583E": "chuan",
  "583F": "jian",
  "584A": "kuai",
  "584B": "ying",
  "584C": "ta",
  "584D": "cheng",
  "584E": "yong",
  "584F": "kai",
  "585A": "zhong",
  "585B": "li",
  "585C": "peng",
  "585D": "bang",
  "585E": "sai",
  "585F": "zang",
  "586A": "kan",
  "586B": "tian",
  "586C": "yuan",
  "586D": "wen",
  "586E": "xie",
  "586F": "liu",
  "587A": "mei",
  "587B": "mo",
  "587C": "zhuan",
  "587D": "shuang",
  "587E": "shu",
  "587F": "lou",
  "588A": "dian",
  "588B": "chen",
  "588C": "zhi",
  "588D": "xi",
  "588E": "guo",
  "588F": "qiang",
  "589A": "liang",
  "589C": "zhui",
  "589D": "qiao",
  "589E": "zeng",
  "589F": "xu",
  "58A0": "shan",
  "58A1": "shan",
  "58A2": "ba",
  "58A3": "pu",
  "58A4": "kuai",
  "58A5": "dong",
  "58A6": "fan",
  "58A7": "que",
  "58A8": "mo",
  "58A9": "dun",
  "58AA": "dun",
  "58AB": "zun",
  "58AC": "di",
  "58AD": "sheng",
  "58AE": "duo",
  "58AF": "duo",
  "58B0": "tan",
  "58B1": "deng",
  "58B2": "wu",
  "58B3": "fen",
  "58B4": "huang",
  "58B5": "tan",
  "58B6": "da",
  "58B7": "ye",
  "58BA": "ao",
  "58BB": "qiang",
  "58BC": "ji",
  "58BD": "qiao",
  "58BE": "ken",
  "58BF": "yi",
  "58C0": "pi",
  "58C1": "bi",
  "58C2": "dian",
  "58C3": "jiang",
  "58C4": "ye",
  "58C5": "yong",
  "58C6": "bo",
  "58C7": "tan",
  "58C8": "lan",
  "58C9": "ju",
  "58CA": "huai",
  "58CB": "dang",
  "58CC": "rang",
  "58CD": "qian",
  "58CE": "xun",
  "58CF": "lan",
  "58D0": "xi",
  "58D1": "he",
  "58D2": "ai",
  "58D3": "ya",
  "58D4": "dao",
  "58D5": "hao",
  "58D6": "ruan",
  "58D8": "lei",
  "58D9": "kuang",
  "58DA": "lu",
  "58DB": "yan",
  "58DC": "tan",
  "58DD": "wei",
  "58DE": "huai",
  "58DF": "long",
  "58E0": "long",
  "58E1": "rui",
  "58E2": "li",
  "58E3": "lin",
  "58E4": "rang",
  "58E6": "xun",
  "58E7": "yan",
  "58E8": "lei",
  "58E9": "ba",
  "58EB": "shi",
  "58EC": "ren",
  "58EE": "zhuang",
  "58EF": "zhuang",
  "58F0": "sheng",
  "58F1": "yi",
  "58F2": "mai",
  "58F3": "ke",
  "58F4": "zhu",
  "58F5": "zhuang",
  "58F6": "hu",
  "58F7": "hu",
  "58F8": "kun",
  "58F9": "yi",
  "58FA": "hu",
  "58FB": "xu",
  "58FC": "kun",
  "58FD": "shou",
  "58FE": "mang",
  "58FF": "zun",
  "590A": "sui",
  "590B": "qun",
  "590C": "ling",
  "590D": "fu",
  "590E": "zuo",
  "590F": "xia",
  "591A": "duo",
  "591B": "duo",
  "591C": "ye",
  "591D": "qing",
  "591F": "gou",
  "592A": "tai",
  "592B": "fu",
  "592C": "guai",
  "592D": "yao",
  "592E": "yang",
  "592F": "hang",
  "593A": "duo",
  "593C": "kuang",
  "593D": "yun",
  "593E": "jia",
  "593F": "pa",
  "594A": "xie",
  "594B": "fen",
  "594C": "dian",
  "594E": "kui",
  "594F": "zou",
  "595A": "xi",
  "595B": "xiang",
  "595C": "fei",
  "595D": "diao",
  "595E": "xun",
  "595F": "keng",
  "596A": "duo",
  "596B": "yun",
  "596C": "jiang",
  "596D": "shi",
  "596E": "fen",
  "596F": "huo",
  "597A": "jiu",
  "597B": "nan",
  "597C": "cha",
  "597D": "hao",
  "597E": "xian",
  "597F": "fan",
  "598A": "ren",
  "598B": "fu",
  "598C": "jing",
  "598D": "yan",
  "598E": "xie",
  "598F": "wen",
  "599A": "pei",
  "599C": "yue",
  "599D": "zhuang",
  "599E": "niu",
  "599F": "yan",
  "59A0": "na",
  "59A1": "xin",
  "59A2": "fen",
  "59A3": "bi",
  "59A4": "yu",
  "59A5": "tuo",
  "59A6": "feng",
  "59A7": "yuan",
  "59A8": "fang",
  "59A9": "wu",
  "59AA": "yu",
  "59AB": "gui",
  "59AC": "du",
  "59AD": "ba",
  "59AE": "ni",
  "59AF": "zhou",
  "59B0": "zhuo",
  "59B1": "zhao",
  "59B2": "da",
  "59B3": "nai",
  "59B4": "yuan",
  "59B5": "tou",
  "59B6": "xuan",
  "59B7": "zhi",
  "59B8": "e",
  "59B9": "mei",
  "59BA": "mo",
  "59BB": "qi",
  "59BC": "bi",
  "59BD": "shen",
  "59BE": "qie",
  "59BF": "e",
  "59C0": "he",
  "59C1": "xu",
  "59C2": "fa",
  "59C3": "zheng",
  "59C4": "min",
  "59C5": "ban",
  "59C6": "mu",
  "59C7": "fu",
  "59C8": "ling",
  "59C9": "zi",
  "59CA": "zi",
  "59CB": "shi",
  "59CC": "ran",
  "59CD": "shan",
  "59CE": "yang",
  "59CF": "man",
  "59D0": "jie",
  "59D1": "gu",
  "59D2": "si",
  "59D3": "xing",
  "59D4": "wei",
  "59D5": "zi",
  "59D6": "ju",
  "59D7": "shan",
  "59D8": "pin",
  "59D9": "ren",
  "59DA": "yao",
  "59DB": "tong",
  "59DC": "jiang",
  "59DD": "shu",
  "59DE": "ji",
  "59DF": "gai",
  "59E0": "shang",
  "59E1": "kuo",
  "59E2": "juan",
  "59E3": "jiao",
  "59E4": "gou",
  "59E5": "mu",
  "59E6": "jian",
  "59E7": "jian",
  "59E8": "yi",
  "59E9": "nian",
  "59EA": "zhi",
  "59EB": "ji",
  "59EC": "ji",
  "59ED": "xian",
  "59EE": "heng",
  "59EF": "guang",
  "59F0": "jun",
  "59F1": "kua",
  "59F2": "yan",
  "59F3": "ming",
  "59F4": "lie",
  "59F5": "pei",
  "59F6": "yan",
  "59F7": "you",
  "59F8": "yan",
  "59F9": "cha",
  "59FA": "shen",
  "59FB": "yin",
  "59FC": "chi",
  "59FD": "gui",
  "59FE": "quan",
  "59FF": "zi",
  "5A00": "song",
  "5A01": "wei",
  "5A02": "hong",
  "5A03": "wa",
  "5A04": "lou",
  "5A05": "ya",
  "5A06": "rao",
  "5A07": "jiao",
  "5A08": "luan",
  "5A09": "ping",
  "5A0A": "xian",
  "5A0B": "shao",
  "5A0C": "li",
  "5A0D": "cheng",
  "5A0E": "xiao",
  "5A0F": "mang",
  "5A11": "suo",
  "5A12": "wu",
  "5A13": "wei",
  "5A14": "ke",
  "5A15": "lai",
  "5A16": "chuo",
  "5A17": "ding",
  "5A18": "niang",
  "5A19": "xing",
  "5A1A": "nan",
  "5A1B": "yu",
  "5A1C": "nuo",
  "5A1D": "pei",
  "5A1E": "nei",
  "5A1F": "juan",
  "5A20": "shen",
  "5A21": "zhi",
  "5A22": "han",
  "5A23": "di",
  "5A24": "zhuang",
  "5A25": "e",
  "5A26": "pin",
  "5A27": "tui",
  "5A28": "han",
  "5A29": "mian",
  "5A2A": "wu",
  "5A2B": "yan",
  "5A2C": "wu",
  "5A2D": "xi",
  "5A2E": "yan",
  "5A2F": "yu",
  "5A30": "si",
  "5A31": "yu",
  "5A32": "wa",
  "5A34": "xian",
  "5A35": "ju",
  "5A36": "qu",
  "5A37": "shui",
  "5A38": "qi",
  "5A39": "xian",
  "5A3A": "zhui",
  "5A3B": "dong",
  "5A3C": "chang",
  "5A3D": "lu",
  "5A3E": "ai",
  "5A3F": "e",
  "5A40": "e",
  "5A41": "lou",
  "5A42": "mian",
  "5A43": "cong",
  "5A44": "pou",
  "5A45": "ju",
  "5A46": "po",
  "5A47": "cai",
  "5A48": "ding",
  "5A49": "wan",
  "5A4A": "biao",
  "5A4B": "xiao",
  "5A4C": "shu",
  "5A4D": "qi",
  "5A4E": "hui",
  "5A4F": "fu",
  "5A50": "e",
  "5A51": "wo",
  "5A52": "tan",
  "5A53": "fei",
  "5A55": "jie",
  "5A56": "tian",
  "5A57": "ni",
  "5A58": "quan",
  "5A59": "jing",
  "5A5A": "hun",
  "5A5B": "jing",
  "5A5C": "qian",
  "5A5D": "dian",
  "5A5E": "xing",
  "5A5F": "hu",
  "5A60": "wa",
  "5A61": "lai",
  "5A62": "bi",
  "5A63": "yin",
  "5A64": "zhou",
  "5A65": "chuo",
  "5A66": "fu",
  "5A67": "jing",
  "5A68": "lun",
  "5A69": "yan",
  "5A6A": "lan",
  "5A6B": "kun",
  "5A6C": "yin",
  "5A6D": "ya",
  "5A6F": "li",
  "5A70": "dian",
  "5A71": "xian",
  "5A73": "hua",
  "5A74": "ying",
  "5A75": "chan",
  "5A76": "shen",
  "5A77": "ting",
  "5A78": "dang",
  "5A79": "yao",
  "5A7A": "wu",
  "5A7B": "nan",
  "5A7C": "ruo",
  "5A7D": "jia",
  "5A7E": "tou",
  "5A7F": "xu",
  "5A80": "yu",
  "5A81": "wei",
  "5A82": "ti",
  "5A83": "rou",
  "5A84": "mei",
  "5A85": "dan",
  "5A86": "ruan",
  "5A87": "qin",
  "5A89": "wu",
  "5A8A": "qian",
  "5A8B": "chun",
  "5A8C": "mao",
  "5A8D": "fu",
  "5A8E": "jie",
  "5A8F": "duan",
  "5A90": "xi",
  "5A91": "zhong",
  "5A92": "mei",
  "5A93": "huang",
  "5A94": "mian",
  "5A95": "an",
  "5A96": "ying",
  "5A97": "xuan",
  "5A99": "wei",
  "5A9A": "mei",
  "5A9B": "yuan",
  "5A9C": "zhen",
  "5A9D": "qiu",
  "5A9E": "ti",
  "5A9F": "xie",
  "5AA0": "tuo",
  "5AA1": "lian",
  "5AA2": "mao",
  "5AA3": "ran",
  "5AA4": "si",
  "5AA5": "pian",
  "5AA6": "wei",
  "5AA7": "wa",
  "5AA8": "jiu",
  "5AA9": "hu",
  "5AAA": "ao",
  "5AAD": "xu",
  "5AAE": "tou",
  "5AAF": "gui",
  "5AB0": "zou",
  "5AB1": "yao",
  "5AB2": "pi",
  "5AB3": "xi",
  "5AB4": "yuan",
  "5AB5": "ying",
  "5AB6": "rong",
  "5AB7": "ru",
  "5AB8": "chi",
  "5AB9": "liu",
  "5ABA": "mei",
  "5ABB": "pan",
  "5ABC": "ao",
  "5ABD": "ma",
  "5ABE": "gou",
  "5ABF": "kui",
  "5AC0": "qin",
  "5AC1": "jia",
  "5AC2": "sao",
  "5AC3": "zhen",
  "5AC4": "yuan",
  "5AC5": "cha",
  "5AC6": "yong",
  "5AC7": "ming",
  "5AC8": "ying",
  "5AC9": "ji",
  "5ACA": "su",
  "5ACB": "niao",
  "5ACC": "xian",
  "5ACD": "tao",
  "5ACE": "pang",
  "5ACF": "lang",
  "5AD0": "nao",
  "5AD1": "bao",
  "5AD2": "ai",
  "5AD3": "pi",
  "5AD4": "pin",
  "5AD5": "yi",
  "5AD6": "piao",
  "5AD7": "yu",
  "5AD8": "lei",
  "5AD9": "xuan",
  "5ADA": "man",
  "5ADB": "yi",
  "5ADC": "zhang",
  "5ADD": "kang",
  "5ADE": "yong",
  "5ADF": "ni",
  "5AE0": "li",
  "5AE1": "di",
  "5AE2": "gui",
  "5AE3": "yan",
  "5AE4": "jin",
  "5AE5": "zhuan",
  "5AE6": "chang",
  "5AE7": "ce",
  "5AE8": "han",
  "5AE9": "nen",
  "5AEA": "lao",
  "5AEB": "mo",
  "5AEC": "zhe",
  "5AED": "hu",
  "5AEE": "hu",
  "5AEF": "ao",
  "5AF0": "nen",
  "5AF1": "qiang",
  "5AF3": "pie",
  "5AF4": "gu",
  "5AF5": "wu",
  "5AF6": "jiao",
  "5AF7": "tuo",
  "5AF8": "zhan",
  "5AF9": "mao",
  "5AFA": "xian",
  "5AFB": "xian",
  "5AFC": "mo",
  "5AFD": "liao",
  "5AFE": "lian",
  "5AFF": "hua",
  "5B00": "gui",
  "5B01": "deng",
  "5B02": "zhi",
  "5B03": "xu",
  "5B05": "hua",
  "5B06": "xi",
  "5B07": "hui",
  "5B08": "rao",
  "5B09": "xi",
  "5B0A": "yan",
  "5B0B": "chan",
  "5B0C": "jiao",
  "5B0D": "mei",
  "5B0E": "fan",
  "5B0F": "fan",
  "5B10": "xian",
  "5B11": "yi",
  "5B12": "wei",
  "5B13": "jiao",
  "5B14": "fu",
  "5B15": "shi",
  "5B16": "bi",
  "5B17": "shan",
  "5B18": "sui",
  "5B19": "qiang",
  "5B1A": "lian",
  "5B1B": "huan",
  "5B1D": "niao",
  "5B1E": "dong",
  "5B1F": "yi",
  "5B20": "can",
  "5B21": "ai",
  "5B22": "niang",
  "5B23": "neng",
  "5B24": "ma",
  "5B25": "tiao",
  "5B26": "chou",
  "5B27": "jin",
  "5B28": "ci",
  "5B29": "yu",
  "5B2A": "pin",
  "5B2C": "xu",
  "5B2D": "nai",
  "5B2E": "yan",
  "5B2F": "tai",
  "5B30": "ying",
  "5B31": "can",
  "5B32": "niao",
  "5B34": "ying",
  "5B35": "mian",
  "5B37": "ma",
  "5B38": "shen",
  "5B39": "xing",
  "5B3A": "ni",
  "5B3B": "du",
  "5B3C": "liu",
  "5B3D": "yuan",
  "5B3E": "lan",
  "5B3F": "yan",
  "5B40": "shuang",
  "5B41": "ling",
  "5B42": "jiao",
  "5B43": "niang",
  "5B44": "lan",
  "5B45": "xian",
  "5B46": "ying",
  "5B47": "shuang",
  "5B48": "shuai",
  "5B49": "quan",
  "5B4A": "mi",
  "5B4B": "li",
  "5B4C": "luan",
  "5B4D": "yan",
  "5B4E": "zhu",
  "5B4F": "lan",
  "5B50": "zi",
  "5B51": "jie",
  "5B52": "jue",
  "5B53": "jue",
  "5B54": "kong",
  "5B55": "yun",
  "5B56": "zi",
  "5B57": "zi",
  "5B58": "cun",
  "5B59": "sun",
  "5B5A": "fu",
  "5B5B": "bei",
  "5B5C": "zi",
  "5B5D": "xiao",
  "5B5E": "xin",
  "5B5F": "meng",
  "5B60": "si",
  "5B61": "tai",
  "5B62": "bao",
  "5B63": "ji",
  "5B64": "gu",
  "5B65": "nu",
  "5B66": "xue",
  "5B68": "zhuan",
  "5B69": "hai",
  "5B6A": "luan",
  "5B6B": "sun",
  "5B6C": "huai",
  "5B6D": "mie",
  "5B6E": "cong",
  "5B6F": "qian",
  "5B70": "shu",
  "5B71": "chan",
  "5B72": "ya",
  "5B73": "zi",
  "5B74": "ni",
  "5B75": "fu",
  "5B76": "zi",
  "5B77": "li",
  "5B78": "xue",
  "5B79": "bo",
  "5B7A": "ru",
  "5B7B": "lai",
  "5B7C": "nie",
  "5B7D": "nie",
  "5B7E": "ying",
  "5B7F": "luan",
  "5B80": "mian",
  "5B81": "ning",
  "5B82": "rong",
  "5B83": "ta",
  "5B84": "gui",
  "5B85": "zhai",
  "5B86": "qiong",
  "5B87": "yu",
  "5B88": "shou",
  "5B89": "an",
  "5B8A": "tu",
  "5B8B": "song",
  "5B8C": "wan",
  "5B8D": "rou",
  "5B8E": "yao",
  "5B8F": "hong",
  "5B90": "yi",
  "5B91": "jing",
  "5B92": "zhun",
  "5B93": "mi",
  "5B94": "zhu",
  "5B95": "dang",
  "5B96": "hong",
  "5B97": "zong",
  "5B98": "guan",
  "5B99": "zhou",
  "5B9A": "ding",
  "5B9B": "wan",
  "5B9C": "yi",
  "5B9D": "bao",
  "5B9E": "shi",
  "5B9F": "shi",
  "5BA0": "chong",
  "5BA1": "shen",
  "5BA2": "ke",
  "5BA3": "xuan",
  "5BA4": "shi",
  "5BA5": "you",
  "5BA6": "huan",
  "5BA7": "yi",
  "5BA8": "tiao",
  "5BA9": "shi",
  "5BAA": "xian",
  "5BAB": "gong",
  "5BAC": "cheng",
  "5BAD": "qun",
  "5BAE": "gong",
  "5BAF": "xiao",
  "5BB0": "zai",
  "5BB1": "zha",
  "5BB2": "bao",
  "5BB3": "hai",
  "5BB4": "yan",
  "5BB5": "xiao",
  "5BB6": "jia",
  "5BB7": "shen",
  "5BB8": "chen",
  "5BB9": "rong",
  "5BBA": "huang",
  "5BBB": "mi",
  "5BBC": "kou",
  "5BBD": "kuan",
  "5BBE": "bin",
  "5BBF": "su",
  "5BC0": "cai",
  "5BC1": "zan",
  "5BC2": "ji",
  "5BC3": "yuan",
  "5BC4": "ji",
  "5BC5": "yin",
  "5BC6": "mi",
  "5BC7": "kou",
  "5BC8": "qing",
  "5BC9": "que",
  "5BCA": "zhen",
  "5BCB": "jian",
  "5BCC": "fu",
  "5BCD": "ning",
  "5BCE": "bing",
  "5BCF": "huan",
  "5BD0": "mei",
  "5BD1": "qin",
  "5BD2": "han",
  "5BD3": "yu",
  "5BD4": "shi",
  "5BD5": "ning",
  "5BD6": "jin",
  "5BD7": "ning",
  "5BD8": "zhi",
  "5BD9": "yu",
  "5BDA": "bao",
  "5BDB": "kuan",
  "5BDC": "ning",
  "5BDD": "qin",
  "5BDE": "mo",
  "5BDF": "cha",
  "5BE0": "ju",
  "5BE1": "gua",
  "5BE2": "qin",
  "5BE3": "hu",
  "5BE4": "wu",
  "5BE5": "liao",
  "5BE6": "shi",
  "5BE7": "ning",
  "5BE8": "zhai",
  "5BE9": "shen",
  "5BEA": "wei",
  "5BEB": "xie",
  "5BEC": "kuan",
  "5BED": "hui",
  "5BEE": "liao",
  "5BEF": "jun",
  "5BF0": "huan",
  "5BF1": "yi",
  "5BF2": "yi",
  "5BF3": "bao",
  "5BF4": "qin",
  "5BF5": "chong",
  "5BF6": "bao",
  "5BF7": "feng",
  "5BF8": "cun",
  "5BF9": "dui",
  "5BFA": "si",
  "5BFB": "xun",
  "5BFC": "dao",
  "5BFD": "lv",
  "5BFE": "dui",
  "5BFF": "shou",
  "5C00": "po",
  "5C01": "feng",
  "5C02": "zhuan",
  "5C03": "fu",
  "5C04": "she",
  "5C05": "ke",
  "5C06": "jiang",
  "5C07": "jiang",
  "5C08": "zhuan",
  "5C09": "wei",
  "5C0A": "zun",
  "5C0B": "xun",
  "5C0C": "shu",
  "5C0D": "dui",
  "5C0E": "dao",
  "5C0F": "xiao",
  "5C10": "ji",
  "5C11": "shao",
  "5C12": "er",
  "5C13": "er",
  "5C14": "er",
  "5C15": "ga",
  "5C16": "jian",
  "5C17": "shu",
  "5C18": "chen",
  "5C19": "shang",
  "5C1A": "shang",
  "5C1C": "ga",
  "5C1D": "chang",
  "5C1E": "liao",
  "5C1F": "xian",
  "5C20": "xian",
  "5C22": "wang",
  "5C23": "wang",
  "5C24": "you",
  "5C25": "liao",
  "5C26": "liao",
  "5C27": "yao",
  "5C28": "mang",
  "5C29": "wang",
  "5C2A": "wang",
  "5C2B": "wang",
  "5C2C": "ga",
  "5C2D": "yao",
  "5C2E": "duo",
  "5C2F": "kui",
  "5C30": "zhong",
  "5C31": "jiu",
  "5C32": "gan",
  "5C33": "gu",
  "5C34": "gan",
  "5C35": "tui",
  "5C36": "gan",
  "5C37": "gan",
  "5C38": "shi",
  "5C39": "yin",
  "5C3A": "chi",
  "5C3B": "kao",
  "5C3C": "ni",
  "5C3D": "jin",
  "5C3E": "wei",
  "5C3F": "niao",
  "5C40": "ju",
  "5C41": "pi",
  "5C42": "ceng",
  "5C43": "xi",
  "5C44": "bi",
  "5C45": "ju",
  "5C46": "jie",
  "5C47": "tian",
  "5C48": "qu",
  "5C49": "ti",
  "5C4A": "jie",
  "5C4B": "wu",
  "5C4C": "diao",
  "5C4D": "shi",
  "5C4E": "shi",
  "5C4F": "ping",
  "5C50": "ji",
  "5C51": "xie",
  "5C52": "chen",
  "5C53": "xi",
  "5C54": "ni",
  "5C55": "zhan",
  "5C56": "xi",
  "5C58": "man",
  "5C59": "e",
  "5C5A": "lou",
  "5C5B": "ping",
  "5C5C": "ti",
  "5C5D": "fei",
  "5C5E": "shu",
  "5C5F": "xie",
  "5C60": "tu",
  "5C61": "lv",
  "5C62": "lv",
  "5C63": "xi",
  "5C64": "ceng",
  "5C65": "lv",
  "5C66": "ju",
  "5C67": "xie",
  "5C68": "ju",
  "5C69": "jue",
  "5C6A": "liao",
  "5C6B": "jue",
  "5C6C": "shu",
  "5C6D": "xi",
  "5C6E": "che",
  "5C6F": "tun",
  "5C70": "ni",
  "5C71": "shan",
  "5C73": "xian",
  "5C74": "li",
  "5C75": "xue",
  "5C78": "long",
  "5C79": "yi",
  "5C7A": "qi",
  "5C7B": "ren",
  "5C7C": "wu",
  "5C7D": "han",
  "5C7E": "shen",
  "5C7F": "yu",
  "5C80": "chu",
  "5C81": "sui",
  "5C82": "qi",
  "5C84": "yue",
  "5C85": "ban",
  "5C86": "yao",
  "5C87": "ang",
  "5C88": "ya",
  "5C89": "wu",
  "5C8A": "jie",
  "5C8B": "e",
  "5C8C": "ji",
  "5C8D": "qian",
  "5C8E": "fen",
  "5C8F": "yuan",
  "5C90": "qi",
  "5C91": "cen",
  "5C92": "qian",
  "5C93": "qi",
  "5C94": "cha",
  "5C95": "jie",
  "5C96": "qu",
  "5C97": "gang",
  "5C98": "xian",
  "5C99": "ao",
  "5C9A": "lan",
  "5C9B": "dao",
  "5C9C": "ba",
  "5C9D": "zuo",
  "5C9E": "zuo",
  "5C9F": "yang",
  "5CA0": "ju",
  "5CA1": "gang",
  "5CA2": "ke",
  "5CA3": "gou",
  "5CA4": "xue",
  "5CA5": "bei",
  "5CA6": "li",
  "5CA7": "tiao",
  "5CA8": "ju",
  "5CA9": "yan",
  "5CAA": "fu",
  "5CAB": "xiu",
  "5CAC": "jia",
  "5CAD": "ling",
  "5CAE": "tuo",
  "5CAF": "pei",
  "5CB0": "you",
  "5CB1": "dai",
  "5CB2": "kuang",
  "5CB3": "yue",
  "5CB4": "qu",
  "5CB5": "hu",
  "5CB6": "po",
  "5CB7": "min",
  "5CB8": "an",
  "5CB9": "tiao",
  "5CBA": "ling",
  "5CBB": "chi",
  "5CBD": "dong",
  "5CBF": "kui",
  "5CC0": "xiu",
  "5CC1": "mao",
  "5CC2": "tong",
  "5CC3": "xue",
  "5CC4": "yi",
  "5CC6": "he",
  "5CC7": "ke",
  "5CC8": "luo",
  "5CC9": "e",
  "5CCA": "fu",
  "5CCB": "xun",
  "5CCC": "die",
  "5CCD": "lu",
  "5CCE": "an",
  "5CCF": "er",
  "5CD0": "gai",
  "5CD1": "quan",
  "5CD2": "tong",
  "5CD3": "yi",
  "5CD4": "mu",
  "5CD5": "shi",
  "5CD6": "an",
  "5CD7": "wei",
  "5CD8": "hu",
  "5CD9": "zhi",
  "5CDA": "mi",
  "5CDB": "li",
  "5CDC": "ji",
  "5CDD": "tong",
  "5CDE": "wei",
  "5CDF": "you",
  "5CE1": "xia",
  "5CE2": "li",
  "5CE3": "yao",
  "5CE4": "jiao",
  "5CE5": "zheng",
  "5CE6": "luan",
  "5CE7": "jiao",
  "5CE8": "e",
  "5CE9": "e",
  "5CEA": "yu",
  "5CEB": "ye",
  "5CEC": "bu",
  "5CED": "qiao",
  "5CEE": "qun",
  "5CEF": "feng",
  "5CF0": "feng",
  "5CF1": "nao",
  "5CF2": "li",
  "5CF3": "you",
  "5CF4": "xian",
  "5CF5": "hong",
  "5CF6": "dao",
  "5CF7": "shen",
  "5CF8": "cheng",
  "5CF9": "tu",
  "5CFA": "geng",
  "5CFB": "jun",
  "5CFC": "hao",
  "5CFD": "xia",
  "5CFE": "yin",
  "5CFF": "yu",
  "5D00": "lang",
  "5D01": "kan",
  "5D02": "lao",
  "5D03": "lai",
  "5D04": "xian",
  "5D05": "que",
  "5D06": "kong",
  "5D07": "chong",
  "5D08": "chong",
  "5D09": "ta",
  "5D0B": "hua",
  "5D0C": "ju",
  "5D0D": "lai",
  "5D0E": "qi",
  "5D0F": "min",
  "5D10": "kun",
  "5D11": "kun",
  "5D12": "zu",
  "5D13": "gu",
  "5D14": "cui",
  "5D15": "ya",
  "5D16": "ya",
  "5D17": "gang",
  "5D18": "lun",
  "5D19": "lun",
  "5D1A": "leng",
  "5D1B": "jue",
  "5D1C": "duo",
  "5D1D": "zheng",
  "5D1E": "guo",
  "5D1F": "yin",
  "5D20": "dong",
  "5D21": "han",
  "5D22": "zheng",
  "5D23": "wei",
  "5D24": "yao",
  "5D25": "pi",
  "5D26": "yan",
  "5D27": "song",
  "5D28": "jie",
  "5D29": "beng",
  "5D2A": "zu",
  "5D2B": "jue",
  "5D2C": "dong",
  "5D2D": "zhan",
  "5D2E": "gu",
  "5D2F": "yin",
  "5D31": "ze",
  "5D32": "huang",
  "5D33": "yu",
  "5D34": "wei",
  "5D35": "yang",
  "5D36": "feng",
  "5D37": "qiu",
  "5D38": "dun",
  "5D39": "ti",
  "5D3A": "yi",
  "5D3B": "zhi",
  "5D3C": "shi",
  "5D3D": "zai",
  "5D3E": "yao",
  "5D3F": "e",
  "5D40": "zhu",
  "5D41": "kan",
  "5D42": "lv",
  "5D43": "yan",
  "5D44": "mei",
  "5D45": "gan",
  "5D46": "ji",
  "5D47": "ji",
  "5D48": "huan",
  "5D49": "ting",
  "5D4A": "sheng",
  "5D4B": "mei",
  "5D4C": "qian",
  "5D4D": "wu",
  "5D4E": "yu",
  "5D4F": "zong",
  "5D50": "lan",
  "5D51": "jue",
  "5D52": "yan",
  "5D53": "yan",
  "5D54": "wei",
  "5D55": "zong",
  "5D56": "cha",
  "5D57": "sui",
  "5D58": "rong",
  "5D5A": "qin",
  "5D5B": "yu",
  "5D5D": "lou",
  "5D5E": "tu",
  "5D5F": "dui",
  "5D60": "xi",
  "5D61": "weng",
  "5D62": "cang",
  "5D63": "dang",
  "5D64": "hong",
  "5D65": "jie",
  "5D66": "ai",
  "5D67": "liu",
  "5D68": "wu",
  "5D69": "song",
  "5D6A": "qiao",
  "5D6B": "zi",
  "5D6C": "wei",
  "5D6D": "beng",
  "5D6E": "dian",
  "5D6F": "cuo",
  "5D70": "qian",
  "5D71": "yong",
  "5D72": "nie",
  "5D73": "cuo",
  "5D74": "ji",
  "5D77": "song",
  "5D78": "zong",
  "5D79": "jiang",
  "5D7A": "liao",
  "5D7C": "chan",
  "5D7D": "die",
  "5D7E": "cen",
  "5D7F": "ding",
  "5D80": "tu",
  "5D81": "lou",
  "5D82": "zhang",
  "5D83": "zhan",
  "5D84": "zhan",
  "5D85": "ao",
  "5D86": "cao",
  "5D87": "qu",
  "5D88": "qiang",
  "5D89": "zui",
  "5D8A": "zui",
  "5D8B": "dao",
  "5D8C": "dao",
  "5D8D": "xi",
  "5D8E": "yu",
  "5D8F": "bo",
  "5D90": "long",
  "5D91": "xiang",
  "5D92": "ceng",
  "5D93": "bo",
  "5D94": "qin",
  "5D95": "jiao",
  "5D96": "yan",
  "5D97": "lao",
  "5D98": "zhan",
  "5D99": "lin",
  "5D9A": "liao",
  "5D9B": "liao",
  "5D9C": "jin",
  "5D9D": "deng",
  "5D9E": "duo",
  "5D9F": "zun",
  "5DA0": "jiao",
  "5DA1": "gui",
  "5DA2": "yao",
  "5DA3": "qiao",
  "5DA4": "yao",
  "5DA5": "jue",
  "5DA6": "zhan",
  "5DA7": "yi",
  "5DA8": "xue",
  "5DA9": "nao",
  "5DAA": "ye",
  "5DAB": "ye",
  "5DAC": "yi",
  "5DAD": "e",
  "5DAE": "xian",
  "5DAF": "ji",
  "5DB0": "xie",
  "5DB1": "ke",
  "5DB2": "xi",
  "5DB3": "di",
  "5DB4": "ao",
  "5DB5": "zui",
  "5DB7": "yi",
  "5DB8": "rong",
  "5DB9": "dao",
  "5DBA": "ling",
  "5DBB": "za",
  "5DBC": "yu",
  "5DBD": "yue",
  "5DBE": "yin",
  "5DC0": "jie",
  "5DC1": "li",
  "5DC2": "sui",
  "5DC3": "long",
  "5DC4": "long",
  "5DC5": "dian",
  "5DC6": "ying",
  "5DC7": "xi",
  "5DC8": "ju",
  "5DC9": "chan",
  "5DCA": "ying",
  "5DCB": "kui",
  "5DCC": "yan",
  "5DCD": "wei",
  "5DCE": "nao",
  "5DCF": "quan",
  "5DD0": "chao",
  "5DD1": "cuan",
  "5DD2": "luan",
  "5DD3": "dian",
  "5DD4": "dian",
  "5DD6": "yan",
  "5DD7": "yan",
  "5DD8": "yan",
  "5DD9": "nao",
  "5DDA": "yan",
  "5DDB": "chuan",
  "5DDC": "gui",
  "5DDD": "chuan",
  "5DDE": "zhou",
  "5DDF": "huang",
  "5DE0": "jing",
  "5DE1": "xun",
  "5DE2": "chao",
  "5DE3": "chao",
  "5DE4": "lie",
  "5DE5": "gong",
  "5DE6": "zuo",
  "5DE7": "qiao",
  "5DE8": "ju",
  "5DE9": "gong",
  "5DEB": "wu",
  "5DEE": "cha",
  "5DEF": "qiu",
  "5DF0": "qiu",
  "5DF1": "ji",
  "5DF2": "yi",
  "5DF3": "si",
  "5DF4": "ba",
  "5DF5": "zhi",
  "5DF6": "zhao",
  "5DF7": "xiang",
  "5DF8": "yi",
  "5DF9": "jin",
  "5DFA": "xun",
  "5DFB": "juan",
  "5DFD": "xun",
  "5DFE": "jin",
  "5DFF": "fu",
  "5E00": "za",
  "5E01": "bi",
  "5E02": "shi",
  "5E03": "bu",
  "5E04": "ding",
  "5E05": "shuai",
  "5E06": "fan",
  "5E07": "nie",
  "5E08": "shi",
  "5E09": "fen",
  "5E0A": "pa",
  "5E0B": "zhi",
  "5E0C": "xi",
  "5E0D": "hu",
  "5E0E": "dan",
  "5E0F": "wei",
  "5E10": "zhang",
  "5E11": "tang",
  "5E12": "dai",
  "5E13": "ma",
  "5E14": "pei",
  "5E15": "pa",
  "5E16": "tie",
  "5E17": "fu",
  "5E18": "lian",
  "5E19": "zhi",
  "5E1A": "zhou",
  "5E1B": "bo",
  "5E1C": "zhi",
  "5E1D": "di",
  "5E1E": "mo",
  "5E1F": "yi",
  "5E20": "yi",
  "5E21": "ping",
  "5E22": "qia",
  "5E23": "juan",
  "5E24": "ru",
  "5E25": "shuai",
  "5E26": "dai",
  "5E27": "zheng",
  "5E28": "shui",
  "5E29": "qiao",
  "5E2A": "zhen",
  "5E2B": "shi",
  "5E2C": "qun",
  "5E2D": "xi",
  "5E2E": "bang",
  "5E2F": "dai",
  "5E30": "gui",
  "5E31": "chou",
  "5E32": "ping",
  "5E33": "zhang",
  "5E34": "sha",
  "5E35": "wan",
  "5E36": "dai",
  "5E37": "wei",
  "5E38": "chang",
  "5E39": "sha",
  "5E3A": "qi",
  "5E3B": "ze",
  "5E3C": "guo",
  "5E3D": "mao",
  "5E3E": "du",
  "5E3F": "hou",
  "5E40": "zheng",
  "5E41": "xu",
  "5E42": "mi",
  "5E43": "wei",
  "5E44": "wo",
  "5E45": "fu",
  "5E46": "yi",
  "5E47": "bang",
  "5E48": "ping",
  "5E4A": "gong",
  "5E4B": "pan",
  "5E4C": "huang",
  "5E4D": "dao",
  "5E4E": "mi",
  "5E4F": "jia",
  "5E50": "teng",
  "5E51": "hui",
  "5E52": "zhong",
  "5E53": "shan",
  "5E54": "man",
  "5E55": "mu",
  "5E56": "biao",
  "5E57": "guo",
  "5E58": "ze",
  "5E59": "mu",
  "5E5A": "bang",
  "5E5B": "zhang",
  "5E5C": "jiong",
  "5E5D": "chan",
  "5E5E": "fu",
  "5E5F": "zhi",
  "5E60": "hu",
  "5E61": "fan",
  "5E62": "chuang",
  "5E63": "bi",
  "5E66": "mi",
  "5E67": "qiao",
  "5E68": "chan",
  "5E69": "fen",
  "5E6A": "meng",
  "5E6B": "bang",
  "5E6C": "chou",
  "5E6D": "mie",
  "5E6E": "chu",
  "5E6F": "jie",
  "5E70": "xian",
  "5E71": "lan",
  "5E72": "gan",
  "5E73": "ping",
  "5E74": "nian",
  "5E75": "qian",
  "5E76": "bing",
  "5E77": "bing",
  "5E78": "xing",
  "5E79": "gan",
  "5E7A": "yao",
  "5E7B": "huan",
  "5E7C": "you",
  "5E7D": "you",
  "5E7E": "ji",
  "5E7F": "guang",
  "5E80": "pi",
  "5E81": "ting",
  "5E82": "ze",
  "5E83": "guang",
  "5E84": "zhuang",
  "5E85": "mo",
  "5E86": "qing",
  "5E87": "bi",
  "5E88": "qin",
  "5E89": "dun",
  "5E8A": "chuang",
  "5E8B": "gui",
  "5E8C": "ya",
  "5E8D": "bai",
  "5E8E": "jie",
  "5E8F": "xu",
  "5E90": "lu",
  "5E91": "wu",
  "5E93": "ku",
  "5E94": "ying",
  "5E95": "di",
  "5E96": "pao",
  "5E97": "dian",
  "5E98": "ya",
  "5E99": "miao",
  "5E9A": "geng",
  "5E9B": "ci",
  "5E9C": "fu",
  "5E9D": "tong",
  "5E9E": "pang",
  "5E9F": "fei",
  "5EA0": "xiang",
  "5EA1": "yi",
  "5EA2": "zhi",
  "5EA3": "tiao",
  "5EA4": "zhi",
  "5EA5": "xiu",
  "5EA6": "du",
  "5EA7": "zuo",
  "5EA8": "xiao",
  "5EA9": "tu",
  "5EAA": "gui",
  "5EAB": "ku",
  "5EAC": "pang",
  "5EAD": "ting",
  "5EAE": "you",
  "5EAF": "bu",
  "5EB0": "ding",
  "5EB1": "cheng",
  "5EB2": "lai",
  "5EB3": "bei",
  "5EB4": "ji",
  "5EB5": "an",
  "5EB6": "shu",
  "5EB7": "kang",
  "5EB8": "yong",
  "5EB9": "tuo",
  "5EBA": "song",
  "5EBB": "shu",
  "5EBC": "qing",
  "5EBD": "yu",
  "5EBE": "yu",
  "5EBF": "miao",
  "5EC0": "sou",
  "5EC1": "ce",
  "5EC2": "xiang",
  "5EC3": "fei",
  "5EC4": "jiu",
  "5EC5": "he",
  "5EC6": "hui",
  "5EC7": "liu",
  "5EC8": "sha",
  "5EC9": "lian",
  "5ECA": "lang",
  "5ECB": "sou",
  "5ECC": "zhi",
  "5ECD": "pou",
  "5ECE": "qing",
  "5ECF": "jiu",
  "5ED0": "jiu",
  "5ED1": "jin",
  "5ED2": "ao",
  "5ED3": "kuo",
  "5ED4": "lou",
  "5ED5": "yin",
  "5ED6": "liao",
  "5ED7": "dai",
  "5ED8": "lu",
  "5ED9": "yi",
  "5EDA": "chu",
  "5EDB": "chan",
  "5EDC": "tu",
  "5EDD": "si",
  "5EDE": "xin",
  "5EDF": "miao",
  "5EE0": "chang",
  "5EE1": "wu",
  "5EE2": "fei",
  "5EE3": "guang",
  "5EE5": "kuai",
  "5EE6": "bi",
  "5EE7": "qiang",
  "5EE8": "xie",
  "5EE9": "lin",
  "5EEA": "lin",
  "5EEB": "liao",
  "5EEC": "lu",
  "5EEE": "ying",
  "5EEF": "xian",
  "5EF0": "ting",
  "5EF1": "yong",
  "5EF2": "li",
  "5EF3": "ting",
  "5EF4": "yin",
  "5EF5": "xun",
  "5EF6": "yan",
  "5EF7": "ting",
  "5EF8": "di",
  "5EF9": "po",
  "5EFA": "jian",
  "5EFB": "hui",
  "5EFC": "nai",
  "5EFD": "hui",
  "5EFE": "gong",
  "5EFF": "nian",
  "5F00": "kai",
  "5F01": "bian",
  "5F02": "yi",
  "5F03": "qi",
  "5F04": "nong",
  "5F05": "fen",
  "5F06": "ju",
  "5F07": "yan",
  "5F08": "yi",
  "5F09": "zang",
  "5F0A": "bi",
  "5F0B": "yi",
  "5F0C": "yi",
  "5F0D": "er",
  "5F0E": "san",
  "5F0F": "shi",
  "5F10": "er",
  "5F11": "shi",
  "5F12": "shi",
  "5F13": "gong",
  "5F14": "diao",
  "5F15": "yin",
  "5F16": "hu",
  "5F17": "fu",
  "5F18": "hong",
  "5F19": "wu",
  "5F1A": "tui",
  "5F1B": "chi",
  "5F1C": "jiang",
  "5F1D": "ba",
  "5F1E": "shen",
  "5F1F": "di",
  "5F20": "zhang",
  "5F21": "jue",
  "5F22": "tao",
  "5F23": "fu",
  "5F24": "di",
  "5F25": "mi",
  "5F26": "xian",
  "5F27": "hu",
  "5F28": "chao",
  "5F29": "nu",
  "5F2A": "jing",
  "5F2B": "zhen",
  "5F2C": "yi",
  "5F2D": "mi",
  "5F2E": "quan",
  "5F2F": "wan",
  "5F30": "shao",
  "5F31": "ruo",
  "5F32": "xuan",
  "5F33": "jing",
  "5F34": "dun",
  "5F35": "zhang",
  "5F36": "jiang",
  "5F37": "qiang",
  "5F38": "peng",
  "5F39": "dan",
  "5F3A": "qiang",
  "5F3B": "bi",
  "5F3C": "bi",
  "5F3D": "she",
  "5F3E": "dan",
  "5F3F": "jian",
  "5F40": "gou",
  "5F42": "fa",
  "5F43": "bi",
  "5F44": "kou",
  "5F46": "bie",
  "5F47": "xiao",
  "5F48": "dan",
  "5F49": "kuo",
  "5F4A": "qiang",
  "5F4B": "hong",
  "5F4C": "mi",
  "5F4D": "kuo",
  "5F4E": "wan",
  "5F4F": "jue",
  "5F50": "ji",
  "5F51": "ji",
  "5F52": "gui",
  "5F53": "dang",
  "5F54": "lu",
  "5F55": "lu",
  "5F56": "tuan",
  "5F57": "hui",
  "5F58": "zhi",
  "5F59": "hui",
  "5F5A": "hui",
  "5F5B": "yi",
  "5F5C": "yi",
  "5F5D": "yi",
  "5F5E": "yi",
  "5F5F": "huo",
  "5F60": "huo",
  "5F61": "shan",
  "5F62": "xing",
  "5F63": "wen",
  "5F64": "tong",
  "5F65": "yan",
  "5F66": "yan",
  "5F67": "yu",
  "5F68": "chi",
  "5F69": "cai",
  "5F6A": "biao",
  "5F6B": "diao",
  "5F6C": "bin",
  "5F6D": "peng",
  "5F6E": "yong",
  "5F6F": "piao",
  "5F70": "zhang",
  "5F71": "ying",
  "5F72": "chi",
  "5F73": "chi",
  "5F74": "zhuo",
  "5F75": "tuo",
  "5F76": "ji",
  "5F77": "pang",
  "5F78": "zhong",
  "5F79": "yi",
  "5F7A": "wang",
  "5F7B": "che",
  "5F7C": "bi",
  "5F7D": "chi",
  "5F7E": "ling",
  "5F7F": "fu",
  "5F80": "wang",
  "5F81": "zheng",
  "5F82": "cu",
  "5F83": "wang",
  "5F84": "jing",
  "5F85": "dai",
  "5F86": "xi",
  "5F87": "xun",
  "5F88": "hen",
  "5F89": "yang",
  "5F8A": "huai",
  "5F8B": "lv",
  "5F8C": "hou",
  "5F8D": "wa",
  "5F8E": "cheng",
  "5F8F": "zhi",
  "5F90": "xu",
  "5F91": "jing",
  "5F92": "tu",
  "5F93": "cong",
  "5F95": "lai",
  "5F96": "cong",
  "5F97": "de",
  "5F98": "pai",
  "5F99": "xi",
  "5F9B": "qi",
  "5F9C": "chang",
  "5F9D": "zhi",
  "5F9E": "cong",
  "5F9F": "zhou",
  "5FA0": "lai",
  "5FA1": "yu",
  "5FA2": "xie",
  "5FA3": "jie",
  "5FA4": "jian",
  "5FA5": "chi",
  "5FA6": "jia",
  "5FA7": "bian",
  "5FA8": "huang",
  "5FA9": "fu",
  "5FAA": "xun",
  "5FAB": "wei",
  "5FAC": "pang",
  "5FAD": "yao",
  "5FAE": "wei",
  "5FAF": "xi",
  "5FB0": "zheng",
  "5FB1": "piao",
  "5FB2": "chi",
  "5FB3": "de",
  "5FB4": "zheng",
  "5FB5": "zheng",
  "5FB6": "bie",
  "5FB7": "de",
  "5FB8": "chong",
  "5FB9": "che",
  "5FBA": "jiao",
  "5FBB": "wei",
  "5FBC": "jiao",
  "5FBD": "hui",
  "5FBE": "mei",
  "5FBF": "long",
  "5FC0": "xiang",
  "5FC1": "bao",
  "5FC2": "qu",
  "5FC3": "xin",
  "5FC5": "bi",
  "5FC6": "yi",
  "5FC7": "le",
  "5FC8": "ren",
  "5FC9": "dao",
  "5FCA": "ding",
  "5FCB": "gai",
  "5FCC": "ji",
  "5FCD": "ren",
  "5FCE": "ren",
  "5FCF": "chan",
  "5FD0": "tan",
  "5FD1": "te",
  "5FD2": "te",
  "5FD3": "gan",
  "5FD4": "qi",
  "5FD5": "shi",
  "5FD6": "cun",
  "5FD7": "zhi",
  "5FD8": "wang",
  "5FD9": "mang",
  "5FDA": "xi",
  "5FDB": "fan",
  "5FDC": "ying",
  "5FDD": "tian",
  "5FDE": "min",
  "5FDF": "min",
  "5FE0": "zhong",
  "5FE1": "chong",
  "5FE2": "wu",
  "5FE3": "ji",
  "5FE4": "wu",
  "5FE5": "xi",
  "5FE6": "ye",
  "5FE7": "you",
  "5FE8": "wan",
  "5FE9": "cong",
  "5FEA": "zhong",
  "5FEB": "kuai",
  "5FEC": "yu",
  "5FED": "bian",
  "5FEE": "zhi",
  "5FEF": "qi",
  "5FF0": "cui",
  "5FF1": "chen",
  "5FF2": "tai",
  "5FF3": "tun",
  "5FF4": "qian",
  "5FF5": "nian",
  "5FF6": "hun",
  "5FF7": "xiong",
  "5FF8": "niu",
  "5FF9": "wang",
  "5FFA": "xian",
  "5FFB": "xin",
  "5FFC": "kang",
  "5FFD": "hu",
  "5FFE": "kai",
  "5FFF": "fen",
  "600A": "chao",
  "600B": "min",
  "600C": "pei",
  "600D": "zuo",
  "600E": "zen",
  "600F": "yang",
  "601A": "ju",
  "601B": "da",
  "601C": "lian",
  "601D": "si",
  "601E": "chou",
  "601F": "di",
  "602A": "guai",
  "602B": "fu",
  "602C": "xi",
  "602D": "bi",
  "602E": "you",
  "602F": "qie",
  "603B": "zong",
  "603C": "dui",
  "603F": "yi",
  "604A": "xie",
  "604B": "lian",
  "604C": "tiao",
  "604D": "huang",
  "604E": "die",
  "604F": "hao",
  "605A": "hui",
  "605B": "hui",
  "605C": "chi",
  "605D": "jia",
  "605E": "yi",
  "605F": "xiong",
  "606A": "ke",
  "606B": "tong",
  "606C": "tian",
  "606D": "gong",
  "606E": "quan",
  "606F": "xi",
  "607A": "kai",
  "607B": "ce",
  "607C": "nao",
  "607D": "yun",
  "607E": "mang",
  "607F": "yong",
  "608A": "zhe",
  "608B": "lin",
  "608C": "ti",
  "608D": "han",
  "608E": "hao",
  "608F": "qie",
  "609A": "song",
  "609B": "quan",
  "609C": "cheng",
  "609D": "kui",
  "609E": "wu",
  "609F": "wu",
  "60A0": "you",
  "60A1": "li",
  "60A2": "liang",
  "60A3": "huan",
  "60A4": "cong",
  "60A5": "yi",
  "60A6": "yue",
  "60A7": "li",
  "60A8": "nin",
  "60A9": "nao",
  "60AA": "e",
  "60AB": "que",
  "60AC": "xuan",
  "60AD": "qian",
  "60AE": "wu",
  "60AF": "min",
  "60B0": "cong",
  "60B1": "fei",
  "60B2": "bei",
  "60B3": "duo",
  "60B4": "cui",
  "60B5": "chang",
  "60B6": "men",
  "60B7": "li",
  "60B8": "ji",
  "60B9": "guan",
  "60BA": "guan",
  "60BB": "xing",
  "60BC": "dao",
  "60BD": "qi",
  "60BE": "kong",
  "60BF": "tian",
  "60C0": "lun",
  "60C1": "xi",
  "60C2": "kan",
  "60C3": "kun",
  "60C4": "ni",
  "60C5": "qing",
  "60C6": "chou",
  "60C7": "dun",
  "60C8": "guo",
  "60C9": "chan",
  "60CA": "liang",
  "60CB": "wan",
  "60CC": "yuan",
  "60CD": "jin",
  "60CE": "ji",
  "60CF": "lin",
  "60D0": "yu",
  "60D1": "huo",
  "60D2": "he",
  "60D3": "quan",
  "60D4": "tan",
  "60D5": "ti",
  "60D6": "ti",
  "60D7": "nie",
  "60D8": "wang",
  "60D9": "chuo",
  "60DA": "hu",
  "60DB": "hun",
  "60DC": "xi",
  "60DD": "chang",
  "60DE": "xin",
  "60DF": "wei",
  "60E0": "hui",
  "60E1": "e",
  "60E2": "rui",
  "60E3": "zong",
  "60E4": "jian",
  "60E5": "yong",
  "60E6": "dian",
  "60E7": "ju",
  "60E8": "can",
  "60E9": "cheng",
  "60EA": "de",
  "60EB": "bei",
  "60EC": "qie",
  "60ED": "can",
  "60EE": "dan",
  "60EF": "guan",
  "60F0": "duo",
  "60F1": "nao",
  "60F2": "yun",
  "60F3": "xiang",
  "60F4": "zhui",
  "60F5": "die",
  "60F6": "huang",
  "60F7": "chun",
  "60F8": "qiong",
  "60F9": "re",
  "60FA": "xing",
  "60FB": "ce",
  "60FC": "bian",
  "60FD": "hun",
  "60FE": "zong",
  "60FF": "ti",
  "610A": "bi",
  "610B": "xuan",
  "610C": "huan",
  "610D": "min",
  "610E": "bi",
  "610F": "yi",
  "611A": "yu",
  "611B": "ai",
  "611C": "qie",
  "611D": "yan",
  "611E": "nuo",
  "611F": "gan",
  "612A": "yun",
  "612B": "su",
  "612C": "su",
  "612D": "qi",
  "612E": "yao",
  "612F": "song",
  "613A": "cao",
  "613B": "sun",
  "613C": "shen",
  "613D": "bo",
  "613E": "kai",
  "613F": "yuan",
  "614A": "qian",
  "614B": "tai",
  "614C": "huang",
  "614D": "yun",
  "614E": "shen",
  "614F": "ming",
  "615A": "can",
  "615B": "cui",
  "615C": "min",
  "615D": "te",
  "615E": "zhang",
  "615F": "tong",
  "616A": "ou",
  "616B": "song",
  "616C": "jin",
  "616D": "yin",
  "616E": "lv",
  "616F": "shang",
  "617A": "lou",
  "617B": "juan",
  "617C": "qi",
  "617D": "qi",
  "617E": "yu",
  "617F": "ping",
  "618A": "bei",
  "618B": "bie",
  "618C": "chun",
  "618D": "jiao",
  "618E": "zeng",
  "618F": "chi",
  "619A": "dan",
  "619B": "tan",
  "619C": "duo",
  "619D": "dui",
  "619E": "dui",
  "619F": "su",
  "61A0": "jue",
  "61A1": "ce",
  "61A2": "xiao",
  "61A3": "fan",
  "61A4": "fen",
  "61A5": "lao",
  "61A6": "lao",
  "61A7": "chong",
  "61A8": "han",
  "61A9": "qi",
  "61AA": "xian",
  "61AB": "min",
  "61AC": "jing",
  "61AD": "liao",
  "61AE": "wu",
  "61AF": "can",
  "61B0": "jue",
  "61B1": "cu",
  "61B2": "xian",
  "61B3": "tan",
  "61B4": "sheng",
  "61B5": "pi",
  "61B6": "yi",
  "61B7": "chu",
  "61B8": "xian",
  "61B9": "nao",
  "61BA": "dan",
  "61BB": "tan",
  "61BC": "jing",
  "61BD": "song",
  "61BE": "han",
  "61BF": "jiao",
  "61C0": "wai",
  "61C1": "huan",
  "61C2": "dong",
  "61C3": "qin",
  "61C4": "qin",
  "61C5": "qu",
  "61C6": "cao",
  "61C7": "ken",
  "61C8": "xie",
  "61C9": "ying",
  "61CA": "ao",
  "61CB": "mao",
  "61CC": "yi",
  "61CD": "lin",
  "61CE": "se",
  "61CF": "jun",
  "61D0": "huai",
  "61D1": "men",
  "61D2": "lan",
  "61D3": "ai",
  "61D4": "lin",
  "61D5": "yan",
  "61D6": "gua",
  "61D7": "xia",
  "61D8": "chi",
  "61D9": "yu",
  "61DA": "yin",
  "61DB": "dai",
  "61DC": "meng",
  "61DD": "ai",
  "61DE": "meng",
  "61DF": "dui",
  "61E0": "qi",
  "61E1": "mo",
  "61E2": "lan",
  "61E3": "men",
  "61E4": "chou",
  "61E5": "zhi",
  "61E6": "nuo",
  "61E7": "nuo",
  "61E8": "yan",
  "61E9": "yang",
  "61EA": "bo",
  "61EB": "zhi",
  "61EC": "kuang",
  "61ED": "kuang",
  "61EE": "you",
  "61EF": "fu",
  "61F0": "liu",
  "61F1": "mie",
  "61F2": "cheng",
  "61F4": "chan",
  "61F5": "meng",
  "61F6": "lan",
  "61F7": "huai",
  "61F8": "xuan",
  "61F9": "rang",
  "61FA": "chan",
  "61FB": "ji",
  "61FC": "ju",
  "61FD": "huan",
  "61FE": "she",
  "61FF": "yi",
  "620A": "wu",
  "620B": "jian",
  "620C": "xu",
  "620D": "shu",
  "620E": "rong",
  "620F": "xi",
  "621A": "qi",
  "621B": "jia",
  "621C": "die",
  "621D": "zei",
  "621E": "jia",
  "621F": "ji",
  "622A": "jie",
  "622B": "yu",
  "622C": "jian",
  "622D": "yan",
  "622E": "lu",
  "622F": "xi",
  "623A": "shi",
  "623B": "li",
  "623C": "mao",
  "623D": "hu",
  "623E": "li",
  "623F": "fang",
  "624A": "yan",
  "624B": "shou",
  "624D": "cai",
  "624E": "zha",
  "624F": "qiu",
  "625A": "diao",
  "625B": "kang",
  "625C": "yu",
  "625D": "ku",
  "625E": "han",
  "625F": "shen",
  "626A": "men",
  "626B": "sao",
  "626C": "yang",
  "626D": "niu",
  "626E": "ban",
  "626F": "che",
  "627A": "zhi",
  "627B": "zi",
  "627C": "e",
  "627D": "dun",
  "627E": "zhao",
  "627F": "cheng",
  "628A": "ba",
  "628B": "qin",
  "628C": "zhen",
  "628D": "zheng",
  "628E": "yun",
  "628F": "wan",
  "629A": "fu",
  "629B": "pao",
  "629C": "ba",
  "629D": "ao",
  "629E": "ze",
  "629F": "tuan",
  "62A0": "kou",
  "62A1": "lun",
  "62A2": "qiang",
  "62A4": "hu",
  "62A5": "bao",
  "62A6": "bing",
  "62A7": "zhi",
  "62A8": "peng",
  "62A9": "tan",
  "62AA": "pu",
  "62AB": "pi",
  "62AC": "tai",
  "62AD": "yao",
  "62AE": "zhen",
  "62AF": "zha",
  "62B0": "yang",
  "62B1": "bao",
  "62B2": "he",
  "62B3": "ni",
  "62B4": "yi",
  "62B5": "di",
  "62B6": "chi",
  "62B7": "pi",
  "62B8": "za",
  "62B9": "mo",
  "62BA": "mei",
  "62BB": "shen",
  "62BC": "ya",
  "62BD": "chou",
  "62BE": "qu",
  "62BF": "min",
  "62C0": "chu",
  "62C1": "jia",
  "62C2": "fu",
  "62C3": "zhan",
  "62C4": "zhu",
  "62C5": "dan",
  "62C6": "chai",
  "62C7": "mu",
  "62C8": "nian",
  "62C9": "la",
  "62CA": "fu",
  "62CB": "pao",
  "62CC": "ban",
  "62CD": "pai",
  "62CE": "ling",
  "62CF": "na",
  "62D0": "guai",
  "62D1": "qian",
  "62D2": "ju",
  "62D3": "tuo",
  "62D4": "ba",
  "62D5": "tuo",
  "62D6": "tuo",
  "62D7": "ao",
  "62D8": "ju",
  "62D9": "zhuo",
  "62DA": "pan",
  "62DB": "zhao",
  "62DC": "bai",
  "62DD": "bai",
  "62DE": "di",
  "62DF": "ni",
  "62E0": "ju",
  "62E1": "kuo",
  "62E2": "long",
  "62E3": "jian",
  "62E5": "yong",
  "62E6": "lan",
  "62E7": "ning",
  "62E8": "bo",
  "62E9": "ze",
  "62EA": "qian",
  "62EB": "hen",
  "62EC": "kuo",
  "62ED": "shi",
  "62EE": "jie",
  "62EF": "zheng",
  "62F0": "nin",
  "62F1": "gong",
  "62F2": "gong",
  "62F3": "quan",
  "62F4": "shuan",
  "62F5": "cun",
  "62F6": "zan",
  "62F7": "kao",
  "62F8": "chi",
  "62F9": "xie",
  "62FA": "ce",
  "62FB": "hui",
  "62FC": "pin",
  "62FD": "ye",
  "62FE": "shi",
  "62FF": "na",
  "630A": "nong",
  "630B": "zhen",
  "630C": "ge",
  "630D": "jiao",
  "630E": "ku",
  "630F": "dong",
  "631A": "zhi",
  "631B": "luan",
  "631C": "ya",
  "631D": "zhua",
  "631E": "ta",
  "631F": "xie",
  "632A": "nuo",
  "632B": "cuo",
  "632C": "bo",
  "632D": "geng",
  "632E": "ti",
  "632F": "zhen",
  "633A": "ting",
  "633B": "shan",
  "633C": "nuo",
  "633D": "wan",
  "633E": "xie",
  "633F": "cha",
  "634A": "pou",
  "634B": "le",
  "634C": "ba",
  "634D": "han",
  "634E": "shao",
  "634F": "nie",
  "635A": "zhai",
  "635B": "lv",
  "635C": "sou",
  "635D": "tuo",
  "635E": "lao",
  "635F": "sun",
  "636A": "min",
  "636B": "men",
  "636C": "fu",
  "636D": "bai",
  "636E": "ju",
  "636F": "dao",
  "637A": "na",
  "637B": "nian",
  "637C": "nuo",
  "637D": "zu",
  "637E": "wo",
  "637F": "xi",
  "638A": "pou",
  "638B": "di",
  "638C": "zhang",
  "638D": "gun",
  "638E": "ji",
  "638F": "tao",
  "639A": "liang",
  "639B": "gua",
  "639C": "yi",
  "639D": "huo",
  "639E": "shan",
  "639F": "zheng",
  "63A0": "lve",
  "63A1": "cai",
  "63A2": "tan",
  "63A3": "che",
  "63A4": "bing",
  "63A5": "jie",
  "63A6": "ti",
  "63A7": "kong",
  "63A8": "tui",
  "63A9": "yan",
  "63AA": "cuo",
  "63AB": "zou",
  "63AC": "ju",
  "63AD": "tian",
  "63AE": "qian",
  "63AF": "ken",
  "63B0": "bai",
  "63B1": "shou",
  "63B2": "jie",
  "63B3": "lu",
  "63B4": "guo",
  "63B7": "zhi",
  "63B8": "dan",
  "63BA": "xian",
  "63BB": "sao",
  "63BC": "guan",
  "63BD": "peng",
  "63BE": "yuan",
  "63BF": "nuo",
  "63C0": "jian",
  "63C1": "zhen",
  "63C2": "jiu",
  "63C3": "jian",
  "63C4": "yu",
  "63C5": "yan",
  "63C6": "kui",
  "63C7": "nan",
  "63C8": "hong",
  "63C9": "rou",
  "63CA": "pi",
  "63CB": "wei",
  "63CC": "sai",
  "63CD": "zou",
  "63CE": "xuan",
  "63CF": "miao",
  "63D0": "ti",
  "63D1": "nie",
  "63D2": "cha",
  "63D3": "shi",
  "63D4": "zong",
  "63D5": "zhen",
  "63D6": "yi",
  "63D7": "shun",
  "63D8": "heng",
  "63D9": "bian",
  "63DA": "yang",
  "63DB": "huan",
  "63DC": "yan",
  "63DD": "zuan",
  "63DE": "an",
  "63DF": "xu",
  "63E0": "ya",
  "63E1": "wo",
  "63E2": "ke",
  "63E3": "chuai",
  "63E4": "ji",
  "63E5": "ti",
  "63E6": "la",
  "63E7": "la",
  "63E8": "cheng",
  "63E9": "kai",
  "63EA": "jiu",
  "63EB": "jiu",
  "63EC": "tu",
  "63ED": "jie",
  "63EE": "hui",
  "63EF": "geng",
  "63F0": "chong",
  "63F1": "shuo",
  "63F2": "she",
  "63F3": "xie",
  "63F4": "yuan",
  "63F5": "qian",
  "63F6": "ye",
  "63F7": "cha",
  "63F8": "zha",
  "63F9": "bei",
  "63FA": "yao",
  "63FD": "lan",
  "63FE": "wen",
  "63FF": "qin",
  "640A": "chou",
  "640B": "chi",
  "640C": "zhan",
  "640D": "sun",
  "640E": "sun",
  "640F": "bo",
  "641A": "xie",
  "641B": "jian",
  "641C": "sou",
  "641D": "qiu",
  "641E": "gao",
  "641F": "xian",
  "642A": "tang",
  "642B": "pan",
  "642C": "ban",
  "642D": "da",
  "642E": "li",
  "642F": "tao",
  "643A": "xie",
  "643B": "nuo",
  "643C": "quan",
  "643D": "cha",
  "643E": "zha",
  "643F": "ge",
  "644A": "tan",
  "644B": "sa",
  "644C": "chan",
  "644D": "suo",
  "644E": "liao",
  "644F": "chong",
  "645A": "tang",
  "645B": "chi",
  "645C": "guan",
  "645D": "lu",
  "645E": "luo",
  "645F": "lou",
  "646A": "jiang",
  "646B": "gui",
  "646C": "ying",
  "646D": "zhi",
  "646E": "ao",
  "646F": "zhi",
  "647A": "zhe",
  "647B": "shan",
  "647C": "keng",
  "647D": "piao",
  "647E": "jiang",
  "647F": "yin",
  "648A": "xian",
  "648B": "ruan",
  "648C": "kui",
  "648D": "zan",
  "648E": "yi",
  "648F": "xun",
  "649A": "nian",
  "649B": "lin",
  "649C": "zheng",
  "649D": "hui",
  "649E": "zhuang",
  "649F": "jiao",
  "64A0": "ji",
  "64A1": "cao",
  "64A2": "dan",
  "64A3": "dan",
  "64A4": "che",
  "64A5": "bo",
  "64A6": "che",
  "64A7": "jue",
  "64A8": "xiao",
  "64A9": "liao",
  "64AA": "ben",
  "64AB": "fu",
  "64AC": "qiao",
  "64AD": "bo",
  "64AE": "cuo",
  "64AF": "zhuo",
  "64B0": "zhuan",
  "64B1": "tuo",
  "64B2": "pu",
  "64B3": "qin",
  "64B4": "dun",
  "64B5": "nian",
  "64B7": "xie",
  "64B8": "lu",
  "64B9": "jiao",
  "64BA": "cuan",
  "64BB": "ta",
  "64BC": "han",
  "64BD": "qiao",
  "64BE": "zhua",
  "64BF": "jian",
  "64C0": "gan",
  "64C1": "yong",
  "64C2": "lei",
  "64C3": "kuo",
  "64C4": "lu",
  "64C5": "shan",
  "64C6": "zhuo",
  "64C7": "ze",
  "64C8": "pu",
  "64C9": "chuo",
  "64CA": "ji",
  "64CB": "dang",
  "64CC": "suo",
  "64CD": "cao",
  "64CE": "qing",
  "64CF": "jing",
  "64D0": "huan",
  "64D1": "jie",
  "64D2": "qin",
  "64D3": "kuai",
  "64D4": "dan",
  "64D5": "xi",
  "64D6": "ge",
  "64D7": "pi",
  "64D8": "bo",
  "64D9": "ao",
  "64DA": "ju",
  "64DB": "ye",
  "64DE": "sou",
  "64DF": "mi",
  "64E0": "ji",
  "64E1": "tai",
  "64E2": "zhuo",
  "64E3": "dao",
  "64E4": "xing",
  "64E5": "lan",
  "64E6": "ca",
  "64E7": "ju",
  "64E8": "ye",
  "64E9": "ru",
  "64EA": "ye",
  "64EB": "ye",
  "64EC": "ni",
  "64ED": "wo",
  "64EE": "ji",
  "64EF": "bin",
  "64F0": "ning",
  "64F1": "ge",
  "64F2": "zhi",
  "64F3": "jie",
  "64F4": "kuo",
  "64F5": "mo",
  "64F6": "jian",
  "64F7": "xie",
  "64F8": "lie",
  "64F9": "tan",
  "64FA": "bai",
  "64FB": "sou",
  "64FC": "lu",
  "64FD": "lve",
  "64FE": "rao",
  "64FF": "zhi",
  "650A": "li",
  "650B": "la",
  "650C": "han",
  "650D": "ying",
  "650E": "lu",
  "650F": "long",
  "651B": "cuan",
  "651C": "xie",
  "651D": "she",
  "651E": "luo",
  "651F": "jun",
  "652A": "jiao",
  "652B": "jue",
  "652C": "lan",
  "652D": "li",
  "652E": "nang",
  "652F": "zhi",
  "653A": "yi",
  "653B": "gong",
  "653C": "gan",
  "653D": "ban",
  "653E": "fang",
  "653F": "zheng",
  "654A": "chu",
  "654B": "ge",
  "654C": "di",
  "654D": "xu",
  "654E": "jiao",
  "654F": "min",
  "655A": "duo",
  "655B": "lian",
  "655C": "nie",
  "655D": "bi",
  "655E": "chang",
  "655F": "dian",
  "656A": "duo",
  "656B": "jiao",
  "656C": "jing",
  "656D": "yang",
  "656E": "xia",
  "656F": "min",
  "657A": "qu",
  "657B": "xiong",
  "657C": "xi",
  "657D": "jiao",
  "657F": "jiao",
  "658A": "qi",
  "658B": "zhai",
  "658C": "bin",
  "658D": "jue",
  "658E": "zhai",
  "659A": "jia",
  "659B": "hu",
  "659C": "xie",
  "659D": "jia",
  "659E": "yu",
  "659F": "zhen",
  "65A0": "jiao",
  "65A1": "wo",
  "65A2": "tou",
  "65A3": "chu",
  "65A4": "jin",
  "65A5": "chi",
  "65A6": "yin",
  "65A7": "fu",
  "65A8": "qiang",
  "65A9": "zhan",
  "65AA": "qu",
  "65AB": "zhuo",
  "65AC": "zhan",
  "65AD": "duan",
  "65AE": "zhuo",
  "65AF": "si",
  "65B0": "xin",
  "65B1": "zhuo",
  "65B2": "zhuo",
  "65B3": "qin",
  "65B4": "lin",
  "65B5": "zhuo",
  "65B6": "chu",
  "65B7": "duan",
  "65B8": "zhu",
  "65B9": "fang",
  "65BA": "xie",
  "65BB": "hang",
  "65BC": "yu",
  "65BD": "shi",
  "65BE": "pei",
  "65BF": "you",
  "65C1": "pang",
  "65C2": "qi",
  "65C3": "zhan",
  "65C4": "mao",
  "65C5": "lv",
  "65C6": "pei",
  "65C7": "pi",
  "65C8": "liu",
  "65C9": "fu",
  "65CA": "fang",
  "65CB": "xuan",
  "65CC": "jing",
  "65CD": "jing",
  "65CE": "ni",
  "65CF": "zu",
  "65D0": "zhao",
  "65D1": "yi",
  "65D2": "liu",
  "65D3": "shao",
  "65D4": "jian",
  "65D6": "yi",
  "65D7": "qi",
  "65D8": "zhi",
  "65D9": "fan",
  "65DA": "piao",
  "65DB": "fan",
  "65DC": "zhan",
  "65DD": "guai",
  "65DE": "sui",
  "65DF": "yu",
  "65E0": "wu",
  "65E1": "ji",
  "65E2": "ji",
  "65E3": "ji",
  "65E4": "huo",
  "65E5": "ri",
  "65E6": "dan",
  "65E7": "jiu",
  "65E8": "zhi",
  "65E9": "zao",
  "65EA": "xie",
  "65EB": "tiao",
  "65EC": "xun",
  "65ED": "xu",
  "65EE": "xu",
  "65EF": "xu",
  "65F0": "gan",
  "65F1": "han",
  "65F2": "tai",
  "65F3": "di",
  "65F4": "xu",
  "65F5": "chan",
  "65F6": "shi",
  "65F7": "kuang",
  "65F8": "yang",
  "65F9": "shi",
  "65FA": "wang",
  "65FB": "min",
  "65FC": "min",
  "65FD": "tun",
  "65FE": "chun",
  "65FF": "wu",
  "660A": "hao",
  "660B": "gui",
  "660C": "chang",
  "660D": "xuan",
  "660E": "ming",
  "660F": "hun",
  "661A": "shen",
  "661B": "ju",
  "661C": "yang",
  "661D": "zan",
  "661E": "bing",
  "661F": "xing",
  "662A": "bian",
  "662B": "xu",
  "662C": "hun",
  "662D": "zhao",
  "662E": "zong",
  "662F": "shi",
  "663A": "bing",
  "663B": "ang",
  "663C": "zhou",
  "663D": "long",
  "663E": "xian",
  "663F": "kuang",
  "664A": "zhi",
  "664B": "jin",
  "664C": "shang",
  "664D": "tong",
  "664E": "hong",
  "664F": "yan",
  "665A": "wan",
  "665B": "xian",
  "665C": "kun",
  "665D": "zhou",
  "665E": "xi",
  "665F": "sheng",
  "666A": "tian",
  "666B": "zhuo",
  "666C": "zui",
  "666D": "zhou",
  "666E": "pu",
  "666F": "jing",
  "667A": "zhi",
  "667B": "an",
  "667C": "wan",
  "667D": "lin",
  "667E": "liang",
  "667F": "chang",
  "668A": "fu",
  "668B": "min",
  "668C": "kui",
  "668D": "he",
  "668E": "ying",
  "668F": "du",
  "669A": "yao",
  "669B": "suo",
  "669C": "jin",
  "669D": "ming",
  "669E": "jiao",
  "669F": "kai",
  "66A0": "gao",
  "66A1": "weng",
  "66A2": "chang",
  "66A3": "qi",
  "66A4": "hao",
  "66A5": "yan",
  "66A6": "li",
  "66A7": "ai",
  "66A8": "ji",
  "66A9": "gui",
  "66AA": "men",
  "66AB": "zan",
  "66AC": "xie",
  "66AD": "hao",
  "66AE": "mu",
  "66AF": "mo",
  "66B0": "cong",
  "66B1": "ni",
  "66B2": "zhang",
  "66B3": "hui",
  "66B4": "bao",
  "66B5": "han",
  "66B6": "xuan",
  "66B7": "chuan",
  "66B8": "liao",
  "66B9": "xian",
  "66BA": "dan",
  "66BB": "jing",
  "66BC": "pie",
  "66BD": "lin",
  "66BE": "tun",
  "66BF": "xi",
  "66C0": "yi",
  "66C1": "ji",
  "66C2": "huang",
  "66C3": "tai",
  "66C4": "ye",
  "66C5": "ye",
  "66C6": "li",
  "66C7": "tan",
  "66C8": "tong",
  "66C9": "xiao",
  "66CA": "fei",
  "66CB": "qin",
  "66CC": "zhao",
  "66CD": "hao",
  "66CE": "yi",
  "66CF": "xiang",
  "66D0": "xing",
  "66D1": "sen",
  "66D2": "jiao",
  "66D3": "bao",
  "66D4": "jing",
  "66D5": "yan",
  "66D6": "ai",
  "66D7": "ye",
  "66D8": "ru",
  "66D9": "shu",
  "66DA": "meng",
  "66DB": "xun",
  "66DC": "yao",
  "66DD": "pu",
  "66DE": "li",
  "66DF": "chen",
  "66E0": "kuang",
  "66E1": "die",
  "66E3": "yan",
  "66E4": "huo",
  "66E5": "lu",
  "66E6": "xi",
  "66E7": "rong",
  "66E8": "long",
  "66E9": "nang",
  "66EA": "luo",
  "66EB": "luan",
  "66EC": "shai",
  "66ED": "tang",
  "66EE": "yan",
  "66EF": "chu",
  "66F0": "yue",
  "66F1": "yue",
  "66F2": "qu",
  "66F3": "ye",
  "66F4": "geng",
  "66F5": "ye",
  "66F6": "hu",
  "66F7": "he",
  "66F8": "shu",
  "66F9": "cao",
  "66FA": "cao",
  "66FC": "man",
  "66FD": "ceng",
  "66FE": "ceng",
  "66FF": "ti",
  "670A": "ruan",
  "670B": "peng",
  "670C": "ban",
  "670D": "fu",
  "670E": "ling",
  "670F": "fei",
  "671A": "huang",
  "671B": "wang",
  "671C": "tun",
  "671D": "zhao",
  "671E": "ji",
  "671F": "qi",
  "672A": "wei",
  "672B": "mo",
  "672C": "ben",
  "672D": "zha",
  "672E": "shu",
  "672F": "zhu",
  "673A": "ji",
  "673B": "jiu",
  "673C": "bi",
  "673D": "xiu",
  "673E": "ting",
  "673F": "ci",
  "674A": "xun",
  "674B": "fan",
  "674C": "wu",
  "674D": "zi",
  "674E": "li",
  "674F": "xing",
  "675A": "gu",
  "675B": "gong",
  "675C": "du",
  "675D": "yi",
  "675E": "qi",
  "675F": "shu",
  "676A": "miao",
  "676B": "si",
  "676C": "yuan",
  "676D": "hang",
  "676E": "fei",
  "676F": "bei",
  "677A": "xin",
  "677B": "chou",
  "677C": "zhu",
  "677D": "chou",
  "677E": "song",
  "677F": "ban",
  "678A": "ang",
  "678B": "fang",
  "678C": "fen",
  "678D": "yi",
  "678E": "fu",
  "678F": "nan",
  "679A": "mei",
  "679B": "zhao",
  "679C": "guo",
  "679D": "zhi",
  "679E": "cong",
  "679F": "yun",
  "67A1": "dou",
  "67A2": "shu",
  "67A3": "zao",
  "67A5": "li",
  "67A7": "jian",
  "67A8": "cheng",
  "67AA": "qiang",
  "67AB": "feng",
  "67AC": "nan",
  "67AD": "xiao",
  "67AE": "xian",
  "67AF": "ku",
  "67B0": "ping",
  "67B1": "yi",
  "67B2": "xi",
  "67B3": "zhi",
  "67B4": "guai",
  "67B5": "xiao",
  "67B6": "jia",
  "67B7": "jia",
  "67B8": "ju",
  "67B9": "fu",
  "67BA": "mo",
  "67BB": "yi",
  "67BC": "ye",
  "67BD": "ye",
  "67BE": "shi",
  "67BF": "nie",
  "67C0": "bi",
  "67C1": "duo",
  "67C2": "yi",
  "67C3": "ling",
  "67C4": "bing",
  "67C5": "ni",
  "67C6": "la",
  "67C7": "he",
  "67C8": "pan",
  "67C9": "fan",
  "67CA": "zhong",
  "67CB": "dai",
  "67CC": "ci",
  "67CD": "yang",
  "67CE": "fu",
  "67CF": "bai",
  "67D0": "mou",
  "67D1": "gan",
  "67D2": "qi",
  "67D3": "ran",
  "67D4": "rou",
  "67D5": "mao",
  "67D6": "zhao",
  "67D7": "song",
  "67D8": "zhe",
  "67D9": "xia",
  "67DA": "you",
  "67DB": "shen",
  "67DC": "gui",
  "67DD": "tuo",
  "67DE": "zuo",
  "67DF": "nan",
  "67E0": "ning",
  "67E1": "yong",
  "67E2": "di",
  "67E3": "zhi",
  "67E4": "zha",
  "67E5": "cha",
  "67E6": "dan",
  "67E7": "gu",
  "67E9": "jiu",
  "67EA": "ao",
  "67EB": "fu",
  "67EC": "jian",
  "67ED": "bo",
  "67EE": "duo",
  "67EF": "ke",
  "67F0": "nai",
  "67F1": "zhu",
  "67F2": "bi",
  "67F3": "liu",
  "67F4": "chai",
  "67F5": "zha",
  "67F6": "si",
  "67F7": "zhu",
  "67F8": "pei",
  "67F9": "shi",
  "67FA": "guai",
  "67FB": "cha",
  "67FC": "yao",
  "67FD": "jue",
  "67FE": "jiu",
  "67FF": "shi",
  "680A": "long",
  "680B": "dong",
  "680C": "lu",
  "680E": "li",
  "680F": "lan",
  "681A": "zhen",
  "681B": "li",
  "681C": "su",
  "681D": "gua",
  "681E": "kan",
  "681F": "bing",
  "682A": "zhu",
  "682B": "jian",
  "682C": "zui",
  "682D": "er",
  "682E": "er",
  "682F": "you",
  "683A": "zhi",
  "683B": "shi",
  "683C": "ge",
  "683D": "zai",
  "683E": "luan",
  "683F": "fu",
  "684A": "juan",
  "684B": "yi",
  "684C": "zhuo",
  "684D": "ku",
  "684E": "zhi",
  "684F": "qiong",
  "685A": "zan",
  "685C": "ying",
  "685F": "zhan",
  "686A": "xun",
  "686B": "suo",
  "686C": "sha",
  "686D": "zhen",
  "686E": "bei",
  "686F": "ting",
  "687A": "liu",
  "687B": "feng",
  "687C": "qi",
  "687D": "wen",
  "687E": "jun",
  "687F": "gan",
  "688A": "di",
  "688B": "xuan",
  "688C": "tu",
  "688D": "zao",
  "688E": "ao",
  "688F": "gu",
  "689A": "wan",
  "689B": "nuo",
  "689C": "jia",
  "689D": "tiao",
  "689E": "ji",
  "689F": "xiao",
  "68A0": "lv",
  "68A1": "hun",
  "68A2": "shao",
  "68A3": "cen",
  "68A4": "fen",
  "68A5": "song",
  "68A6": "meng",
  "68A7": "wu",
  "68A8": "li",
  "68A9": "li",
  "68AA": "dou",
  "68AB": "cen",
  "68AC": "ying",
  "68AD": "suo",
  "68AE": "ju",
  "68AF": "ti",
  "68B0": "xie",
  "68B1": "kun",
  "68B2": "zhuo",
  "68B3": "shu",
  "68B4": "chan",
  "68B5": "fan",
  "68B6": "wei",
  "68B7": "jing",
  "68B8": "li",
  "68B9": "bing",
  "68BC": "tao",
  "68BD": "zhi",
  "68BE": "lai",
  "68BF": "lian",
  "68C0": "jian",
  "68C1": "zhuo",
  "68C2": "ling",
  "68C3": "li",
  "68C4": "qi",
  "68C5": "bing",
  "68C6": "zhun",
  "68C7": "cong",
  "68C8": "qian",
  "68C9": "mian",
  "68CA": "qi",
  "68CB": "qi",
  "68CC": "cai",
  "68CD": "gun",
  "68CE": "chan",
  "68CF": "te",
  "68D0": "fei",
  "68D1": "pai",
  "68D2": "bang",
  "68D3": "pou",
  "68D4": "hun",
  "68D5": "zong",
  "68D6": "cheng",
  "68D7": "zao",
  "68D8": "ji",
  "68D9": "li",
  "68DA": "peng",
  "68DB": "yu",
  "68DC": "yu",
  "68DD": "gu",
  "68DE": "hun",
  "68DF": "dong",
  "68E0": "tang",
  "68E1": "gang",
  "68E2": "wang",
  "68E3": "di",
  "68E4": "xi",
  "68E5": "fan",
  "68E6": "cheng",
  "68E7": "zhan",
  "68E8": "qi",
  "68E9": "yuan",
  "68EA": "yan",
  "68EB": "yu",
  "68EC": "quan",
  "68ED": "yi",
  "68EE": "sen",
  "68EF": "ren",
  "68F0": "chui",
  "68F1": "leng",
  "68F2": "qi",
  "68F3": "zhuo",
  "68F4": "fu",
  "68F5": "ke",
  "68F6": "lai",
  "68F7": "zou",
  "68F8": "zou",
  "68F9": "zhuo",
  "68FA": "guan",
  "68FB": "fen",
  "68FC": "fen",
  "68FD": "chen",
  "68FE": "qiong",
  "68FF": "nie",
  "690A": "zuo",
  "690B": "liang",
  "690C": "qiang",
  "690D": "zhi",
  "690E": "zhui",
  "690F": "ya",
  "691C": "jian",
  "691D": "gui",
  "691E": "xi",
  "691F": "du",
  "692A": "peng",
  "692B": "zhan",
  "692D": "tuo",
  "692E": "sen",
  "692F": "duo",
  "693A": "xi",
  "693B": "yan",
  "693C": "yan",
  "693D": "chuan",
  "693E": "zhan",
  "693F": "chun",
  "694A": "yang",
  "694B": "la",
  "694C": "yan",
  "694D": "ben",
  "694E": "hun",
  "694F": "kui",
  "695A": "chu",
  "695B": "hu",
  "695C": "hu",
  "695D": "lian",
  "695E": "leng",
  "695F": "ting",
  "696A": "ye",
  "696B": "ji",
  "696C": "jie",
  "696D": "ye",
  "696E": "chu",
  "696F": "shun",
  "697A": "rou",
  "697B": "heng",
  "697C": "lou",
  "697D": "le",
  "698D": "xie",
  "698E": "jia",
  "698F": "yi",
  "699A": "yao",
  "699B": "zhen",
  "699C": "bang",
  "699D": "sha",
  "699E": "yuan",
  "699F": "zi",
  "69A0": "ming",
  "69A1": "su",
  "69A2": "jia",
  "69A3": "yao",
  "69A4": "jie",
  "69A5": "huang",
  "69A6": "gan",
  "69A7": "fei",
  "69A8": "zha",
  "69A9": "qian",
  "69AA": "ma",
  "69AB": "sun",
  "69AC": "yuan",
  "69AD": "xie",
  "69AE": "rong",
  "69AF": "shi",
  "69B0": "zhi",
  "69B1": "cui",
  "69B2": "yun",
  "69B3": "ting",
  "69B4": "liu",
  "69B5": "rong",
  "69B6": "tang",
  "69B7": "que",
  "69B8": "zhai",
  "69B9": "si",
  "69BA": "sheng",
  "69BB": "ta",
  "69BC": "ke",
  "69BD": "xi",
  "69BE": "gu",
  "69BF": "qi",
  "69C0": "kao",
  "69C1": "gao",
  "69C2": "sun",
  "69C3": "pan",
  "69C4": "tao",
  "69C5": "ge",
  "69C6": "xun",
  "69C7": "dian",
  "69C8": "nou",
  "69C9": "ji",
  "69CA": "shuo",
  "69CB": "gou",
  "69CC": "chui",
  "69CD": "qiang",
  "69CE": "cha",
  "69CF": "qian",
  "69D0": "huai",
  "69D1": "mei",
  "69D2": "xu",
  "69D3": "gang",
  "69D4": "gao",
  "69D5": "zhuo",
  "69D6": "tuo",
  "69D8": "yang",
  "69D9": "dian",
  "69DA": "jia",
  "69DB": "jian",
  "69DC": "zui",
  "69DF": "bin",
  "69E0": "zhu",
  "69E2": "xi",
  "69E3": "qi",
  "69E4": "lian",
  "69E5": "hui",
  "69E6": "yong",
  "69E7": "qian",
  "69E8": "guo",
  "69E9": "gai",
  "69EA": "gai",
  "69EB": "tuan",
  "69EC": "hua",
  "69ED": "cu",
  "69EE": "sen",
  "69EF": "cui",
  "69F0": "beng",
  "69F1": "you",
  "69F2": "hu",
  "69F3": "jiang",
  "69F4": "hu",
  "69F5": "huan",
  "69F6": "kui",
  "69F7": "yi",
  "69F8": "nie",
  "69F9": "gao",
  "69FA": "kang",
  "69FB": "gui",
  "69FC": "gui",
  "69FD": "cao",
  "69FE": "man",
  "69FF": "jin",
  "6A00": "di",
  "6A01": "zhuang",
  "6A02": "le",
  "6A03": "lang",
  "6A04": "chen",
  "6A05": "cong",
  "6A06": "li",
  "6A07": "xiu",
  "6A08": "qing",
  "6A09": "shuang",
  "6A0A": "fan",
  "6A0B": "tong",
  "6A0C": "guan",
  "6A0D": "ji",
  "6A0E": "suo",
  "6A0F": "lei",
  "6A10": "lu",
  "6A11": "liang",
  "6A12": "mi",
  "6A13": "lou",
  "6A14": "chao",
  "6A15": "su",
  "6A16": "ke",
  "6A17": "chu",
  "6A18": "tang",
  "6A19": "biao",
  "6A1A": "lu",
  "6A1B": "jiu",
  "6A1C": "shu",
  "6A1D": "zha",
  "6A1E": "shu",
  "6A1F": "zhang",
  "6A20": "men",
  "6A21": "mo",
  "6A22": "niao",
  "6A23": "yang",
  "6A24": "tiao",
  "6A25": "peng",
  "6A26": "zhu",
  "6A27": "sha",
  "6A28": "xi",
  "6A29": "quan",
  "6A2A": "heng",
  "6A2B": "jian",
  "6A2C": "cong",
  "6A2F": "qiang",
  "6A31": "ying",
  "6A32": "er",
  "6A33": "xin",
  "6A34": "zhi",
  "6A35": "qiao",
  "6A36": "zui",
  "6A37": "cong",
  "6A38": "pu",
  "6A39": "shu",
  "6A3A": "hua",
  "6A3B": "kui",
  "6A3C": "zhen",
  "6A3D": "zun",
  "6A3E": "yue",
  "6A3F": "zhan",
  "6A40": "xi",
  "6A41": "xun",
  "6A42": "dian",
  "6A43": "fa",
  "6A44": "gan",
  "6A45": "mo",
  "6A46": "wu",
  "6A47": "qiao",
  "6A48": "nao",
  "6A49": "lin",
  "6A4A": "liu",
  "6A4B": "qiao",
  "6A4C": "xian",
  "6A4D": "run",
  "6A4E": "fan",
  "6A4F": "zhan",
  "6A50": "tuo",
  "6A51": "lao",
  "6A52": "yun",
  "6A53": "shun",
  "6A54": "tui",
  "6A55": "cheng",
  "6A56": "tang",
  "6A57": "meng",
  "6A58": "ju",
  "6A59": "cheng",
  "6A5A": "su",
  "6A5B": "jue",
  "6A5C": "jue",
  "6A5D": "tan",
  "6A5E": "hui",
  "6A5F": "ji",
  "6A60": "nuo",
  "6A61": "xiang",
  "6A62": "tuo",
  "6A63": "ning",
  "6A64": "rui",
  "6A65": "zhu",
  "6A66": "chuang",
  "6A67": "zeng",
  "6A68": "fen",
  "6A69": "qiong",
  "6A6A": "ran",
  "6A6B": "heng",
  "6A6C": "cen",
  "6A6D": "gu",
  "6A6E": "liu",
  "6A6F": "lao",
  "6A70": "gao",
  "6A71": "chu",
  "6A76": "ji",
  "6A77": "dou",
  "6A79": "lu",
  "6A7C": "yuan",
  "6A7D": "ta",
  "6A7E": "shu",
  "6A7F": "jiang",
  "6A80": "tan",
  "6A81": "lin",
  "6A82": "nong",
  "6A83": "yin",
  "6A84": "xi",
  "6A85": "sui",
  "6A86": "shan",
  "6A87": "zui",
  "6A88": "xuan",
  "6A89": "cheng",
  "6A8A": "gan",
  "6A8B": "ju",
  "6A8C": "zui",
  "6A8D": "yi",
  "6A8E": "qin",
  "6A8F": "pu",
  "6A90": "yan",
  "6A91": "lei",
  "6A92": "feng",
  "6A93": "hui",
  "6A94": "dang",
  "6A95": "ji",
  "6A96": "sui",
  "6A97": "bo",
  "6A98": "bi",
  "6A99": "ding",
  "6A9A": "chu",
  "6A9B": "zhua",
  "6A9C": "gui",
  "6A9D": "ji",
  "6A9E": "jie",
  "6A9F": "jia",
  "6AA0": "qing",
  "6AA1": "zhe",
  "6AA2": "jian",
  "6AA3": "qiang",
  "6AA4": "dao",
  "6AA5": "yi",
  "6AA6": "biao",
  "6AA7": "song",
  "6AA8": "she",
  "6AA9": "lin",
  "6AAB": "cha",
  "6AAC": "meng",
  "6AAD": "yin",
  "6AAE": "tao",
  "6AAF": "tai",
  "6AB0": "mian",
  "6AB1": "qi",
  "6AB3": "bin",
  "6AB4": "huo",
  "6AB5": "ji",
  "6AB6": "qian",
  "6AB7": "mi",
  "6AB8": "ning",
  "6AB9": "yi",
  "6ABA": "gao",
  "6ABB": "jian",
  "6ABC": "yin",
  "6ABD": "er",
  "6ABE": "qing",
  "6ABF": "yan",
  "6AC0": "qi",
  "6AC1": "mi",
  "6AC2": "zhao",
  "6AC3": "gui",
  "6AC4": "chun",
  "6AC5": "ji",
  "6AC6": "kui",
  "6AC7": "po",
  "6AC8": "deng",
  "6AC9": "chu",
  "6ACB": "mian",
  "6ACC": "you",
  "6ACD": "zhi",
  "6ACE": "guang",
  "6ACF": "qian",
  "6AD0": "lei",
  "6AD1": "lei",
  "6AD2": "sa",
  "6AD3": "lu",
  "6AD4": "li",
  "6AD5": "cuan",
  "6AD6": "lv",
  "6AD7": "mie",
  "6AD8": "hui",
  "6AD9": "ou",
  "6ADA": "lv",
  "6ADB": "jie",
  "6ADC": "gao",
  "6ADD": "du",
  "6ADE": "yuan",
  "6ADF": "li",
  "6AE0": "fei",
  "6AE1": "zhuo",
  "6AE2": "sou",
  "6AE3": "lian",
  "6AE5": "chu",
  "6AE7": "zhu",
  "6AE8": "lu",
  "6AE9": "yan",
  "6AEA": "li",
  "6AEB": "zhu",
  "6AEC": "chen",
  "6AED": "jie",
  "6AEE": "e",
  "6AEF": "su",
  "6AF0": "huai",
  "6AF1": "nie",
  "6AF2": "yu",
  "6AF3": "long",
  "6AF4": "lai",
  "6AF6": "xian",
  "6AF8": "ju",
  "6AF9": "xiao",
  "6AFA": "ling",
  "6AFB": "ying",
  "6AFC": "jian",
  "6AFD": "yin",
  "6AFE": "you",
  "6AFF": "ying",
  "6B00": "xiang",
  "6B01": "nong",
  "6B02": "bo",
  "6B03": "chan",
  "6B04": "lan",
  "6B05": "ju",
  "6B06": "shuang",
  "6B07": "she",
  "6B08": "wei",
  "6B09": "cong",
  "6B0A": "quan",
  "6B0B": "qu",
  "6B0E": "yu",
  "6B0F": "luo",
  "6B10": "li",
  "6B11": "zan",
  "6B12": "luan",
  "6B13": "dang",
  "6B14": "jue",
  "6B16": "lan",
  "6B17": "lan",
  "6B18": "zhu",
  "6B19": "lei",
  "6B1A": "li",
  "6B1B": "ba",
  "6B1C": "nang",
  "6B1D": "yu",
  "6B1E": "ling",
  "6B20": "qian",
  "6B21": "ci",
  "6B22": "huan",
  "6B23": "xin",
  "6B24": "yu",
  "6B25": "yu",
  "6B26": "qian",
  "6B27": "ou",
  "6B28": "xu",
  "6B29": "chao",
  "6B2A": "chu",
  "6B2B": "chi",
  "6B2C": "kai",
  "6B2D": "yi",
  "6B2E": "jue",
  "6B2F": "xi",
  "6B30": "xu",
  "6B31": "xia",
  "6B32": "yu",
  "6B33": "kuai",
  "6B34": "lang",
  "6B35": "kuan",
  "6B36": "shuo",
  "6B37": "xi",
  "6B38": "ai",
  "6B39": "yi",
  "6B3A": "qi",
  "6B3B": "xu",
  "6B3C": "chi",
  "6B3D": "qin",
  "6B3E": "kuan",
  "6B3F": "kan",
  "6B40": "kuan",
  "6B41": "kan",
  "6B42": "chuan",
  "6B43": "sha",
  "6B45": "yin",
  "6B46": "xin",
  "6B47": "xie",
  "6B48": "yu",
  "6B49": "qian",
  "6B4A": "xiao",
  "6B4B": "yi",
  "6B4C": "ge",
  "6B4D": "wu",
  "6B4E": "tan",
  "6B4F": "jin",
  "6B50": "ou",
  "6B51": "hu",
  "6B52": "ti",
  "6B53": "huan",
  "6B54": "xu",
  "6B55": "pen",
  "6B56": "xi",
  "6B57": "xiao",
  "6B58": "xu",
  "6B59": "xi",
  "6B5B": "han",
  "6B5C": "chu",
  "6B5D": "yi",
  "6B5E": "kan",
  "6B5F": "yu",
  "6B60": "chuo",
  "6B61": "huan",
  "6B62": "zhi",
  "6B63": "zheng",
  "6B64": "ci",
  "6B65": "bu",
  "6B66": "wu",
  "6B67": "qi",
  "6B68": "bu",
  "6B69": "bu",
  "6B6A": "wai",
  "6B6B": "ju",
  "6B6C": "qian",
  "6B6D": "chi",
  "6B6E": "se",
  "6B6F": "chi",
  "6B70": "se",
  "6B71": "zhong",
  "6B72": "sui",
  "6B73": "sui",
  "6B74": "li",
  "6B75": "cuo",
  "6B76": "yu",
  "6B77": "li",
  "6B78": "gui",
  "6B79": "dai",
  "6B7A": "dai",
  "6B7B": "si",
  "6B7C": "jian",
  "6B7D": "zhe",
  "6B7E": "mo",
  "6B7F": "mo",
  "6B80": "yao",
  "6B81": "mo",
  "6B82": "cu",
  "6B83": "yang",
  "6B84": "tian",
  "6B85": "sheng",
  "6B86": "dai",
  "6B87": "shang",
  "6B88": "xu",
  "6B89": "xun",
  "6B8A": "shu",
  "6B8B": "can",
  "6B8C": "jue",
  "6B8D": "piao",
  "6B8E": "qia",
  "6B8F": "qiu",
  "6B90": "su",
  "6B91": "qing",
  "6B92": "yun",
  "6B93": "lian",
  "6B94": "yi",
  "6B95": "fou",
  "6B96": "zhi",
  "6B97": "ye",
  "6B98": "can",
  "6B99": "hun",
  "6B9A": "dan",
  "6B9B": "ji",
  "6B9C": "ye",
  "6B9E": "yun",
  "6B9F": "wen",
  "6BA0": "chou",
  "6BA1": "bin",
  "6BA2": "ti",
  "6BA3": "jin",
  "6BA4": "shang",
  "6BA5": "yin",
  "6BA6": "diao",
  "6BA7": "cu",
  "6BA8": "hui",
  "6BA9": "cuan",
  "6BAA": "yi",
  "6BAB": "dan",
  "6BAC": "du",
  "6BAD": "jiang",
  "6BAE": "lian",
  "6BAF": "bin",
  "6BB0": "du",
  "6BB2": "jian",
  "6BB3": "shu",
  "6BB4": "ou",
  "6BB5": "duan",
  "6BB6": "zhu",
  "6BB7": "yin",
  "6BB8": "qing",
  "6BB9": "yi",
  "6BBA": "sha",
  "6BBB": "que",
  "6BBC": "ke",
  "6BBD": "yao",
  "6BBE": "jun",
  "6BBF": "dian",
  "6BC0": "hui",
  "6BC1": "hui",
  "6BC2": "gu",
  "6BC3": "que",
  "6BC4": "ji",
  "6BC5": "yi",
  "6BC6": "ou",
  "6BC7": "hui",
  "6BC8": "duan",
  "6BC9": "yi",
  "6BCA": "xiao",
  "6BCB": "wu",
  "6BCC": "guan",
  "6BCD": "mu",
  "6BCE": "mei",
  "6BCF": "mei",
  "6BD0": "ai",
  "6BD1": "zuo",
  "6BD2": "du",
  "6BD3": "yu",
  "6BD4": "bi",
  "6BD5": "bi",
  "6BD6": "bi",
  "6BD7": "pi",
  "6BD8": "pi",
  "6BD9": "bi",
  "6BDA": "chan",
  "6BDB": "mao",
  "6BDE": "pu",
  "6BE0": "jia",
  "6BE1": "zhan",
  "6BE2": "sai",
  "6BE3": "mu",
  "6BE4": "tuo",
  "6BE5": "xun",
  "6BE6": "er",
  "6BE7": "rong",
  "6BE8": "xian",
  "6BE9": "ju",
  "6BEA": "mu",
  "6BEB": "hao",
  "6BEC": "qiu",
  "6BED": "dou",
  "6BEF": "tan",
  "6BF0": "pei",
  "6BF1": "ju",
  "6BF2": "duo",
  "6BF3": "cui",
  "6BF4": "bi",
  "6BF5": "san",
  "6BF7": "mao",
  "6BF8": "sui",
  "6BF9": "shu",
  "6BFA": "yu",
  "6BFB": "tuo",
  "6BFC": "he",
  "6BFD": "jian",
  "6BFE": "ta",
  "6BFF": "san",
  "6C00": "lv",
  "6C01": "mu",
  "6C02": "mao",
  "6C03": "tong",
  "6C04": "rong",
  "6C05": "chang",
  "6C06": "pu",
  "6C07": "luo",
  "6C08": "zhan",
  "6C09": "sao",
  "6C0A": "zhan",
  "6C0B": "meng",
  "6C0C": "luo",
  "6C0D": "qu",
  "6C0E": "die",
  "6C0F": "shi",
  "6C10": "di",
  "6C11": "min",
  "6C12": "jue",
  "6C13": "mang",
  "6C14": "qi",
  "6C15": "pie",
  "6C16": "nai",
  "6C17": "qi",
  "6C18": "dao",
  "6C19": "xian",
  "6C1A": "chuan",
  "6C1B": "fen",
  "6C1C": "ri",
  "6C1D": "nei",
  "6C1F": "fu",
  "6C20": "shen",
  "6C21": "dong",
  "6C22": "qing",
  "6C23": "qi",
  "6C24": "yin",
  "6C25": "xi",
  "6C26": "hai",
  "6C27": "yang",
  "6C28": "an",
  "6C29": "ya",
  "6C2A": "ke",
  "6C2B": "qing",
  "6C2C": "ya",
  "6C2D": "dong",
  "6C2E": "dan",
  "6C2F": "lv",
  "6C30": "qing",
  "6C31": "yang",
  "6C32": "yun",
  "6C33": "yun",
  "6C34": "shui",
  "6C36": "zheng",
  "6C37": "bing",
  "6C38": "yong",
  "6C39": "dang",
  "6C3B": "le",
  "6C3C": "ni",
  "6C3D": "tun",
  "6C3E": "fan",
  "6C3F": "gui",
  "6C40": "ting",
  "6C41": "zhi",
  "6C42": "qiu",
  "6C43": "bin",
  "6C44": "ze",
  "6C45": "mian",
  "6C46": "cuan",
  "6C47": "hui",
  "6C48": "diao",
  "6C49": "han",
  "6C4A": "cha",
  "6C4B": "zhuo",
  "6C4C": "chuan",
  "6C4D": "wan",
  "6C4E": "fan",
  "6C4F": "dai",
  "6C50": "xi",
  "6C51": "tuo",
  "6C52": "mang",
  "6C53": "qiu",
  "6C54": "qi",
  "6C55": "shan",
  "6C56": "pai",
  "6C57": "han",
  "6C58": "qian",
  "6C59": "wu",
  "6C5A": "wu",
  "6C5B": "xun",
  "6C5C": "si",
  "6C5D": "ru",
  "6C5E": "gong",
  "6C5F": "jiang",
  "6C60": "chi",
  "6C61": "wu",
  "6C64": "tang",
  "6C65": "zhi",
  "6C66": "chi",
  "6C67": "qian",
  "6C68": "mi",
  "6C69": "gu",
  "6C6A": "wang",
  "6C6B": "qing",
  "6C6C": "jing",
  "6C6D": "rui",
  "6C6E": "jun",
  "6C6F": "hong",
  "6C70": "tai",
  "6C71": "quan",
  "6C72": "ji",
  "6C73": "bian",
  "6C74": "bian",
  "6C75": "gan",
  "6C76": "wen",
  "6C77": "zhong",
  "6C78": "fang",
  "6C79": "xiong",
  "6C7A": "jue",
  "6C7B": "hang",
  "6C7D": "qi",
  "6C7E": "fen",
  "6C7F": "xu",
  "6C80": "xu",
  "6C81": "qin",
  "6C82": "yi",
  "6C83": "wo",
  "6C84": "yun",
  "6C85": "yuan",
  "6C86": "hang",
  "6C87": "yan",
  "6C88": "shen",
  "6C89": "chen",
  "6C8A": "dan",
  "6C8B": "you",
  "6C8C": "dun",
  "6C8D": "hu",
  "6C8E": "huo",
  "6C8F": "qi",
  "6C90": "mu",
  "6C91": "rou",
  "6C92": "mei",
  "6C93": "ta",
  "6C94": "mian",
  "6C95": "wu",
  "6C96": "chong",
  "6C97": "tian",
  "6C98": "bi",
  "6C99": "sha",
  "6C9A": "zhi",
  "6C9B": "pei",
  "6C9C": "pan",
  "6C9D": "zhui",
  "6C9E": "za",
  "6C9F": "gou",
  "6CA0": "liu",
  "6CA1": "mei",
  "6CA2": "ze",
  "6CA3": "feng",
  "6CA4": "ou",
  "6CA5": "li",
  "6CA6": "lun",
  "6CA7": "cang",
  "6CA8": "feng",
  "6CA9": "wei",
  "6CAA": "hu",
  "6CAB": "mo",
  "6CAC": "mei",
  "6CAD": "shu",
  "6CAE": "ju",
  "6CAF": "zan",
  "6CB0": "tuo",
  "6CB1": "tuo",
  "6CB2": "tuo",
  "6CB3": "he",
  "6CB4": "li",
  "6CB5": "mi",
  "6CB6": "yi",
  "6CB7": "fa",
  "6CB8": "fei",
  "6CB9": "you",
  "6CBA": "tian",
  "6CBB": "zhi",
  "6CBC": "zhao",
  "6CBD": "gu",
  "6CBE": "zhan",
  "6CBF": "yan",
  "6CC0": "si",
  "6CC1": "kuang",
  "6CC2": "jiong",
  "6CC3": "ju",
  "6CC4": "xie",
  "6CC5": "qiu",
  "6CC6": "yi",
  "6CC7": "jia",
  "6CC8": "zhong",
  "6CC9": "quan",
  "6CCA": "bo",
  "6CCB": "hui",
  "6CCC": "mi",
  "6CCD": "ben",
  "6CCE": "zhuo",
  "6CCF": "chu",
  "6CD0": "le",
  "6CD1": "you",
  "6CD2": "gu",
  "6CD3": "hong",
  "6CD4": "gan",
  "6CD5": "fa",
  "6CD6": "mao",
  "6CD7": "si",
  "6CD8": "hu",
  "6CD9": "ping",
  "6CDA": "ci",
  "6CDB": "fan",
  "6CDC": "chi",
  "6CDD": "su",
  "6CDE": "ning",
  "6CDF": "cheng",
  "6CE0": "ling",
  "6CE1": "pao",
  "6CE2": "bo",
  "6CE3": "qi",
  "6CE4": "si",
  "6CE5": "ni",
  "6CE6": "ju",
  "6CE7": "yue",
  "6CE8": "zhu",
  "6CE9": "sheng",
  "6CEA": "lei",
  "6CEB": "xuan",
  "6CEC": "xue",
  "6CED": "fu",
  "6CEE": "pan",
  "6CEF": "min",
  "6CF0": "tai",
  "6CF1": "yang",
  "6CF2": "ji",
  "6CF3": "yong",
  "6CF4": "guan",
  "6CF5": "beng",
  "6CF6": "xue",
  "6CF7": "long",
  "6CF8": "lu",
  "6CFA": "bo",
  "6CFB": "xie",
  "6CFC": "po",
  "6CFD": "ze",
  "6CFE": "jing",
  "6CFF": "yin",
  "6D00": "zhou",
  "6D01": "jie",
  "6D02": "yi",
  "6D03": "hui",
  "6D04": "hui",
  "6D05": "zui",
  "6D06": "cheng",
  "6D07": "yin",
  "6D08": "wei",
  "6D09": "hou",
  "6D0A": "jian",
  "6D0B": "yang",
  "6D0C": "lie",
  "6D0D": "si",
  "6D0E": "ji",
  "6D0F": "er",
  "6D10": "xing",
  "6D11": "fu",
  "6D12": "sa",
  "6D13": "suo",
  "6D14": "zhi",
  "6D15": "yin",
  "6D16": "wu",
  "6D17": "xi",
  "6D18": "kao",
  "6D19": "zhu",
  "6D1A": "jiang",
  "6D1B": "luo",
  "6D1D": "an",
  "6D1E": "dong",
  "6D1F": "yi",
  "6D20": "mou",
  "6D21": "lei",
  "6D22": "yi",
  "6D23": "mi",
  "6D24": "quan",
  "6D25": "jin",
  "6D26": "mo",
  "6D27": "wei",
  "6D28": "xiao",
  "6D29": "xie",
  "6D2A": "hong",
  "6D2B": "xu",
  "6D2C": "shuo",
  "6D2D": "kuang",
  "6D2E": "tao",
  "6D2F": "qie",
  "6D30": "ju",
  "6D31": "er",
  "6D32": "zhou",
  "6D33": "ru",
  "6D34": "ping",
  "6D35": "xun",
  "6D36": "xiong",
  "6D37": "zhi",
  "6D38": "guang",
  "6D39": "huan",
  "6D3A": "ming",
  "6D3B": "huo",
  "6D3C": "wa",
  "6D3D": "qia",
  "6D3E": "pai",
  "6D3F": "wu",
  "6D40": "qu",
  "6D41": "liu",
  "6D42": "yi",
  "6D43": "jia",
  "6D44": "jing",
  "6D45": "qian",
  "6D46": "jiang",
  "6D47": "jiao",
  "6D48": "cheng",
  "6D49": "shi",
  "6D4A": "zhuo",
  "6D4B": "ce",
  "6D4D": "kuai",
  "6D4E": "ji",
  "6D4F": "liu",
  "6D50": "chan",
  "6D51": "hun",
  "6D52": "hu",
  "6D53": "nong",
  "6D54": "xun",
  "6D55": "jin",
  "6D56": "lie",
  "6D57": "qiu",
  "6D58": "wei",
  "6D59": "zhe",
  "6D5A": "jun",
  "6D5B": "han",
  "6D5C": "bang",
  "6D5D": "mang",
  "6D5E": "zhuo",
  "6D5F": "you",
  "6D60": "xi",
  "6D61": "bo",
  "6D62": "dou",
  "6D63": "wan",
  "6D64": "hong",
  "6D65": "yi",
  "6D66": "pu",
  "6D67": "ying",
  "6D68": "lan",
  "6D69": "hao",
  "6D6A": "lang",
  "6D6B": "han",
  "6D6C": "li",
  "6D6D": "geng",
  "6D6E": "fu",
  "6D6F": "wu",
  "6D70": "lian",
  "6D71": "chun",
  "6D72": "feng",
  "6D73": "yi",
  "6D74": "yu",
  "6D75": "tong",
  "6D76": "lao",
  "6D77": "hai",
  "6D78": "jin",
  "6D79": "jia",
  "6D7A": "chong",
  "6D7B": "weng",
  "6D7C": "mei",
  "6D7D": "sui",
  "6D7E": "cheng",
  "6D7F": "pei",
  "6D80": "xian",
  "6D81": "shen",
  "6D82": "tu",
  "6D83": "kun",
  "6D84": "pin",
  "6D85": "nie",
  "6D86": "han",
  "6D87": "jing",
  "6D88": "xiao",
  "6D89": "she",
  "6D8A": "nian",
  "6D8B": "tu",
  "6D8C": "yong",
  "6D8D": "xiao",
  "6D8E": "xian",
  "6D8F": "ting",
  "6D90": "e",
  "6D91": "su",
  "6D92": "tun",
  "6D93": "juan",
  "6D94": "cen",
  "6D95": "ti",
  "6D96": "li",
  "6D97": "shui",
  "6D98": "si",
  "6D99": "lei",
  "6D9A": "shui",
  "6D9B": "tao",
  "6D9C": "du",
  "6D9D": "lao",
  "6D9E": "lai",
  "6D9F": "lian",
  "6DA0": "wei",
  "6DA1": "wo",
  "6DA2": "yun",
  "6DA3": "huan",
  "6DA4": "di",
  "6DA6": "run",
  "6DA7": "jian",
  "6DA8": "zhang",
  "6DA9": "se",
  "6DAA": "fu",
  "6DAB": "guan",
  "6DAC": "xing",
  "6DAD": "shou",
  "6DAE": "shuan",
  "6DAF": "ya",
  "6DB0": "chuo",
  "6DB1": "zhang",
  "6DB2": "ye",
  "6DB3": "kong",
  "6DB4": "wo",
  "6DB5": "han",
  "6DB6": "tuo",
  "6DB7": "dong",
  "6DB8": "he",
  "6DB9": "wo",
  "6DBA": "ju",
  "6DBB": "gan",
  "6DBC": "liang",
  "6DBD": "hun",
  "6DBE": "ta",
  "6DBF": "zhuo",
  "6DC0": "dian",
  "6DC1": "qie",
  "6DC2": "de",
  "6DC3": "juan",
  "6DC4": "zi",
  "6DC5": "xi",
  "6DC6": "yao",
  "6DC7": "qi",
  "6DC8": "gu",
  "6DC9": "guo",
  "6DCA": "han",
  "6DCB": "lin",
  "6DCC": "tang",
  "6DCD": "zhou",
  "6DCE": "peng",
  "6DCF": "hao",
  "6DD0": "chang",
  "6DD1": "shu",
  "6DD2": "qi",
  "6DD3": "fang",
  "6DD4": "chi",
  "6DD5": "lu",
  "6DD6": "nao",
  "6DD7": "ju",
  "6DD8": "tao",
  "6DD9": "cong",
  "6DDA": "lei",
  "6DDB": "zhi",
  "6DDC": "peng",
  "6DDD": "fei",
  "6DDE": "song",
  "6DDF": "tian",
  "6DE0": "pi",
  "6DE1": "dan",
  "6DE2": "yu",
  "6DE3": "ni",
  "6DE4": "yu",
  "6DE5": "lu",
  "6DE6": "gan",
  "6DE7": "mi",
  "6DE8": "jing",
  "6DE9": "ling",
  "6DEA": "lun",
  "6DEB": "yin",
  "6DEC": "cui",
  "6DED": "qu",
  "6DEE": "huai",
  "6DEF": "yu",
  "6DF0": "nian",
  "6DF1": "shen",
  "6DF2": "piao",
  "6DF3": "chun",
  "6DF4": "wa",
  "6DF5": "yuan",
  "6DF6": "lai",
  "6DF7": "hun",
  "6DF8": "qing",
  "6DF9": "yan",
  "6DFA": "qian",
  "6DFB": "tian",
  "6DFC": "miao",
  "6DFD": "zhi",
  "6DFE": "yin",
  "6DFF": "mi",
  "6E00": "ben",
  "6E01": "yuan",
  "6E02": "wen",
  "6E03": "re",
  "6E04": "fei",
  "6E05": "qing",
  "6E06": "yuan",
  "6E07": "ke",
  "6E08": "ji",
  "6E09": "she",
  "6E0A": "yuan",
  "6E0C": "lu",
  "6E0D": "zi",
  "6E0E": "du",
  "6E10": "jian",
  "6E11": "min",
  "6E12": "pi",
  "6E14": "yu",
  "6E15": "yuan",
  "6E16": "shen",
  "6E17": "shen",
  "6E18": "rou",
  "6E19": "huan",
  "6E1A": "zhu",
  "6E1B": "jian",
  "6E1C": "nuan",
  "6E1D": "yu",
  "6E1E": "qiu",
  "6E1F": "ting",
  "6E20": "qu",
  "6E21": "du",
  "6E22": "feng",
  "6E23": "zha",
  "6E24": "bo",
  "6E25": "wo",
  "6E26": "wo",
  "6E27": "di",
  "6E28": "wei",
  "6E29": "wen",
  "6E2A": "ru",
  "6E2B": "xie",
  "6E2C": "ce",
  "6E2D": "wei",
  "6E2E": "ge",
  "6E2F": "gang",
  "6E30": "yan",
  "6E31": "hong",
  "6E32": "xuan",
  "6E33": "mi",
  "6E34": "ke",
  "6E35": "mao",
  "6E36": "ying",
  "6E37": "yan",
  "6E38": "you",
  "6E39": "hong",
  "6E3A": "miao",
  "6E3B": "xing",
  "6E3C": "mei",
  "6E3D": "zai",
  "6E3E": "hun",
  "6E3F": "nai",
  "6E40": "kui",
  "6E41": "shi",
  "6E42": "e",
  "6E43": "pai",
  "6E44": "mei",
  "6E45": "lian",
  "6E46": "qi",
  "6E47": "qi",
  "6E48": "mei",
  "6E49": "tian",
  "6E4A": "cou",
  "6E4B": "wei",
  "6E4C": "can",
  "6E4D": "tuan",
  "6E4E": "mian",
  "6E4F": "hui",
  "6E50": "mo",
  "6E51": "xu",
  "6E52": "ji",
  "6E53": "pen",
  "6E54": "jian",
  "6E55": "jian",
  "6E56": "hu",
  "6E57": "feng",
  "6E58": "xiang",
  "6E59": "yi",
  "6E5A": "yin",
  "6E5B": "zhan",
  "6E5C": "shi",
  "6E5D": "jie",
  "6E5E": "cheng",
  "6E5F": "huang",
  "6E60": "tan",
  "6E61": "yu",
  "6E62": "bi",
  "6E63": "min",
  "6E64": "shi",
  "6E65": "tu",
  "6E66": "sheng",
  "6E67": "yong",
  "6E68": "qu",
  "6E69": "zhong",
  "6E6B": "jiao",
  "6E6C": "jiao",
  "6E6E": "yin",
  "6E6F": "tang",
  "6E70": "long",
  "6E71": "huo",
  "6E72": "yuan",
  "6E73": "nan",
  "6E74": "ban",
  "6E75": "you",
  "6E76": "quan",
  "6E77": "chui",
  "6E78": "liang",
  "6E79": "chan",
  "6E7A": "yan",
  "6E7B": "chun",
  "6E7C": "nie",
  "6E7D": "zi",
  "6E7E": "wan",
  "6E7F": "shi",
  "6E80": "man",
  "6E81": "ying",
  "6E83": "kui",
  "6E85": "jian",
  "6E86": "xu",
  "6E87": "lv",
  "6E88": "gui",
  "6E89": "gai",
  "6E8C": "po",
  "6E8D": "jin",
  "6E8E": "gui",
  "6E8F": "tang",
  "6E90": "yuan",
  "6E91": "suo",
  "6E92": "yuan",
  "6E93": "lian",
  "6E94": "yao",
  "6E95": "meng",
  "6E96": "zhun",
  "6E97": "sheng",
  "6E98": "ke",
  "6E99": "tai",
  "6E9A": "da",
  "6E9B": "wa",
  "6E9C": "liu",
  "6E9D": "gou",
  "6E9E": "sao",
  "6E9F": "ming",
  "6EA0": "zha",
  "6EA1": "shi",
  "6EA2": "yi",
  "6EA3": "lun",
  "6EA4": "ma",
  "6EA5": "pu",
  "6EA6": "wei",
  "6EA7": "li",
  "6EA8": "cai",
  "6EA9": "wu",
  "6EAA": "xi",
  "6EAB": "wen",
  "6EAC": "qiang",
  "6EAD": "ze",
  "6EAE": "shi",
  "6EAF": "su",
  "6EB0": "yi",
  "6EB1": "zhen",
  "6EB2": "sou",
  "6EB3": "yun",
  "6EB4": "xiu",
  "6EB5": "yin",
  "6EB6": "rong",
  "6EB7": "hun",
  "6EB8": "su",
  "6EB9": "su",
  "6EBA": "ni",
  "6EBB": "ta",
  "6EBC": "shi",
  "6EBD": "ru",
  "6EBE": "wei",
  "6EBF": "pan",
  "6EC0": "chu",
  "6EC1": "chu",
  "6EC2": "pang",
  "6EC3": "weng",
  "6EC4": "cang",
  "6EC5": "mie",
  "6EC6": "he",
  "6EC7": "dian",
  "6EC8": "hao",
  "6EC9": "huang",
  "6ECA": "xi",
  "6ECB": "zi",
  "6ECC": "di",
  "6ECD": "zhi",
  "6ECE": "xing",
  "6ECF": "fu",
  "6ED0": "jie",
  "6ED1": "hua",
  "6ED2": "ge",
  "6ED3": "zi",
  "6ED4": "tao",
  "6ED5": "teng",
  "6ED6": "sui",
  "6ED7": "bi",
  "6ED8": "jiao",
  "6ED9": "hui",
  "6EDA": "gun",
  "6EDB": "yin",
  "6EDC": "gao",
  "6EDD": "long",
  "6EDE": "zhi",
  "6EDF": "yan",
  "6EE0": "she",
  "6EE1": "man",
  "6EE2": "ying",
  "6EE3": "chun",
  "6EE4": "lv",
  "6EE5": "lan",
  "6EE6": "luan",
  "6EE8": "bin",
  "6EE9": "tan",
  "6EEA": "yu",
  "6EEB": "sou",
  "6EEC": "hu",
  "6EED": "bi",
  "6EEE": "biao",
  "6EEF": "zhi",
  "6EF0": "jiang",
  "6EF1": "kou",
  "6EF2": "shen",
  "6EF3": "shang",
  "6EF4": "di",
  "6EF5": "mi",
  "6EF6": "ao",
  "6EF7": "lu",
  "6EF8": "hu",
  "6EF9": "hu",
  "6EFA": "you",
  "6EFB": "chan",
  "6EFC": "fan",
  "6EFD": "yong",
  "6EFE": "gun",
  "6EFF": "man",
  "6F00": "qing",
  "6F01": "yu",
  "6F02": "piao",
  "6F03": "ji",
  "6F04": "ya",
  "6F05": "jiao",
  "6F06": "qi",
  "6F07": "xi",
  "6F08": "ji",
  "6F09": "lu",
  "6F0A": "lv",
  "6F0B": "long",
  "6F0C": "jin",
  "6F0D": "guo",
  "6F0E": "cong",
  "6F0F": "lou",
  "6F10": "zhi",
  "6F11": "gai",
  "6F12": "qiang",
  "6F13": "li",
  "6F14": "yan",
  "6F15": "cao",
  "6F16": "jiao",
  "6F17": "cong",
  "6F18": "chun",
  "6F19": "tuan",
  "6F1A": "ou",
  "6F1B": "teng",
  "6F1C": "ye",
  "6F1D": "xi",
  "6F1E": "mi",
  "6F1F": "tang",
  "6F20": "mo",
  "6F21": "shang",
  "6F22": "han",
  "6F23": "lian",
  "6F24": "lan",
  "6F25": "wa",
  "6F26": "li",
  "6F27": "qian",
  "6F28": "feng",
  "6F29": "xuan",
  "6F2A": "yi",
  "6F2B": "man",
  "6F2C": "zi",
  "6F2D": "mang",
  "6F2E": "kang",
  "6F2F": "ta",
  "6F30": "peng",
  "6F31": "shu",
  "6F32": "zhang",
  "6F33": "zhang",
  "6F34": "chong",
  "6F35": "xu",
  "6F36": "huan",
  "6F37": "kuo",
  "6F38": "jian",
  "6F39": "yan",
  "6F3A": "chuang",
  "6F3B": "liao",
  "6F3C": "cui",
  "6F3D": "ti",
  "6F3E": "yang",
  "6F3F": "jiang",
  "6F40": "cong",
  "6F41": "ying",
  "6F42": "hong",
  "6F43": "xun",
  "6F44": "shu",
  "6F45": "guan",
  "6F46": "ying",
  "6F47": "xiao",
  "6F4A": "xu",
  "6F4B": "lian",
  "6F4C": "zhi",
  "6F4D": "wei",
  "6F4E": "pi",
  "6F4F": "jue",
  "6F50": "jiao",
  "6F51": "po",
  "6F52": "dang",
  "6F53": "hui",
  "6F54": "jie",
  "6F55": "wu",
  "6F56": "pa",
  "6F57": "ji",
  "6F58": "pan",
  "6F59": "gui",
  "6F5A": "xiao",
  "6F5B": "qian",
  "6F5C": "qian",
  "6F5D": "xi",
  "6F5E": "lu",
  "6F5F": "xi",
  "6F60": "sun",
  "6F61": "dun",
  "6F62": "huang",
  "6F63": "min",
  "6F64": "run",
  "6F65": "su",
  "6F66": "lao",
  "6F67": "zhen",
  "6F68": "zhong",
  "6F69": "yi",
  "6F6A": "di",
  "6F6B": "wan",
  "6F6C": "dan",
  "6F6D": "tan",
  "6F6E": "chao",
  "6F6F": "xun",
  "6F70": "kui",
  "6F72": "shao",
  "6F73": "tu",
  "6F74": "zhu",
  "6F75": "san",
  "6F76": "hei",
  "6F77": "bi",
  "6F78": "shan",
  "6F79": "chan",
  "6F7A": "chan",
  "6F7B": "shu",
  "6F7C": "tong",
  "6F7D": "pu",
  "6F7E": "lin",
  "6F7F": "wei",
  "6F80": "se",
  "6F81": "se",
  "6F82": "cheng",
  "6F83": "jiong",
  "6F84": "cheng",
  "6F85": "hua",
  "6F86": "jiao",
  "6F87": "lao",
  "6F88": "che",
  "6F89": "gan",
  "6F8A": "cun",
  "6F8B": "heng",
  "6F8C": "si",
  "6F8D": "shu",
  "6F8E": "peng",
  "6F8F": "han",
  "6F90": "yun",
  "6F91": "liu",
  "6F92": "hong",
  "6F93": "fu",
  "6F94": "hao",
  "6F95": "he",
  "6F96": "xian",
  "6F97": "jian",
  "6F98": "shan",
  "6F99": "xi",
  "6F9C": "lan",
  "6F9E": "yu",
  "6F9F": "lin",
  "6FA0": "mian",
  "6FA1": "zao",
  "6FA2": "dang",
  "6FA3": "huan",
  "6FA4": "ze",
  "6FA5": "xie",
  "6FA6": "yu",
  "6FA7": "li",
  "6FA8": "shi",
  "6FA9": "xue",
  "6FAA": "ling",
  "6FAB": "man",
  "6FAC": "zi",
  "6FAD": "yong",
  "6FAE": "kuai",
  "6FAF": "can",
  "6FB0": "lian",
  "6FB1": "dian",
  "6FB2": "ye",
  "6FB3": "ao",
  "6FB4": "huan",
  "6FB5": "zhen",
  "6FB6": "chan",
  "6FB7": "man",
  "6FB8": "dan",
  "6FB9": "dan",
  "6FBA": "yi",
  "6FBB": "sui",
  "6FBC": "pi",
  "6FBD": "ju",
  "6FBE": "ta",
  "6FBF": "qin",
  "6FC0": "ji",
  "6FC1": "zhuo",
  "6FC2": "lian",
  "6FC3": "nong",
  "6FC4": "guo",
  "6FC5": "jin",
  "6FC6": "fen",
  "6FC7": "se",
  "6FC8": "ji",
  "6FC9": "sui",
  "6FCA": "hui",
  "6FCB": "chu",
  "6FCC": "ta",
  "6FCD": "song",
  "6FCE": "ding",
  "6FD0": "zhu",
  "6FD1": "lai",
  "6FD2": "bin",
  "6FD3": "lian",
  "6FD4": "mi",
  "6FD5": "shi",
  "6FD6": "shu",
  "6FD7": "mi",
  "6FD8": "ning",
  "6FD9": "ying",
  "6FDA": "ying",
  "6FDB": "meng",
  "6FDC": "jin",
  "6FDD": "qi",
  "6FDE": "pi",
  "6FDF": "ji",
  "6FE0": "hao",
  "6FE1": "ru",
  "6FE2": "zui",
  "6FE3": "wo",
  "6FE4": "tao",
  "6FE5": "yin",
  "6FE6": "yin",
  "6FE7": "dui",
  "6FE8": "ci",
  "6FE9": "huo",
  "6FEA": "jing",
  "6FEB": "lan",
  "6FEC": "jun",
  "6FED": "ai",
  "6FEE": "pu",
  "6FEF": "zhuo",
  "6FF0": "wei",
  "6FF1": "bin",
  "6FF2": "gu",
  "6FF3": "qian",
  "6FF4": "xing",
  "6FF6": "kuo",
  "6FF7": "fei",
  "6FFA": "jian",
  "6FFB": "wei",
  "6FFC": "luo",
  "6FFD": "zan",
  "6FFE": "lv",
  "6FFF": "li",
  "700A": "pan",
  "700B": "shen",
  "700C": "biao",
  "700D": "chan",
  "700E": "mo",
  "700F": "liu",
  "701A": "han",
  "701B": "ying",
  "701C": "yong",
  "701D": "li",
  "701E": "jing",
  "701F": "xiao",
  "702A": "fan",
  "702B": "hu",
  "702C": "lai",
  "702F": "ying",
  "703A": "chan",
  "703B": "dai",
  "703C": "rang",
  "703D": "jian",
  "703E": "lan",
  "703F": "fan",
  "704A": "qian",
  "704B": "fa",
  "704C": "guan",
  "704D": "que",
  "704E": "yan",
  "704F": "hao",
  "705A": "jiao",
  "705B": "chan",
  "705D": "hao",
  "705E": "ba",
  "705F": "zhu",
  "706A": "yu",
  "706B": "huo",
  "706C": "biao",
  "706D": "mie",
  "706E": "guang",
  "706F": "deng",
  "707A": "xie",
  "707B": "chi",
  "707C": "zhuo",
  "707D": "zai",
  "707E": "zai",
  "707F": "can",
  "708A": "chui",
  "708B": "pi",
  "708C": "kai",
  "708D": "pan",
  "708E": "yan",
  "708F": "kai",
  "709B": "guang",
  "709C": "wei",
  "709D": "qiang",
  "709F": "da",
  "70A0": "xia",
  "70A1": "zheng",
  "70A2": "zhu",
  "70A3": "ke",
  "70A4": "zhao",
  "70A5": "fu",
  "70A6": "ba",
  "70A7": "duo",
  "70A8": "duo",
  "70A9": "ling",
  "70AA": "zhuo",
  "70AB": "xuan",
  "70AC": "ju",
  "70AD": "tan",
  "70AE": "pao",
  "70AF": "jiong",
  "70B0": "pao",
  "70B1": "tai",
  "70B2": "tai",
  "70B3": "bing",
  "70B4": "yang",
  "70B5": "tong",
  "70B6": "han",
  "70B7": "zhu",
  "70B8": "zha",
  "70B9": "dian",
  "70BA": "wei",
  "70BB": "shi",
  "70BC": "lian",
  "70BD": "chi",
  "70BE": "huang",
  "70C0": "hu",
  "70C1": "shuo",
  "70C2": "lan",
  "70C3": "jing",
  "70C4": "jiao",
  "70C5": "xu",
  "70C6": "xing",
  "70C7": "quan",
  "70C8": "lie",
  "70C9": "huan",
  "70CA": "yang",
  "70CB": "xiao",
  "70CC": "xiu",
  "70CD": "xian",
  "70CE": "yin",
  "70CF": "wu",
  "70D0": "zhou",
  "70D1": "yao",
  "70D2": "shi",
  "70D3": "wei",
  "70D4": "tong",
  "70D5": "xue",
  "70D6": "zai",
  "70D7": "kai",
  "70D8": "hong",
  "70D9": "luo",
  "70DA": "xia",
  "70DB": "zhu",
  "70DC": "xuan",
  "70DD": "zheng",
  "70DE": "po",
  "70DF": "yan",
  "70E0": "hui",
  "70E1": "guang",
  "70E2": "zhe",
  "70E3": "hui",
  "70E4": "kao",
  "70E6": "fan",
  "70E7": "shao",
  "70E8": "ye",
  "70E9": "hui",
  "70EB": "tang",
  "70EC": "jin",
  "70ED": "re",
  "70EF": "xi",
  "70F0": "fu",
  "70F1": "jiong",
  "70F2": "che",
  "70F3": "pu",
  "70F4": "jing",
  "70F5": "zhuo",
  "70F6": "ting",
  "70F7": "wan",
  "70F8": "hai",
  "70F9": "peng",
  "70FA": "lang",
  "70FB": "shan",
  "70FC": "hu",
  "70FD": "feng",
  "70FE": "chi",
  "70FF": "rong",
  "710A": "han",
  "710B": "zhuang",
  "710C": "jun",
  "710D": "di",
  "710E": "xie",
  "710F": "ji",
  "711A": "fen",
  "711B": "lin",
  "711C": "kun",
  "711D": "hun",
  "711E": "tun",
  "711F": "xi",
  "712A": "qiong",
  "712B": "ruo",
  "712C": "xi",
  "712D": "qiong",
  "712E": "xin",
  "712F": "zhuo",
  "713A": "sheng",
  "713B": "chang",
  "713C": "shao",
  "714A": "xuan",
  "714B": "xing",
  "714C": "huang",
  "714D": "jiao",
  "714E": "jian",
  "714F": "bi",
  "715A": "jiong",
  "715B": "jiong",
  "715C": "yu",
  "715D": "mei",
  "715E": "sha",
  "715F": "wei",
  "716A": "qiu",
  "716B": "sui",
  "716C": "yang",
  "716D": "lie",
  "716E": "zhu",
  "717A": "tui",
  "717B": "tang",
  "717C": "chao",
  "717D": "shan",
  "717E": "en",
  "717F": "bo",
  "718A": "xiong",
  "718B": "nai",
  "718C": "shan",
  "718E": "yao",
  "718F": "xun",
  "719A": "bi",
  "719B": "biao",
  "719C": "zong",
  "719D": "lu",
  "719E": "jian",
  "719F": "shu",
  "71A0": "yi",
  "71A1": "lou",
  "71A2": "feng",
  "71A3": "sui",
  "71A4": "yi",
  "71A5": "tong",
  "71A6": "jue",
  "71A7": "zong",
  "71A8": "yun",
  "71A9": "hu",
  "71AA": "yi",
  "71AB": "zhi",
  "71AC": "ao",
  "71AD": "wei",
  "71AE": "liao",
  "71AF": "han",
  "71B0": "ou",
  "71B1": "re",
  "71B2": "jiong",
  "71B3": "man",
  "71B5": "shang",
  "71B6": "cuan",
  "71B7": "zeng",
  "71B8": "jian",
  "71B9": "xi",
  "71BA": "xi",
  "71BB": "xi",
  "71BC": "yi",
  "71BD": "xiao",
  "71BE": "chi",
  "71BF": "huang",
  "71C0": "chan",
  "71C1": "ye",
  "71C2": "qian",
  "71C3": "ran",
  "71C4": "yan",
  "71C5": "xian",
  "71C6": "qiao",
  "71C7": "zun",
  "71C8": "deng",
  "71C9": "dun",
  "71CA": "shen",
  "71CB": "jiao",
  "71CC": "fen",
  "71CD": "si",
  "71CE": "liao",
  "71CF": "yu",
  "71D0": "lin",
  "71D1": "tong",
  "71D2": "shao",
  "71D3": "fen",
  "71D4": "fan",
  "71D5": "yan",
  "71D6": "xun",
  "71D7": "lan",
  "71D8": "mei",
  "71D9": "tang",
  "71DA": "yi",
  "71DB": "jing",
  "71DC": "men",
  "71DF": "ying",
  "71E0": "yu",
  "71E1": "yi",
  "71E2": "xue",
  "71E3": "lan",
  "71E4": "tai",
  "71E5": "zao",
  "71E6": "can",
  "71E7": "sui",
  "71E8": "xi",
  "71E9": "que",
  "71EA": "cong",
  "71EB": "lian",
  "71EC": "hui",
  "71ED": "zhu",
  "71EE": "xie",
  "71EF": "ling",
  "71F0": "wei",
  "71F1": "yi",
  "71F2": "xie",
  "71F3": "zhao",
  "71F4": "hui",
  "71F7": "lan",
  "71F8": "ru",
  "71F9": "xian",
  "71FA": "kao",
  "71FB": "xun",
  "71FC": "jin",
  "71FD": "chou",
  "71FE": "dao",
  "71FF": "yao",
  "720A": "ao",
  "720B": "xun",
  "720C": "kuang",
  "720D": "shuo",
  "720F": "li",
  "721A": "yue",
  "721B": "lan",
  "721C": "cong",
  "721D": "jue",
  "721E": "tong",
  "721F": "guan",
  "722A": "zhua",
  "722C": "pa",
  "722D": "zheng",
  "722E": "pao",
  "722F": "cheng",
  "723A": "ye",
  "723B": "yao",
  "723C": "zu",
  "723D": "shuang",
  "723E": "er",
  "723F": "qiang",
  "724A": "shao",
  "724B": "jian",
  "724C": "pai",
  "724D": "du",
  "724E": "chuang",
  "724F": "tou",
  "725A": "cheng",
  "725B": "niu",
  "725D": "pin",
  "725E": "jiu",
  "725F": "mou",
  "726A": "yan",
  "726B": "ge",
  "726C": "bei",
  "726D": "si",
  "726E": "jian",
  "726F": "gu",
  "727A": "xi",
  "727B": "mang",
  "727C": "keng",
  "727D": "qian",
  "727E": "wu",
  "727F": "gu",
  "728A": "du",
  "728B": "ju",
  "728C": "jia",
  "728D": "jian",
  "728E": "feng",
  "728F": "pian",
  "729A": "wei",
  "729B": "li",
  "729C": "dun",
  "729D": "tong",
  "729F": "jiang",
  "72A1": "li",
  "72A2": "du",
  "72A3": "lie",
  "72A4": "pi",
  "72A5": "piao",
  "72A6": "bao",
  "72A7": "xi",
  "72A8": "chou",
  "72A9": "wei",
  "72AA": "kui",
  "72AB": "chou",
  "72AC": "quan",
  "72AE": "ba",
  "72AF": "fan",
  "72B0": "qiu",
  "72B1": "ji",
  "72B2": "cai",
  "72B3": "chuo",
  "72B4": "an",
  "72B5": "ge",
  "72B6": "zhuang",
  "72B7": "guang",
  "72B8": "ma",
  "72B9": "you",
  "72BA": "kang",
  "72BB": "bo",
  "72BC": "hou",
  "72BD": "ya",
  "72BE": "yin",
  "72BF": "huan",
  "72C0": "zhuang",
  "72C1": "yun",
  "72C2": "kuang",
  "72C3": "niu",
  "72C4": "di",
  "72C5": "qing",
  "72C6": "zhong",
  "72C7": "mu",
  "72C8": "bei",
  "72C9": "pi",
  "72CA": "ju",
  "72CB": "ni",
  "72CC": "sheng",
  "72CD": "pao",
  "72CE": "xia",
  "72CF": "tuo",
  "72D0": "hu",
  "72D1": "ling",
  "72D2": "fei",
  "72D3": "pi",
  "72D4": "ni",
  "72D5": "ao",
  "72D6": "you",
  "72D7": "gou",
  "72D8": "yue",
  "72D9": "ju",
  "72DA": "dan",
  "72DB": "po",
  "72DC": "gu",
  "72DD": "xian",
  "72DE": "ning",
  "72DF": "huan",
  "72E0": "hen",
  "72E1": "jiao",
  "72E2": "he",
  "72E3": "zhao",
  "72E4": "ji",
  "72E5": "xun",
  "72E6": "shan",
  "72E7": "ta",
  "72E8": "rong",
  "72E9": "shou",
  "72EA": "tong",
  "72EB": "lao",
  "72EC": "du",
  "72ED": "xia",
  "72EE": "shi",
  "72EF": "hua",
  "72F0": "zheng",
  "72F1": "yu",
  "72F2": "sun",
  "72F3": "yu",
  "72F4": "bi",
  "72F5": "mang",
  "72F6": "xi",
  "72F7": "juan",
  "72F8": "li",
  "72F9": "xia",
  "72FA": "yin",
  "72FB": "suan",
  "72FC": "lang",
  "72FD": "bei",
  "72FE": "zhi",
  "72FF": "yan",
  "730A": "ni",
  "730B": "biao",
  "730C": "yin",
  "730D": "lai",
  "730E": "lie",
  "730F": "jian",
  "731A": "ya",
  "731B": "meng",
  "731C": "cai",
  "731D": "cu",
  "731E": "she",
  "732A": "zhu",
  "732B": "mao",
  "732C": "wei",
  "732D": "yuan",
  "732E": "xian",
  "732F": "tuan",
  "733A": "yao",
  "733B": "sun",
  "733C": "bo",
  "733D": "ming",
  "733E": "hua",
  "733F": "yuan",
  "734A": "chuang",
  "734B": "hao",
  "734C": "man",
  "734D": "jing",
  "734E": "jiang",
  "734F": "mu",
  "735A": "huang",
  "735B": "pu",
  "735C": "lin",
  "735D": "yu",
  "735E": "tong",
  "735F": "yao",
  "736A": "kuai",
  "736B": "xian",
  "736C": "xie",
  "736D": "ta",
  "736E": "xian",
  "736F": "xun",
  "737A": "ta",
  "737B": "xian",
  "737C": "mi",
  "737D": "rang",
  "737E": "huan",
  "737F": "nao",
  "738A": "su",
  "738B": "wang",
  "738C": "qiu",
  "738D": "ga",
  "738E": "ding",
  "738F": "le",
  "739A": "yang",
  "739B": "ma",
  "739C": "gong",
  "739D": "wu",
  "739E": "fu",
  "739F": "min",
  "73A0": "jie",
  "73A1": "ya",
  "73A2": "bin",
  "73A3": "bian",
  "73A4": "bang",
  "73A5": "yue",
  "73A6": "jue",
  "73A7": "yun",
  "73A8": "jue",
  "73A9": "wan",
  "73AA": "jian",
  "73AB": "mei",
  "73AC": "dan",
  "73AD": "pi",
  "73AE": "wei",
  "73AF": "huan",
  "73B0": "xian",
  "73B1": "qiang",
  "73B2": "ling",
  "73B3": "dai",
  "73B4": "yi",
  "73B5": "an",
  "73B6": "ping",
  "73B7": "dian",
  "73B8": "fu",
  "73B9": "xuan",
  "73BA": "xi",
  "73BB": "bo",
  "73BC": "ci",
  "73BD": "gou",
  "73BE": "jia",
  "73BF": "shao",
  "73C0": "po",
  "73C1": "ci",
  "73C2": "ke",
  "73C3": "ran",
  "73C4": "sheng",
  "73C5": "shen",
  "73C6": "yi",
  "73C7": "zu",
  "73C8": "jia",
  "73C9": "min",
  "73CA": "shan",
  "73CB": "liu",
  "73CC": "bi",
  "73CD": "zhen",
  "73CE": "zhen",
  "73CF": "jue",
  "73D0": "fa",
  "73D1": "long",
  "73D2": "jin",
  "73D3": "jiao",
  "73D4": "jian",
  "73D5": "li",
  "73D6": "guang",
  "73D7": "xian",
  "73D8": "zhou",
  "73D9": "gong",
  "73DA": "yan",
  "73DB": "xiu",
  "73DC": "yang",
  "73DD": "xu",
  "73DE": "luo",
  "73DF": "su",
  "73E0": "zhu",
  "73E1": "qin",
  "73E2": "ken",
  "73E3": "xun",
  "73E4": "bao",
  "73E5": "er",
  "73E6": "xiang",
  "73E7": "yao",
  "73E8": "xia",
  "73E9": "heng",
  "73EA": "gui",
  "73EB": "chong",
  "73EC": "xu",
  "73ED": "ban",
  "73EE": "pei",
  "73F0": "dang",
  "73F2": "hun",
  "73F3": "wen",
  "73F4": "e",
  "73F5": "cheng",
  "73F6": "di",
  "73F7": "wu",
  "73F8": "wu",
  "73F9": "cheng",
  "73FA": "jun",
  "73FB": "mei",
  "73FC": "bei",
  "73FD": "ting",
  "73FE": "xian",
  "73FF": "chuo",
  "740A": "ye",
  "740B": "xi",
  "740C": "ling",
  "740D": "li",
  "740E": "jin",
  "740F": "lian",
  "741A": "ju",
  "741B": "chen",
  "741C": "lai",
  "741D": "wen",
  "741E": "sheng",
  "741F": "wei",
  "742A": "qi",
  "742B": "beng",
  "742C": "wan",
  "742D": "lu",
  "742E": "cong",
  "742F": "guan",
  "743A": "fa",
  "743C": "qiong",
  "743D": "du",
  "743E": "jie",
  "743F": "hun",
  "744A": "zhen",
  "744B": "wei",
  "744C": "ruan",
  "744D": "huan",
  "744E": "jie",
  "744F": "chuan",
  "745A": "hu",
  "745B": "ying",
  "745C": "yu",
  "745D": "huang",
  "745E": "rui",
  "745F": "se",
  "746A": "ma",
  "746B": "tao",
  "746C": "liu",
  "746D": "tang",
  "746E": "li",
  "746F": "lang",
  "747A": "chang",
  "747B": "kun",
  "747C": "zhuan",
  "747D": "cong",
  "747E": "jin",
  "747F": "yi",
  "748A": "men",
  "748B": "zhang",
  "748C": "yin",
  "748E": "ying",
  "748F": "zhi",
  "749A": "qiong",
  "749B": "su",
  "749C": "huang",
  "749D": "gui",
  "749E": "pu",
  "749F": "jing",
  "74A0": "fan",
  "74A1": "jin",
  "74A2": "liu",
  "74A3": "ji",
  "74A5": "jing",
  "74A6": "ai",
  "74A7": "bi",
  "74A8": "can",
  "74A9": "qu",
  "74AA": "zao",
  "74AB": "dang",
  "74AC": "jiao",
  "74AD": "gun",
  "74AE": "tan",
  "74AF": "hui",
  "74B0": "huan",
  "74B1": "se",
  "74B2": "sui",
  "74B3": "tian",
  "74B5": "yu",
  "74B6": "jin",
  "74B7": "lu",
  "74B8": "bin",
  "74B9": "shou",
  "74BA": "wen",
  "74BB": "zui",
  "74BC": "lan",
  "74BD": "xi",
  "74BE": "ji",
  "74BF": "xuan",
  "74C0": "ruan",
  "74C1": "huo",
  "74C2": "gai",
  "74C3": "lei",
  "74C4": "du",
  "74C5": "li",
  "74C6": "zhi",
  "74C7": "rou",
  "74C8": "li",
  "74C9": "zan",
  "74CA": "qiong",
  "74CB": "zhe",
  "74CC": "gui",
  "74CD": "sui",
  "74CE": "la",
  "74CF": "long",
  "74D0": "lu",
  "74D1": "li",
  "74D2": "zan",
  "74D3": "lan",
  "74D4": "ying",
  "74D5": "mi",
  "74D6": "xiang",
  "74D7": "xi",
  "74D8": "guan",
  "74D9": "dao",
  "74DA": "zan",
  "74DB": "huan",
  "74DC": "gua",
  "74DD": "bo",
  "74DE": "die",
  "74DF": "bao",
  "74E0": "hu",
  "74E1": "zhi",
  "74E2": "piao",
  "74E3": "ban",
  "74E4": "rang",
  "74E5": "li",
  "74E6": "wa",
  "74E8": "jiang",
  "74EA": "fan",
  "74EB": "pen",
  "74EC": "fang",
  "74ED": "dan",
  "74EE": "weng",
  "74EF": "ou",
  "74F3": "hu",
  "74F4": "ling",
  "74F5": "yi",
  "74F6": "ping",
  "74F7": "ci",
  "74F9": "juan",
  "74FA": "chang",
  "74FB": "chi",
  "74FD": "dang",
  "74FE": "meng",
  "74FF": "pou",
  "750A": "lou",
  "750B": "di",
  "750C": "ou",
  "750D": "meng",
  "750E": "zhuan",
  "750F": "peng",
  "751A": "shen",
  "751B": "tian",
  "751C": "tian",
  "751D": "han",
  "751E": "chang",
  "751F": "sheng",
  "752A": "lu",
  "752B": "fu",
  "752C": "yong",
  "752D": "beng",
  "752E": "feng",
  "752F": "ning",
  "753A": "ting",
  "753B": "hua",
  "753C": "ting",
  "753D": "quan",
  "753E": "zi",
  "753F": "meng",
  "754A": "geng",
  "754B": "tian",
  "754C": "jie",
  "754D": "jie",
  "754E": "quan",
  "754F": "wei",
  "755A": "ben",
  "755B": "zhen",
  "755C": "chu",
  "755D": "mu",
  "755E": "mu",
  "755F": "ce",
  "756A": "fan",
  "756B": "hua",
  "756C": "yu",
  "756D": "yu",
  "756E": "mu",
  "756F": "jun",
  "757A": "jiang",
  "757B": "sheng",
  "757C": "chang",
  "757D": "tuan",
  "757E": "lei",
  "757F": "ji",
  "758A": "die",
  "758B": "pi",
  "758C": "nie",
  "758D": "dan",
  "758E": "shu",
  "758F": "shu",
  "759A": "jiu",
  "759B": "zhou",
  "759C": "xia",
  "759D": "shan",
  "759E": "xu",
  "759F": "nve",
  "75A0": "li",
  "75A1": "yang",
  "75A2": "chen",
  "75A3": "you",
  "75A4": "ba",
  "75A5": "jie",
  "75A6": "jue",
  "75A7": "zhi",
  "75A8": "xia",
  "75A9": "cui",
  "75AA": "bi",
  "75AB": "yi",
  "75AC": "li",
  "75AD": "zong",
  "75AE": "chuang",
  "75AF": "feng",
  "75B0": "zhu",
  "75B1": "pao",
  "75B2": "pi",
  "75B3": "gan",
  "75B4": "ke",
  "75B5": "ci",
  "75B6": "xie",
  "75B7": "qi",
  "75B8": "dan",
  "75B9": "zhen",
  "75BA": "fa",
  "75BB": "zhi",
  "75BC": "teng",
  "75BD": "ju",
  "75BE": "ji",
  "75BF": "fei",
  "75C0": "qu",
  "75C1": "dian",
  "75C2": "jia",
  "75C3": "xian",
  "75C4": "zha",
  "75C5": "bing",
  "75C6": "ni",
  "75C7": "zheng",
  "75C8": "yong",
  "75C9": "jing",
  "75CA": "quan",
  "75CB": "chong",
  "75CC": "tong",
  "75CD": "yi",
  "75CE": "kai",
  "75CF": "wei",
  "75D0": "hui",
  "75D1": "duo",
  "75D2": "yang",
  "75D3": "chi",
  "75D4": "zhi",
  "75D5": "hen",
  "75D6": "ya",
  "75D7": "mei",
  "75D8": "dou",
  "75D9": "jing",
  "75DA": "xiao",
  "75DB": "tong",
  "75DC": "tu",
  "75DD": "mang",
  "75DE": "pi",
  "75DF": "xiao",
  "75E0": "suan",
  "75E1": "pu",
  "75E2": "li",
  "75E3": "zhi",
  "75E4": "cuo",
  "75E5": "duo",
  "75E6": "wu",
  "75E7": "sha",
  "75E8": "lao",
  "75E9": "shou",
  "75EA": "huan",
  "75EB": "xian",
  "75EC": "yi",
  "75ED": "peng",
  "75EE": "zhang",
  "75EF": "guan",
  "75F0": "tan",
  "75F1": "fei",
  "75F2": "ma",
  "75F3": "lin",
  "75F4": "chi",
  "75F5": "ji",
  "75F6": "dian",
  "75F7": "an",
  "75F8": "chi",
  "75F9": "bi",
  "75FA": "bi",
  "75FB": "min",
  "75FC": "gu",
  "75FD": "dui",
  "75FE": "e",
  "75FF": "wei",
  "760A": "hou",
  "760B": "feng",
  "760C": "la",
  "760D": "yang",
  "760E": "shen",
  "760F": "tu",
  "761A": "jue",
  "761B": "chi",
  "761C": "xi",
  "761D": "guan",
  "761E": "yi",
  "761F": "wen",
  "762A": "pie",
  "762B": "tan",
  "762C": "zhang",
  "762D": "biao",
  "762E": "shen",
  "762F": "cu",
  "763A": "lou",
  "763B": "lv",
  "763C": "mo",
  "763D": "jin",
  "763E": "yin",
  "763F": "ying",
  "764A": "yin",
  "764B": "he",
  "764C": "ai",
  "764D": "ban",
  "764E": "xian",
  "764F": "guan",
  "765A": "dan",
  "765B": "lin",
  "765C": "dian",
  "765D": "lin",
  "765E": "lai",
  "765F": "bie",
  "766B": "dian",
  "766C": "xuan",
  "766D": "ying",
  "766E": "yin",
  "766F": "qu",
  "767A": "fa",
  "767B": "deng",
  "767C": "fa",
  "767D": "bai",
  "767E": "bai",
  "767F": "qie",
  "768A": "ling",
  "768B": "gao",
  "768C": "mo",
  "768D": "ji",
  "768E": "jiao",
  "768F": "peng",
  "769A": "ai",
  "769B": "jiong",
  "769C": "hao",
  "769D": "huang",
  "769E": "hao",
  "769F": "ze",
  "76A0": "cui",
  "76A1": "hao",
  "76A2": "xiao",
  "76A3": "ye",
  "76A4": "po",
  "76A5": "hao",
  "76A6": "jiao",
  "76A7": "ai",
  "76A8": "xing",
  "76A9": "huang",
  "76AA": "li",
  "76AB": "piao",
  "76AC": "he",
  "76AD": "jiao",
  "76AE": "pi",
  "76AF": "gan",
  "76B0": "pao",
  "76B1": "zhou",
  "76B2": "jun",
  "76B3": "qiu",
  "76B4": "cun",
  "76B5": "que",
  "76B6": "zha",
  "76B7": "gu",
  "76B8": "jun",
  "76B9": "jun",
  "76BA": "zhou",
  "76BB": "zha",
  "76BC": "gu",
  "76BD": "zhan",
  "76BE": "du",
  "76BF": "min",
  "76C0": "qi",
  "76C1": "ying",
  "76C2": "yu",
  "76C3": "bei",
  "76C4": "zhao",
  "76C5": "zhong",
  "76C6": "pen",
  "76C7": "he",
  "76C8": "ying",
  "76C9": "he",
  "76CA": "yi",
  "76CB": "bo",
  "76CC": "wan",
  "76CD": "he",
  "76CE": "ang",
  "76CF": "zhan",
  "76D0": "yan",
  "76D1": "jian",
  "76D2": "he",
  "76D3": "yu",
  "76D4": "kui",
  "76D5": "fan",
  "76D6": "gai",
  "76D7": "dao",
  "76D8": "pan",
  "76D9": "fu",
  "76DA": "qiu",
  "76DB": "sheng",
  "76DC": "dao",
  "76DD": "lu",
  "76DE": "zhan",
  "76DF": "meng",
  "76E0": "li",
  "76E1": "jin",
  "76E2": "xu",
  "76E3": "jian",
  "76E4": "pan",
  "76E5": "guan",
  "76E6": "an",
  "76E7": "lu",
  "76E8": "shu",
  "76E9": "zhou",
  "76EA": "dang",
  "76EB": "an",
  "76EC": "gu",
  "76ED": "li",
  "76EE": "mu",
  "76EF": "ding",
  "76F0": "gan",
  "76F1": "xu",
  "76F2": "mang",
  "76F3": "mang",
  "76F4": "zhi",
  "76F5": "qi",
  "76F6": "ruan",
  "76F7": "tian",
  "76F8": "xiang",
  "76F9": "dun",
  "76FA": "xin",
  "76FB": "xi",
  "76FC": "pan",
  "76FD": "feng",
  "76FE": "dun",
  "76FF": "min",
  "770A": "mao",
  "770B": "kan",
  "770C": "xian",
  "770D": "ou",
  "770E": "shi",
  "770F": "yang",
  "771A": "sheng",
  "771B": "mei",
  "771C": "mo",
  "771D": "zhu",
  "771E": "zhen",
  "771F": "zhen",
  "772A": "bing",
  "772B": "mi",
  "772C": "long",
  "772D": "sui",
  "772E": "dong",
  "772F": "mi",
  "773A": "tiao",
  "773B": "yang",
  "773C": "yan",
  "773D": "mo",
  "773E": "zhong",
  "773F": "mai",
  "774A": "juan",
  "774B": "e",
  "774C": "wan",
  "774D": "xian",
  "774E": "xi",
  "774F": "kun",
  "775A": "yai",
  "775B": "jing",
  "775C": "zheng",
  "775D": "li",
  "775E": "lai",
  "775F": "sui",
  "776A": "yi",
  "776B": "jie",
  "776C": "cai",
  "776D": "zhou",
  "776E": "yu",
  "776F": "hun",
  "777A": "hou",
  "777B": "xuan",
  "777C": "ti",
  "777D": "kui",
  "777E": "gao",
  "777F": "rui",
  "778A": "dang",
  "778B": "chen",
  "778C": "ke",
  "778D": "sou",
  "778E": "xia",
  "778F": "qiong",
  "779A": "shun",
  "779B": "cong",
  "779C": "lou",
  "779D": "chi",
  "779E": "man",
  "779F": "piao",
  "77A0": "cheng",
  "77A1": "ji",
  "77A2": "meng",
  "77A4": "run",
  "77A5": "pie",
  "77A6": "xi",
  "77A7": "qiao",
  "77A8": "pu",
  "77A9": "zhu",
  "77AA": "deng",
  "77AB": "shen",
  "77AC": "shun",
  "77AD": "liao",
  "77AE": "che",
  "77AF": "xian",
  "77B0": "kan",
  "77B1": "ye",
  "77B2": "xu",
  "77B3": "tong",
  "77B4": "mou",
  "77B5": "lin",
  "77B6": "kui",
  "77B7": "xian",
  "77B8": "ye",
  "77B9": "ai",
  "77BA": "hui",
  "77BB": "zhan",
  "77BC": "jian",
  "77BD": "gu",
  "77BE": "zhao",
  "77BF": "ju",
  "77C0": "wei",
  "77C1": "chou",
  "77C2": "sao",
  "77C3": "ning",
  "77C4": "xun",
  "77C5": "yao",
  "77C6": "huo",
  "77C7": "meng",
  "77C8": "mian",
  "77C9": "bin",
  "77CA": "mian",
  "77CB": "li",
  "77CC": "kuang",
  "77CD": "jue",
  "77CE": "xuan",
  "77CF": "mian",
  "77D0": "huo",
  "77D1": "lu",
  "77D2": "meng",
  "77D3": "long",
  "77D4": "guan",
  "77D5": "man",
  "77D6": "xi",
  "77D7": "chu",
  "77D8": "tang",
  "77D9": "kan",
  "77DA": "zhu",
  "77DB": "mao",
  "77DC": "jin",
  "77DD": "lin",
  "77DE": "yu",
  "77DF": "shuo",
  "77E0": "ce",
  "77E1": "jue",
  "77E2": "shi",
  "77E3": "yi",
  "77E4": "shen",
  "77E5": "zhi",
  "77E6": "hou",
  "77E7": "shen",
  "77E8": "ying",
  "77E9": "ju",
  "77EA": "zhou",
  "77EB": "jiao",
  "77EC": "cuo",
  "77ED": "duan",
  "77EE": "ai",
  "77EF": "jiao",
  "77F0": "zeng",
  "77F1": "huo",
  "77F2": "bai",
  "77F3": "shi",
  "77F4": "ding",
  "77F5": "qi",
  "77F6": "ji",
  "77F7": "zi",
  "77F8": "gan",
  "77F9": "wu",
  "77FA": "tuo",
  "77FB": "ku",
  "77FC": "qiang",
  "77FD": "xi",
  "77FE": "fan",
  "77FF": "kuang",
  "780A": "kang",
  "780B": "zhi",
  "780C": "qi",
  "780D": "kan",
  "780E": "jie",
  "780F": "fen",
  "781A": "yan",
  "781C": "feng",
  "781D": "fa",
  "781E": "mo",
  "781F": "zha",
  "782A": "mu",
  "782B": "zhu",
  "782C": "li",
  "782D": "bian",
  "782E": "nu",
  "782F": "ping",
  "783A": "li",
  "783B": "long",
  "783C": "tong",
  "783E": "li",
  "784A": "wei",
  "784B": "ai",
  "784C": "luo",
  "784D": "ken",
  "784E": "xing",
  "784F": "yan",
  "785A": "qiao",
  "785C": "keng",
  "785D": "xiao",
  "785E": "que",
  "785F": "chan",
  "786A": "e",
  "786B": "liu",
  "786C": "ying",
  "786D": "mang",
  "786E": "que",
  "786F": "yan",
  "787A": "zhuo",
  "787B": "keng",
  "787C": "peng",
  "787D": "yan",
  "787E": "zhui",
  "787F": "kong",
  "788A": "jian",
  "788B": "he",
  "788C": "lu",
  "788D": "ai",
  "788E": "sui",
  "788F": "que",
  "789A": "bei",
  "789B": "qi",
  "789C": "chen",
  "789D": "ruan",
  "789E": "yan",
  "789F": "die",
  "78A0": "ding",
  "78A1": "du",
  "78A2": "tuo",
  "78A3": "jie",
  "78A4": "ying",
  "78A5": "bian",
  "78A6": "ke",
  "78A7": "bi",
  "78A8": "wei",
  "78A9": "shuo",
  "78AA": "zhen",
  "78AB": "duan",
  "78AC": "xia",
  "78AD": "dang",
  "78AE": "ti",
  "78AF": "nao",
  "78B0": "peng",
  "78B1": "jian",
  "78B2": "di",
  "78B3": "tan",
  "78B4": "cha",
  "78B6": "qi",
  "78B8": "feng",
  "78B9": "xuan",
  "78BA": "que",
  "78BB": "que",
  "78BC": "ma",
  "78BD": "gong",
  "78BE": "nian",
  "78BF": "su",
  "78C0": "e",
  "78C1": "ci",
  "78C2": "liu",
  "78C3": "si",
  "78C4": "tang",
  "78C5": "bang",
  "78C6": "hua",
  "78C7": "pi",
  "78C8": "wei",
  "78C9": "sang",
  "78CA": "lei",
  "78CB": "cuo",
  "78CC": "zhen",
  "78CD": "xia",
  "78CE": "qi",
  "78CF": "lian",
  "78D0": "pan",
  "78D1": "wei",
  "78D2": "yun",
  "78D3": "dui",
  "78D4": "zhe",
  "78D5": "ke",
  "78D6": "la",
  "78D8": "qing",
  "78D9": "gun",
  "78DA": "zhuan",
  "78DB": "chan",
  "78DC": "qi",
  "78DD": "ao",
  "78DE": "peng",
  "78DF": "lu",
  "78E0": "lu",
  "78E1": "kan",
  "78E2": "qiang",
  "78E3": "chen",
  "78E4": "yin",
  "78E5": "lei",
  "78E6": "biao",
  "78E7": "qi",
  "78E8": "mo",
  "78E9": "qi",
  "78EA": "cui",
  "78EB": "zong",
  "78EC": "qing",
  "78ED": "chuo",
  "78EF": "ji",
  "78F0": "shan",
  "78F1": "lao",
  "78F2": "qu",
  "78F3": "zeng",
  "78F4": "deng",
  "78F5": "jian",
  "78F6": "xi",
  "78F7": "lin",
  "78F8": "ding",
  "78F9": "dian",
  "78FA": "huang",
  "78FB": "pan",
  "78FC": "za",
  "78FD": "qiao",
  "78FE": "di",
  "78FF": "li",
  "790A": "huo",
  "790B": "zhai",
  "790C": "lei",
  "790D": "ke",
  "790E": "chu",
  "790F": "ji",
  "791A": "kai",
  "791B": "jian",
  "791C": "yu",
  "791D": "ruan",
  "791E": "meng",
  "791F": "pao",
  "792A": "li",
  "792B": "li",
  "792C": "fan",
  "792D": "que",
  "792E": "pao",
  "792F": "ying",
  "793A": "shi",
  "793B": "shi",
  "793C": "li",
  "793D": "reng",
  "793E": "she",
  "793F": "yue",
  "794A": "beng",
  "794B": "dui",
  "794C": "zhong",
  "794E": "yi",
  "794F": "shi",
  "795A": "zuo",
  "795B": "qu",
  "795C": "hu",
  "795D": "zhu",
  "795E": "shen",
  "795F": "sui",
  "796A": "gui",
  "796B": "xia",
  "796C": "zhi",
  "796D": "ji",
  "796E": "gao",
  "796F": "zhen",
  "797A": "qi",
  "797B": "gu",
  "797C": "guan",
  "797D": "zui",
  "797E": "ling",
  "797F": "lu",
  "798A": "xi",
  "798B": "yin",
  "798C": "zi",
  "798D": "huo",
  "798E": "zhen",
  "798F": "fu",
  "799A": "zhuo",
  "799B": "zhen",
  "799C": "yong",
  "799D": "ji",
  "799E": "gao",
  "799F": "tang",
  "79A0": "si",
  "79A1": "ma",
  "79A2": "ta",
  "79A4": "xuan",
  "79A5": "qi",
  "79A6": "yu",
  "79A7": "xi",
  "79A8": "ji",
  "79A9": "si",
  "79AA": "chan",
  "79AB": "tan",
  "79AC": "kuai",
  "79AD": "sui",
  "79AE": "li",
  "79AF": "nong",
  "79B0": "ni",
  "79B1": "dao",
  "79B2": "li",
  "79B3": "rang",
  "79B4": "yue",
  "79B5": "ti",
  "79B6": "zan",
  "79B7": "lei",
  "79B8": "rou",
  "79B9": "yu",
  "79BA": "yu",
  "79BB": "li",
  "79BC": "xie",
  "79BD": "qin",
  "79BE": "he",
  "79BF": "tu",
  "79C0": "xiu",
  "79C1": "si",
  "79C2": "ren",
  "79C3": "tu",
  "79C4": "zi",
  "79C5": "cha",
  "79C6": "gan",
  "79C7": "yi",
  "79C8": "xian",
  "79C9": "bing",
  "79CA": "nian",
  "79CB": "qiu",
  "79CC": "qiu",
  "79CD": "zhong",
  "79CE": "fen",
  "79CF": "hao",
  "79D0": "yun",
  "79D1": "ke",
  "79D2": "miao",
  "79D3": "zhi",
  "79D4": "geng",
  "79D5": "bi",
  "79D6": "zhi",
  "79D7": "yu",
  "79D8": "mi",
  "79D9": "ku",
  "79DA": "ban",
  "79DB": "pi",
  "79DC": "ni",
  "79DD": "li",
  "79DE": "you",
  "79DF": "zu",
  "79E0": "pi",
  "79E1": "ba",
  "79E2": "ling",
  "79E3": "mo",
  "79E4": "cheng",
  "79E5": "nian",
  "79E6": "qin",
  "79E7": "yang",
  "79E8": "zuo",
  "79E9": "zhi",
  "79EA": "zhi",
  "79EB": "shu",
  "79EC": "ju",
  "79ED": "zi",
  "79EE": "huo",
  "79EF": "ji",
  "79F0": "cheng",
  "79F1": "tong",
  "79F2": "zhi",
  "79F3": "huo",
  "79F4": "he",
  "79F5": "yin",
  "79F6": "zi",
  "79F7": "zhi",
  "79F8": "jie",
  "79F9": "ren",
  "79FA": "du",
  "79FB": "yi",
  "79FC": "zhu",
  "79FD": "hui",
  "79FE": "nong",
  "79FF": "fu",
  "7A00": "xi",
  "7A01": "kao",
  "7A02": "lang",
  "7A03": "fu",
  "7A04": "ze",
  "7A05": "shui",
  "7A06": "lv",
  "7A07": "kun",
  "7A08": "gan",
  "7A09": "geng",
  "7A0A": "ti",
  "7A0B": "cheng",
  "7A0C": "tu",
  "7A0D": "shao",
  "7A0E": "shui",
  "7A0F": "ya",
  "7A10": "lun",
  "7A11": "lu",
  "7A12": "gu",
  "7A13": "zuo",
  "7A14": "ren",
  "7A15": "zhun",
  "7A16": "bang",
  "7A17": "bai",
  "7A18": "ji",
  "7A19": "zhi",
  "7A1A": "zhi",
  "7A1B": "kun",
  "7A1C": "leng",
  "7A1D": "peng",
  "7A1E": "ke",
  "7A1F": "bing",
  "7A20": "chou",
  "7A21": "zu",
  "7A22": "yu",
  "7A23": "su",
  "7A24": "lve",
  "7A26": "yi",
  "7A27": "xi",
  "7A28": "bian",
  "7A29": "ji",
  "7A2A": "fu",
  "7A2B": "bi",
  "7A2C": "nuo",
  "7A2D": "jie",
  "7A2E": "zhong",
  "7A2F": "zong",
  "7A30": "xu",
  "7A31": "cheng",
  "7A32": "dao",
  "7A33": "wen",
  "7A34": "lian",
  "7A35": "zi",
  "7A36": "yu",
  "7A37": "ji",
  "7A38": "xu",
  "7A39": "zhen",
  "7A3A": "zhi",
  "7A3B": "dao",
  "7A3C": "jia",
  "7A3D": "ji",
  "7A3E": "gao",
  "7A3F": "gao",
  "7A40": "gu",
  "7A41": "rong",
  "7A42": "sui",
  "7A44": "ji",
  "7A45": "kang",
  "7A46": "mu",
  "7A47": "shan",
  "7A48": "men",
  "7A49": "zhi",
  "7A4A": "ji",
  "7A4B": "lu",
  "7A4C": "su",
  "7A4D": "ji",
  "7A4E": "ying",
  "7A4F": "wen",
  "7A50": "qiu",
  "7A51": "se",
  "7A53": "yi",
  "7A54": "huang",
  "7A55": "qie",
  "7A56": "ji",
  "7A57": "sui",
  "7A58": "xiao",
  "7A59": "pu",
  "7A5A": "jiao",
  "7A5B": "zhuo",
  "7A5C": "tong",
  "7A5E": "lv",
  "7A5F": "sui",
  "7A60": "nong",
  "7A61": "se",
  "7A62": "hui",
  "7A63": "rang",
  "7A64": "nuo",
  "7A65": "yu",
  "7A67": "ji",
  "7A68": "tui",
  "7A69": "wen",
  "7A6A": "cheng",
  "7A6B": "huo",
  "7A6C": "gong",
  "7A6D": "lv",
  "7A6E": "biao",
  "7A70": "rang",
  "7A71": "zhuo",
  "7A72": "li",
  "7A73": "zan",
  "7A74": "xue",
  "7A75": "wa",
  "7A76": "jiu",
  "7A77": "qiong",
  "7A78": "xi",
  "7A79": "qiong",
  "7A7A": "kong",
  "7A7B": "yu",
  "7A7C": "sen",
  "7A7D": "jing",
  "7A7E": "yao",
  "7A7F": "chuan",
  "7A80": "zhun",
  "7A81": "tu",
  "7A82": "lao",
  "7A83": "qie",
  "7A84": "zhai",
  "7A85": "yao",
  "7A86": "bian",
  "7A87": "bao",
  "7A88": "yao",
  "7A89": "bing",
  "7A8A": "wa",
  "7A8B": "zhu",
  "7A8C": "jiao",
  "7A8D": "qiao",
  "7A8E": "diao",
  "7A8F": "wu",
  "7A90": "gui",
  "7A91": "yao",
  "7A92": "zhi",
  "7A93": "chuang",
  "7A94": "yao",
  "7A95": "tiao",
  "7A96": "jiao",
  "7A97": "chuang",
  "7A98": "jiong",
  "7A99": "xiao",
  "7A9A": "cheng",
  "7A9B": "kou",
  "7A9C": "cuan",
  "7A9D": "wo",
  "7A9E": "dan",
  "7A9F": "ku",
  "7AA0": "ke",
  "7AA1": "zhui",
  "7AA2": "xu",
  "7AA3": "su",
  "7AA5": "kui",
  "7AA6": "dou",
  "7AA8": "yin",
  "7AA9": "wo",
  "7AAA": "wa",
  "7AAB": "ya",
  "7AAC": "yu",
  "7AAD": "ju",
  "7AAE": "qiong",
  "7AAF": "yao",
  "7AB0": "yao",
  "7AB1": "tiao",
  "7AB2": "chao",
  "7AB3": "yu",
  "7AB4": "tian",
  "7AB5": "diao",
  "7AB6": "ju",
  "7AB7": "liao",
  "7AB8": "xi",
  "7AB9": "wu",
  "7ABA": "kui",
  "7ABB": "chuang",
  "7ABC": "zhao",
  "7ABE": "kuan",
  "7ABF": "long",
  "7AC0": "cheng",
  "7AC1": "cui",
  "7AC2": "piao",
  "7AC3": "zao",
  "7AC4": "cuan",
  "7AC5": "qiao",
  "7AC6": "qiong",
  "7AC7": "dou",
  "7AC8": "zao",
  "7AC9": "long",
  "7ACA": "qie",
  "7ACB": "li",
  "7ACC": "chu",
  "7ACE": "fou",
  "7AD0": "chu",
  "7AD1": "hong",
  "7AD2": "qi",
  "7AD6": "shu",
  "7AD7": "miao",
  "7AD8": "ju",
  "7AD9": "zhan",
  "7ADA": "zhu",
  "7ADB": "ling",
  "7ADC": "long",
  "7ADD": "bing",
  "7ADE": "jing",
  "7ADF": "jing",
  "7AE0": "zhang",
  "7AE2": "si",
  "7AE3": "jun",
  "7AE4": "hong",
  "7AE5": "tong",
  "7AE6": "song",
  "7AE7": "jing",
  "7AE8": "diao",
  "7AE9": "yi",
  "7AEA": "shu",
  "7AEB": "jing",
  "7AEC": "qu",
  "7AED": "jie",
  "7AEE": "ping",
  "7AEF": "duan",
  "7AF0": "shao",
  "7AF1": "zhuan",
  "7AF2": "ceng",
  "7AF3": "deng",
  "7AF4": "cui",
  "7AF5": "huai",
  "7AF6": "jing",
  "7AF7": "kan",
  "7AF8": "jing",
  "7AF9": "zhu",
  "7AFA": "zhu",
  "7AFB": "le",
  "7AFC": "peng",
  "7AFD": "yu",
  "7AFE": "chi",
  "7AFF": "gan",
  "7B00": "mang",
  "7B01": "zhu",
  "7B03": "du",
  "7B04": "ji",
  "7B05": "xiao",
  "7B06": "ba",
  "7B07": "suan",
  "7B08": "ji",
  "7B09": "zhen",
  "7B0A": "zhao",
  "7B0B": "sun",
  "7B0C": "ya",
  "7B0D": "zhui",
  "7B0E": "yuan",
  "7B0F": "hu",
  "7B10": "gang",
  "7B11": "xiao",
  "7B12": "cen",
  "7B13": "pi",
  "7B14": "bi",
  "7B15": "jian",
  "7B16": "yi",
  "7B17": "dong",
  "7B18": "shan",
  "7B19": "sheng",
  "7B1A": "xia",
  "7B1B": "di",
  "7B1C": "zhu",
  "7B1D": "na",
  "7B1E": "chi",
  "7B1F": "gu",
  "7B20": "li",
  "7B21": "qie",
  "7B22": "min",
  "7B23": "bao",
  "7B24": "tiao",
  "7B25": "si",
  "7B26": "fu",
  "7B27": "ce",
  "7B28": "ben",
  "7B29": "pei",
  "7B2A": "da",
  "7B2B": "zi",
  "7B2C": "di",
  "7B2D": "ling",
  "7B2E": "ze",
  "7B2F": "nu",
  "7B30": "fu",
  "7B31": "gou",
  "7B32": "fan",
  "7B33": "jia",
  "7B34": "ge",
  "7B35": "fan",
  "7B36": "shi",
  "7B37": "mao",
  "7B38": "po",
  "7B3A": "jian",
  "7B3B": "qiong",
  "7B3C": "long",
  "7B3E": "bian",
  "7B3F": "luo",
  "7B40": "gui",
  "7B41": "qu",
  "7B42": "chi",
  "7B43": "yin",
  "7B44": "yao",
  "7B45": "xian",
  "7B46": "bi",
  "7B47": "qiong",
  "7B48": "gua",
  "7B49": "deng",
  "7B4A": "jiao",
  "7B4B": "jin",
  "7B4C": "quan",
  "7B4D": "sun",
  "7B4E": "ru",
  "7B4F": "fa",
  "7B50": "kuang",
  "7B51": "zhu",
  "7B52": "tong",
  "7B53": "ji",
  "7B54": "da",
  "7B55": "xing",
  "7B56": "ce",
  "7B57": "zhong",
  "7B58": "kou",
  "7B59": "lai",
  "7B5A": "bi",
  "7B5B": "shai",
  "7B5C": "dang",
  "7B5D": "zheng",
  "7B5E": "ce",
  "7B5F": "fu",
  "7B60": "yun",
  "7B61": "tu",
  "7B62": "pa",
  "7B63": "li",
  "7B64": "lang",
  "7B65": "ju",
  "7B66": "guan",
  "7B67": "jian",
  "7B68": "han",
  "7B69": "tong",
  "7B6A": "xia",
  "7B6B": "zhi",
  "7B6C": "cheng",
  "7B6D": "suan",
  "7B6E": "shi",
  "7B6F": "zhu",
  "7B70": "zuo",
  "7B71": "xiao",
  "7B72": "shao",
  "7B73": "ting",
  "7B74": "ce",
  "7B75": "yan",
  "7B76": "gao",
  "7B77": "kuai",
  "7B78": "gan",
  "7B79": "chou",
  "7B7B": "gang",
  "7B7C": "yun",
  "7B7E": "qian",
  "7B7F": "xiao",
  "7B80": "jian",
  "7B81": "pu",
  "7B82": "lai",
  "7B83": "zou",
  "7B84": "bi",
  "7B85": "bi",
  "7B86": "bi",
  "7B87": "ge",
  "7B88": "chi",
  "7B89": "guai",
  "7B8A": "yu",
  "7B8B": "jian",
  "7B8C": "zhao",
  "7B8D": "gu",
  "7B8E": "chi",
  "7B8F": "zheng",
  "7B90": "jing",
  "7B91": "sha",
  "7B92": "zhou",
  "7B93": "lu",
  "7B94": "bo",
  "7B95": "ji",
  "7B96": "lin",
  "7B97": "suan",
  "7B98": "jun",
  "7B99": "fu",
  "7B9A": "zha",
  "7B9B": "gu",
  "7B9C": "kong",
  "7B9D": "qian",
  "7B9E": "quan",
  "7B9F": "jun",
  "7BA0": "chui",
  "7BA1": "guan",
  "7BA2": "yuan",
  "7BA3": "ce",
  "7BA4": "ju",
  "7BA5": "bo",
  "7BA6": "ze",
  "7BA7": "qie",
  "7BA8": "tuo",
  "7BA9": "luo",
  "7BAA": "dan",
  "7BAB": "xiao",
  "7BAC": "ruo",
  "7BAD": "jian",
  "7BAF": "bian",
  "7BB0": "sun",
  "7BB1": "xiang",
  "7BB2": "xian",
  "7BB3": "ping",
  "7BB4": "zhen",
  "7BB5": "sheng",
  "7BB6": "hu",
  "7BB7": "shi",
  "7BB8": "zhu",
  "7BB9": "yue",
  "7BBA": "chun",
  "7BBB": "lv",
  "7BBC": "wu",
  "7BBD": "dong",
  "7BBE": "shuo",
  "7BBF": "ji",
  "7BC0": "jie",
  "7BC1": "huang",
  "7BC2": "xing",
  "7BC3": "mei",
  "7BC4": "fan",
  "7BC5": "chui",
  "7BC6": "zhuan",
  "7BC7": "pian",
  "7BC8": "feng",
  "7BC9": "zhu",
  "7BCA": "hong",
  "7BCB": "qie",
  "7BCC": "hou",
  "7BCD": "qiu",
  "7BCE": "miao",
  "7BCF": "qian",
  "7BD1": "kui",
  "7BD3": "lou",
  "7BD4": "yun",
  "7BD5": "he",
  "7BD6": "tang",
  "7BD7": "yue",
  "7BD8": "chou",
  "7BD9": "gao",
  "7BDA": "fei",
  "7BDB": "ruo",
  "7BDC": "zheng",
  "7BDD": "gou",
  "7BDE": "nie",
  "7BDF": "qian",
  "7BE0": "xiao",
  "7BE1": "cuan",
  "7BE2": "gong",
  "7BE3": "pang",
  "7BE4": "du",
  "7BE5": "li",
  "7BE6": "bi",
  "7BE7": "zhuo",
  "7BE8": "chu",
  "7BE9": "shai",
  "7BEA": "chi",
  "7BEB": "zhu",
  "7BEC": "qiang",
  "7BED": "long",
  "7BEE": "lan",
  "7BEF": "jian",
  "7BF0": "bu",
  "7BF1": "li",
  "7BF2": "hui",
  "7BF3": "bi",
  "7BF4": "di",
  "7BF5": "cong",
  "7BF6": "yan",
  "7BF7": "peng",
  "7BF8": "sen",
  "7BF9": "zhuan",
  "7BFA": "pai",
  "7BFB": "piao",
  "7BFC": "dou",
  "7BFD": "yu",
  "7BFE": "mie",
  "7BFF": "zhuan",
  "7C00": "ze",
  "7C01": "xi",
  "7C02": "guo",
  "7C03": "yi",
  "7C04": "hu",
  "7C05": "chan",
  "7C06": "kou",
  "7C07": "cu",
  "7C08": "ping",
  "7C09": "chou",
  "7C0A": "ji",
  "7C0B": "gui",
  "7C0C": "su",
  "7C0D": "lou",
  "7C0E": "zha",
  "7C0F": "lu",
  "7C10": "nian",
  "7C11": "suo",
  "7C12": "cuan",
  "7C14": "suo",
  "7C15": "le",
  "7C16": "duan",
  "7C18": "xiao",
  "7C19": "bo",
  "7C1A": "mi",
  "7C1B": "si",
  "7C1C": "dang",
  "7C1D": "liao",
  "7C1E": "dan",
  "7C1F": "dian",
  "7C20": "fu",
  "7C21": "jian",
  "7C22": "min",
  "7C23": "kui",
  "7C24": "dai",
  "7C25": "jiao",
  "7C26": "deng",
  "7C27": "huang",
  "7C28": "sun",
  "7C29": "lao",
  "7C2A": "zan",
  "7C2B": "xiao",
  "7C2C": "lu",
  "7C2D": "shi",
  "7C2E": "zan",
  "7C30": "pai",
  "7C32": "pai",
  "7C33": "gan",
  "7C34": "ju",
  "7C35": "du",
  "7C36": "lu",
  "7C37": "yan",
  "7C38": "bo",
  "7C39": "dang",
  "7C3A": "sai",
  "7C3B": "ke",
  "7C3C": "long",
  "7C3D": "qian",
  "7C3E": "lian",
  "7C3F": "bu",
  "7C40": "zhou",
  "7C41": "lai",
  "7C43": "lan",
  "7C44": "kui",
  "7C45": "yu",
  "7C46": "yue",
  "7C47": "hao",
  "7C48": "zhen",
  "7C49": "tai",
  "7C4A": "ti",
  "7C4B": "mi",
  "7C4C": "chou",
  "7C4D": "ji",
  "7C50": "teng",
  "7C51": "zhuan",
  "7C52": "zhou",
  "7C53": "fan",
  "7C54": "sou",
  "7C55": "zhou",
  "7C57": "zhuo",
  "7C58": "teng",
  "7C59": "lu",
  "7C5A": "lu",
  "7C5B": "jian",
  "7C5C": "tuo",
  "7C5D": "ying",
  "7C5E": "yu",
  "7C5F": "lai",
  "7C60": "long",
  "7C62": "lian",
  "7C63": "lan",
  "7C64": "qian",
  "7C65": "yue",
  "7C66": "zhong",
  "7C67": "qu",
  "7C68": "lian",
  "7C69": "bian",
  "7C6A": "duan",
  "7C6B": "zuan",
  "7C6C": "li",
  "7C6D": "si",
  "7C6E": "luo",
  "7C6F": "ying",
  "7C70": "yue",
  "7C71": "zhuo",
  "7C72": "yu",
  "7C73": "mi",
  "7C74": "di",
  "7C75": "fan",
  "7C76": "shen",
  "7C77": "zhe",
  "7C78": "shen",
  "7C79": "nv",
  "7C7A": "xie",
  "7C7B": "lei",
  "7C7C": "xian",
  "7C7D": "zi",
  "7C7E": "ni",
  "7C7F": "cun",
  "7C81": "qian",
  "7C83": "bi",
  "7C84": "ban",
  "7C85": "wu",
  "7C86": "sha",
  "7C87": "kang",
  "7C88": "rou",
  "7C89": "fen",
  "7C8A": "bi",
  "7C8B": "cui",
  "7C8D": "li",
  "7C8E": "chi",
  "7C91": "ba",
  "7C92": "li",
  "7C93": "gan",
  "7C94": "ju",
  "7C95": "po",
  "7C96": "mo",
  "7C97": "cu",
  "7C98": "nian",
  "7C99": "zhou",
  "7C9A": "li",
  "7C9B": "su",
  "7C9C": "tiao",
  "7C9D": "li",
  "7C9E": "xi",
  "7C9F": "su",
  "7CA0": "hong",
  "7CA1": "tong",
  "7CA2": "zi",
  "7CA3": "ce",
  "7CA4": "yue",
  "7CA5": "zhou",
  "7CA6": "lin",
  "7CA7": "zhuang",
  "7CA8": "bai",
  "7CAA": "fen",
  "7CAE": "liang",
  "7CAF": "xian",
  "7CB0": "fu",
  "7CB1": "liang",
  "7CB2": "can",
  "7CB3": "geng",
  "7CB4": "li",
  "7CB5": "yue",
  "7CB6": "lu",
  "7CB7": "ju",
  "7CB8": "qi",
  "7CB9": "cui",
  "7CBA": "bai",
  "7CBB": "zhang",
  "7CBC": "lin",
  "7CBD": "zong",
  "7CBE": "jing",
  "7CBF": "guo",
  "7CC1": "san",
  "7CC2": "san",
  "7CC3": "tang",
  "7CC4": "bian",
  "7CC5": "rou",
  "7CC6": "mian",
  "7CC7": "hou",
  "7CC8": "xu",
  "7CC9": "zong",
  "7CCA": "hu",
  "7CCB": "jian",
  "7CCC": "zan",
  "7CCD": "ci",
  "7CCE": "li",
  "7CCF": "xie",
  "7CD0": "fu",
  "7CD1": "ni",
  "7CD2": "bei",
  "7CD3": "gu",
  "7CD4": "xiu",
  "7CD5": "gao",
  "7CD6": "tang",
  "7CD7": "qiu",
  "7CD9": "cao",
  "7CDA": "zhuang",
  "7CDB": "tang",
  "7CDC": "mi",
  "7CDD": "san",
  "7CDE": "fen",
  "7CDF": "zao",
  "7CE0": "kang",
  "7CE1": "jiang",
  "7CE2": "mo",
  "7CE3": "san",
  "7CE4": "san",
  "7CE5": "nuo",
  "7CE6": "xi",
  "7CE7": "liang",
  "7CE8": "jiang",
  "7CE9": "kuai",
  "7CEA": "bo",
  "7CEB": "huan",
  "7CED": "zong",
  "7CEE": "xian",
  "7CEF": "nuo",
  "7CF0": "tuan",
  "7CF1": "nie",
  "7CF2": "li",
  "7CF3": "zuo",
  "7CF4": "di",
  "7CF5": "nie",
  "7CF6": "tiao",
  "7CF7": "lan",
  "7CF8": "mi",
  "7CF9": "si",
  "7CFA": "jiu",
  "7CFB": "xi",
  "7CFC": "gong",
  "7CFD": "zheng",
  "7CFE": "jiu",
  "7CFF": "you",
  "7D00": "ji",
  "7D01": "cha",
  "7D02": "zhou",
  "7D03": "xun",
  "7D04": "yue",
  "7D05": "hong",
  "7D06": "yu",
  "7D07": "he",
  "7D08": "wan",
  "7D09": "ren",
  "7D0A": "wen",
  "7D0B": "wen",
  "7D0C": "qiu",
  "7D0D": "na",
  "7D0E": "zi",
  "7D0F": "tou",
  "7D10": "niu",
  "7D11": "fou",
  "7D12": "jie",
  "7D13": "shu",
  "7D14": "chun",
  "7D15": "pi",
  "7D16": "yin",
  "7D17": "sha",
  "7D18": "hong",
  "7D19": "zhi",
  "7D1A": "ji",
  "7D1B": "fen",
  "7D1C": "yun",
  "7D1D": "ren",
  "7D1E": "dan",
  "7D1F": "jin",
  "7D20": "su",
  "7D21": "fang",
  "7D22": "suo",
  "7D23": "cui",
  "7D24": "jiu",
  "7D25": "zha",
  "7D27": "jin",
  "7D28": "fu",
  "7D29": "zhi",
  "7D2A": "ci",
  "7D2B": "zi",
  "7D2C": "chou",
  "7D2D": "hong",
  "7D2E": "za",
  "7D2F": "lei",
  "7D30": "xi",
  "7D31": "fu",
  "7D32": "xie",
  "7D33": "shen",
  "7D34": "bei",
  "7D35": "zhu",
  "7D36": "qu",
  "7D37": "ling",
  "7D38": "zhu",
  "7D39": "shao",
  "7D3A": "gan",
  "7D3B": "yang",
  "7D3C": "fu",
  "7D3D": "tuo",
  "7D3E": "zhen",
  "7D3F": "dai",
  "7D40": "chu",
  "7D41": "shi",
  "7D42": "zhong",
  "7D43": "xian",
  "7D44": "zu",
  "7D45": "jiong",
  "7D46": "ban",
  "7D47": "ju",
  "7D48": "mo",
  "7D49": "shu",
  "7D4A": "zui",
  "7D4C": "jing",
  "7D4D": "ren",
  "7D4E": "heng",
  "7D4F": "xie",
  "7D50": "jie",
  "7D51": "zhu",
  "7D52": "chou",
  "7D53": "gua",
  "7D54": "bai",
  "7D55": "jue",
  "7D56": "kuang",
  "7D57": "hu",
  "7D58": "ci",
  "7D59": "geng",
  "7D5A": "geng",
  "7D5B": "tao",
  "7D5C": "xie",
  "7D5D": "ku",
  "7D5E": "jiao",
  "7D5F": "quan",
  "7D60": "gai",
  "7D61": "luo",
  "7D62": "xuan",
  "7D63": "bing",
  "7D64": "xian",
  "7D65": "fu",
  "7D66": "gei",
  "7D67": "tong",
  "7D68": "rong",
  "7D69": "tiao",
  "7D6A": "yin",
  "7D6B": "lei",
  "7D6C": "xie",
  "7D6D": "quan",
  "7D6E": "xu",
  "7D6F": "gai",
  "7D70": "die",
  "7D71": "tong",
  "7D72": "si",
  "7D73": "jiang",
  "7D74": "xiang",
  "7D75": "hui",
  "7D76": "jue",
  "7D77": "zhi",
  "7D78": "jian",
  "7D79": "juan",
  "7D7A": "chi",
  "7D7B": "mian",
  "7D7C": "zhen",
  "7D7D": "lv",
  "7D7E": "cheng",
  "7D7F": "qiu",
  "7D80": "shu",
  "7D81": "bang",
  "7D82": "tong",
  "7D83": "xiao",
  "7D84": "wan",
  "7D85": "qin",
  "7D86": "geng",
  "7D87": "xiu",
  "7D88": "ti",
  "7D89": "xiu",
  "7D8A": "xie",
  "7D8B": "hong",
  "7D8C": "xi",
  "7D8D": "fu",
  "7D8E": "ting",
  "7D8F": "sui",
  "7D90": "dui",
  "7D91": "kun",
  "7D92": "fu",
  "7D93": "jing",
  "7D94": "hu",
  "7D95": "zhi",
  "7D96": "yan",
  "7D97": "jiong",
  "7D98": "feng",
  "7D99": "ji",
  "7D9C": "zong",
  "7D9D": "lin",
  "7D9E": "duo",
  "7D9F": "li",
  "7DA0": "lv",
  "7DA1": "liang",
  "7DA2": "chou",
  "7DA3": "quan",
  "7DA4": "shao",
  "7DA5": "qi",
  "7DA6": "qi",
  "7DA7": "zhun",
  "7DA8": "qi",
  "7DA9": "wan",
  "7DAA": "qian",
  "7DAB": "xian",
  "7DAC": "shou",
  "7DAD": "wei",
  "7DAE": "qi",
  "7DAF": "tao",
  "7DB0": "wan",
  "7DB1": "gang",
  "7DB2": "wang",
  "7DB3": "beng",
  "7DB4": "zhui",
  "7DB5": "cai",
  "7DB6": "guo",
  "7DB7": "cui",
  "7DB8": "lun",
  "7DB9": "liu",
  "7DBA": "qi",
  "7DBB": "zhan",
  "7DBC": "bei",
  "7DBD": "chuo",
  "7DBE": "ling",
  "7DBF": "mian",
  "7DC0": "qi",
  "7DC1": "qie",
  "7DC2": "tan",
  "7DC3": "zong",
  "7DC4": "gun",
  "7DC5": "zou",
  "7DC6": "yi",
  "7DC7": "zi",
  "7DC8": "xing",
  "7DC9": "liang",
  "7DCA": "jin",
  "7DCB": "fei",
  "7DCC": "rui",
  "7DCD": "min",
  "7DCE": "yu",
  "7DCF": "zong",
  "7DD0": "fan",
  "7DD1": "lv",
  "7DD2": "xu",
  "7DD3": "ying",
  "7DD4": "zhang",
  "7DD6": "xu",
  "7DD7": "xiang",
  "7DD8": "jian",
  "7DD9": "ke",
  "7DDA": "xian",
  "7DDB": "ruan",
  "7DDC": "mian",
  "7DDD": "ji",
  "7DDE": "duan",
  "7DDF": "zhong",
  "7DE0": "di",
  "7DE1": "min",
  "7DE2": "miao",
  "7DE3": "yuan",
  "7DE4": "xie",
  "7DE5": "bao",
  "7DE6": "si",
  "7DE7": "qiu",
  "7DE8": "bian",
  "7DE9": "huan",
  "7DEA": "geng",
  "7DEB": "cong",
  "7DEC": "mian",
  "7DED": "wei",
  "7DEE": "fu",
  "7DEF": "wei",
  "7DF0": "yu",
  "7DF1": "gou",
  "7DF2": "miao",
  "7DF3": "xie",
  "7DF4": "lian",
  "7DF5": "zong",
  "7DF6": "bian",
  "7DF7": "yun",
  "7DF8": "yin",
  "7DF9": "ti",
  "7DFA": "gua",
  "7DFB": "zhi",
  "7DFC": "yun",
  "7DFD": "cheng",
  "7DFE": "chan",
  "7DFF": "dai",
  "7E00": "xia",
  "7E01": "yuan",
  "7E02": "zong",
  "7E03": "xu",
  "7E06": "geng",
  "7E08": "ying",
  "7E09": "jin",
  "7E0A": "yi",
  "7E0B": "zhui",
  "7E0C": "ni",
  "7E0D": "bang",
  "7E0E": "gu",
  "7E0F": "pan",
  "7E10": "zhou",
  "7E11": "jian",
  "7E12": "cuo",
  "7E13": "quan",
  "7E14": "shuang",
  "7E15": "yun",
  "7E16": "xia",
  "7E17": "cui",
  "7E18": "xi",
  "7E19": "rong",
  "7E1A": "tao",
  "7E1B": "fu",
  "7E1C": "yun",
  "7E1D": "chen",
  "7E1E": "gao",
  "7E1F": "ru",
  "7E20": "hu",
  "7E21": "zai",
  "7E22": "teng",
  "7E23": "xian",
  "7E24": "su",
  "7E25": "zhen",
  "7E26": "zong",
  "7E27": "tao",
  "7E29": "cai",
  "7E2A": "bi",
  "7E2B": "feng",
  "7E2C": "cu",
  "7E2D": "li",
  "7E2E": "suo",
  "7E2F": "yin",
  "7E30": "xi",
  "7E31": "zong",
  "7E32": "lei",
  "7E33": "zhuan",
  "7E34": "qian",
  "7E35": "man",
  "7E36": "zhi",
  "7E37": "lv",
  "7E38": "mo",
  "7E39": "piao",
  "7E3A": "lian",
  "7E3B": "mi",
  "7E3C": "xuan",
  "7E3D": "zong",
  "7E3E": "ji",
  "7E3F": "shan",
  "7E40": "sui",
  "7E41": "fan",
  "7E42": "shuai",
  "7E43": "beng",
  "7E44": "yi",
  "7E45": "sao",
  "7E46": "mou",
  "7E47": "yao",
  "7E48": "qiang",
  "7E49": "hun",
  "7E4B": "xi",
  "7E4D": "xiu",
  "7E4E": "ran",
  "7E4F": "xuan",
  "7E50": "sui",
  "7E51": "qiao",
  "7E52": "zeng",
  "7E53": "zuo",
  "7E54": "zhi",
  "7E55": "shan",
  "7E56": "san",
  "7E57": "lin",
  "7E58": "yu",
  "7E59": "fan",
  "7E5A": "liao",
  "7E5B": "chuo",
  "7E5C": "zun",
  "7E5D": "jian",
  "7E5E": "rao",
  "7E5F": "chan",
  "7E60": "rui",
  "7E61": "xiu",
  "7E62": "hui",
  "7E63": "hua",
  "7E64": "zuan",
  "7E65": "xi",
  "7E66": "qiang",
  "7E68": "da",
  "7E69": "sheng",
  "7E6A": "hui",
  "7E6B": "xi",
  "7E6C": "se",
  "7E6D": "jian",
  "7E6E": "jiang",
  "7E6F": "huan",
  "7E70": "zao",
  "7E71": "cong",
  "7E72": "jie",
  "7E73": "jiao",
  "7E74": "bo",
  "7E75": "chan",
  "7E76": "yi",
  "7E77": "nao",
  "7E78": "sui",
  "7E79": "yi",
  "7E7A": "shai",
  "7E7B": "xu",
  "7E7C": "ji",
  "7E7D": "bin",
  "7E7E": "qian",
  "7E7F": "lan",
  "7E80": "pu",
  "7E81": "xun",
  "7E82": "zuan",
  "7E83": "qi",
  "7E84": "peng",
  "7E85": "li",
  "7E86": "mo",
  "7E87": "lei",
  "7E88": "xie",
  "7E89": "zuan",
  "7E8A": "kuang",
  "7E8B": "you",
  "7E8C": "xu",
  "7E8D": "lei",
  "7E8E": "xian",
  "7E8F": "chan",
  "7E91": "lu",
  "7E92": "chan",
  "7E93": "ying",
  "7E94": "cai",
  "7E95": "xiang",
  "7E96": "xian",
  "7E97": "zui",
  "7E98": "zuan",
  "7E99": "luo",
  "7E9A": "xi",
  "7E9B": "dao",
  "7E9C": "lan",
  "7E9D": "lei",
  "7E9E": "lian",
  "7E9F": "si",
  "7EA0": "jiu",
  "7EA1": "yu",
  "7EA2": "hong",
  "7EA3": "zhou",
  "7EA4": "xian",
  "7EA5": "he",
  "7EA6": "yue",
  "7EA7": "ji",
  "7EA8": "wan",
  "7EA9": "kuang",
  "7EAA": "ji",
  "7EAB": "ren",
  "7EAC": "wei",
  "7EAD": "yun",
  "7EAE": "hong",
  "7EAF": "chun",
  "7EB0": "pi",
  "7EB1": "sha",
  "7EB2": "gang",
  "7EB3": "na",
  "7EB4": "ren",
  "7EB5": "zong",
  "7EB6": "lun",
  "7EB7": "fen",
  "7EB8": "zhi",
  "7EB9": "wen",
  "7EBA": "fang",
  "7EBB": "zhu",
  "7EBC": "yin",
  "7EBD": "niu",
  "7EBE": "shu",
  "7EBF": "xian",
  "7EC0": "gan",
  "7EC1": "xie",
  "7EC2": "fu",
  "7EC3": "lian",
  "7EC4": "zu",
  "7EC5": "shen",
  "7EC6": "xi",
  "7EC7": "zhi",
  "7EC8": "zhong",
  "7EC9": "zhou",
  "7ECA": "ban",
  "7ECB": "fu",
  "7ECC": "zhuo",
  "7ECD": "shao",
  "7ECE": "yi",
  "7ECF": "jing",
  "7ED0": "dai",
  "7ED1": "bang",
  "7ED2": "rong",
  "7ED3": "jie",
  "7ED4": "ku",
  "7ED5": "rao",
  "7ED6": "die",
  "7ED7": "heng",
  "7ED8": "hui",
  "7ED9": "gei",
  "7EDA": "xuan",
  "7EDB": "jiang",
  "7EDC": "luo",
  "7EDD": "jue",
  "7EDE": "jiao",
  "7EDF": "tong",
  "7EE0": "geng",
  "7EE1": "xiao",
  "7EE2": "juan",
  "7EE3": "xiu",
  "7EE4": "xi",
  "7EE5": "sui",
  "7EE6": "tao",
  "7EE7": "ji",
  "7EE8": "ti",
  "7EE9": "ji",
  "7EEA": "xu",
  "7EEB": "ling",
  "7EEC": "ying",
  "7EED": "xu",
  "7EEE": "qi",
  "7EEF": "fei",
  "7EF0": "chuo",
  "7EF1": "zhang",
  "7EF2": "gun",
  "7EF3": "sheng",
  "7EF4": "wei",
  "7EF5": "mian",
  "7EF6": "shou",
  "7EF7": "beng",
  "7EF8": "chou",
  "7EF9": "tao",
  "7EFA": "liu",
  "7EFB": "quan",
  "7EFC": "zong",
  "7EFD": "zhan",
  "7EFE": "wan",
  "7EFF": "lv",
  "7F00": "zhui",
  "7F01": "zi",
  "7F02": "ke",
  "7F03": "xiang",
  "7F04": "jian",
  "7F05": "mian",
  "7F06": "lan",
  "7F07": "ti",
  "7F08": "miao",
  "7F09": "qi",
  "7F0A": "yun",
  "7F0B": "hui",
  "7F0C": "si",
  "7F0D": "duo",
  "7F0E": "duan",
  "7F0F": "bian",
  "7F10": "xian",
  "7F11": "gou",
  "7F12": "zhui",
  "7F13": "huan",
  "7F14": "di",
  "7F15": "lv",
  "7F16": "bian",
  "7F17": "min",
  "7F18": "yuan",
  "7F19": "jin",
  "7F1A": "fu",
  "7F1B": "ru",
  "7F1C": "zhen",
  "7F1D": "feng",
  "7F1E": "shuai",
  "7F1F": "gao",
  "7F20": "chan",
  "7F21": "li",
  "7F22": "yi",
  "7F23": "jian",
  "7F24": "bin",
  "7F25": "piao",
  "7F26": "man",
  "7F27": "lei",
  "7F28": "ying",
  "7F29": "suo",
  "7F2A": "mou",
  "7F2B": "sao",
  "7F2C": "xie",
  "7F2D": "liao",
  "7F2E": "shan",
  "7F2F": "zeng",
  "7F30": "jiang",
  "7F31": "qian",
  "7F32": "zao",
  "7F33": "huan",
  "7F34": "jiao",
  "7F35": "zuan",
  "7F36": "fou",
  "7F37": "xie",
  "7F38": "gang",
  "7F39": "fou",
  "7F3A": "que",
  "7F3B": "fou",
  "7F3D": "bo",
  "7F3E": "ping",
  "7F3F": "hou",
  "7F41": "gang",
  "7F42": "ying",
  "7F43": "ying",
  "7F44": "qing",
  "7F45": "xia",
  "7F46": "guan",
  "7F47": "zun",
  "7F48": "tan",
  "7F4A": "qi",
  "7F4B": "weng",
  "7F4C": "ying",
  "7F4D": "lei",
  "7F4E": "tan",
  "7F4F": "lu",
  "7F50": "guan",
  "7F51": "wang",
  "7F52": "wang",
  "7F53": "gang",
  "7F54": "wang",
  "7F55": "han",
  "7F57": "luo",
  "7F58": "fu",
  "7F59": "mi",
  "7F5A": "fa",
  "7F5B": "gu",
  "7F5C": "zhu",
  "7F5D": "ju",
  "7F5E": "mao",
  "7F5F": "gu",
  "7F60": "min",
  "7F61": "gang",
  "7F62": "ba",
  "7F63": "gua",
  "7F64": "ti",
  "7F65": "juan",
  "7F66": "fu",
  "7F67": "lin",
  "7F68": "yan",
  "7F69": "zhao",
  "7F6A": "zui",
  "7F6B": "gua",
  "7F6C": "zhuo",
  "7F6D": "yu",
  "7F6E": "zhi",
  "7F6F": "an",
  "7F70": "fa",
  "7F71": "nan",
  "7F72": "shu",
  "7F73": "si",
  "7F74": "pi",
  "7F75": "ma",
  "7F76": "liu",
  "7F77": "ba",
  "7F78": "fa",
  "7F79": "li",
  "7F7A": "chao",
  "7F7B": "wei",
  "7F7C": "bi",
  "7F7D": "ji",
  "7F7E": "zeng",
  "7F7F": "tong",
  "7F80": "liu",
  "7F81": "ji",
  "7F82": "juan",
  "7F83": "mi",
  "7F84": "zhao",
  "7F85": "luo",
  "7F86": "pi",
  "7F87": "ji",
  "7F88": "ji",
  "7F89": "luan",
  "7F8A": "yang",
  "7F8B": "mi",
  "7F8C": "qiang",
  "7F8D": "ta",
  "7F8E": "mei",
  "7F8F": "yang",
  "7F90": "you",
  "7F91": "you",
  "7F92": "fen",
  "7F93": "ba",
  "7F94": "gao",
  "7F95": "yang",
  "7F96": "gu",
  "7F97": "qiang",
  "7F98": "zang",
  "7F99": "gao",
  "7F9A": "ling",
  "7F9B": "yi",
  "7F9C": "zhu",
  "7F9D": "di",
  "7F9E": "xiu",
  "7F9F": "qian",
  "7FA0": "yi",
  "7FA1": "xian",
  "7FA2": "rong",
  "7FA3": "qun",
  "7FA4": "qun",
  "7FA5": "qiang",
  "7FA6": "huan",
  "7FA7": "suo",
  "7FA8": "xian",
  "7FA9": "yi",
  "7FAB": "qiang",
  "7FAC": "xian",
  "7FAD": "yu",
  "7FAE": "geng",
  "7FAF": "jie",
  "7FB0": "tang",
  "7FB1": "yuan",
  "7FB2": "xi",
  "7FB3": "fan",
  "7FB4": "shan",
  "7FB5": "fen",
  "7FB6": "shan",
  "7FB7": "lian",
  "7FB8": "lei",
  "7FB9": "geng",
  "7FBA": "nou",
  "7FBB": "qiang",
  "7FBC": "chan",
  "7FBD": "yu",
  "7FBE": "gong",
  "7FBF": "yi",
  "7FC0": "chong",
  "7FC1": "weng",
  "7FC2": "fen",
  "7FC3": "hong",
  "7FC4": "chi",
  "7FC5": "chi",
  "7FC6": "cui",
  "7FC7": "fu",
  "7FC8": "xia",
  "7FC9": "pen",
  "7FCA": "yi",
  "7FCB": "la",
  "7FCC": "yi",
  "7FCD": "pi",
  "7FCE": "ling",
  "7FCF": "liu",
  "7FD0": "zhi",
  "7FD1": "qu",
  "7FD2": "xi",
  "7FD3": "xie",
  "7FD4": "xiang",
  "7FD5": "xi",
  "7FD6": "xi",
  "7FD7": "qi",
  "7FD8": "qiao",
  "7FD9": "hui",
  "7FDA": "hui",
  "7FDB": "xiao",
  "7FDC": "se",
  "7FDD": "hong",
  "7FDE": "jiang",
  "7FDF": "di",
  "7FE0": "cui",
  "7FE1": "fei",
  "7FE2": "tao",
  "7FE3": "sha",
  "7FE4": "chi",
  "7FE5": "zhu",
  "7FE6": "jian",
  "7FE7": "xuan",
  "7FE8": "shi",
  "7FE9": "pian",
  "7FEA": "zong",
  "7FEB": "wan",
  "7FEC": "hui",
  "7FED": "hou",
  "7FEE": "he",
  "7FEF": "he",
  "7FF0": "han",
  "7FF1": "ao",
  "7FF2": "piao",
  "7FF3": "yi",
  "7FF4": "lian",
  "7FF5": "qu",
  "7FF7": "lin",
  "7FF8": "pen",
  "7FF9": "qiao",
  "7FFA": "ao",
  "7FFB": "fan",
  "7FFC": "yi",
  "7FFD": "hui",
  "7FFE": "xuan",
  "7FFF": "dao",
  "800A": "die",
  "800B": "die",
  "800C": "er",
  "800D": "shua",
  "800E": "ruan",
  "800F": "er",
  "801A": "pi",
  "801B": "chi",
  "801C": "si",
  "801D": "chu",
  "801E": "jia",
  "801F": "ju",
  "802A": "pang",
  "802B": "ze",
  "802C": "lou",
  "802D": "ji",
  "802E": "lao",
  "802F": "huo",
  "803A": "yun",
  "803B": "chi",
  "803C": "dan",
  "803D": "dan",
  "803E": "hong",
  "803F": "geng",
  "804A": "liao",
  "804B": "long",
  "804C": "zhi",
  "804D": "ning",
  "804E": "tiao",
  "804F": "er",
  "805A": "ju",
  "805B": "bi",
  "805C": "di",
  "805D": "guo",
  "805E": "wen",
  "805F": "xu",
  "806A": "cong",
  "806B": "lian",
  "806C": "weng",
  "806D": "kui",
  "806E": "lian",
  "806F": "lian",
  "807B": "ji",
  "807C": "ting",
  "807D": "ting",
  "807E": "long",
  "807F": "yu",
  "808A": "yi",
  "808B": "lei",
  "808C": "ji",
  "808D": "qiu",
  "808E": "ken",
  "808F": "cao",
  "809A": "du",
  "809B": "gang",
  "809C": "rong",
  "809D": "gan",
  "809E": "cha",
  "809F": "wo",
  "80A0": "chang",
  "80A1": "gu",
  "80A2": "zhi",
  "80A3": "han",
  "80A4": "fu",
  "80A5": "fei",
  "80A6": "fen",
  "80A7": "pei",
  "80A8": "pang",
  "80A9": "jian",
  "80AA": "fang",
  "80AB": "zhun",
  "80AC": "you",
  "80AD": "na",
  "80AE": "hang",
  "80AF": "ken",
  "80B0": "ran",
  "80B1": "gong",
  "80B2": "yu",
  "80B3": "wen",
  "80B4": "yao",
  "80B5": "jin",
  "80B6": "pi",
  "80B7": "qian",
  "80B8": "xi",
  "80B9": "xi",
  "80BA": "fei",
  "80BB": "ken",
  "80BC": "jing",
  "80BD": "tai",
  "80BE": "shen",
  "80BF": "zhong",
  "80C0": "zhang",
  "80C1": "xie",
  "80C2": "shen",
  "80C3": "wei",
  "80C4": "zhou",
  "80C5": "die",
  "80C6": "dan",
  "80C7": "fei",
  "80C8": "ba",
  "80C9": "bo",
  "80CA": "qu",
  "80CB": "tian",
  "80CC": "bei",
  "80CD": "gua",
  "80CE": "tai",
  "80CF": "zi",
  "80D0": "ku",
  "80D1": "zhi",
  "80D2": "ni",
  "80D3": "ping",
  "80D4": "zi",
  "80D5": "fu",
  "80D6": "pang",
  "80D7": "zhen",
  "80D8": "xian",
  "80D9": "zuo",
  "80DA": "pei",
  "80DB": "jia",
  "80DC": "sheng",
  "80DD": "zhi",
  "80DE": "bao",
  "80DF": "mu",
  "80E0": "qu",
  "80E1": "hu",
  "80E2": "ke",
  "80E3": "yi",
  "80E4": "yin",
  "80E5": "xu",
  "80E6": "yang",
  "80E7": "long",
  "80E8": "dong",
  "80E9": "ka",
  "80EA": "lu",
  "80EB": "jing",
  "80EC": "nu",
  "80ED": "yan",
  "80EE": "pang",
  "80EF": "kua",
  "80F0": "yi",
  "80F1": "guang",
  "80F2": "hai",
  "80F3": "ge",
  "80F4": "dong",
  "80F5": "zhi",
  "80F6": "xiao",
  "80F7": "xiong",
  "80F8": "xiong",
  "80F9": "er",
  "80FA": "e",
  "80FB": "xing",
  "80FC": "pian",
  "80FD": "neng",
  "80FE": "zi",
  "810A": "ji",
  "810D": "kuai",
  "810E": "sa",
  "810F": "zang",
  "811A": "jiao",
  "811B": "jing",
  "811C": "rou",
  "811D": "heng",
  "811E": "cuo",
  "811F": "lie",
  "812A": "xin",
  "812B": "tuo",
  "812C": "pao",
  "812D": "cheng",
  "812E": "nei",
  "812F": "fu",
  "813A": "cui",
  "813B": "jie",
  "813C": "liang",
  "813D": "zhou",
  "813E": "pi",
  "813F": "biao",
  "814A": "la",
  "814B": "yi",
  "814C": "yan",
  "814D": "ren",
  "814E": "shen",
  "814F": "chuo",
  "815A": "ding",
  "815B": "wu",
  "815C": "mei",
  "815D": "ruan",
  "815E": "zhuan",
  "815F": "zhi",
  "816A": "yun",
  "816B": "zhong",
  "816C": "rou",
  "816D": "e",
  "816E": "sai",
  "816F": "tu",
  "817A": "xian",
  "817B": "ni",
  "817C": "mian",
  "817D": "wa",
  "817E": "teng",
  "817F": "tui",
  "818A": "bo",
  "818B": "liao",
  "818C": "ji",
  "818D": "pi",
  "818E": "xie",
  "818F": "gao",
  "819A": "fu",
  "819B": "tang",
  "819C": "mo",
  "819D": "xi",
  "819E": "zhuan",
  "819F": "lv",
  "81A0": "jiao",
  "81A1": "ying",
  "81A2": "lv",
  "81A3": "zhi",
  "81A5": "chun",
  "81A6": "lian",
  "81A7": "tong",
  "81A8": "peng",
  "81A9": "ni",
  "81AA": "zha",
  "81AB": "liao",
  "81AC": "cui",
  "81AD": "gui",
  "81AE": "xiao",
  "81AF": "teng",
  "81B0": "fan",
  "81B1": "zhi",
  "81B2": "jiao",
  "81B3": "shan",
  "81B4": "hu",
  "81B5": "cui",
  "81B6": "run",
  "81B7": "xiang",
  "81B8": "sui",
  "81B9": "fen",
  "81BA": "ying",
  "81BB": "dan",
  "81BC": "zhua",
  "81BD": "dan",
  "81BE": "kuai",
  "81BF": "nong",
  "81C0": "tun",
  "81C1": "lian",
  "81C2": "bi",
  "81C3": "yong",
  "81C4": "jue",
  "81C5": "chu",
  "81C6": "yi",
  "81C7": "juan",
  "81C8": "la",
  "81C9": "lian",
  "81CA": "sao",
  "81CB": "tun",
  "81CC": "gu",
  "81CD": "qi",
  "81CE": "cui",
  "81CF": "bin",
  "81D0": "xun",
  "81D1": "ru",
  "81D2": "huo",
  "81D3": "zang",
  "81D4": "xian",
  "81D5": "biao",
  "81D6": "xing",
  "81D7": "kuan",
  "81D8": "la",
  "81D9": "yan",
  "81DA": "lu",
  "81DB": "huo",
  "81DC": "zang",
  "81DD": "luo",
  "81DE": "qu",
  "81DF": "zang",
  "81E0": "luan",
  "81E1": "ni",
  "81E2": "zang",
  "81E3": "chen",
  "81E4": "qian",
  "81E5": "wo",
  "81E6": "guang",
  "81E7": "zang",
  "81E8": "lin",
  "81E9": "guang",
  "81EA": "zi",
  "81EB": "jiao",
  "81EC": "nie",
  "81ED": "chou",
  "81EE": "ji",
  "81EF": "gao",
  "81F0": "chou",
  "81F1": "mian",
  "81F2": "nie",
  "81F3": "zhi",
  "81F4": "zhi",
  "81F5": "ge",
  "81F6": "jian",
  "81F7": "die",
  "81F8": "zhi",
  "81F9": "xiu",
  "81FA": "tai",
  "81FB": "zhen",
  "81FC": "jiu",
  "81FD": "xian",
  "81FE": "yu",
  "81FF": "cha",
  "820A": "jiu",
  "820B": "xin",
  "820C": "she",
  "820D": "she",
  "820F": "jiu",
  "821A": "tan",
  "821B": "chuan",
  "821C": "shun",
  "821D": "xia",
  "821E": "wu",
  "821F": "zhou",
  "822A": "hang",
  "822B": "fang",
  "822C": "ban",
  "822D": "que",
  "822F": "zhong",
  "823A": "xia",
  "823B": "lu",
  "823C": "hong",
  "823D": "pang",
  "823E": "xi",
  "824A": "bo",
  "824B": "meng",
  "824C": "nian",
  "824D": "ju",
  "824E": "huang",
  "824F": "shou",
  "825A": "cao",
  "825B": "lou",
  "825C": "dai",
  "825E": "yao",
  "825F": "tong",
  "826A": "lu",
  "826B": "lu",
  "826C": "chan",
  "826D": "shuang",
  "826E": "gen",
  "826F": "liang",
  "827A": "yi",
  "827B": "le",
  "827C": "ting",
  "827D": "qiu",
  "827E": "ai",
  "827F": "nai",
  "828A": "qian",
  "828B": "yu",
  "828C": "yu",
  "828D": "shao",
  "828E": "qiong",
  "828F": "tu",
  "829A": "tun",
  "829B": "wei",
  "829C": "wu",
  "829D": "zhi",
  "829E": "qi",
  "829F": "shan",
  "82A0": "wen",
  "82A1": "qian",
  "82A2": "ren",
  "82A3": "fu",
  "82A4": "kou",
  "82A5": "jie",
  "82A6": "lu",
  "82A7": "xu",
  "82A8": "ji",
  "82A9": "qin",
  "82AA": "qi",
  "82AB": "yuan",
  "82AC": "fen",
  "82AD": "ba",
  "82AE": "rui",
  "82AF": "xin",
  "82B0": "ji",
  "82B1": "hua",
  "82B2": "hua",
  "82B3": "fang",
  "82B4": "wu",
  "82B5": "jue",
  "82B6": "gou",
  "82B7": "zhi",
  "82B8": "yun",
  "82B9": "qin",
  "82BA": "ao",
  "82BB": "chu",
  "82BC": "mao",
  "82BD": "ya",
  "82BE": "fei",
  "82BF": "reng",
  "82C0": "hang",
  "82C1": "cong",
  "82C2": "yin",
  "82C3": "you",
  "82C4": "bian",
  "82C5": "yi",
  "82C7": "wei",
  "82C8": "li",
  "82C9": "pi",
  "82CA": "e",
  "82CB": "xian",
  "82CC": "chang",
  "82CD": "cang",
  "82CE": "meng",
  "82CF": "su",
  "82D0": "yi",
  "82D1": "yuan",
  "82D2": "ran",
  "82D3": "ling",
  "82D4": "tai",
  "82D5": "tiao",
  "82D6": "di",
  "82D7": "miao",
  "82D8": "qiong",
  "82D9": "li",
  "82DA": "yong",
  "82DB": "ke",
  "82DC": "mu",
  "82DD": "pei",
  "82DE": "bao",
  "82DF": "gou",
  "82E0": "min",
  "82E1": "yi",
  "82E2": "yi",
  "82E3": "ju",
  "82E4": "pi",
  "82E5": "ruo",
  "82E6": "ku",
  "82E7": "zhu",
  "82E8": "ni",
  "82E9": "bo",
  "82EA": "bing",
  "82EB": "shan",
  "82EC": "qiu",
  "82ED": "yao",
  "82EE": "xian",
  "82EF": "ben",
  "82F0": "hong",
  "82F1": "ying",
  "82F2": "zha",
  "82F3": "dong",
  "82F4": "ju",
  "82F5": "die",
  "82F6": "nie",
  "82F7": "gan",
  "82F8": "hu",
  "82F9": "ping",
  "82FA": "mei",
  "82FB": "fu",
  "82FC": "sheng",
  "82FD": "gu",
  "82FE": "bi",
  "82FF": "wei",
  "830A": "zi",
  "830B": "di",
  "830C": "chi",
  "830D": "ji",
  "830E": "jing",
  "830F": "long",
  "831A": "yin",
  "831B": "gen",
  "831C": "qian",
  "831D": "chai",
  "831E": "chen",
  "831F": "yu",
  "832A": "guang",
  "832B": "mang",
  "832C": "chi",
  "832D": "jiao",
  "832E": "jiao",
  "832F": "fu",
  "833A": "chong",
  "833B": "mang",
  "833C": "tong",
  "833D": "zhong",
  "833F": "zhu",
  "834A": "jing",
  "834B": "er",
  "834C": "an",
  "834D": "shou",
  "834E": "chi",
  "834F": "ren",
  "835A": "jia",
  "835B": "rao",
  "835C": "bi",
  "835D": "ze",
  "835E": "qiao",
  "835F": "hui",
  "836A": "sun",
  "836B": "yin",
  "836C": "mai",
  "836D": "hong",
  "836E": "zhou",
  "836F": "yao",
  "837A": "yun",
  "837B": "di",
  "837C": "tu",
  "837D": "sui",
  "837E": "sui",
  "837F": "cheng",
  "838A": "zhuang",
  "838B": "ji",
  "838C": "duo",
  "838D": "qiu",
  "838E": "sha",
  "838F": "suo",
  "839A": "yan",
  "839B": "ting",
  "839C": "diao",
  "839D": "cuo",
  "839E": "guan",
  "839F": "han",
  "83A0": "you",
  "83A1": "cuo",
  "83A2": "jia",
  "83A3": "wang",
  "83A4": "you",
  "83A5": "niu",
  "83A6": "shao",
  "83A7": "xian",
  "83A8": "lang",
  "83A9": "fu",
  "83AA": "e",
  "83AB": "mo",
  "83AC": "wen",
  "83AD": "jie",
  "83AE": "nan",
  "83AF": "mu",
  "83B0": "kan",
  "83B1": "lai",
  "83B2": "lian",
  "83B3": "shi",
  "83B4": "wo",
  "83B6": "lian",
  "83B7": "huo",
  "83B8": "you",
  "83B9": "ying",
  "83BA": "ying",
  "83BC": "chun",
  "83BD": "mang",
  "83BE": "mang",
  "83BF": "ci",
  "83C0": "wan",
  "83C1": "jing",
  "83C2": "di",
  "83C3": "qu",
  "83C4": "dong",
  "83C5": "jian",
  "83C6": "zou",
  "83C7": "gu",
  "83C8": "la",
  "83C9": "lu",
  "83CA": "ju",
  "83CB": "wei",
  "83CC": "jun",
  "83CD": "nie",
  "83CE": "kun",
  "83CF": "he",
  "83D0": "pu",
  "83D1": "zi",
  "83D2": "gao",
  "83D3": "guo",
  "83D4": "fu",
  "83D5": "lun",
  "83D6": "chang",
  "83D7": "chou",
  "83D8": "song",
  "83D9": "chui",
  "83DA": "zhan",
  "83DB": "men",
  "83DC": "cai",
  "83DD": "ba",
  "83DE": "li",
  "83DF": "tu",
  "83E0": "bo",
  "83E1": "han",
  "83E2": "bao",
  "83E3": "qin",
  "83E4": "juan",
  "83E5": "xi",
  "83E6": "qin",
  "83E7": "di",
  "83E8": "jie",
  "83E9": "pu",
  "83EA": "dang",
  "83EB": "jin",
  "83EC": "zhao",
  "83ED": "tai",
  "83EE": "geng",
  "83EF": "hua",
  "83F0": "gu",
  "83F1": "ling",
  "83F2": "fei",
  "83F3": "jin",
  "83F4": "an",
  "83F5": "wang",
  "83F6": "beng",
  "83F7": "zhou",
  "83F8": "yan",
  "83F9": "ju",
  "83FA": "jian",
  "83FB": "lin",
  "83FC": "tan",
  "83FD": "shu",
  "83FE": "tian",
  "83FF": "dao",
  "840A": "lai",
  "840B": "qi",
  "840C": "meng",
  "840D": "ping",
  "840E": "wei",
  "840F": "dan",
  "841A": "tuo",
  "841B": "jiu",
  "841C": "tie",
  "841D": "luo",
  "842A": "ke",
  "842B": "xiang",
  "842C": "wan",
  "842D": "yu",
  "842E": "yu",
  "842F": "fu",
  "843A": "mao",
  "843B": "an",
  "843C": "e",
  "843D": "luo",
  "843E": "ying",
  "843F": "huo",
  "844A": "an",
  "844B": "qu",
  "844C": "jian",
  "844D": "fu",
  "844E": "lv",
  "844F": "jing",
  "845A": "shen",
  "845B": "ge",
  "845C": "jie",
  "845D": "jing",
  "845E": "mi",
  "845F": "huang",
  "846A": "ji",
  "846B": "hu",
  "846C": "zang",
  "846D": "jia",
  "846E": "duan",
  "846F": "yao",
  "847A": "qi",
  "847B": "lan",
  "847C": "zong",
  "847D": "yao",
  "847E": "yuan",
  "847F": "mei",
  "848B": "jiang",
  "848C": "lou",
  "848D": "wei",
  "848E": "pai",
  "849A": "he",
  "849B": "que",
  "849C": "suan",
  "849D": "yuan",
  "849E": "li",
  "849F": "ju",
  "84A0": "xi",
  "84A1": "bang",
  "84A2": "chu",
  "84A3": "xu",
  "84A4": "tu",
  "84A5": "liu",
  "84A6": "wo",
  "84A7": "zhen",
  "84A8": "qian",
  "84A9": "zu",
  "84AA": "po",
  "84AB": "cuo",
  "84AC": "yuan",
  "84AD": "chu",
  "84AE": "yu",
  "84AF": "kuai",
  "84B0": "pan",
  "84B1": "pu",
  "84B2": "pu",
  "84B3": "na",
  "84B4": "shuo",
  "84B5": "xi",
  "84B6": "fen",
  "84B7": "yun",
  "84B8": "zheng",
  "84B9": "jian",
  "84BA": "ji",
  "84BB": "ruo",
  "84BC": "cang",
  "84BD": "en",
  "84BE": "mi",
  "84BF": "hao",
  "84C0": "sun",
  "84C1": "zhen",
  "84C2": "ming",
  "84C3": "huo",
  "84C4": "xu",
  "84C5": "liu",
  "84C6": "xi",
  "84C7": "gu",
  "84C8": "lang",
  "84C9": "rong",
  "84CA": "weng",
  "84CB": "gai",
  "84CC": "cuo",
  "84CD": "shi",
  "84CE": "tang",
  "84CF": "luo",
  "84D0": "ru",
  "84D1": "suo",
  "84D2": "xian",
  "84D3": "bei",
  "84D4": "yao",
  "84D5": "gui",
  "84D6": "bi",
  "84D7": "zong",
  "84D8": "gun",
  "84DA": "xiu",
  "84DB": "ce",
  "84DD": "lan",
  "84DF": "ji",
  "84E0": "li",
  "84E1": "can",
  "84E2": "lang",
  "84E3": "yu",
  "84E5": "ying",
  "84E6": "mo",
  "84E7": "diao",
  "84E8": "tiao",
  "84E9": "mao",
  "84EA": "tong",
  "84EB": "zhu",
  "84EC": "peng",
  "84ED": "an",
  "84EE": "lian",
  "84EF": "cong",
  "84F0": "xi",
  "84F1": "ping",
  "84F2": "qiu",
  "84F3": "jin",
  "84F4": "chun",
  "84F5": "jie",
  "84F6": "wei",
  "84F7": "tui",
  "84F8": "cao",
  "84F9": "yu",
  "84FA": "yi",
  "84FB": "ji",
  "84FC": "liao",
  "84FD": "bi",
  "84FE": "lu",
  "84FF": "su",
  "850A": "han",
  "850B": "di",
  "850C": "su",
  "850D": "lu",
  "850E": "she",
  "850F": "shang",
  "851A": "wei",
  "851B": "hu",
  "851C": "ao",
  "851D": "mi",
  "851E": "lou",
  "851F": "cu",
  "852A": "jian",
  "852B": "yan",
  "852C": "shu",
  "852D": "yin",
  "852E": "kui",
  "852F": "chen",
  "853A": "lin",
  "853B": "kou",
  "853C": "ai",
  "853D": "bi",
  "853E": "li",
  "853F": "wei",
  "854A": "rui",
  "854B": "rui",
  "854C": "lei",
  "854D": "yu",
  "854E": "qiao",
  "854F": "chu",
  "855A": "e",
  "855B": "teng",
  "855C": "fei",
  "855D": "jue",
  "855E": "zui",
  "855F": "fa",
  "856A": "wu",
  "856B": "tong",
  "856C": "si",
  "856D": "xiao",
  "856E": "xi",
  "856F": "long",
  "857A": "ji",
  "857B": "hong",
  "857C": "si",
  "857D": "nong",
  "857E": "lei",
  "857F": "xuan",
  "858A": "ji",
  "858B": "ci",
  "858C": "xiang",
  "858D": "luan",
  "858E": "mie",
  "858F": "yi",
  "859A": "tang",
  "859B": "xue",
  "859C": "bi",
  "859D": "zhan",
  "859E": "sun",
  "859F": "lian",
  "85A0": "fan",
  "85A1": "ding",
  "85A2": "jie",
  "85A3": "gu",
  "85A4": "xie",
  "85A5": "shu",
  "85A6": "jian",
  "85A7": "kao",
  "85A8": "hong",
  "85A9": "sa",
  "85AA": "xin",
  "85AB": "xun",
  "85AC": "yao",
  "85AE": "sou",
  "85AF": "shu",
  "85B0": "xun",
  "85B1": "dui",
  "85B2": "pin",
  "85B3": "wei",
  "85B4": "neng",
  "85B5": "chou",
  "85B6": "mai",
  "85B7": "ru",
  "85B8": "piao",
  "85B9": "tai",
  "85BA": "ci",
  "85BB": "zao",
  "85BC": "chen",
  "85BD": "zhen",
  "85BE": "er",
  "85BF": "ni",
  "85C0": "ying",
  "85C1": "gao",
  "85C2": "cong",
  "85C3": "xiao",
  "85C4": "qi",
  "85C5": "fa",
  "85C6": "jian",
  "85C7": "xu",
  "85C8": "kui",
  "85C9": "jie",
  "85CA": "bian",
  "85CB": "diao",
  "85CC": "mi",
  "85CD": "lan",
  "85CE": "jin",
  "85CF": "cang",
  "85D0": "miao",
  "85D1": "qiong",
  "85D2": "qie",
  "85D3": "xian",
  "85D5": "ou",
  "85D6": "xian",
  "85D7": "su",
  "85D8": "lv",
  "85D9": "yi",
  "85DA": "xu",
  "85DB": "xie",
  "85DC": "li",
  "85DD": "yi",
  "85DE": "la",
  "85DF": "lei",
  "85E0": "xiao",
  "85E1": "di",
  "85E2": "zhi",
  "85E3": "bei",
  "85E4": "teng",
  "85E5": "yao",
  "85E6": "mo",
  "85E7": "huan",
  "85E8": "biao",
  "85E9": "fan",
  "85EA": "sou",
  "85EB": "tan",
  "85EC": "tui",
  "85ED": "qiong",
  "85EE": "qiao",
  "85EF": "wei",
  "85F0": "liu",
  "85F1": "hui",
  "85F3": "gao",
  "85F4": "yun",
  "85F6": "li",
  "85F7": "shu",
  "85F8": "chu",
  "85F9": "ai",
  "85FA": "lin",
  "85FB": "zao",
  "85FC": "xuan",
  "85FD": "chen",
  "85FE": "lai",
  "85FF": "huo",
  "860A": "yun",
  "860B": "pin",
  "860C": "yu",
  "860D": "xun",
  "860E": "ji",
  "860F": "jiong",
  "861A": "xian",
  "861B": "yu",
  "861C": "ju",
  "861D": "lian",
  "861E": "lian",
  "861F": "yin",
  "862A": "mi",
  "862B": "lan",
  "862C": "kui",
  "862D": "lan",
  "862E": "ji",
  "862F": "dang",
  "863A": "li",
  "863B": "ji",
  "863C": "mi",
  "863D": "lei",
  "863E": "huai",
  "863F": "luo",
  "864A": "luan",
  "864B": "men",
  "864C": "bie",
  "864D": "hu",
  "864E": "hu",
  "864F": "lu",
  "865A": "xu",
  "865B": "xu",
  "865C": "lu",
  "865D": "hu",
  "865E": "yu",
  "865F": "hao",
  "866A": "shu",
  "866B": "chong",
  "866C": "qiu",
  "866D": "diao",
  "866E": "ji",
  "866F": "qiu",
  "867A": "hui",
  "867B": "meng",
  "867C": "ge",
  "867D": "sui",
  "867E": "xia",
  "867F": "chai",
  "868A": "wen",
  "868B": "rui",
  "868C": "bang",
  "868D": "bi",
  "868E": "yue",
  "868F": "yue",
  "869A": "qi",
  "869B": "zhong",
  "869C": "ya",
  "869D": "ci",
  "869E": "mu",
  "869F": "wang",
  "86A0": "fen",
  "86A1": "fen",
  "86A2": "hang",
  "86A3": "gong",
  "86A4": "zao",
  "86A5": "fu",
  "86A6": "ran",
  "86A7": "jie",
  "86A8": "fu",
  "86A9": "chi",
  "86AA": "dou",
  "86AB": "piao",
  "86AC": "xian",
  "86AD": "ni",
  "86AE": "te",
  "86AF": "qiu",
  "86B0": "you",
  "86B1": "zha",
  "86B2": "ping",
  "86B3": "chi",
  "86B4": "you",
  "86B5": "he",
  "86B6": "han",
  "86B7": "ju",
  "86B8": "li",
  "86B9": "fu",
  "86BA": "ran",
  "86BB": "zha",
  "86BC": "gou",
  "86BD": "pi",
  "86BE": "bo",
  "86BF": "xian",
  "86C0": "zhu",
  "86C1": "diao",
  "86C2": "bie",
  "86C3": "bing",
  "86C4": "gu",
  "86C5": "ran",
  "86C6": "qu",
  "86C7": "she",
  "86C8": "tie",
  "86C9": "ling",
  "86CA": "gu",
  "86CB": "dan",
  "86CC": "gu",
  "86CD": "ying",
  "86CE": "li",
  "86CF": "cheng",
  "86D0": "qu",
  "86D1": "mou",
  "86D2": "ge",
  "86D3": "ci",
  "86D4": "hui",
  "86D5": "hui",
  "86D6": "mang",
  "86D7": "fu",
  "86D8": "yang",
  "86D9": "wa",
  "86DA": "lie",
  "86DB": "zhu",
  "86DC": "yi",
  "86DD": "xian",
  "86DE": "kuo",
  "86DF": "jiao",
  "86E0": "li",
  "86E1": "yi",
  "86E2": "ping",
  "86E3": "jie",
  "86E4": "ha",
  "86E5": "she",
  "86E6": "yi",
  "86E7": "wang",
  "86E8": "mo",
  "86E9": "qiong",
  "86EA": "qie",
  "86EB": "gui",
  "86EC": "gong",
  "86ED": "zhi",
  "86EE": "man",
  "86F0": "zhi",
  "86F1": "jia",
  "86F2": "rao",
  "86F3": "si",
  "86F4": "qi",
  "86F5": "xing",
  "86F6": "lie",
  "86F7": "qiu",
  "86F8": "shao",
  "86F9": "yong",
  "86FA": "jia",
  "86FB": "tui",
  "86FC": "che",
  "86FD": "bai",
  "86FE": "e",
  "86FF": "han",
  "870A": "li",
  "870B": "lang",
  "870C": "bi",
  "870D": "chu",
  "870E": "yuan",
  "870F": "you",
  "871A": "fei",
  "871B": "ju",
  "871C": "mi",
  "871D": "qi",
  "871E": "qi",
  "871F": "yu",
  "872A": "tao",
  "872B": "kun",
  "872C": "gan",
  "872D": "han",
  "872E": "yu",
  "872F": "bang",
  "873A": "ni",
  "873B": "qing",
  "873C": "wei",
  "873D": "liang",
  "873E": "guo",
  "873F": "wan",
  "874B": "la",
  "874C": "ke",
  "874D": "ji",
  "874E": "he",
  "874F": "ting",
  "875A": "rou",
  "875B": "wei",
  "875C": "fu",
  "875D": "yuan",
  "875E": "mei",
  "875F": "wei",
  "876A": "tang",
  "876B": "zhu",
  "876C": "zong",
  "876D": "ti",
  "876E": "fu",
  "876F": "yuan",
  "877A": "ju",
  "877B": "nan",
  "877C": "lou",
  "877D": "qun",
  "877E": "rong",
  "877F": "ying",
  "878A": "lian",
  "878B": "sou",
  "878C": "ban",
  "878D": "rong",
  "878E": "rong",
  "878F": "ji",
  "879A": "nai",
  "879B": "he",
  "879C": "hu",
  "879D": "hui",
  "879E": "ma",
  "879F": "ming",
  "87A0": "yi",
  "87A1": "wen",
  "87A2": "ying",
  "87A3": "teng",
  "87A4": "yu",
  "87A5": "cang",
  "87A8": "man",
  "87AA": "shang",
  "87AB": "shi",
  "87AC": "cao",
  "87AD": "chi",
  "87AE": "di",
  "87AF": "ao",
  "87B0": "lu",
  "87B1": "wei",
  "87B2": "zhi",
  "87B3": "tang",
  "87B4": "chen",
  "87B5": "piao",
  "87B6": "qu",
  "87B7": "pi",
  "87B8": "yu",
  "87B9": "jian",
  "87BA": "luo",
  "87BB": "lou",
  "87BC": "qin",
  "87BD": "zhong",
  "87BE": "yin",
  "87BF": "jiang",
  "87C0": "shuai",
  "87C1": "wen",
  "87C2": "jiao",
  "87C3": "wan",
  "87C4": "zhe",
  "87C5": "zhe",
  "87C6": "ma",
  "87C7": "ma",
  "87C8": "guo",
  "87C9": "liu",
  "87CA": "mao",
  "87CB": "xi",
  "87CC": "cong",
  "87CD": "li",
  "87CE": "man",
  "87CF": "xiao",
  "87D1": "zhang",
  "87D2": "mang",
  "87D3": "xiang",
  "87D4": "mo",
  "87D5": "zui",
  "87D6": "si",
  "87D7": "qiu",
  "87D8": "te",
  "87D9": "zhi",
  "87DA": "peng",
  "87DB": "peng",
  "87DC": "jiao",
  "87DD": "qu",
  "87DE": "bie",
  "87DF": "liao",
  "87E0": "pan",
  "87E1": "gui",
  "87E2": "xi",
  "87E3": "ji",
  "87E4": "zhuan",
  "87E5": "huang",
  "87E6": "fei",
  "87E7": "lao",
  "87E8": "jue",
  "87E9": "jue",
  "87EA": "hui",
  "87EB": "yin",
  "87EC": "chan",
  "87ED": "jiao",
  "87EE": "shan",
  "87EF": "rao",
  "87F0": "xiao",
  "87F1": "mou",
  "87F2": "chong",
  "87F3": "xun",
  "87F4": "si",
  "87F6": "cheng",
  "87F7": "dang",
  "87F8": "li",
  "87F9": "xie",
  "87FA": "shan",
  "87FB": "yi",
  "87FC": "jing",
  "87FD": "da",
  "87FE": "chan",
  "87FF": "qi",
  "880A": "lian",
  "880B": "zhu",
  "880C": "ze",
  "880D": "xie",
  "880E": "mang",
  "880F": "xie",
  "881A": "he",
  "881B": "mie",
  "881C": "fan",
  "881D": "lei",
  "881E": "jie",
  "881F": "la",
  "882A": "long",
  "882B": "li",
  "882C": "long",
  "882D": "feng",
  "882E": "ye",
  "882F": "beng",
  "883A": "can",
  "883B": "man",
  "883C": "jue",
  "883D": "jie",
  "883E": "zhu",
  "883F": "zha",
  "884A": "mie",
  "884B": "xi",
  "884C": "xing",
  "884D": "yan",
  "884E": "kan",
  "884F": "yuan",
  "885A": "hu",
  "885B": "wei",
  "885C": "dao",
  "885D": "chong",
  "885E": "wei",
  "885F": "dao",
  "886A": "yi",
  "886B": "shan",
  "886C": "chen",
  "886D": "fu",
  "886E": "gun",
  "886F": "fen",
  "887A": "xie",
  "887B": "ran",
  "887C": "zhi",
  "887D": "ren",
  "887E": "qin",
  "887F": "jin",
  "888A": "ling",
  "888B": "dai",
  "888C": "bao",
  "888D": "pao",
  "888E": "yao",
  "888F": "zuo",
  "889A": "bo",
  "889B": "di",
  "889C": "wa",
  "889D": "fu",
  "889E": "gun",
  "889F": "zhi",
  "88A0": "zhi",
  "88A1": "ran",
  "88A2": "pan",
  "88A3": "yi",
  "88A4": "mao",
  "88A6": "na",
  "88A7": "kou",
  "88A8": "xian",
  "88A9": "chan",
  "88AA": "qu",
  "88AB": "bei",
  "88AC": "gun",
  "88AD": "xi",
  "88AF": "bo",
  "88B1": "fu",
  "88B2": "yi",
  "88B3": "chi",
  "88B4": "ku",
  "88B5": "ren",
  "88B6": "jiang",
  "88B7": "jia",
  "88B8": "cun",
  "88B9": "mo",
  "88BA": "jie",
  "88BB": "er",
  "88BC": "luo",
  "88BD": "ru",
  "88BE": "zhu",
  "88BF": "gui",
  "88C0": "yin",
  "88C1": "cai",
  "88C2": "lie",
  "88C5": "zhuang",
  "88C6": "dang",
  "88C8": "kun",
  "88C9": "ken",
  "88CA": "niao",
  "88CB": "shu",
  "88CC": "jia",
  "88CD": "kun",
  "88CE": "cheng",
  "88CF": "li",
  "88D0": "juan",
  "88D1": "shen",
  "88D2": "pou",
  "88D3": "ge",
  "88D4": "yi",
  "88D5": "yu",
  "88D6": "zhen",
  "88D7": "liu",
  "88D8": "qiu",
  "88D9": "qun",
  "88DA": "ji",
  "88DB": "yi",
  "88DC": "bu",
  "88DD": "zhuang",
  "88DE": "shui",
  "88DF": "sha",
  "88E0": "qun",
  "88E1": "li",
  "88E2": "lian",
  "88E3": "lian",
  "88E4": "ku",
  "88E5": "jian",
  "88E6": "fou",
  "88E7": "chan",
  "88E8": "bi",
  "88E9": "gun",
  "88EA": "tao",
  "88EB": "yuan",
  "88EC": "ling",
  "88ED": "chi",
  "88EE": "chang",
  "88EF": "chou",
  "88F0": "duo",
  "88F1": "biao",
  "88F2": "liang",
  "88F3": "chang",
  "88F4": "pei",
  "88F5": "pei",
  "88F6": "fei",
  "88F7": "yuan",
  "88F8": "luo",
  "88F9": "guo",
  "88FA": "yan",
  "88FB": "du",
  "88FC": "xi",
  "88FD": "zhi",
  "88FE": "ju",
  "88FF": "qi",
  "890A": "bian",
  "890B": "die",
  "890C": "kun",
  "890D": "duan",
  "890E": "xiu",
  "890F": "xiu",
  "891A": "chu",
  "891B": "lv",
  "891E": "yun",
  "891F": "da",
  "892A": "tun",
  "892B": "chi",
  "892C": "sang",
  "892D": "niao",
  "892E": "ying",
  "892F": "jie",
  "893A": "die",
  "893B": "xie",
  "893C": "xian",
  "893D": "wei",
  "893E": "biao",
  "893F": "cao",
  "894A": "zui",
  "894B": "ji",
  "894C": "dan",
  "894D": "za",
  "894E": "fan",
  "894F": "bo",
  "895A": "sui",
  "895B": "nong",
  "895C": "chan",
  "895D": "lian",
  "895E": "bi",
  "895F": "jin",
  "896A": "wa",
  "896B": "shi",
  "896C": "bai",
  "896D": "xie",
  "896E": "bo",
  "896F": "chen",
  "897A": "jian",
  "897B": "pan",
  "897C": "yi",
  "897E": "ya",
  "897F": "xi",
  "898A": "ji",
  "898B": "jian",
  "898C": "guan",
  "898D": "bian",
  "898E": "yan",
  "898F": "gui",
  "899A": "jue",
  "899B": "mi",
  "899C": "tiao",
  "899D": "lian",
  "899E": "yao",
  "899F": "zhi",
  "89A0": "jun",
  "89A1": "xi",
  "89A2": "shan",
  "89A3": "wei",
  "89A4": "xi",
  "89A5": "tian",
  "89A6": "yu",
  "89A7": "lan",
  "89A8": "e",
  "89A9": "du",
  "89AA": "qin",
  "89AB": "pang",
  "89AC": "ji",
  "89AD": "ming",
  "89AE": "ying",
  "89AF": "gou",
  "89B0": "qu",
  "89B1": "zhan",
  "89B2": "jin",
  "89B3": "guan",
  "89B4": "deng",
  "89B5": "jian",
  "89B6": "luo",
  "89B7": "qu",
  "89B8": "jian",
  "89B9": "wei",
  "89BA": "jue",
  "89BB": "qu",
  "89BC": "luo",
  "89BD": "lan",
  "89BE": "shen",
  "89BF": "di",
  "89C0": "guan",
  "89C1": "jian",
  "89C2": "guan",
  "89C3": "yan",
  "89C4": "gui",
  "89C5": "mi",
  "89C6": "shi",
  "89C7": "zhan",
  "89C8": "lan",
  "89C9": "jue",
  "89CA": "ji",
  "89CB": "xi",
  "89CC": "di",
  "89CD": "tian",
  "89CE": "yu",
  "89CF": "gou",
  "89D0": "jin",
  "89D1": "qu",
  "89D2": "jiao",
  "89D3": "jiu",
  "89D4": "jin",
  "89D5": "cu",
  "89D6": "jue",
  "89D7": "zhi",
  "89D8": "chao",
  "89D9": "ji",
  "89DA": "gu",
  "89DB": "dan",
  "89DC": "zi",
  "89DD": "di",
  "89DE": "shang",
  "89DF": "hua",
  "89E0": "quan",
  "89E1": "ge",
  "89E2": "chi",
  "89E3": "jie",
  "89E4": "gui",
  "89E5": "gong",
  "89E6": "hong",
  "89E7": "jie",
  "89E8": "hun",
  "89E9": "qiu",
  "89EA": "xing",
  "89EB": "su",
  "89EC": "ni",
  "89ED": "ji",
  "89EE": "lu",
  "89EF": "zhi",
  "89F0": "zha",
  "89F1": "bi",
  "89F2": "xing",
  "89F3": "hu",
  "89F4": "shang",
  "89F5": "gong",
  "89F6": "zhi",
  "89F7": "xue",
  "89F8": "chu",
  "89F9": "xi",
  "89FA": "yi",
  "89FB": "lu",
  "89FC": "jue",
  "89FD": "xi",
  "89FE": "yan",
  "89FF": "xi",
  "8A00": "yan",
  "8A02": "ding",
  "8A03": "fu",
  "8A04": "qiu",
  "8A05": "qiu",
  "8A06": "jiao",
  "8A07": "hong",
  "8A08": "ji",
  "8A09": "fan",
  "8A0A": "xun",
  "8A0B": "diao",
  "8A0C": "hong",
  "8A0D": "cha",
  "8A0E": "tao",
  "8A0F": "xu",
  "8A10": "jie",
  "8A11": "yi",
  "8A12": "ren",
  "8A13": "xun",
  "8A14": "yin",
  "8A15": "shan",
  "8A16": "qi",
  "8A17": "tuo",
  "8A18": "ji",
  "8A19": "xun",
  "8A1A": "yin",
  "8A1B": "e",
  "8A1C": "fen",
  "8A1D": "ya",
  "8A1E": "yao",
  "8A1F": "song",
  "8A20": "shen",
  "8A21": "yin",
  "8A22": "xin",
  "8A23": "jue",
  "8A24": "xiao",
  "8A25": "ne",
  "8A26": "chen",
  "8A27": "you",
  "8A28": "zhi",
  "8A29": "xiong",
  "8A2A": "fang",
  "8A2B": "xin",
  "8A2C": "chao",
  "8A2D": "she",
  "8A2E": "xian",
  "8A2F": "sha",
  "8A30": "tun",
  "8A31": "xu",
  "8A32": "yi",
  "8A33": "yi",
  "8A34": "su",
  "8A35": "chi",
  "8A36": "he",
  "8A37": "shen",
  "8A38": "he",
  "8A39": "xu",
  "8A3A": "zhen",
  "8A3B": "zhu",
  "8A3C": "zheng",
  "8A3D": "gou",
  "8A3E": "zi",
  "8A3F": "zi",
  "8A40": "zhan",
  "8A41": "gu",
  "8A42": "fu",
  "8A43": "quan",
  "8A44": "die",
  "8A45": "ling",
  "8A46": "di",
  "8A47": "yang",
  "8A48": "li",
  "8A49": "nao",
  "8A4A": "pan",
  "8A4B": "zhou",
  "8A4C": "gan",
  "8A4D": "yi",
  "8A4E": "ju",
  "8A4F": "ao",
  "8A50": "zha",
  "8A51": "tuo",
  "8A52": "yi",
  "8A53": "qu",
  "8A54": "zhao",
  "8A55": "ping",
  "8A56": "bi",
  "8A57": "xiong",
  "8A58": "qu",
  "8A59": "ba",
  "8A5A": "da",
  "8A5B": "zu",
  "8A5C": "tao",
  "8A5D": "zhu",
  "8A5E": "ci",
  "8A5F": "zhe",
  "8A60": "yong",
  "8A61": "xu",
  "8A62": "xun",
  "8A63": "yi",
  "8A64": "huang",
  "8A65": "he",
  "8A66": "shi",
  "8A67": "cha",
  "8A68": "jiao",
  "8A69": "shi",
  "8A6A": "hen",
  "8A6B": "cha",
  "8A6C": "gou",
  "8A6D": "gui",
  "8A6E": "quan",
  "8A6F": "hui",
  "8A70": "jie",
  "8A71": "hua",
  "8A72": "gai",
  "8A73": "xiang",
  "8A74": "wei",
  "8A75": "shen",
  "8A76": "chou",
  "8A77": "tong",
  "8A78": "mi",
  "8A79": "zhan",
  "8A7A": "ming",
  "8A7B": "e",
  "8A7C": "hui",
  "8A7D": "yan",
  "8A7E": "xiong",
  "8A7F": "gua",
  "8A80": "er",
  "8A81": "beng",
  "8A82": "tiao",
  "8A83": "chi",
  "8A84": "lei",
  "8A85": "zhu",
  "8A86": "kuang",
  "8A87": "kua",
  "8A88": "wu",
  "8A89": "yu",
  "8A8A": "teng",
  "8A8B": "ji",
  "8A8C": "zhi",
  "8A8D": "ren",
  "8A8E": "su",
  "8A8F": "lang",
  "8A90": "e",
  "8A91": "kuang",
  "8A92": "e",
  "8A93": "shi",
  "8A94": "ting",
  "8A95": "dan",
  "8A96": "bo",
  "8A97": "chan",
  "8A98": "you",
  "8A99": "heng",
  "8A9A": "qiao",
  "8A9B": "qin",
  "8A9C": "shua",
  "8A9D": "an",
  "8A9E": "yu",
  "8A9F": "xiao",
  "8AA0": "cheng",
  "8AA1": "jie",
  "8AA2": "xian",
  "8AA3": "wu",
  "8AA4": "wu",
  "8AA5": "gao",
  "8AA6": "song",
  "8AA7": "pu",
  "8AA8": "hui",
  "8AA9": "jing",
  "8AAA": "shuo",
  "8AAB": "zhen",
  "8AAC": "shuo",
  "8AAD": "du",
  "8AAF": "chang",
  "8AB0": "shui",
  "8AB1": "jie",
  "8AB2": "ke",
  "8AB3": "qu",
  "8AB4": "cong",
  "8AB5": "xiao",
  "8AB6": "sui",
  "8AB7": "wang",
  "8AB8": "xuan",
  "8AB9": "fei",
  "8ABA": "chi",
  "8ABB": "ta",
  "8ABC": "yi",
  "8ABD": "na",
  "8ABE": "yin",
  "8ABF": "diao",
  "8AC0": "pi",
  "8AC1": "chuo",
  "8AC2": "chan",
  "8AC3": "chen",
  "8AC4": "zhun",
  "8AC5": "ji",
  "8AC6": "qi",
  "8AC7": "tan",
  "8AC8": "zhui",
  "8AC9": "wei",
  "8ACA": "ju",
  "8ACB": "qing",
  "8ACC": "jian",
  "8ACD": "zheng",
  "8ACE": "ze",
  "8ACF": "zou",
  "8AD0": "qian",
  "8AD1": "zhuo",
  "8AD2": "liang",
  "8AD3": "jian",
  "8AD4": "zhu",
  "8AD5": "hao",
  "8AD6": "lun",
  "8AD7": "shen",
  "8AD8": "biao",
  "8AD9": "huai",
  "8ADA": "pian",
  "8ADB": "yu",
  "8ADC": "die",
  "8ADD": "xu",
  "8ADE": "pian",
  "8ADF": "shi",
  "8AE0": "xuan",
  "8AE1": "shi",
  "8AE2": "hun",
  "8AE3": "hua",
  "8AE4": "e",
  "8AE5": "zhong",
  "8AE6": "di",
  "8AE7": "xie",
  "8AE8": "fu",
  "8AE9": "pu",
  "8AEA": "ting",
  "8AEB": "jian",
  "8AEC": "qi",
  "8AED": "yu",
  "8AEE": "zi",
  "8AEF": "chuan",
  "8AF0": "xi",
  "8AF1": "hui",
  "8AF2": "yin",
  "8AF3": "an",
  "8AF4": "xian",
  "8AF5": "nan",
  "8AF6": "chen",
  "8AF7": "feng",
  "8AF8": "zhu",
  "8AF9": "yang",
  "8AFA": "yan",
  "8AFB": "heng",
  "8AFC": "xuan",
  "8AFD": "ge",
  "8AFE": "nuo",
  "8AFF": "qi",
  "8B00": "mou",
  "8B01": "ye",
  "8B02": "wei",
  "8B04": "teng",
  "8B05": "zou",
  "8B06": "shan",
  "8B07": "jian",
  "8B08": "bo",
  "8B0A": "huang",
  "8B0B": "huo",
  "8B0C": "ge",
  "8B0D": "ying",
  "8B0E": "mi",
  "8B0F": "xiao",
  "8B10": "mi",
  "8B11": "xi",
  "8B12": "qiang",
  "8B13": "chen",
  "8B14": "nve",
  "8B15": "ti",
  "8B16": "su",
  "8B17": "bang",
  "8B18": "chi",
  "8B19": "qian",
  "8B1A": "shi",
  "8B1B": "jiang",
  "8B1C": "yuan",
  "8B1D": "xie",
  "8B1E": "xue",
  "8B1F": "tao",
  "8B20": "yao",
  "8B21": "yao",
  "8B23": "yu",
  "8B24": "biao",
  "8B25": "cong",
  "8B26": "qing",
  "8B27": "li",
  "8B28": "mo",
  "8B29": "mo",
  "8B2A": "shang",
  "8B2B": "zhe",
  "8B2C": "miu",
  "8B2D": "jian",
  "8B2E": "ze",
  "8B2F": "jie",
  "8B30": "lian",
  "8B31": "lou",
  "8B32": "can",
  "8B33": "ou",
  "8B34": "guan",
  "8B35": "xi",
  "8B36": "zhuo",
  "8B37": "ao",
  "8B38": "ao",
  "8B39": "jin",
  "8B3A": "zhe",
  "8B3B": "yi",
  "8B3C": "hu",
  "8B3D": "jiang",
  "8B3E": "man",
  "8B3F": "chao",
  "8B40": "han",
  "8B41": "hua",
  "8B42": "chan",
  "8B43": "xu",
  "8B44": "zeng",
  "8B45": "se",
  "8B46": "xi",
  "8B47": "she",
  "8B48": "dui",
  "8B49": "zheng",
  "8B4A": "nao",
  "8B4B": "lan",
  "8B4C": "e",
  "8B4D": "ying",
  "8B4E": "jue",
  "8B4F": "ji",
  "8B50": "zun",
  "8B51": "jiao",
  "8B52": "bo",
  "8B53": "hui",
  "8B54": "zhuan",
  "8B55": "mu",
  "8B56": "zen",
  "8B57": "zha",
  "8B58": "shi",
  "8B59": "qiao",
  "8B5A": "tan",
  "8B5B": "zen",
  "8B5C": "pu",
  "8B5D": "sheng",
  "8B5E": "xuan",
  "8B5F": "zao",
  "8B60": "tan",
  "8B61": "dang",
  "8B62": "sui",
  "8B63": "qian",
  "8B64": "ji",
  "8B65": "jiao",
  "8B66": "jing",
  "8B67": "lian",
  "8B68": "nou",
  "8B69": "yi",
  "8B6A": "ai",
  "8B6B": "zhan",
  "8B6C": "pi",
  "8B6D": "hui",
  "8B6E": "hua",
  "8B6F": "yi",
  "8B70": "yi",
  "8B71": "shan",
  "8B72": "rang",
  "8B73": "nou",
  "8B74": "qian",
  "8B75": "zhui",
  "8B76": "ta",
  "8B77": "hu",
  "8B78": "zhou",
  "8B79": "hao",
  "8B7A": "ye",
  "8B7B": "ying",
  "8B7C": "jian",
  "8B7D": "yu",
  "8B7E": "jian",
  "8B7F": "hui",
  "8B80": "du",
  "8B81": "zhe",
  "8B82": "xuan",
  "8B83": "zan",
  "8B84": "lei",
  "8B85": "shen",
  "8B86": "wei",
  "8B87": "chan",
  "8B88": "li",
  "8B89": "yi",
  "8B8A": "bian",
  "8B8B": "zhe",
  "8B8C": "yan",
  "8B8D": "e",
  "8B8E": "chou",
  "8B8F": "wei",
  "8B90": "chou",
  "8B91": "yao",
  "8B92": "chan",
  "8B93": "rang",
  "8B94": "yin",
  "8B95": "lan",
  "8B96": "chen",
  "8B97": "huo",
  "8B98": "zhe",
  "8B99": "huan",
  "8B9A": "zan",
  "8B9B": "yi",
  "8B9C": "dang",
  "8B9D": "zhan",
  "8B9E": "yan",
  "8B9F": "du",
  "8BA0": "yan",
  "8BA1": "ji",
  "8BA2": "ding",
  "8BA3": "fu",
  "8BA4": "ren",
  "8BA5": "ji",
  "8BA6": "jie",
  "8BA7": "hong",
  "8BA8": "tao",
  "8BA9": "rang",
  "8BAA": "shan",
  "8BAB": "qi",
  "8BAC": "tuo",
  "8BAD": "xun",
  "8BAE": "yi",
  "8BAF": "xun",
  "8BB0": "ji",
  "8BB1": "ren",
  "8BB2": "jiang",
  "8BB3": "hui",
  "8BB4": "ou",
  "8BB5": "ju",
  "8BB6": "ya",
  "8BB7": "ne",
  "8BB8": "xu",
  "8BB9": "e",
  "8BBA": "lun",
  "8BBB": "xiong",
  "8BBC": "song",
  "8BBD": "feng",
  "8BBE": "she",
  "8BBF": "fang",
  "8BC0": "jue",
  "8BC1": "zheng",
  "8BC2": "gu",
  "8BC3": "he",
  "8BC4": "ping",
  "8BC5": "zu",
  "8BC6": "shi",
  "8BC7": "xiong",
  "8BC8": "zha",
  "8BC9": "su",
  "8BCA": "zhen",
  "8BCB": "di",
  "8BCC": "zou",
  "8BCD": "ci",
  "8BCE": "qu",
  "8BCF": "zhao",
  "8BD0": "bi",
  "8BD1": "yi",
  "8BD2": "yi",
  "8BD3": "kuang",
  "8BD4": "lei",
  "8BD5": "shi",
  "8BD6": "gua",
  "8BD7": "shi",
  "8BD8": "jie",
  "8BD9": "hui",
  "8BDA": "cheng",
  "8BDB": "zhu",
  "8BDC": "shen",
  "8BDD": "hua",
  "8BDE": "dan",
  "8BDF": "gou",
  "8BE0": "quan",
  "8BE1": "gui",
  "8BE2": "xun",
  "8BE3": "yi",
  "8BE4": "zheng",
  "8BE5": "gai",
  "8BE6": "xiang",
  "8BE7": "cha",
  "8BE8": "hun",
  "8BE9": "xu",
  "8BEA": "zhou",
  "8BEB": "jie",
  "8BEC": "wu",
  "8BED": "yu",
  "8BEE": "qiao",
  "8BEF": "wu",
  "8BF0": "gao",
  "8BF1": "you",
  "8BF2": "hui",
  "8BF3": "kuang",
  "8BF4": "shuo",
  "8BF5": "song",
  "8BF6": "ai",
  "8BF7": "qing",
  "8BF8": "zhu",
  "8BF9": "zou",
  "8BFA": "nuo",
  "8BFB": "du",
  "8BFC": "zhuo",
  "8BFD": "fei",
  "8BFE": "ke",
  "8BFF": "wei",
  "8C00": "yu",
  "8C01": "shui",
  "8C02": "shen",
  "8C03": "diao",
  "8C04": "chan",
  "8C05": "liang",
  "8C06": "zhun",
  "8C07": "sui",
  "8C08": "tan",
  "8C09": "shen",
  "8C0A": "yi",
  "8C0B": "mou",
  "8C0C": "chen",
  "8C0D": "die",
  "8C0E": "huang",
  "8C0F": "jian",
  "8C10": "xie",
  "8C11": "nve",
  "8C12": "ye",
  "8C13": "wei",
  "8C14": "e",
  "8C15": "yu",
  "8C16": "xuan",
  "8C17": "chan",
  "8C18": "zi",
  "8C19": "an",
  "8C1A": "yan",
  "8C1B": "di",
  "8C1C": "mi",
  "8C1D": "pian",
  "8C1E": "xu",
  "8C1F": "mo",
  "8C20": "dang",
  "8C21": "su",
  "8C22": "xie",
  "8C23": "yao",
  "8C24": "bang",
  "8C25": "shi",
  "8C26": "qian",
  "8C27": "mi",
  "8C28": "jin",
  "8C29": "man",
  "8C2A": "zhe",
  "8C2B": "jian",
  "8C2C": "miu",
  "8C2D": "tan",
  "8C2E": "zen",
  "8C2F": "qiao",
  "8C30": "lan",
  "8C31": "pu",
  "8C32": "jue",
  "8C33": "yan",
  "8C34": "qian",
  "8C35": "zhan",
  "8C36": "chen",
  "8C37": "gu",
  "8C38": "qian",
  "8C39": "hong",
  "8C3A": "xia",
  "8C3B": "jue",
  "8C3C": "hong",
  "8C3D": "han",
  "8C3E": "hong",
  "8C3F": "xi",
  "8C40": "xi",
  "8C41": "huo",
  "8C42": "liao",
  "8C43": "han",
  "8C44": "du",
  "8C45": "long",
  "8C46": "dou",
  "8C47": "jiang",
  "8C48": "qi",
  "8C49": "chi",
  "8C4A": "li",
  "8C4B": "deng",
  "8C4C": "wan",
  "8C4D": "bi",
  "8C4E": "shu",
  "8C4F": "xian",
  "8C50": "feng",
  "8C51": "zhi",
  "8C52": "zhi",
  "8C53": "yan",
  "8C54": "yan",
  "8C55": "shi",
  "8C56": "chu",
  "8C57": "hui",
  "8C58": "tun",
  "8C59": "yi",
  "8C5A": "tun",
  "8C5B": "yi",
  "8C5C": "jian",
  "8C5D": "ba",
  "8C5E": "hou",
  "8C5F": "e",
  "8C60": "cu",
  "8C61": "xiang",
  "8C62": "huan",
  "8C63": "jian",
  "8C64": "ken",
  "8C65": "gai",
  "8C66": "qu",
  "8C67": "fu",
  "8C68": "xi",
  "8C69": "bin",
  "8C6A": "hao",
  "8C6B": "yu",
  "8C6C": "zhu",
  "8C6D": "jia",
  "8C6E": "fen",
  "8C6F": "xi",
  "8C70": "bo",
  "8C71": "wen",
  "8C72": "huan",
  "8C73": "bin",
  "8C74": "di",
  "8C75": "zong",
  "8C76": "fen",
  "8C77": "yi",
  "8C78": "zhi",
  "8C79": "bao",
  "8C7A": "chai",
  "8C7B": "an",
  "8C7C": "pi",
  "8C7D": "na",
  "8C7E": "pi",
  "8C7F": "gou",
  "8C80": "na",
  "8C81": "you",
  "8C82": "diao",
  "8C83": "mo",
  "8C84": "si",
  "8C85": "xiu",
  "8C86": "huan",
  "8C87": "kun",
  "8C88": "he",
  "8C89": "he",
  "8C8A": "mo",
  "8C8B": "han",
  "8C8C": "mao",
  "8C8D": "li",
  "8C8E": "ni",
  "8C8F": "bi",
  "8C90": "yu",
  "8C91": "jia",
  "8C92": "tuan",
  "8C93": "mao",
  "8C94": "pi",
  "8C95": "xi",
  "8C96": "e",
  "8C97": "ju",
  "8C98": "mo",
  "8C99": "chu",
  "8C9A": "tan",
  "8C9B": "huan",
  "8C9C": "jue",
  "8C9D": "bei",
  "8C9E": "zhen",
  "8C9F": "yuan",
  "8CA0": "fu",
  "8CA1": "cai",
  "8CA2": "gong",
  "8CA3": "te",
  "8CA4": "yi",
  "8CA5": "hang",
  "8CA6": "wan",
  "8CA7": "pin",
  "8CA8": "huo",
  "8CA9": "fan",
  "8CAA": "tan",
  "8CAB": "guan",
  "8CAC": "ze",
  "8CAD": "zhi",
  "8CAE": "er",
  "8CAF": "zhu",
  "8CB0": "shi",
  "8CB1": "bi",
  "8CB2": "zi",
  "8CB3": "er",
  "8CB4": "gui",
  "8CB5": "pian",
  "8CB6": "bian",
  "8CB7": "mai",
  "8CB8": "dai",
  "8CB9": "sheng",
  "8CBA": "kuang",
  "8CBB": "fei",
  "8CBC": "tie",
  "8CBD": "yi",
  "8CBE": "chi",
  "8CBF": "mao",
  "8CC0": "he",
  "8CC1": "bi",
  "8CC2": "lu",
  "8CC3": "lin",
  "8CC4": "hui",
  "8CC5": "gai",
  "8CC6": "pian",
  "8CC7": "zi",
  "8CC8": "jia",
  "8CC9": "xu",
  "8CCA": "zei",
  "8CCB": "jiao",
  "8CCC": "gai",
  "8CCD": "zang",
  "8CCE": "jian",
  "8CCF": "ying",
  "8CD0": "xun",
  "8CD1": "zhen",
  "8CD2": "she",
  "8CD3": "bin",
  "8CD4": "bin",
  "8CD5": "qiu",
  "8CD6": "she",
  "8CD7": "chuan",
  "8CD8": "zang",
  "8CD9": "zhou",
  "8CDA": "lai",
  "8CDB": "zan",
  "8CDC": "ci",
  "8CDD": "chen",
  "8CDE": "shang",
  "8CDF": "tian",
  "8CE0": "pei",
  "8CE1": "geng",
  "8CE2": "xian",
  "8CE3": "mai",
  "8CE4": "jian",
  "8CE5": "sui",
  "8CE6": "fu",
  "8CE7": "tan",
  "8CE8": "cong",
  "8CE9": "cong",
  "8CEA": "zhi",
  "8CEB": "ji",
  "8CEC": "zhang",
  "8CED": "du",
  "8CEE": "jin",
  "8CEF": "xiong",
  "8CF0": "shun",
  "8CF1": "yun",
  "8CF2": "bao",
  "8CF3": "zai",
  "8CF4": "lai",
  "8CF5": "feng",
  "8CF6": "cang",
  "8CF7": "ji",
  "8CF8": "sheng",
  "8CF9": "ai",
  "8CFA": "zhuan",
  "8CFB": "fu",
  "8CFC": "gou",
  "8CFD": "sai",
  "8CFE": "ze",
  "8CFF": "liao",
  "8D00": "wei",
  "8D01": "bai",
  "8D02": "chen",
  "8D03": "zhuan",
  "8D04": "zhi",
  "8D05": "zhui",
  "8D06": "biao",
  "8D07": "yun",
  "8D08": "zeng",
  "8D09": "tan",
  "8D0A": "zan",
  "8D0B": "yan",
  "8D0D": "shan",
  "8D0E": "wan",
  "8D0F": "ying",
  "8D10": "jin",
  "8D11": "gan",
  "8D12": "xian",
  "8D13": "zang",
  "8D14": "bi",
  "8D15": "du",
  "8D16": "shu",
  "8D17": "yan",
  "8D19": "xuan",
  "8D1A": "long",
  "8D1B": "gan",
  "8D1C": "zang",
  "8D1D": "bei",
  "8D1E": "zhen",
  "8D1F": "fu",
  "8D20": "yuan",
  "8D21": "gong",
  "8D22": "cai",
  "8D23": "ze",
  "8D24": "xian",
  "8D25": "bai",
  "8D26": "zhang",
  "8D27": "huo",
  "8D28": "zhi",
  "8D29": "fan",
  "8D2A": "tan",
  "8D2B": "pin",
  "8D2C": "bian",
  "8D2D": "gou",
  "8D2E": "zhu",
  "8D2F": "guan",
  "8D30": "er",
  "8D31": "jian",
  "8D32": "bi",
  "8D33": "shi",
  "8D34": "tie",
  "8D35": "gui",
  "8D36": "kuang",
  "8D37": "dai",
  "8D38": "mao",
  "8D39": "fei",
  "8D3A": "he",
  "8D3B": "yi",
  "8D3C": "zei",
  "8D3D": "zhi",
  "8D3E": "jia",
  "8D3F": "hui",
  "8D40": "zi",
  "8D41": "ren",
  "8D42": "lu",
  "8D43": "zang",
  "8D44": "zi",
  "8D45": "gai",
  "8D46": "jin",
  "8D47": "qiu",
  "8D48": "zhen",
  "8D49": "lai",
  "8D4A": "she",
  "8D4B": "fu",
  "8D4C": "du",
  "8D4D": "ji",
  "8D4E": "shu",
  "8D4F": "shang",
  "8D50": "si",
  "8D51": "bi",
  "8D52": "zhou",
  "8D53": "geng",
  "8D54": "pei",
  "8D55": "tan",
  "8D56": "lai",
  "8D57": "feng",
  "8D58": "zhui",
  "8D59": "fu",
  "8D5A": "zhuan",
  "8D5B": "sai",
  "8D5C": "ze",
  "8D5D": "yan",
  "8D5E": "zan",
  "8D5F": "yun",
  "8D60": "zeng",
  "8D61": "shan",
  "8D62": "ying",
  "8D63": "gan",
  "8D64": "chi",
  "8D65": "xi",
  "8D66": "she",
  "8D67": "nan",
  "8D68": "xiong",
  "8D69": "xi",
  "8D6A": "cheng",
  "8D6B": "he",
  "8D6C": "cheng",
  "8D6D": "zhe",
  "8D6E": "xia",
  "8D6F": "tang",
  "8D70": "zou",
  "8D71": "zou",
  "8D72": "li",
  "8D73": "jiu",
  "8D74": "fu",
  "8D75": "zhao",
  "8D76": "gan",
  "8D77": "qi",
  "8D78": "shan",
  "8D79": "qiong",
  "8D7A": "qin",
  "8D7B": "xian",
  "8D7C": "ci",
  "8D7D": "jue",
  "8D7E": "qin",
  "8D7F": "chi",
  "8D80": "ci",
  "8D81": "chen",
  "8D82": "chen",
  "8D83": "die",
  "8D84": "ju",
  "8D85": "chao",
  "8D86": "di",
  "8D87": "se",
  "8D88": "zhan",
  "8D89": "zhu",
  "8D8A": "yue",
  "8D8B": "qu",
  "8D8C": "jie",
  "8D8D": "chi",
  "8D8E": "chu",
  "8D8F": "gua",
  "8D90": "xue",
  "8D91": "ci",
  "8D92": "tiao",
  "8D93": "duo",
  "8D94": "lie",
  "8D95": "gan",
  "8D96": "suo",
  "8D97": "cu",
  "8D98": "xi",
  "8D99": "zhao",
  "8D9A": "su",
  "8D9B": "yin",
  "8D9C": "ju",
  "8D9D": "jian",
  "8D9E": "que",
  "8D9F": "tang",
  "8DA0": "chuo",
  "8DA1": "cui",
  "8DA2": "lu",
  "8DA3": "qu",
  "8DA4": "dang",
  "8DA5": "qiu",
  "8DA6": "zi",
  "8DA7": "ti",
  "8DA8": "qu",
  "8DA9": "chi",
  "8DAA": "huang",
  "8DAB": "qiao",
  "8DAC": "qiao",
  "8DAD": "yao",
  "8DAE": "zao",
  "8DAF": "ti",
  "8DB1": "zan",
  "8DB2": "zan",
  "8DB3": "zu",
  "8DB4": "pa",
  "8DB5": "bao",
  "8DB6": "ku",
  "8DB7": "ke",
  "8DB8": "dun",
  "8DB9": "jue",
  "8DBA": "fu",
  "8DBB": "chen",
  "8DBC": "jian",
  "8DBD": "fang",
  "8DBE": "zhi",
  "8DBF": "sa",
  "8DC0": "yue",
  "8DC1": "pa",
  "8DC2": "qi",
  "8DC3": "yue",
  "8DC4": "qiang",
  "8DC5": "tuo",
  "8DC6": "tai",
  "8DC7": "yi",
  "8DC8": "nian",
  "8DC9": "ling",
  "8DCA": "mei",
  "8DCB": "ba",
  "8DCC": "die",
  "8DCD": "ku",
  "8DCE": "tuo",
  "8DCF": "jia",
  "8DD0": "ci",
  "8DD1": "pao",
  "8DD2": "qia",
  "8DD3": "zhu",
  "8DD4": "ju",
  "8DD5": "die",
  "8DD6": "zhi",
  "8DD7": "fu",
  "8DD8": "pan",
  "8DD9": "ju",
  "8DDA": "shan",
  "8DDB": "bo",
  "8DDC": "ni",
  "8DDD": "ju",
  "8DDE": "li",
  "8DDF": "gen",
  "8DE0": "yi",
  "8DE1": "ji",
  "8DE2": "dai",
  "8DE3": "xian",
  "8DE4": "jiao",
  "8DE5": "duo",
  "8DE6": "zhu",
  "8DE7": "quan",
  "8DE8": "kua",
  "8DE9": "zhuai",
  "8DEA": "gui",
  "8DEB": "qiong",
  "8DEC": "kui",
  "8DED": "xiang",
  "8DEE": "chi",
  "8DEF": "lu",
  "8DF0": "beng",
  "8DF1": "zhi",
  "8DF2": "jia",
  "8DF3": "tiao",
  "8DF4": "cai",
  "8DF5": "jian",
  "8DF6": "ta",
  "8DF7": "qiao",
  "8DF8": "bi",
  "8DF9": "xian",
  "8DFA": "duo",
  "8DFB": "ji",
  "8DFC": "ju",
  "8DFD": "ji",
  "8DFE": "shu",
  "8DFF": "tu",
  "8E00": "chu",
  "8E01": "jing",
  "8E02": "nie",
  "8E03": "xiao",
  "8E04": "bo",
  "8E05": "chi",
  "8E06": "qun",
  "8E07": "mou",
  "8E08": "shu",
  "8E09": "lang",
  "8E0A": "yong",
  "8E0B": "jiao",
  "8E0C": "chou",
  "8E0D": "qiao",
  "8E0F": "ta",
  "8E10": "jian",
  "8E11": "qi",
  "8E12": "wo",
  "8E13": "wei",
  "8E14": "zhuo",
  "8E15": "jie",
  "8E16": "ji",
  "8E17": "nie",
  "8E18": "ju",
  "8E19": "ju",
  "8E1A": "lun",
  "8E1B": "lu",
  "8E1C": "leng",
  "8E1D": "huai",
  "8E1E": "ju",
  "8E1F": "chi",
  "8E20": "wan",
  "8E21": "quan",
  "8E22": "ti",
  "8E23": "bo",
  "8E24": "zu",
  "8E25": "qie",
  "8E26": "ji",
  "8E27": "cu",
  "8E28": "zong",
  "8E29": "cai",
  "8E2A": "zong",
  "8E2B": "peng",
  "8E2C": "zhi",
  "8E2D": "zheng",
  "8E2E": "dian",
  "8E2F": "zhi",
  "8E30": "yu",
  "8E31": "duo",
  "8E32": "dun",
  "8E33": "chun",
  "8E34": "yong",
  "8E35": "zhong",
  "8E36": "di",
  "8E37": "zhe",
  "8E38": "chen",
  "8E39": "chuai",
  "8E3A": "jian",
  "8E3B": "gua",
  "8E3C": "tang",
  "8E3D": "ju",
  "8E3E": "fu",
  "8E3F": "zu",
  "8E40": "die",
  "8E41": "pian",
  "8E42": "rou",
  "8E43": "nuo",
  "8E44": "ti",
  "8E45": "cha",
  "8E46": "tui",
  "8E47": "jian",
  "8E48": "dao",
  "8E49": "cuo",
  "8E4A": "xi",
  "8E4B": "ta",
  "8E4C": "qiang",
  "8E4D": "zhan",
  "8E4E": "dian",
  "8E4F": "ti",
  "8E50": "ji",
  "8E51": "nie",
  "8E52": "man",
  "8E53": "liu",
  "8E54": "zhan",
  "8E55": "bi",
  "8E56": "chong",
  "8E57": "lu",
  "8E58": "liao",
  "8E59": "cu",
  "8E5A": "tang",
  "8E5B": "dai",
  "8E5C": "suo",
  "8E5D": "xi",
  "8E5E": "kui",
  "8E5F": "ji",
  "8E60": "zhi",
  "8E61": "qiang",
  "8E62": "di",
  "8E63": "pan",
  "8E64": "zong",
  "8E65": "lian",
  "8E66": "beng",
  "8E67": "zao",
  "8E68": "nian",
  "8E69": "bie",
  "8E6A": "tui",
  "8E6B": "ju",
  "8E6C": "deng",
  "8E6D": "ceng",
  "8E6E": "xian",
  "8E6F": "fan",
  "8E70": "chu",
  "8E71": "zhong",
  "8E72": "dun",
  "8E73": "bo",
  "8E74": "cu",
  "8E75": "zu",
  "8E76": "jue",
  "8E77": "jue",
  "8E78": "lin",
  "8E79": "ta",
  "8E7A": "qiao",
  "8E7B": "qiao",
  "8E7C": "pu",
  "8E7D": "liao",
  "8E7E": "dun",
  "8E7F": "cuan",
  "8E80": "kuang",
  "8E81": "zao",
  "8E82": "ta",
  "8E83": "bi",
  "8E84": "bi",
  "8E85": "zhu",
  "8E86": "ju",
  "8E87": "chu",
  "8E88": "qiao",
  "8E89": "dun",
  "8E8A": "chou",
  "8E8B": "ji",
  "8E8C": "wu",
  "8E8D": "yue",
  "8E8E": "nian",
  "8E8F": "lin",
  "8E90": "lie",
  "8E91": "zhi",
  "8E92": "li",
  "8E93": "zhi",
  "8E94": "chan",
  "8E95": "chu",
  "8E96": "duan",
  "8E97": "wei",
  "8E98": "long",
  "8E99": "lin",
  "8E9A": "xian",
  "8E9B": "wei",
  "8E9C": "zuan",
  "8E9D": "lan",
  "8E9E": "xie",
  "8E9F": "rang",
  "8EA0": "xie",
  "8EA1": "nie",
  "8EA2": "ta",
  "8EA3": "qu",
  "8EA4": "jie",
  "8EA5": "cuan",
  "8EA6": "zuan",
  "8EA7": "xi",
  "8EA8": "kui",
  "8EA9": "jue",
  "8EAA": "lin",
  "8EAB": "shen",
  "8EAC": "gong",
  "8EAD": "dan",
  "8EAF": "qu",
  "8EB0": "ti",
  "8EB1": "duo",
  "8EB2": "duo",
  "8EB3": "gong",
  "8EB4": "lang",
  "8EB6": "luo",
  "8EB7": "ai",
  "8EB8": "ji",
  "8EB9": "ju",
  "8EBA": "tang",
  "8EBD": "yan",
  "8EBF": "kang",
  "8EC0": "qu",
  "8EC1": "lou",
  "8EC2": "lao",
  "8EC3": "tuo",
  "8EC4": "zhi",
  "8EC6": "ti",
  "8EC7": "dao",
  "8EC9": "yu",
  "8ECA": "che",
  "8ECB": "ya",
  "8ECC": "gui",
  "8ECD": "jun",
  "8ECE": "wei",
  "8ECF": "yue",
  "8ED0": "xin",
  "8ED1": "di",
  "8ED2": "xuan",
  "8ED3": "fan",
  "8ED4": "ren",
  "8ED5": "shan",
  "8ED6": "qiang",
  "8ED7": "shu",
  "8ED8": "tun",
  "8ED9": "chen",
  "8EDA": "dai",
  "8EDB": "e",
  "8EDC": "na",
  "8EDD": "qi",
  "8EDE": "mao",
  "8EDF": "ruan",
  "8EE0": "ren",
  "8EE1": "fan",
  "8EE2": "zhuan",
  "8EE3": "hong",
  "8EE4": "hu",
  "8EE5": "qu",
  "8EE6": "huang",
  "8EE7": "di",
  "8EE8": "ling",
  "8EE9": "dai",
  "8EEA": "ao",
  "8EEB": "zhen",
  "8EEC": "fan",
  "8EED": "kuang",
  "8EEE": "ang",
  "8EEF": "peng",
  "8EF0": "bei",
  "8EF1": "gu",
  "8EF2": "ku",
  "8EF3": "pao",
  "8EF4": "zhu",
  "8EF5": "rong",
  "8EF6": "e",
  "8EF7": "ba",
  "8EF8": "zhou",
  "8EF9": "zhi",
  "8EFA": "yao",
  "8EFB": "ke",
  "8EFC": "yi",
  "8EFD": "qing",
  "8EFE": "shi",
  "8EFF": "ping",
  "8F00": "er",
  "8F01": "qiong",
  "8F02": "ju",
  "8F03": "jiao",
  "8F04": "guang",
  "8F05": "lu",
  "8F06": "kai",
  "8F07": "quan",
  "8F08": "zhou",
  "8F09": "zai",
  "8F0A": "zhi",
  "8F0B": "she",
  "8F0C": "liang",
  "8F0D": "yu",
  "8F0E": "shao",
  "8F0F": "you",
  "8F10": "huan",
  "8F11": "yun",
  "8F12": "zhe",
  "8F13": "wan",
  "8F14": "fu",
  "8F15": "qing",
  "8F16": "zhou",
  "8F17": "ni",
  "8F18": "ling",
  "8F19": "zhe",
  "8F1A": "zhan",
  "8F1B": "liang",
  "8F1C": "zi",
  "8F1D": "hui",
  "8F1E": "wang",
  "8F1F": "chuo",
  "8F20": "guo",
  "8F21": "kan",
  "8F22": "yi",
  "8F23": "peng",
  "8F24": "qian",
  "8F25": "gun",
  "8F26": "nian",
  "8F27": "pian",
  "8F28": "guan",
  "8F29": "bei",
  "8F2A": "lun",
  "8F2B": "pai",
  "8F2C": "liang",
  "8F2D": "ruan",
  "8F2E": "rou",
  "8F2F": "ji",
  "8F30": "yang",
  "8F31": "xian",
  "8F32": "chuan",
  "8F33": "cou",
  "8F34": "chun",
  "8F35": "ge",
  "8F36": "you",
  "8F37": "hong",
  "8F38": "shu",
  "8F39": "fu",
  "8F3A": "zi",
  "8F3B": "fu",
  "8F3C": "wen",
  "8F3D": "ben",
  "8F3E": "zhan",
  "8F3F": "yu",
  "8F40": "wen",
  "8F41": "tao",
  "8F42": "gu",
  "8F43": "zhen",
  "8F44": "xia",
  "8F45": "yuan",
  "8F46": "lu",
  "8F47": "jiu",
  "8F48": "chao",
  "8F49": "zhuan",
  "8F4A": "wei",
  "8F4B": "hun",
  "8F4D": "che",
  "8F4E": "jiao",
  "8F4F": "zhan",
  "8F50": "pu",
  "8F51": "lao",
  "8F52": "fen",
  "8F53": "fan",
  "8F54": "lin",
  "8F55": "ge",
  "8F56": "se",
  "8F57": "kan",
  "8F58": "huan",
  "8F59": "yi",
  "8F5A": "ji",
  "8F5B": "dui",
  "8F5C": "er",
  "8F5D": "yu",
  "8F5E": "xian",
  "8F5F": "hong",
  "8F60": "lei",
  "8F61": "pei",
  "8F62": "li",
  "8F63": "li",
  "8F64": "lu",
  "8F65": "lin",
  "8F66": "che",
  "8F67": "ya",
  "8F68": "gui",
  "8F69": "xuan",
  "8F6A": "di",
  "8F6B": "ren",
  "8F6C": "zhuan",
  "8F6D": "e",
  "8F6E": "lun",
  "8F6F": "ruan",
  "8F70": "hong",
  "8F71": "ku",
  "8F72": "ke",
  "8F73": "lu",
  "8F74": "zhou",
  "8F75": "zhi",
  "8F76": "yi",
  "8F77": "hu",
  "8F78": "zhen",
  "8F79": "li",
  "8F7A": "yao",
  "8F7B": "qing",
  "8F7C": "shi",
  "8F7D": "zai",
  "8F7E": "zhi",
  "8F7F": "jiao",
  "8F80": "zhou",
  "8F81": "quan",
  "8F82": "lu",
  "8F83": "jiao",
  "8F84": "zhe",
  "8F85": "fu",
  "8F86": "liang",
  "8F87": "nian",
  "8F88": "bei",
  "8F89": "hui",
  "8F8A": "gun",
  "8F8B": "wang",
  "8F8C": "liang",
  "8F8D": "chuo",
  "8F8E": "zi",
  "8F8F": "cou",
  "8F90": "fu",
  "8F91": "ji",
  "8F92": "wen",
  "8F93": "shu",
  "8F94": "pei",
  "8F95": "yuan",
  "8F96": "xia",
  "8F97": "zhan",
  "8F98": "lu",
  "8F99": "che",
  "8F9A": "lin",
  "8F9B": "xin",
  "8F9C": "gu",
  "8F9D": "ci",
  "8F9E": "ci",
  "8F9F": "pi",
  "8FA0": "zui",
  "8FA1": "bian",
  "8FA2": "la",
  "8FA3": "la",
  "8FA4": "ci",
  "8FA5": "xue",
  "8FA6": "ban",
  "8FA7": "bian",
  "8FA8": "bian",
  "8FA9": "bian",
  "8FAB": "bian",
  "8FAC": "ban",
  "8FAD": "ci",
  "8FAE": "bian",
  "8FAF": "bian",
  "8FB0": "chen",
  "8FB1": "ru",
  "8FB2": "nong",
  "8FB3": "nong",
  "8FB4": "zhen",
  "8FB5": "chuo",
  "8FB6": "chuo",
  "8FB8": "reng",
  "8FB9": "bian",
  "8FBA": "bian",
  "8FBD": "liao",
  "8FBE": "da",
  "8FBF": "chan",
  "8FC0": "gan",
  "8FC1": "qian",
  "8FC2": "yu",
  "8FC3": "yu",
  "8FC4": "qi",
  "8FC5": "xun",
  "8FC6": "yi",
  "8FC7": "guo",
  "8FC8": "mai",
  "8FC9": "qi",
  "8FCA": "za",
  "8FCB": "wang",
  "8FCD": "zhun",
  "8FCE": "ying",
  "8FCF": "ti",
  "8FD0": "yun",
  "8FD1": "jin",
  "8FD2": "hang",
  "8FD3": "ya",
  "8FD4": "fan",
  "8FD5": "wu",
  "8FD6": "da",
  "8FD7": "e",
  "8FD8": "huan",
  "8FD9": "zhe",
  "8FDB": "jin",
  "8FDC": "yuan",
  "8FDD": "wei",
  "8FDE": "lian",
  "8FDF": "chi",
  "8FE0": "che",
  "8FE1": "ni",
  "8FE2": "tiao",
  "8FE3": "zhi",
  "8FE4": "yi",
  "8FE5": "jiong",
  "8FE6": "jia",
  "8FE7": "chen",
  "8FE8": "dai",
  "8FE9": "er",
  "8FEA": "di",
  "8FEB": "po",
  "8FEC": "wang",
  "8FED": "die",
  "8FEE": "ze",
  "8FEF": "tao",
  "8FF0": "shu",
  "8FF1": "tuo",
  "8FF3": "jing",
  "8FF4": "hui",
  "8FF5": "tong",
  "8FF6": "you",
  "8FF7": "mi",
  "8FF8": "beng",
  "8FF9": "ji",
  "8FFA": "nai",
  "8FFB": "yi",
  "8FFC": "jie",
  "8FFD": "zhui",
  "8FFE": "lie",
  "8FFF": "xun",
  "900A": "xun",
  "900B": "bu",
  "900C": "you",
  "900D": "xiao",
  "900E": "qiu",
  "900F": "tou",
  "901A": "tong",
  "901B": "guang",
  "901C": "wu",
  "901D": "shi",
  "901E": "cheng",
  "901F": "su",
  "902A": "cuo",
  "902B": "jue",
  "902C": "beng",
  "902D": "huan",
  "902E": "dai",
  "902F": "lu",
  "903A": "yuan",
  "903B": "luo",
  "903C": "bi",
  "903D": "nuo",
  "903E": "yu",
  "903F": "dang",
  "904A": "you",
  "904B": "yun",
  "904C": "e",
  "904D": "bian",
  "904E": "guo",
  "904F": "e",
  "905A": "chu",
  "905B": "liu",
  "905C": "xun",
  "905D": "ta",
  "905E": "di",
  "905F": "chi",
  "906A": "ce",
  "906B": "chi",
  "906C": "su",
  "906D": "zao",
  "906E": "zhe",
  "906F": "dun",
  "907A": "yi",
  "907B": "wu",
  "907C": "liao",
  "907D": "ju",
  "907E": "shi",
  "907F": "bi",
  "908A": "bian",
  "908B": "la",
  "908C": "li",
  "908D": "yuan",
  "908E": "yao",
  "908F": "luo",
  "909A": "ru",
  "909B": "qiong",
  "909D": "kuang",
  "909E": "fu",
  "909F": "kang",
  "90A0": "bin",
  "90A1": "fang",
  "90A2": "xing",
  "90A3": "na",
  "90A5": "shen",
  "90A6": "bang",
  "90A7": "yuan",
  "90A8": "cun",
  "90A9": "huo",
  "90AA": "xie",
  "90AB": "bang",
  "90AC": "wu",
  "90AD": "ju",
  "90AE": "you",
  "90AF": "han",
  "90B0": "tai",
  "90B1": "qiu",
  "90B2": "bi",
  "90B3": "pei",
  "90B4": "bing",
  "90B5": "shao",
  "90B6": "bei",
  "90B7": "wa",
  "90B8": "di",
  "90B9": "zou",
  "90BA": "ye",
  "90BB": "lin",
  "90BC": "kuang",
  "90BD": "gui",
  "90BE": "zhu",
  "90BF": "shi",
  "90C0": "ku",
  "90C1": "yu",
  "90C2": "gai",
  "90C3": "he",
  "90C4": "xi",
  "90C5": "zhi",
  "90C6": "ji",
  "90C7": "xun",
  "90C8": "hou",
  "90C9": "xing",
  "90CA": "jiao",
  "90CB": "xi",
  "90CC": "gui",
  "90CD": "nuo",
  "90CE": "lang",
  "90CF": "jia",
  "90D0": "kuai",
  "90D1": "zheng",
  "90D3": "yun",
  "90D4": "yan",
  "90D5": "cheng",
  "90D6": "dou",
  "90D7": "chi",
  "90D8": "lv",
  "90D9": "fu",
  "90DA": "wu",
  "90DB": "fu",
  "90DC": "gao",
  "90DD": "hao",
  "90DE": "lang",
  "90DF": "jia",
  "90E0": "geng",
  "90E1": "jun",
  "90E2": "ying",
  "90E3": "bo",
  "90E4": "xi",
  "90E5": "bei",
  "90E6": "li",
  "90E7": "yun",
  "90E8": "bu",
  "90E9": "xiao",
  "90EA": "qi",
  "90EB": "pi",
  "90EC": "qing",
  "90ED": "guo",
  "90EF": "tan",
  "90F0": "zou",
  "90F1": "ping",
  "90F2": "lai",
  "90F3": "ni",
  "90F4": "chen",
  "90F5": "you",
  "90F6": "bu",
  "90F7": "xiang",
  "90F8": "dan",
  "90F9": "ju",
  "90FA": "yong",
  "90FB": "qiao",
  "90FC": "yi",
  "90FD": "du",
  "90FE": "yan",
  "90FF": "mei",
  "910A": "xiang",
  "910B": "sou",
  "910C": "tang",
  "910D": "ming",
  "910E": "xi",
  "910F": "ru",
  "911A": "mo",
  "911B": "chao",
  "911C": "fu",
  "911D": "liao",
  "911E": "yin",
  "911F": "zhuan",
  "912A": "bi",
  "912B": "ceng",
  "912C": "wei",
  "912D": "zheng",
  "912E": "mao",
  "912F": "shan",
  "913A": "kuang",
  "913B": "lian",
  "913C": "zan",
  "913D": "chan",
  "913E": "you",
  "913F": "qi",
  "914A": "ding",
  "914B": "qiu",
  "914C": "zhuo",
  "914D": "pei",
  "914E": "zhou",
  "914F": "yi",
  "915A": "fen",
  "915D": "yun",
  "915E": "tai",
  "915F": "tian",
  "916A": "lao",
  "916B": "chuo",
  "916C": "chou",
  "916D": "you",
  "916E": "tong",
  "916F": "zhi",
  "917A": "pu",
  "917B": "zui",
  "917C": "hai",
  "917D": "yan",
  "917E": "xi",
  "917F": "niang",
  "918A": "chuo",
  "918B": "cu",
  "918C": "kun",
  "918D": "ti",
  "918E": "mian",
  "918F": "du",
  "919A": "mi",
  "919B": "quan",
  "919C": "chou",
  "919D": "cuo",
  "919E": "yun",
  "919F": "yong",
  "91A0": "ang",
  "91A1": "zha",
  "91A2": "hai",
  "91A3": "tang",
  "91A4": "jiang",
  "91A5": "piao",
  "91A6": "shan",
  "91A7": "yu",
  "91A8": "li",
  "91A9": "zao",
  "91AA": "lao",
  "91AB": "yi",
  "91AC": "jiang",
  "91AD": "bu",
  "91AE": "jiao",
  "91AF": "xi",
  "91B0": "tan",
  "91B1": "po",
  "91B2": "nong",
  "91B3": "yi",
  "91B4": "li",
  "91B5": "ju",
  "91B6": "jiao",
  "91B7": "yi",
  "91B8": "niang",
  "91B9": "ru",
  "91BA": "xun",
  "91BB": "chou",
  "91BC": "yan",
  "91BD": "ling",
  "91BE": "mi",
  "91BF": "mi",
  "91C0": "niang",
  "91C1": "xin",
  "91C2": "jiao",
  "91C3": "xi",
  "91C4": "mi",
  "91C5": "yan",
  "91C6": "bian",
  "91C7": "cai",
  "91C8": "shi",
  "91C9": "you",
  "91CA": "shi",
  "91CB": "shi",
  "91CC": "li",
  "91CD": "zhong",
  "91CE": "ye",
  "91CF": "liang",
  "91D0": "li",
  "91D1": "jin",
  "91D3": "ga",
  "91D4": "yi",
  "91D5": "liao",
  "91D6": "dao",
  "91D7": "zhao",
  "91D8": "ding",
  "91D9": "po",
  "91DA": "qiu",
  "91DB": "he",
  "91DC": "fu",
  "91DD": "zhen",
  "91DE": "zhi",
  "91DF": "ba",
  "91E0": "luan",
  "91E1": "fu",
  "91E2": "nai",
  "91E3": "diao",
  "91E4": "shan",
  "91E5": "qiao",
  "91E6": "kou",
  "91E7": "chuan",
  "91E8": "zi",
  "91E9": "fan",
  "91EA": "yu",
  "91EB": "hua",
  "91EC": "han",
  "91ED": "gang",
  "91EE": "qi",
  "91EF": "mang",
  "91F0": "ri",
  "91F1": "di",
  "91F2": "si",
  "91F3": "xi",
  "91F4": "yi",
  "91F5": "chai",
  "91F6": "shi",
  "91F7": "tu",
  "91F8": "xi",
  "91F9": "nv",
  "91FA": "qian",
  "91FC": "jian",
  "91FD": "pi",
  "91FE": "ye",
  "91FF": "yin",
  "920A": "xin",
  "920B": "e",
  "920C": "jue",
  "920D": "dun",
  "920E": "gou",
  "920F": "yin",
  "921A": "pi",
  "921B": "guo",
  "921C": "hong",
  "921D": "yin",
  "921E": "jun",
  "921F": "shi",
  "922C": "duo",
  "922D": "zi",
  "922E": "ni",
  "922F": "tu",
  "923A": "yu",
  "923B": "si",
  "923C": "zuo",
  "923D": "bu",
  "923E": "you",
  "923F": "dian",
  "924A": "zhao",
  "924B": "bao",
  "924C": "he",
  "924D": "bi",
  "924E": "sheng",
  "924F": "chu",
  "925A": "liu",
  "925B": "qian",
  "925C": "fu",
  "925D": "li",
  "925E": "yue",
  "925F": "pi",
  "926A": "di",
  "926B": "jia",
  "926C": "mu",
  "926D": "dan",
  "926E": "shen",
  "926F": "yi",
  "927A": "er",
  "927B": "ge",
  "927C": "bing",
  "927D": "shi",
  "927E": "mou",
  "927F": "ha",
  "928A": "xu",
  "928B": "ren",
  "928C": "zun",
  "928D": "zhi",
  "928E": "qiong",
  "928F": "shan",
  "929A": "yao",
  "929B": "xian",
  "929C": "xian",
  "929D": "xiu",
  "929E": "jun",
  "929F": "cha",
  "92A0": "lao",
  "92A1": "ji",
  "92A2": "pi",
  "92A3": "ru",
  "92A4": "mi",
  "92A5": "yi",
  "92A6": "yin",
  "92A7": "guang",
  "92A8": "an",
  "92A9": "diu",
  "92AA": "you",
  "92AB": "se",
  "92AC": "kao",
  "92AD": "qian",
  "92AE": "luan",
  "92B0": "ai",
  "92B1": "diao",
  "92B2": "han",
  "92B3": "rui",
  "92B4": "shi",
  "92B5": "keng",
  "92B6": "qiu",
  "92B7": "xiao",
  "92B8": "zhe",
  "92B9": "xiu",
  "92BA": "zang",
  "92BB": "ti",
  "92BC": "cuo",
  "92BD": "gua",
  "92BE": "gong",
  "92BF": "zhong",
  "92C0": "dou",
  "92C1": "lv",
  "92C2": "mei",
  "92C3": "lang",
  "92C4": "wan",
  "92C5": "xin",
  "92C6": "yun",
  "92C7": "bei",
  "92C8": "wu",
  "92C9": "su",
  "92CA": "yu",
  "92CB": "chan",
  "92CC": "ting",
  "92CD": "bo",
  "92CE": "han",
  "92CF": "jia",
  "92D0": "hong",
  "92D1": "cuan",
  "92D2": "feng",
  "92D3": "chan",
  "92D4": "wan",
  "92D5": "zhi",
  "92D6": "si",
  "92D7": "xuan",
  "92D8": "wu",
  "92D9": "wu",
  "92DA": "tiao",
  "92DB": "gong",
  "92DC": "zhuo",
  "92DD": "lve",
  "92DE": "xing",
  "92DF": "qian",
  "92E0": "shen",
  "92E1": "han",
  "92E2": "lve",
  "92E3": "xie",
  "92E4": "chu",
  "92E5": "zheng",
  "92E6": "ju",
  "92E7": "xian",
  "92E8": "tie",
  "92E9": "mang",
  "92EA": "pu",
  "92EB": "li",
  "92EC": "pan",
  "92ED": "rui",
  "92EE": "cheng",
  "92EF": "gao",
  "92F0": "li",
  "92F1": "te",
  "92F3": "zhu",
  "92F5": "tu",
  "92F6": "liu",
  "92F7": "zui",
  "92F8": "ju",
  "92F9": "chang",
  "92FA": "yuan",
  "92FB": "jian",
  "92FC": "gang",
  "92FD": "diao",
  "92FE": "tao",
  "92FF": "chang",
  "930A": "zui",
  "930B": "peng",
  "930C": "an",
  "930D": "pi",
  "930E": "xian",
  "930F": "ya",
  "931A": "zheng",
  "931B": "ben",
  "931C": "nie",
  "931D": "cong",
  "931E": "dui",
  "931F": "tan",
  "932A": "tian",
  "932B": "xi",
  "932C": "lian",
  "932D": "tao",
  "932E": "gu",
  "932F": "cuo",
  "933C": "nai",
  "933D": "wan",
  "933E": "zan",
  "934A": "lian",
  "934B": "guo",
  "934C": "xian",
  "934D": "du",
  "934E": "tu",
  "934F": "wei",
  "935A": "yang",
  "935B": "duan",
  "935C": "xia",
  "935D": "yu",
  "935E": "keng",
  "935F": "xing",
  "936A": "mou",
  "936B": "qiao",
  "936C": "qiao",
  "936D": "hou",
  "936E": "tou",
  "936F": "cong",
  "937A": "zhe",
  "937B": "jie",
  "937C": "zhen",
  "937D": "bian",
  "937E": "zhong",
  "937F": "zi",
  "938A": "bang",
  "938B": "xia",
  "938C": "lian",
  "938D": "suo",
  "938E": "xi",
  "938F": "liu",
  "939A": "chui",
  "939B": "bo",
  "939C": "pan",
  "939D": "sa",
  "939E": "bi",
  "939F": "sang",
  "93A0": "gang",
  "93A1": "zi",
  "93A2": "wu",
  "93A3": "ying",
  "93A4": "huang",
  "93A5": "tiao",
  "93A6": "liu",
  "93A7": "kai",
  "93A8": "sun",
  "93A9": "sha",
  "93AA": "sou",
  "93AB": "wan",
  "93AC": "hao",
  "93AD": "zhen",
  "93AE": "zhen",
  "93AF": "luo",
  "93B0": "yi",
  "93B1": "yuan",
  "93B2": "tang",
  "93B3": "nie",
  "93B4": "xi",
  "93B5": "jia",
  "93B6": "ge",
  "93B7": "ma",
  "93B8": "juan",
  "93BB": "suo",
  "93BF": "na",
  "93C0": "lu",
  "93C1": "suo",
  "93C2": "ou",
  "93C3": "zu",
  "93C4": "tuan",
  "93C5": "xiu",
  "93C6": "guan",
  "93C7": "xuan",
  "93C8": "lian",
  "93C9": "shou",
  "93CA": "ao",
  "93CB": "man",
  "93CC": "mo",
  "93CD": "luo",
  "93CE": "bi",
  "93CF": "wei",
  "93D0": "liu",
  "93D1": "di",
  "93D2": "qiao",
  "93D3": "cong",
  "93D4": "yi",
  "93D5": "lu",
  "93D6": "ao",
  "93D7": "keng",
  "93D8": "qiang",
  "93D9": "cui",
  "93DA": "qi",
  "93DB": "chang",
  "93DC": "tang",
  "93DD": "man",
  "93DE": "yong",
  "93DF": "chan",
  "93E0": "feng",
  "93E1": "jing",
  "93E2": "biao",
  "93E3": "shu",
  "93E4": "lou",
  "93E5": "xiu",
  "93E6": "cong",
  "93E7": "long",
  "93E8": "zan",
  "93E9": "jian",
  "93EA": "cao",
  "93EB": "li",
  "93EC": "xia",
  "93ED": "xi",
  "93EE": "kang",
  "93F0": "beng",
  "93F3": "zheng",
  "93F4": "lu",
  "93F5": "hua",
  "93F6": "ji",
  "93F7": "pu",
  "93F8": "hui",
  "93F9": "qiang",
  "93FA": "po",
  "93FB": "lin",
  "93FC": "suo",
  "93FD": "xiu",
  "93FE": "san",
  "93FF": "cheng",
  "940A": "yang",
  "940B": "tang",
  "940C": "xiang",
  "940D": "jue",
  "940E": "jiao",
  "940F": "zun",
  "941A": "ya",
  "941B": "ying",
  "941C": "dui",
  "941D": "jue",
  "941E": "nou",
  "941F": "ti",
  "942A": "lu",
  "942B": "juan",
  "942C": "hui",
  "942D": "yu",
  "942E": "lian",
  "942F": "zhuo",
  "943A": "dang",
  "943B": "ju",
  "943C": "fen",
  "943D": "da",
  "943E": "bei",
  "943F": "yi",
  "944A": "huo",
  "944B": "qing",
  "944C": "bin",
  "944D": "ying",
  "944E": "kui",
  "944F": "ning",
  "945A": "zuan",
  "945B": "kuang",
  "945C": "shang",
  "945D": "peng",
  "945E": "la",
  "945F": "du",
  "946A": "lu",
  "946B": "xin",
  "946C": "jian",
  "946D": "lan",
  "946E": "bo",
  "946F": "jian",
  "947A": "qu",
  "947B": "pan",
  "947C": "luo",
  "947D": "zuan",
  "947E": "luan",
  "947F": "zao",
  "948A": "zhao",
  "948B": "po",
  "948C": "diao",
  "948D": "tu",
  "948E": "qian",
  "948F": "chuan",
  "949A": "bu",
  "949B": "tai",
  "949C": "ju",
  "949D": "dun",
  "949E": "chao",
  "949F": "zhong",
  "94A0": "na",
  "94A1": "bei",
  "94A2": "gang",
  "94A3": "ban",
  "94A4": "qian",
  "94A5": "yao",
  "94A6": "qin",
  "94A7": "jun",
  "94A8": "wu",
  "94A9": "gou",
  "94AA": "kang",
  "94AB": "fang",
  "94AC": "huo",
  "94AD": "dou",
  "94AE": "niu",
  "94AF": "ba",
  "94B0": "yu",
  "94B1": "qian",
  "94B2": "zheng",
  "94B3": "qian",
  "94B4": "gu",
  "94B5": "bo",
  "94B6": "e",
  "94B7": "po",
  "94B8": "bu",
  "94B9": "ba",
  "94BA": "yue",
  "94BB": "zuan",
  "94BC": "mu",
  "94BD": "dan",
  "94BE": "jia",
  "94BF": "dian",
  "94C0": "you",
  "94C1": "tie",
  "94C2": "bo",
  "94C3": "ling",
  "94C4": "shuo",
  "94C5": "qian",
  "94C6": "liu",
  "94C7": "bao",
  "94C8": "shi",
  "94C9": "xuan",
  "94CA": "she",
  "94CB": "bi",
  "94CC": "ni",
  "94CD": "pi",
  "94CE": "duo",
  "94CF": "xing",
  "94D0": "kao",
  "94D1": "lao",
  "94D2": "er",
  "94D3": "mang",
  "94D4": "ya",
  "94D5": "you",
  "94D6": "cheng",
  "94D7": "jia",
  "94D8": "ye",
  "94D9": "nao",
  "94DA": "zhi",
  "94DB": "dang",
  "94DC": "tong",
  "94DD": "lv",
  "94DE": "diao",
  "94DF": "yin",
  "94E0": "kai",
  "94E1": "zha",
  "94E2": "zhu",
  "94E3": "xian",
  "94E4": "ting",
  "94E5": "diu",
  "94E6": "xian",
  "94E7": "hua",
  "94E8": "quan",
  "94E9": "sha",
  "94EA": "jia",
  "94EB": "yao",
  "94EC": "ge",
  "94ED": "ming",
  "94EE": "zheng",
  "94EF": "se",
  "94F0": "jiao",
  "94F1": "yi",
  "94F2": "chan",
  "94F3": "chong",
  "94F4": "tang",
  "94F5": "an",
  "94F6": "yin",
  "94F7": "ru",
  "94F8": "zhu",
  "94F9": "lao",
  "94FA": "pu",
  "94FB": "wu",
  "94FC": "lai",
  "94FD": "te",
  "94FE": "lian",
  "94FF": "keng",
  "950A": "lve",
  "950B": "feng",
  "950C": "xin",
  "950D": "liu",
  "950E": "kai",
  "950F": "jian",
  "951A": "mao",
  "951B": "ben",
  "951C": "qi",
  "951D": "de",
  "951E": "kua",
  "951F": "kun",
  "952A": "huo",
  "952B": "pou",
  "952C": "tan",
  "952D": "ding",
  "952E": "jian",
  "952F": "ju",
  "953A": "zhong",
  "953B": "duan",
  "953C": "sou",
  "953D": "huang",
  "953E": "huan",
  "953F": "ai",
  "954A": "nie",
  "954B": "tang",
  "954C": "juan",
  "954D": "nie",
  "954E": "na",
  "954F": "liu",
  "955A": "beng",
  "955B": "yong",
  "955C": "jing",
  "955D": "di",
  "955E": "zu",
  "955F": "xuan",
  "956A": "qiang",
  "956B": "deng",
  "956C": "huo",
  "956D": "lei",
  "956E": "huan",
  "956F": "zhuo",
  "957A": "ao",
  "957B": "die",
  "957C": "qu",
  "957D": "liao",
  "957E": "mi",
  "957F": "chang",
  "958B": "kai",
  "958C": "kang",
  "958D": "beng",
  "958E": "hong",
  "958F": "run",
  "959B": "peng",
  "959C": "xia",
  "959D": "ling",
  "959E": "bian",
  "959F": "bi",
  "95A0": "run",
  "95A1": "he",
  "95A2": "guan",
  "95A3": "ge",
  "95A4": "ge",
  "95A5": "fa",
  "95A6": "chu",
  "95A7": "hong",
  "95A8": "gui",
  "95A9": "min",
  "95AB": "kun",
  "95AC": "lang",
  "95AD": "lv",
  "95AE": "ting",
  "95AF": "sha",
  "95B0": "ju",
  "95B1": "yue",
  "95B2": "yue",
  "95B3": "chan",
  "95B4": "qu",
  "95B5": "lin",
  "95B6": "chang",
  "95B7": "shai",
  "95B8": "kun",
  "95B9": "yan",
  "95BA": "wen",
  "95BB": "yan",
  "95BC": "e",
  "95BD": "hun",
  "95BE": "yu",
  "95BF": "wen",
  "95C0": "xiang",
  "95C1": "bao",
  "95C2": "xiang",
  "95C3": "qu",
  "95C4": "yao",
  "95C5": "wen",
  "95C6": "ban",
  "95C7": "an",
  "95C8": "wei",
  "95C9": "yin",
  "95CA": "kuo",
  "95CB": "que",
  "95CC": "lan",
  "95CD": "du",
  "95D0": "tian",
  "95D1": "nie",
  "95D2": "ta",
  "95D3": "kai",
  "95D4": "he",
  "95D5": "que",
  "95D6": "chuang",
  "95D7": "guan",
  "95D8": "dou",
  "95D9": "qi",
  "95DA": "kui",
  "95DB": "tang",
  "95DC": "guan",
  "95DD": "piao",
  "95DE": "kan",
  "95DF": "xi",
  "95E0": "hui",
  "95E1": "chan",
  "95E2": "pi",
  "95E3": "dang",
  "95E4": "huan",
  "95E5": "ta",
  "95E6": "wen",
  "95E8": "men",
  "95E9": "shuan",
  "95EA": "shan",
  "95EB": "yan",
  "95EC": "han",
  "95ED": "bi",
  "95EE": "wen",
  "95EF": "chuang",
  "95F0": "run",
  "95F1": "wei",
  "95F2": "xian",
  "95F3": "hong",
  "95F4": "jian",
  "95F5": "min",
  "95F6": "kang",
  "95F7": "men",
  "95F8": "zha",
  "95F9": "nao",
  "95FA": "gui",
  "95FB": "wen",
  "95FC": "ta",
  "95FD": "min",
  "95FE": "lv",
  "95FF": "kai",
  "960A": "chang",
  "960B": "xi",
  "960C": "wen",
  "960D": "hun",
  "960E": "yan",
  "960F": "e",
  "961A": "kan",
  "961B": "huan",
  "961C": "fu",
  "961D": "fu",
  "961E": "le",
  "961F": "dui",
  "962A": "ban",
  "962B": "pei",
  "962C": "keng",
  "962D": "yun",
  "962E": "ruan",
  "962F": "zhi",
  "963A": "di",
  "963B": "zu",
  "963C": "zuo",
  "963D": "dian",
  "963E": "ling",
  "963F": "a",
  "964A": "duo",
  "964B": "lou",
  "964C": "mo",
  "964D": "jiang",
  "964E": "shu",
  "964F": "duo",
  "965A": "fu",
  "965B": "bi",
  "965C": "xia",
  "965D": "shan",
  "965E": "sheng",
  "965F": "zhi",
  "966A": "pei",
  "966B": "pei",
  "966C": "zou",
  "966D": "yi",
  "966E": "dui",
  "966F": "lun",
  "967A": "xian",
  "967B": "yin",
  "967C": "zhu",
  "967D": "yang",
  "967E": "reng",
  "967F": "shan",
  "968A": "dui",
  "968B": "sui",
  "968C": "an",
  "968D": "huang",
  "968E": "jie",
  "968F": "sui",
  "969A": "tang",
  "969B": "ji",
  "969C": "zhang",
  "969D": "dao",
  "969E": "ao",
  "969F": "xi",
  "96A0": "yin",
  "96A2": "rao",
  "96A3": "lin",
  "96A4": "tui",
  "96A5": "deng",
  "96A6": "pi",
  "96A7": "sui",
  "96A8": "sui",
  "96A9": "yu",
  "96AA": "xian",
  "96AB": "fen",
  "96AC": "ni",
  "96AD": "er",
  "96AE": "ji",
  "96AF": "dao",
  "96B0": "xi",
  "96B1": "yin",
  "96B2": "e",
  "96B3": "hui",
  "96B4": "long",
  "96B5": "xi",
  "96B6": "li",
  "96B7": "li",
  "96B8": "li",
  "96B9": "zhui",
  "96BA": "he",
  "96BB": "zhi",
  "96BC": "zhun",
  "96BD": "jun",
  "96BE": "nan",
  "96BF": "yi",
  "96C0": "que",
  "96C1": "yan",
  "96C2": "qin",
  "96C3": "ya",
  "96C4": "xiong",
  "96C5": "ya",
  "96C6": "ji",
  "96C7": "gu",
  "96C8": "huan",
  "96C9": "zhi",
  "96CA": "gou",
  "96CB": "jun",
  "96CC": "ci",
  "96CD": "yong",
  "96CE": "ju",
  "96CF": "chu",
  "96D0": "hu",
  "96D1": "za",
  "96D2": "luo",
  "96D3": "yu",
  "96D4": "chou",
  "96D5": "diao",
  "96D6": "sui",
  "96D7": "han",
  "96D8": "huo",
  "96D9": "shuang",
  "96DA": "guan",
  "96DB": "chu",
  "96DC": "za",
  "96DD": "yong",
  "96DE": "ji",
  "96DF": "xi",
  "96E0": "chou",
  "96E1": "liu",
  "96E2": "li",
  "96E3": "nan",
  "96E4": "xue",
  "96E5": "za",
  "96E6": "ji",
  "96E7": "ji",
  "96E8": "yu",
  "96E9": "yu",
  "96EA": "xue",
  "96EB": "na",
  "96EC": "fou",
  "96ED": "se",
  "96EE": "mu",
  "96EF": "wen",
  "96F0": "fen",
  "96F1": "pang",
  "96F2": "yun",
  "96F3": "li",
  "96F4": "li",
  "96F5": "ang",
  "96F6": "ling",
  "96F7": "lei",
  "96F8": "an",
  "96F9": "bao",
  "96FA": "meng",
  "96FB": "dian",
  "96FC": "dang",
  "96FD": "xing",
  "96FE": "wu",
  "96FF": "zhao",
  "970A": "ling",
  "970B": "qi",
  "970C": "chou",
  "970D": "huo",
  "970E": "sha",
  "970F": "fei",
  "971A": "wu",
  "971B": "ling",
  "971C": "shuang",
  "971D": "ling",
  "971E": "xia",
  "971F": "hong",
  "972A": "yin",
  "972B": "xi",
  "972C": "yi",
  "972D": "ai",
  "972E": "dan",
  "972F": "deng",
  "973A": "wei",
  "973C": "xi",
  "973D": "ji",
  "973E": "mai",
  "973F": "meng",
  "974A": "feng",
  "974B": "li",
  "974C": "bao",
  "974E": "he",
  "974F": "he",
  "975A": "jing",
  "975B": "dian",
  "975C": "jing",
  "975D": "tian",
  "975E": "fei",
  "975F": "fei",
  "976A": "ding",
  "976B": "cha",
  "976C": "jian",
  "976D": "ren",
  "976E": "di",
  "976F": "du",
  "977A": "mo",
  "977B": "zu",
  "977C": "da",
  "977D": "ban",
  "977E": "yi",
  "977F": "yao",
  "978A": "ji",
  "978B": "xie",
  "978C": "an",
  "978D": "an",
  "978E": "hen",
  "978F": "gong",
  "979A": "kong",
  "979B": "beng",
  "979C": "ta",
  "979D": "zhang",
  "979E": "bing",
  "979F": "kuo",
  "97A0": "ju",
  "97A1": "la",
  "97A2": "xie",
  "97A3": "rou",
  "97A4": "bang",
  "97A5": "yi",
  "97A6": "qiu",
  "97A7": "qiu",
  "97A8": "he",
  "97A9": "xiao",
  "97AA": "mu",
  "97AB": "ju",
  "97AC": "jian",
  "97AD": "bian",
  "97AE": "di",
  "97AF": "jian",
  "97B1": "tao",
  "97B2": "gou",
  "97B3": "ta",
  "97B4": "bei",
  "97B5": "xie",
  "97B6": "pan",
  "97B7": "ge",
  "97B8": "bi",
  "97B9": "kuo",
  "97BB": "lou",
  "97BC": "gui",
  "97BD": "qiao",
  "97BE": "xue",
  "97BF": "ji",
  "97C0": "jian",
  "97C1": "jiang",
  "97C2": "chan",
  "97C3": "da",
  "97C4": "huo",
  "97C5": "xian",
  "97C6": "qian",
  "97C7": "du",
  "97C8": "wa",
  "97C9": "jian",
  "97CA": "lan",
  "97CB": "wei",
  "97CC": "ren",
  "97CD": "fu",
  "97CE": "mei",
  "97CF": "juan",
  "97D0": "ge",
  "97D1": "wei",
  "97D2": "qiao",
  "97D3": "han",
  "97D4": "chang",
  "97D6": "rou",
  "97D7": "xun",
  "97D8": "she",
  "97D9": "wei",
  "97DA": "ge",
  "97DB": "bei",
  "97DC": "tao",
  "97DD": "gou",
  "97DE": "yun",
  "97E0": "bi",
  "97E1": "wei",
  "97E2": "hui",
  "97E3": "du",
  "97E4": "wa",
  "97E5": "du",
  "97E6": "wei",
  "97E7": "ren",
  "97E8": "fu",
  "97E9": "han",
  "97EA": "wei",
  "97EB": "yun",
  "97EC": "tao",
  "97ED": "jiu",
  "97EE": "jiu",
  "97EF": "xian",
  "97F0": "xie",
  "97F1": "xian",
  "97F2": "ji",
  "97F3": "yin",
  "97F4": "za",
  "97F5": "yun",
  "97F6": "shao",
  "97F7": "le",
  "97F8": "peng",
  "97F9": "heng",
  "97FA": "ying",
  "97FB": "yun",
  "97FC": "peng",
  "97FD": "yin",
  "97FE": "yin",
  "97FF": "xiang",
  "980A": "xu",
  "980B": "gu",
  "980C": "song",
  "980D": "kui",
  "980E": "qi",
  "980F": "hang",
  "981A": "jing",
  "981B": "lei",
  "981C": "he",
  "981D": "qiao",
  "981E": "e",
  "981F": "e",
  "982A": "lei",
  "982B": "fu",
  "982C": "jia",
  "982D": "tou",
  "982E": "hui",
  "982F": "kui",
  "983A": "tui",
  "983B": "pin",
  "983C": "lai",
  "983D": "tui",
  "983E": "zi",
  "983F": "zi",
  "984A": "yi",
  "984B": "sai",
  "984C": "ti",
  "984D": "e",
  "984E": "e",
  "984F": "yan",
  "985A": "dian",
  "985B": "dian",
  "985C": "jiang",
  "985D": "ku",
  "985E": "lei",
  "985F": "liao",
  "986A": "hui",
  "986B": "zhan",
  "986C": "ru",
  "986D": "hong",
  "986E": "bin",
  "986F": "xian",
  "987A": "shun",
  "987B": "xu",
  "987C": "xu",
  "987D": "wan",
  "987E": "gu",
  "987F": "dun",
  "988A": "jia",
  "988B": "tian",
  "988C": "han",
  "988D": "ying",
  "988E": "jiong",
  "988F": "hai",
  "989A": "e",
  "989B": "zhuan",
  "989C": "yan",
  "989D": "e",
  "989E": "nie",
  "989F": "man",
  "98A0": "dian",
  "98A1": "sang",
  "98A2": "hao",
  "98A3": "lei",
  "98A4": "zhan",
  "98A5": "ru",
  "98A6": "pin",
  "98A7": "quan",
  "98A8": "feng",
  "98A9": "biao",
  "98AB": "fu",
  "98AC": "xia",
  "98AD": "zhan",
  "98AE": "biao",
  "98AF": "sa",
  "98B0": "ba",
  "98B1": "tai",
  "98B2": "lie",
  "98B3": "gua",
  "98B4": "xuan",
  "98B5": "shao",
  "98B6": "ju",
  "98B7": "bi",
  "98B8": "si",
  "98B9": "wei",
  "98BA": "yang",
  "98BB": "yao",
  "98BC": "sou",
  "98BD": "kai",
  "98BE": "sao",
  "98BF": "fan",
  "98C0": "liu",
  "98C1": "xi",
  "98C2": "liao",
  "98C3": "piao",
  "98C4": "piao",
  "98C5": "liu",
  "98C6": "biao",
  "98C7": "biao",
  "98C8": "biao",
  "98C9": "liao",
  "98CB": "se",
  "98CC": "feng",
  "98CD": "biao",
  "98CE": "feng",
  "98CF": "yang",
  "98D0": "zhan",
  "98D1": "biao",
  "98D2": "sa",
  "98D3": "ju",
  "98D4": "si",
  "98D5": "sou",
  "98D6": "yao",
  "98D7": "liu",
  "98D8": "piao",
  "98D9": "biao",
  "98DA": "biao",
  "98DB": "fei",
  "98DC": "fan",
  "98DD": "fei",
  "98DE": "fei",
  "98DF": "shi",
  "98E0": "shi",
  "98E1": "can",
  "98E2": "ji",
  "98E3": "ding",
  "98E4": "si",
  "98E5": "tuo",
  "98E6": "zhan",
  "98E7": "sun",
  "98E8": "xiang",
  "98E9": "tun",
  "98EA": "ren",
  "98EB": "yu",
  "98EC": "juan",
  "98ED": "chi",
  "98EE": "yin",
  "98EF": "fan",
  "98F0": "fan",
  "98F1": "sun",
  "98F2": "yin",
  "98F3": "zhu",
  "98F4": "yi",
  "98F5": "zhai",
  "98F6": "bi",
  "98F7": "jie",
  "98F8": "tao",
  "98F9": "liu",
  "98FA": "ci",
  "98FB": "tie",
  "98FC": "si",
  "98FD": "bao",
  "98FE": "shi",
  "98FF": "duo",
  "990A": "yang",
  "990B": "yang",
  "990C": "er",
  "990D": "yan",
  "990E": "le",
  "990F": "yi",
  "991A": "yao",
  "991B": "hun",
  "991C": "guo",
  "991D": "shi",
  "991E": "jian",
  "991F": "zhui",
  "992A": "nuan",
  "992B": "hun",
  "992C": "hu",
  "992D": "huang",
  "992E": "tie",
  "992F": "hui",
  "993A": "bo",
  "993B": "gao",
  "993C": "xi",
  "993D": "kui",
  "993E": "liu",
  "993F": "sou",
  "994A": "san",
  "994B": "kui",
  "994C": "zhuan",
  "994D": "shan",
  "994E": "chi",
  "994F": "dan",
  "995A": "hai",
  "995B": "meng",
  "995C": "yan",
  "995D": "mo",
  "995E": "chan",
  "995F": "xiang",
  "996A": "ren",
  "996B": "yu",
  "996C": "chi",
  "996D": "fan",
  "996E": "yin",
  "996F": "jian",
  "997A": "jiao",
  "997B": "yi",
  "997C": "bing",
  "997D": "bo",
  "997E": "dou",
  "997F": "e",
  "998A": "sou",
  "998B": "chan",
  "998C": "ye",
  "998D": "mo",
  "998E": "bo",
  "998F": "liu",
  "999A": "fen",
  "999B": "ba",
  "999C": "ni",
  "999D": "bi",
  "999E": "bo",
  "999F": "tu",
  "99A0": "han",
  "99A1": "fei",
  "99A2": "jian",
  "99A3": "an",
  "99A4": "ai",
  "99A5": "fu",
  "99A6": "xian",
  "99A7": "wen",
  "99A8": "xin",
  "99A9": "fen",
  "99AA": "bin",
  "99AB": "xing",
  "99AC": "ma",
  "99AD": "yu",
  "99AE": "feng",
  "99AF": "han",
  "99B0": "di",
  "99B1": "tuo",
  "99B2": "tuo",
  "99B3": "chi",
  "99B4": "xun",
  "99B5": "zhu",
  "99B6": "zhi",
  "99B7": "pei",
  "99B8": "xin",
  "99B9": "ri",
  "99BA": "sa",
  "99BB": "yin",
  "99BC": "wen",
  "99BD": "zhi",
  "99BE": "dan",
  "99BF": "lv",
  "99C0": "you",
  "99C1": "bo",
  "99C2": "bao",
  "99C3": "kuai",
  "99C4": "tuo",
  "99C5": "yi",
  "99C6": "qu",
  "99C8": "qu",
  "99C9": "jiong",
  "99CA": "bo",
  "99CB": "zhao",
  "99CC": "yuan",
  "99CD": "peng",
  "99CE": "zhou",
  "99CF": "ju",
  "99D0": "zhu",
  "99D1": "nu",
  "99D2": "ju",
  "99D3": "pi",
  "99D4": "zang",
  "99D5": "jia",
  "99D6": "ling",
  "99D7": "zhen",
  "99D8": "tai",
  "99D9": "fu",
  "99DA": "yang",
  "99DB": "shi",
  "99DC": "bi",
  "99DD": "tuo",
  "99DE": "tuo",
  "99DF": "si",
  "99E0": "liu",
  "99E1": "ma",
  "99E2": "pian",
  "99E3": "tao",
  "99E4": "zhi",
  "99E5": "rong",
  "99E6": "teng",
  "99E7": "dong",
  "99E8": "xun",
  "99E9": "quan",
  "99EA": "shen",
  "99EB": "jiong",
  "99EC": "er",
  "99ED": "hai",
  "99EE": "bo",
  "99F0": "yin",
  "99F1": "luo",
  "99F3": "dan",
  "99F4": "xie",
  "99F5": "liu",
  "99F6": "ju",
  "99F7": "song",
  "99F8": "qin",
  "99F9": "mang",
  "99FA": "liang",
  "99FB": "han",
  "99FC": "tu",
  "99FD": "xuan",
  "99FE": "tui",
  "99FF": "jun",
  "9A00": "e",
  "9A01": "cheng",
  "9A02": "xing",
  "9A03": "ai",
  "9A04": "lu",
  "9A05": "zhui",
  "9A06": "zhou",
  "9A07": "she",
  "9A08": "pian",
  "9A09": "kun",
  "9A0A": "tao",
  "9A0B": "lai",
  "9A0C": "zong",
  "9A0D": "ke",
  "9A0E": "qi",
  "9A0F": "qi",
  "9A10": "yan",
  "9A11": "fei",
  "9A12": "sao",
  "9A13": "yan",
  "9A14": "jie",
  "9A15": "yao",
  "9A16": "wu",
  "9A17": "pian",
  "9A18": "cong",
  "9A19": "pian",
  "9A1A": "qian",
  "9A1B": "fei",
  "9A1C": "huang",
  "9A1D": "jian",
  "9A1E": "huo",
  "9A1F": "yu",
  "9A20": "ti",
  "9A21": "quan",
  "9A22": "xia",
  "9A23": "zong",
  "9A24": "kui",
  "9A25": "rou",
  "9A26": "si",
  "9A27": "gua",
  "9A28": "tuo",
  "9A29": "kui",
  "9A2A": "sou",
  "9A2B": "qian",
  "9A2C": "cheng",
  "9A2D": "zhi",
  "9A2E": "liu",
  "9A2F": "pang",
  "9A30": "teng",
  "9A31": "xi",
  "9A32": "cao",
  "9A33": "du",
  "9A34": "yan",
  "9A35": "yuan",
  "9A36": "zou",
  "9A37": "sao",
  "9A38": "shan",
  "9A39": "li",
  "9A3A": "zhi",
  "9A3B": "shuang",
  "9A3C": "lu",
  "9A3D": "xi",
  "9A3E": "luo",
  "9A3F": "zhang",
  "9A40": "mo",
  "9A41": "ao",
  "9A42": "can",
  "9A43": "piao",
  "9A44": "cong",
  "9A45": "qu",
  "9A46": "bi",
  "9A47": "zhi",
  "9A48": "yu",
  "9A49": "xu",
  "9A4A": "hua",
  "9A4B": "bo",
  "9A4C": "su",
  "9A4D": "xiao",
  "9A4E": "lin",
  "9A4F": "chan",
  "9A50": "dun",
  "9A51": "liu",
  "9A52": "tuo",
  "9A53": "zeng",
  "9A54": "tan",
  "9A55": "jiao",
  "9A56": "tie",
  "9A57": "yan",
  "9A58": "luo",
  "9A59": "zhan",
  "9A5A": "jing",
  "9A5B": "yi",
  "9A5C": "ye",
  "9A5D": "tuo",
  "9A5E": "bin",
  "9A5F": "zou",
  "9A60": "yan",
  "9A61": "peng",
  "9A62": "lv",
  "9A63": "teng",
  "9A64": "xiang",
  "9A65": "ji",
  "9A66": "shuang",
  "9A67": "ju",
  "9A68": "xi",
  "9A69": "huan",
  "9A6A": "li",
  "9A6B": "biao",
  "9A6C": "ma",
  "9A6D": "yu",
  "9A6E": "tuo",
  "9A6F": "xun",
  "9A70": "chi",
  "9A71": "qu",
  "9A72": "ri",
  "9A73": "bo",
  "9A74": "lv",
  "9A75": "zang",
  "9A76": "shi",
  "9A77": "si",
  "9A78": "fu",
  "9A79": "ju",
  "9A7A": "zou",
  "9A7B": "zhu",
  "9A7C": "tuo",
  "9A7D": "nu",
  "9A7E": "jia",
  "9A7F": "yi",
  "9A80": "tai",
  "9A81": "xiao",
  "9A82": "ma",
  "9A83": "yin",
  "9A84": "jiao",
  "9A85": "hua",
  "9A86": "luo",
  "9A87": "hai",
  "9A88": "pian",
  "9A89": "biao",
  "9A8A": "li",
  "9A8B": "cheng",
  "9A8C": "yan",
  "9A8D": "xin",
  "9A8E": "qin",
  "9A8F": "jun",
  "9A90": "qi",
  "9A91": "qi",
  "9A92": "ke",
  "9A93": "zhui",
  "9A94": "zong",
  "9A95": "su",
  "9A96": "can",
  "9A97": "pian",
  "9A98": "zhi",
  "9A99": "kui",
  "9A9A": "sao",
  "9A9B": "wu",
  "9A9C": "ao",
  "9A9D": "liu",
  "9A9E": "qian",
  "9A9F": "shan",
  "9AA0": "piao",
  "9AA1": "luo",
  "9AA2": "cong",
  "9AA3": "chan",
  "9AA4": "zou",
  "9AA5": "ji",
  "9AA6": "shuang",
  "9AA7": "xiang",
  "9AA8": "gu",
  "9AA9": "wei",
  "9AAA": "wei",
  "9AAB": "wei",
  "9AAC": "yu",
  "9AAD": "gan",
  "9AAE": "yi",
  "9AAF": "ang",
  "9AB0": "tou",
  "9AB1": "xie",
  "9AB2": "bao",
  "9AB3": "bi",
  "9AB4": "chi",
  "9AB5": "ti",
  "9AB6": "di",
  "9AB7": "ku",
  "9AB8": "hai",
  "9AB9": "qiao",
  "9ABA": "gou",
  "9ABB": "kua",
  "9ABC": "ge",
  "9ABD": "tui",
  "9ABE": "geng",
  "9ABF": "pian",
  "9AC0": "bi",
  "9AC1": "ke",
  "9AC2": "ka",
  "9AC3": "yu",
  "9AC4": "sui",
  "9AC5": "lou",
  "9AC6": "bo",
  "9AC7": "xiao",
  "9AC8": "pang",
  "9AC9": "bo",
  "9ACA": "ci",
  "9ACB": "kuan",
  "9ACC": "bin",
  "9ACD": "mo",
  "9ACE": "liao",
  "9ACF": "lou",
  "9AD0": "nao",
  "9AD1": "du",
  "9AD2": "zang",
  "9AD3": "sui",
  "9AD4": "ti",
  "9AD5": "bin",
  "9AD6": "kuan",
  "9AD7": "lu",
  "9AD8": "gao",
  "9AD9": "gao",
  "9ADA": "qiao",
  "9ADB": "kao",
  "9ADC": "qiao",
  "9ADD": "lao",
  "9ADE": "zao",
  "9ADF": "biao",
  "9AE0": "kun",
  "9AE1": "kun",
  "9AE2": "ti",
  "9AE3": "fang",
  "9AE4": "xiu",
  "9AE5": "ran",
  "9AE6": "mao",
  "9AE7": "dan",
  "9AE8": "kun",
  "9AE9": "bin",
  "9AEA": "fa",
  "9AEB": "tiao",
  "9AEC": "pi",
  "9AED": "zi",
  "9AEE": "fa",
  "9AEF": "ran",
  "9AF0": "ti",
  "9AF1": "pao",
  "9AF2": "pi",
  "9AF3": "mao",
  "9AF4": "fu",
  "9AF5": "er",
  "9AF6": "rong",
  "9AF7": "qu",
  "9AF9": "xiu",
  "9AFA": "gua",
  "9AFB": "ji",
  "9AFC": "peng",
  "9AFD": "zhua",
  "9AFE": "shao",
  "9AFF": "sha",
  "9B00": "ti",
  "9B01": "li",
  "9B02": "bin",
  "9B03": "zong",
  "9B04": "ti",
  "9B05": "peng",
  "9B06": "song",
  "9B07": "zheng",
  "9B08": "quan",
  "9B09": "zong",
  "9B0A": "shun",
  "9B0B": "jian",
  "9B0C": "duo",
  "9B0D": "hu",
  "9B0E": "la",
  "9B0F": "jiu",
  "9B10": "qi",
  "9B11": "lian",
  "9B12": "zhen",
  "9B13": "bin",
  "9B14": "peng",
  "9B15": "mo",
  "9B16": "san",
  "9B17": "man",
  "9B18": "man",
  "9B19": "seng",
  "9B1A": "xu",
  "9B1B": "lie",
  "9B1C": "qian",
  "9B1D": "qian",
  "9B1E": "nong",
  "9B1F": "huan",
  "9B20": "kuai",
  "9B21": "ning",
  "9B22": "bin",
  "9B23": "lie",
  "9B24": "rang",
  "9B25": "dou",
  "9B26": "dou",
  "9B27": "nao",
  "9B28": "hong",
  "9B29": "xi",
  "9B2A": "dou",
  "9B2B": "han",
  "9B2C": "dou",
  "9B2D": "dou",
  "9B2E": "jiu",
  "9B2F": "chang",
  "9B30": "yu",
  "9B31": "yu",
  "9B32": "li",
  "9B33": "juan",
  "9B34": "fu",
  "9B35": "qian",
  "9B36": "gui",
  "9B37": "zong",
  "9B38": "liu",
  "9B39": "gui",
  "9B3A": "shang",
  "9B3B": "yu",
  "9B3C": "gui",
  "9B3D": "mei",
  "9B3E": "ji",
  "9B3F": "qi",
  "9B40": "jie",
  "9B41": "kui",
  "9B42": "hun",
  "9B43": "ba",
  "9B44": "po",
  "9B45": "mei",
  "9B46": "xu",
  "9B47": "yan",
  "9B48": "xiao",
  "9B49": "liang",
  "9B4A": "yu",
  "9B4B": "tui",
  "9B4C": "qi",
  "9B4D": "wang",
  "9B4E": "liang",
  "9B4F": "wei",
  "9B50": "jian",
  "9B51": "chi",
  "9B52": "piao",
  "9B53": "bi",
  "9B54": "mo",
  "9B55": "ji",
  "9B56": "xu",
  "9B57": "chou",
  "9B58": "yan",
  "9B59": "zhan",
  "9B5A": "yu",
  "9B5B": "dao",
  "9B5C": "ren",
  "9B5D": "ji",
  "9B5F": "gong",
  "9B60": "tuo",
  "9B61": "diao",
  "9B62": "ji",
  "9B63": "xu",
  "9B64": "e",
  "9B65": "e",
  "9B66": "sha",
  "9B67": "hang",
  "9B68": "tun",
  "9B69": "mo",
  "9B6A": "jie",
  "9B6B": "shen",
  "9B6C": "fan",
  "9B6D": "yuan",
  "9B6E": "bi",
  "9B6F": "lu",
  "9B70": "wen",
  "9B71": "hu",
  "9B72": "lu",
  "9B73": "za",
  "9B74": "fang",
  "9B75": "fen",
  "9B76": "na",
  "9B77": "you",
  "9B7A": "he",
  "9B7B": "xia",
  "9B7C": "qu",
  "9B7D": "han",
  "9B7E": "pi",
  "9B7F": "ling",
  "9B80": "tuo",
  "9B81": "bo",
  "9B82": "qiu",
  "9B83": "ping",
  "9B84": "fu",
  "9B85": "bi",
  "9B86": "ji",
  "9B87": "wei",
  "9B88": "ju",
  "9B89": "diao",
  "9B8A": "bo",
  "9B8B": "you",
  "9B8C": "gun",
  "9B8D": "pi",
  "9B8E": "nian",
  "9B8F": "xing",
  "9B90": "tai",
  "9B91": "bao",
  "9B92": "fu",
  "9B93": "zha",
  "9B94": "ju",
  "9B95": "gu",
  "9B99": "ta",
  "9B9A": "jie",
  "9B9B": "shu",
  "9B9C": "hou",
  "9B9D": "xiang",
  "9B9E": "er",
  "9B9F": "an",
  "9BA0": "wei",
  "9BA1": "tiao",
  "9BA2": "zhu",
  "9BA3": "yin",
  "9BA4": "lie",
  "9BA5": "luo",
  "9BA6": "tong",
  "9BA7": "yi",
  "9BA8": "qi",
  "9BA9": "bing",
  "9BAA": "wei",
  "9BAB": "jiao",
  "9BAC": "bu",
  "9BAD": "gui",
  "9BAE": "xian",
  "9BAF": "ge",
  "9BB0": "hui",
  "9BB3": "kao",
  "9BB5": "duo",
  "9BB6": "jun",
  "9BB7": "ti",
  "9BB8": "mian",
  "9BB9": "xiao",
  "9BBA": "za",
  "9BBB": "sha",
  "9BBC": "qin",
  "9BBD": "yu",
  "9BBE": "nei",
  "9BBF": "zhe",
  "9BC0": "gun",
  "9BC1": "geng",
  "9BC3": "wu",
  "9BC4": "qiu",
  "9BC5": "ting",
  "9BC6": "fu",
  "9BC7": "wan",
  "9BC8": "tiao",
  "9BC9": "li",
  "9BCA": "sha",
  "9BCB": "sha",
  "9BCC": "gao",
  "9BCD": "meng",
  "9BD2": "yong",
  "9BD3": "ni",
  "9BD4": "zi",
  "9BD5": "qi",
  "9BD6": "qing",
  "9BD7": "xiang",
  "9BD8": "nei",
  "9BD9": "chun",
  "9BDA": "ji",
  "9BDB": "diao",
  "9BDC": "qie",
  "9BDD": "gu",
  "9BDE": "zhou",
  "9BDF": "dong",
  "9BE0": "lai",
  "9BE1": "fei",
  "9BE2": "ni",
  "9BE3": "yi",
  "9BE4": "kun",
  "9BE5": "lu",
  "9BE6": "jiu",
  "9BE7": "chang",
  "9BE8": "jing",
  "9BE9": "lun",
  "9BEA": "ling",
  "9BEB": "zou",
  "9BEC": "li",
  "9BED": "meng",
  "9BEE": "zong",
  "9BEF": "zhi",
  "9BF0": "nian",
  "9BF4": "shi",
  "9BF5": "shen",
  "9BF6": "hun",
  "9BF7": "shi",
  "9BF8": "hou",
  "9BF9": "xing",
  "9BFA": "zhu",
  "9BFB": "la",
  "9BFC": "zong",
  "9BFD": "ji",
  "9BFE": "bian",
  "9BFF": "bian",
  "9C00": "huan",
  "9C01": "quan",
  "9C02": "ze",
  "9C03": "wei",
  "9C04": "wei",
  "9C05": "yu",
  "9C06": "qun",
  "9C07": "rou",
  "9C08": "die",
  "9C09": "huang",
  "9C0A": "lian",
  "9C0B": "yan",
  "9C0C": "qiu",
  "9C0D": "qiu",
  "9C0E": "jian",
  "9C0F": "bi",
  "9C10": "e",
  "9C11": "yang",
  "9C12": "fu",
  "9C13": "sai",
  "9C14": "jian",
  "9C15": "xia",
  "9C16": "tuo",
  "9C17": "hu",
  "9C19": "ruo",
  "9C1B": "wen",
  "9C1C": "jian",
  "9C1D": "hao",
  "9C1E": "wu",
  "9C1F": "fang",
  "9C20": "sao",
  "9C21": "liu",
  "9C22": "ma",
  "9C23": "shi",
  "9C24": "shi",
  "9C25": "guan",
  "9C27": "teng",
  "9C28": "ta",
  "9C29": "yao",
  "9C2A": "ge",
  "9C2B": "rong",
  "9C2C": "qian",
  "9C2D": "qi",
  "9C2E": "wen",
  "9C2F": "ruo",
  "9C31": "lian",
  "9C32": "ao",
  "9C33": "le",
  "9C34": "hui",
  "9C35": "min",
  "9C36": "ji",
  "9C37": "tiao",
  "9C38": "qu",
  "9C39": "jian",
  "9C3A": "sao",
  "9C3B": "man",
  "9C3C": "xi",
  "9C3D": "qiu",
  "9C3E": "biao",
  "9C3F": "ji",
  "9C40": "ji",
  "9C41": "zhu",
  "9C42": "jiang",
  "9C43": "qiu",
  "9C44": "zhuan",
  "9C45": "yong",
  "9C46": "zhang",
  "9C47": "kang",
  "9C48": "xue",
  "9C49": "bie",
  "9C4A": "jue",
  "9C4B": "qu",
  "9C4C": "xiang",
  "9C4D": "bo",
  "9C4E": "jiao",
  "9C4F": "xun",
  "9C50": "su",
  "9C51": "huang",
  "9C52": "zun",
  "9C53": "shan",
  "9C54": "shan",
  "9C55": "fan",
  "9C56": "gui",
  "9C57": "lin",
  "9C58": "xun",
  "9C59": "miao",
  "9C5A": "xi",
  "9C5D": "fen",
  "9C5E": "guan",
  "9C5F": "hou",
  "9C60": "kuai",
  "9C61": "zei",
  "9C62": "sao",
  "9C63": "zhan",
  "9C64": "gan",
  "9C65": "gui",
  "9C66": "sheng",
  "9C67": "li",
  "9C68": "chang",
  "9C6C": "ru",
  "9C6D": "ji",
  "9C6E": "xu",
  "9C6F": "huo",
  "9C71": "li",
  "9C72": "lie",
  "9C73": "li",
  "9C74": "mie",
  "9C75": "zhen",
  "9C76": "xiang",
  "9C77": "e",
  "9C78": "lu",
  "9C79": "guan",
  "9C7A": "li",
  "9C7B": "xian",
  "9C7C": "yu",
  "9C7D": "dao",
  "9C7E": "ji",
  "9C7F": "you",
  "9C80": "tun",
  "9C81": "lu",
  "9C82": "fang",
  "9C83": "ba",
  "9C84": "he",
  "9C85": "bo",
  "9C86": "ping",
  "9C87": "nian",
  "9C88": "lu",
  "9C89": "you",
  "9C8A": "zha",
  "9C8B": "fu",
  "9C8C": "bo",
  "9C8D": "bao",
  "9C8E": "hou",
  "9C8F": "pi",
  "9C90": "tai",
  "9C91": "gui",
  "9C92": "jie",
  "9C93": "kao",
  "9C94": "wei",
  "9C95": "er",
  "9C96": "tong",
  "9C97": "ze",
  "9C98": "hou",
  "9C99": "kuai",
  "9C9A": "ji",
  "9C9B": "jiao",
  "9C9C": "xian",
  "9C9D": "za",
  "9C9E": "xiang",
  "9C9F": "xun",
  "9CA0": "geng",
  "9CA1": "li",
  "9CA2": "lian",
  "9CA3": "jian",
  "9CA4": "li",
  "9CA5": "shi",
  "9CA6": "tiao",
  "9CA7": "gun",
  "9CA8": "sha",
  "9CA9": "wan",
  "9CAA": "jun",
  "9CAB": "ji",
  "9CAC": "yong",
  "9CAD": "qing",
  "9CAE": "ling",
  "9CAF": "qi",
  "9CB0": "zou",
  "9CB1": "fei",
  "9CB2": "kun",
  "9CB3": "chang",
  "9CB4": "gu",
  "9CB5": "ni",
  "9CB6": "nian",
  "9CB7": "diao",
  "9CB8": "jing",
  "9CB9": "shen",
  "9CBA": "shi",
  "9CBB": "zi",
  "9CBC": "fen",
  "9CBD": "die",
  "9CBE": "bi",
  "9CBF": "chang",
  "9CC0": "shi",
  "9CC1": "wen",
  "9CC2": "wei",
  "9CC3": "sai",
  "9CC4": "e",
  "9CC5": "qiu",
  "9CC6": "fu",
  "9CC7": "huang",
  "9CC8": "quan",
  "9CC9": "jiang",
  "9CCA": "bian",
  "9CCB": "sao",
  "9CCC": "ao",
  "9CCD": "qi",
  "9CCE": "ta",
  "9CCF": "yin",
  "9CD0": "yao",
  "9CD1": "fang",
  "9CD2": "jian",
  "9CD3": "le",
  "9CD4": "biao",
  "9CD5": "xue",
  "9CD6": "bie",
  "9CD7": "man",
  "9CD8": "min",
  "9CD9": "yong",
  "9CDA": "wei",
  "9CDB": "xi",
  "9CDC": "jue",
  "9CDD": "shan",
  "9CDE": "lin",
  "9CDF": "zun",
  "9CE0": "huo",
  "9CE1": "gan",
  "9CE2": "li",
  "9CE3": "zhan",
  "9CE4": "guan",
  "9CE5": "niao",
  "9CE6": "yi",
  "9CE7": "fu",
  "9CE8": "li",
  "9CE9": "jiu",
  "9CEA": "bu",
  "9CEB": "yan",
  "9CEC": "fu",
  "9CED": "diao",
  "9CEE": "ji",
  "9CEF": "feng",
  "9CF1": "gan",
  "9CF2": "shi",
  "9CF3": "feng",
  "9CF4": "ming",
  "9CF5": "bao",
  "9CF6": "yuan",
  "9CF7": "zhi",
  "9CF8": "hu",
  "9CF9": "qin",
  "9CFA": "fu",
  "9CFB": "fen",
  "9CFC": "wen",
  "9CFD": "jian",
  "9CFE": "shi",
  "9CFF": "yu",
  "9D00": "fou",
  "9D01": "yao",
  "9D02": "jue",
  "9D03": "jue",
  "9D04": "pi",
  "9D05": "huan",
  "9D06": "zhen",
  "9D07": "bao",
  "9D08": "yan",
  "9D09": "ya",
  "9D0A": "zheng",
  "9D0B": "fang",
  "9D0C": "feng",
  "9D0D": "wen",
  "9D0E": "ou",
  "9D0F": "te",
  "9D10": "jia",
  "9D11": "nu",
  "9D12": "ling",
  "9D13": "mie",
  "9D14": "fu",
  "9D15": "tuo",
  "9D16": "wen",
  "9D17": "li",
  "9D18": "bian",
  "9D19": "zhi",
  "9D1A": "ge",
  "9D1B": "yuan",
  "9D1C": "zi",
  "9D1D": "qu",
  "9D1E": "xiao",
  "9D1F": "chi",
  "9D20": "dan",
  "9D21": "ju",
  "9D22": "you",
  "9D23": "gu",
  "9D24": "zhong",
  "9D25": "yu",
  "9D26": "yang",
  "9D27": "rong",
  "9D28": "ya",
  "9D29": "tie",
  "9D2A": "yu",
  "9D2C": "ying",
  "9D2D": "zhui",
  "9D2E": "wu",
  "9D2F": "er",
  "9D30": "gua",
  "9D31": "ai",
  "9D32": "zhi",
  "9D33": "yan",
  "9D34": "heng",
  "9D35": "jiao",
  "9D36": "ji",
  "9D37": "lie",
  "9D38": "zhu",
  "9D39": "ren",
  "9D3A": "yi",
  "9D3B": "hong",
  "9D3C": "luo",
  "9D3D": "ru",
  "9D3E": "mou",
  "9D3F": "ge",
  "9D40": "ren",
  "9D41": "jiao",
  "9D42": "xiu",
  "9D43": "zhou",
  "9D44": "zhi",
  "9D45": "luo",
  "9D49": "luan",
  "9D4A": "jia",
  "9D4B": "ji",
  "9D4C": "yu",
  "9D4D": "huan",
  "9D4E": "tuo",
  "9D4F": "bu",
  "9D50": "wu",
  "9D51": "juan",
  "9D52": "yu",
  "9D53": "bo",
  "9D54": "xun",
  "9D55": "xun",
  "9D56": "bi",
  "9D57": "xi",
  "9D58": "jun",
  "9D59": "ju",
  "9D5A": "tu",
  "9D5B": "jing",
  "9D5C": "ti",
  "9D5D": "e",
  "9D5E": "e",
  "9D5F": "kuang",
  "9D60": "hu",
  "9D61": "wu",
  "9D62": "shen",
  "9D63": "lai",
  "9D66": "lu",
  "9D67": "ping",
  "9D68": "shu",
  "9D69": "fu",
  "9D6A": "an",
  "9D6B": "zhao",
  "9D6C": "peng",
  "9D6D": "qin",
  "9D6E": "qian",
  "9D6F": "bei",
  "9D70": "diao",
  "9D71": "lu",
  "9D72": "que",
  "9D73": "jian",
  "9D74": "ju",
  "9D75": "tu",
  "9D76": "ya",
  "9D77": "yuan",
  "9D78": "qi",
  "9D79": "li",
  "9D7A": "ye",
  "9D7B": "zhui",
  "9D7C": "kong",
  "9D7D": "zhui",
  "9D7E": "kun",
  "9D7F": "sheng",
  "9D80": "qi",
  "9D81": "jing",
  "9D82": "yi",
  "9D83": "yi",
  "9D84": "jing",
  "9D85": "zi",
  "9D86": "lai",
  "9D87": "dong",
  "9D88": "qi",
  "9D89": "chun",
  "9D8A": "geng",
  "9D8B": "ju",
  "9D8C": "qu",
  "9D8F": "ji",
  "9D90": "shu",
  "9D92": "chi",
  "9D93": "miao",
  "9D94": "rou",
  "9D95": "an",
  "9D96": "qiu",
  "9D97": "ti",
  "9D98": "hu",
  "9D99": "ti",
  "9D9A": "e",
  "9D9B": "jie",
  "9D9C": "mao",
  "9D9D": "fu",
  "9D9E": "chun",
  "9D9F": "tu",
  "9DA0": "yan",
  "9DA1": "he",
  "9DA2": "yuan",
  "9DA3": "pian",
  "9DA4": "yun",
  "9DA5": "mei",
  "9DA6": "hu",
  "9DA7": "ying",
  "9DA8": "dun",
  "9DA9": "wu",
  "9DAA": "ju",
  "9DAC": "cang",
  "9DAD": "fang",
  "9DAE": "gu",
  "9DAF": "ying",
  "9DB0": "yuan",
  "9DB1": "xuan",
  "9DB2": "weng",
  "9DB3": "shi",
  "9DB4": "he",
  "9DB5": "chu",
  "9DB6": "tang",
  "9DB7": "xia",
  "9DB8": "ruo",
  "9DB9": "liu",
  "9DBA": "ji",
  "9DBB": "gu",
  "9DBC": "jian",
  "9DBD": "zhun",
  "9DBE": "han",
  "9DBF": "zi",
  "9DC0": "zi",
  "9DC1": "ni",
  "9DC2": "yao",
  "9DC3": "yan",
  "9DC4": "ji",
  "9DC5": "li",
  "9DC6": "tian",
  "9DC7": "kou",
  "9DC8": "ti",
  "9DC9": "ti",
  "9DCA": "ni",
  "9DCB": "tu",
  "9DCC": "ma",
  "9DCD": "jiao",
  "9DCE": "gao",
  "9DCF": "tian",
  "9DD0": "chen",
  "9DD1": "li",
  "9DD2": "zhuan",
  "9DD3": "zhe",
  "9DD4": "ao",
  "9DD5": "yao",
  "9DD6": "yi",
  "9DD7": "ou",
  "9DD8": "chi",
  "9DD9": "zhi",
  "9DDA": "liao",
  "9DDB": "rong",
  "9DDC": "lou",
  "9DDD": "bi",
  "9DDE": "shuang",
  "9DDF": "zhuo",
  "9DE0": "yu",
  "9DE1": "wu",
  "9DE2": "jue",
  "9DE3": "yin",
  "9DE4": "quan",
  "9DE5": "si",
  "9DE6": "jiao",
  "9DE7": "yi",
  "9DE8": "hua",
  "9DE9": "bi",
  "9DEA": "ying",
  "9DEB": "su",
  "9DEC": "huang",
  "9DED": "fan",
  "9DEE": "jiao",
  "9DEF": "liao",
  "9DF0": "yan",
  "9DF1": "kao",
  "9DF2": "jiu",
  "9DF3": "xian",
  "9DF4": "xian",
  "9DF5": "tu",
  "9DF6": "mai",
  "9DF7": "zun",
  "9DF8": "yu",
  "9DF9": "ying",
  "9DFA": "lu",
  "9DFB": "tuan",
  "9DFC": "xian",
  "9DFD": "xue",
  "9DFE": "yi",
  "9DFF": "pi",
  "9E00": "shu",
  "9E01": "luo",
  "9E02": "qi",
  "9E03": "yi",
  "9E04": "ji",
  "9E05": "zhe",
  "9E06": "yu",
  "9E07": "zhan",
  "9E08": "ye",
  "9E09": "yang",
  "9E0A": "pi",
  "9E0B": "ning",
  "9E0C": "huo",
  "9E0D": "mi",
  "9E0E": "ying",
  "9E0F": "meng",
  "9E10": "di",
  "9E11": "yue",
  "9E12": "yu",
  "9E13": "lei",
  "9E14": "bao",
  "9E15": "lu",
  "9E16": "he",
  "9E17": "long",
  "9E18": "shuang",
  "9E19": "yue",
  "9E1A": "ying",
  "9E1B": "guan",
  "9E1C": "qu",
  "9E1D": "li",
  "9E1E": "luan",
  "9E1F": "niao",
  "9E20": "jiu",
  "9E21": "ji",
  "9E22": "yuan",
  "9E23": "ming",
  "9E24": "shi",
  "9E25": "ou",
  "9E26": "ya",
  "9E27": "cang",
  "9E28": "bao",
  "9E29": "zhen",
  "9E2A": "gu",
  "9E2B": "dong",
  "9E2C": "lu",
  "9E2D": "ya",
  "9E2E": "xiao",
  "9E2F": "yang",
  "9E30": "ling",
  "9E31": "zhi",
  "9E32": "qu",
  "9E33": "yuan",
  "9E34": "xue",
  "9E35": "tuo",
  "9E36": "si",
  "9E37": "zhi",
  "9E38": "er",
  "9E39": "gua",
  "9E3A": "xiu",
  "9E3B": "heng",
  "9E3C": "zhou",
  "9E3D": "ge",
  "9E3E": "luan",
  "9E3F": "hong",
  "9E40": "wu",
  "9E41": "bo",
  "9E42": "li",
  "9E43": "juan",
  "9E44": "hu",
  "9E45": "e",
  "9E46": "yu",
  "9E47": "xian",
  "9E48": "ti",
  "9E49": "wu",
  "9E4A": "que",
  "9E4B": "miao",
  "9E4C": "an",
  "9E4D": "kun",
  "9E4E": "bei",
  "9E4F": "peng",
  "9E50": "qian",
  "9E51": "chun",
  "9E52": "geng",
  "9E53": "yuan",
  "9E54": "su",
  "9E55": "hu",
  "9E56": "he",
  "9E57": "e",
  "9E58": "gu",
  "9E59": "qiu",
  "9E5A": "zi",
  "9E5B": "mei",
  "9E5C": "mu",
  "9E5D": "ni",
  "9E5E": "yao",
  "9E5F": "weng",
  "9E60": "liu",
  "9E61": "ji",
  "9E62": "ni",
  "9E63": "jian",
  "9E64": "he",
  "9E65": "yi",
  "9E66": "ying",
  "9E67": "zhe",
  "9E68": "liao",
  "9E69": "liao",
  "9E6A": "jiao",
  "9E6B": "jiu",
  "9E6C": "yu",
  "9E6D": "lu",
  "9E6E": "xuan",
  "9E6F": "zhan",
  "9E70": "ying",
  "9E71": "huo",
  "9E72": "meng",
  "9E73": "guan",
  "9E74": "shuang",
  "9E75": "lu",
  "9E76": "jin",
  "9E77": "ling",
  "9E78": "jian",
  "9E79": "xian",
  "9E7A": "cuo",
  "9E7B": "jian",
  "9E7C": "jian",
  "9E7D": "yan",
  "9E7E": "cuo",
  "9E7F": "lu",
  "9E80": "you",
  "9E81": "cu",
  "9E82": "ji",
  "9E83": "biao",
  "9E84": "cu",
  "9E85": "biao",
  "9E86": "zhu",
  "9E87": "jun",
  "9E88": "zhu",
  "9E89": "jian",
  "9E8A": "mi",
  "9E8B": "mi",
  "9E8C": "wu",
  "9E8D": "liu",
  "9E8E": "chen",
  "9E8F": "jun",
  "9E90": "lin",
  "9E91": "ni",
  "9E92": "qi",
  "9E93": "lu",
  "9E94": "jiu",
  "9E95": "jun",
  "9E96": "jing",
  "9E97": "li",
  "9E98": "xiang",
  "9E99": "yan",
  "9E9A": "jia",
  "9E9B": "mi",
  "9E9C": "li",
  "9E9D": "she",
  "9E9E": "zhang",
  "9E9F": "lin",
  "9EA0": "jing",
  "9EA1": "ji",
  "9EA2": "ling",
  "9EA3": "yan",
  "9EA4": "cu",
  "9EA5": "mai",
  "9EA6": "mai",
  "9EA7": "ge",
  "9EA8": "chao",
  "9EA9": "fu",
  "9EAA": "mian",
  "9EAB": "mian",
  "9EAC": "fu",
  "9EAD": "pao",
  "9EAE": "qu",
  "9EAF": "qu",
  "9EB0": "mou",
  "9EB1": "fu",
  "9EB2": "xian",
  "9EB3": "lai",
  "9EB4": "qu",
  "9EB5": "mian",
  "9EB7": "feng",
  "9EB8": "fu",
  "9EB9": "qu",
  "9EBA": "mian",
  "9EBB": "ma",
  "9EBC": "me",
  "9EBD": "mo",
  "9EBE": "hui",
  "9EC0": "zou",
  "9EC1": "nen",
  "9EC2": "fen",
  "9EC3": "huang",
  "9EC4": "huang",
  "9EC5": "jin",
  "9EC6": "guang",
  "9EC7": "tian",
  "9EC8": "tou",
  "9EC9": "heng",
  "9ECA": "xi",
  "9ECB": "kuang",
  "9ECC": "heng",
  "9ECD": "shu",
  "9ECE": "li",
  "9ECF": "nian",
  "9ED0": "chi",
  "9ED1": "hei",
  "9ED2": "hei",
  "9ED3": "yi",
  "9ED4": "qian",
  "9ED5": "dan",
  "9ED6": "xi",
  "9ED7": "tuan",
  "9ED8": "mo",
  "9ED9": "mo",
  "9EDA": "qian",
  "9EDB": "dai",
  "9EDC": "chu",
  "9EDD": "you",
  "9EDE": "dian",
  "9EDF": "yi",
  "9EE0": "xia",
  "9EE1": "yan",
  "9EE2": "qu",
  "9EE3": "mei",
  "9EE4": "yan",
  "9EE5": "qing",
  "9EE6": "yu",
  "9EE7": "li",
  "9EE8": "dang",
  "9EE9": "du",
  "9EEA": "can",
  "9EEB": "yin",
  "9EEC": "an",
  "9EED": "yan",
  "9EEE": "tan",
  "9EEF": "an",
  "9EF0": "zhen",
  "9EF1": "dai",
  "9EF2": "can",
  "9EF3": "yi",
  "9EF4": "mei",
  "9EF5": "dan",
  "9EF6": "yan",
  "9EF7": "du",
  "9EF8": "lu",
  "9EF9": "zhi",
  "9EFA": "fen",
  "9EFB": "fu",
  "9EFC": "fu",
  "9EFD": "min",
  "9EFE": "min",
  "9EFF": "yuan",
  "9F00": "cu",
  "9F01": "qu",
  "9F02": "chao",
  "9F03": "wa",
  "9F04": "zhu",
  "9F05": "zhi",
  "9F06": "mang",
  "9F07": "ao",
  "9F08": "bie",
  "9F09": "tuo",
  "9F0A": "bi",
  "9F0B": "yuan",
  "9F0C": "chao",
  "9F0D": "tuo",
  "9F0E": "ding",
  "9F0F": "mi",
  "9F10": "nai",
  "9F11": "ding",
  "9F12": "zi",
  "9F13": "gu",
  "9F14": "gu",
  "9F15": "dong",
  "9F16": "fen",
  "9F17": "tao",
  "9F18": "yuan",
  "9F19": "pi",
  "9F1A": "chang",
  "9F1B": "gao",
  "9F1C": "qi",
  "9F1D": "yuan",
  "9F1E": "tang",
  "9F1F": "teng",
  "9F20": "shu",
  "9F21": "shu",
  "9F22": "fen",
  "9F23": "fei",
  "9F24": "wen",
  "9F25": "ba",
  "9F26": "diao",
  "9F27": "tuo",
  "9F28": "tong",
  "9F29": "qu",
  "9F2A": "sheng",
  "9F2B": "shi",
  "9F2C": "you",
  "9F2D": "shi",
  "9F2E": "ting",
  "9F2F": "wu",
  "9F30": "nian",
  "9F31": "jing",
  "9F32": "hun",
  "9F33": "ju",
  "9F34": "yan",
  "9F35": "tu",
  "9F36": "ti",
  "9F37": "xi",
  "9F38": "xian",
  "9F39": "yan",
  "9F3A": "lei",
  "9F3B": "bi",
  "9F3C": "yao",
  "9F3D": "qiu",
  "9F3E": "han",
  "9F3F": "wu",
  "9F40": "wu",
  "9F41": "hou",
  "9F42": "xi",
  "9F43": "ge",
  "9F44": "zha",
  "9F45": "xiu",
  "9F46": "weng",
  "9F47": "zha",
  "9F48": "nong",
  "9F49": "nang",
  "9F4A": "qi",
  "9F4B": "zhai",
  "9F4C": "ji",
  "9F4D": "zi",
  "9F4E": "ji",
  "9F4F": "ji",
  "9F50": "qi",
  "9F51": "ji",
  "9F52": "chi",
  "9F53": "chen",
  "9F54": "chen",
  "9F55": "he",
  "9F56": "ya",
  "9F57": "ken",
  "9F58": "xie",
  "9F59": "pao",
  "9F5A": "cuo",
  "9F5B": "shi",
  "9F5C": "zi",
  "9F5D": "chi",
  "9F5E": "nian",
  "9F5F": "ju",
  "9F60": "tiao",
  "9F61": "ling",
  "9F62": "ling",
  "9F63": "chu",
  "9F64": "quan",
  "9F65": "xie",
  "9F66": "ken",
  "9F67": "nie",
  "9F68": "jiu",
  "9F69": "yao",
  "9F6A": "chuo",
  "9F6B": "kun",
  "9F6C": "yu",
  "9F6D": "chu",
  "9F6E": "yi",
  "9F6F": "ni",
  "9F70": "cuo",
  "9F71": "zou",
  "9F72": "qu",
  "9F73": "nen",
  "9F74": "xian",
  "9F75": "ou",
  "9F76": "e",
  "9F77": "wo",
  "9F78": "yi",
  "9F79": "chuo",
  "9F7A": "zou",
  "9F7B": "dian",
  "9F7C": "chu",
  "9F7D": "jin",
  "9F7E": "ya",
  "9F7F": "chi",
  "9F80": "chen",
  "9F81": "he",
  "9F82": "ken",
  "9F83": "ju",
  "9F84": "ling",
  "9F85": "pao",
  "9F86": "tiao",
  "9F87": "zi",
  "9F88": "ken",
  "9F89": "yu",
  "9F8A": "chuo",
  "9F8B": "qu",
  "9F8C": "wo",
  "9F8D": "long",
  "9F8E": "pang",
  "9F8F": "gong",
  "9F90": "pang",
  "9F91": "yan",
  "9F92": "long",
  "9F93": "long",
  "9F94": "gong",
  "9F95": "kan",
  "9F96": "ta",
  "9F97": "ling",
  "9F98": "ta",
  "9F99": "long",
  "9F9A": "gong",
  "9F9B": "kan",
  "9F9C": "gui",
  "9F9D": "qiu",
  "9F9E": "bie",
  "9F9F": "gui",
  "9FA0": "yue",
  "9FA1": "chui",
  "9FA2": "he",
  "9FA3": "jue",
  "9FA4": "xie",
  "9FA5": "yu",
  "9FC3": "shan",
  "F90E": "la",
  "FA0C": "wu",
  "FA0D": "huo",
  "FA10": "zhong",
  "FA12": "qing",
  "FA15": "xi",
  "FA16": "zhu",
  "FA17": "yi",
  "FA18": "li",
  "FA19": "shen",
  "FA1A": "xiang",
  "FA1B": "fu",
  "FA1C": "jing",
  "FA1D": "jing",
  "FA1E": "yu",
  "FA22": "zhu",
  "FA25": "yi",
  "FA26": "du",
  "FA2A": "fan",
  "FA2B": "si",
  "FA2C": "guan",
  "FA2D": "he",
  "2000D": "shi",
  "200A2": "pai",
  "200A4": "dui",
  "2018C": "yong",
  "202A7": "bing",
  "2053B": "zheng",
  "205A5": "chong",
  "205E6": "ping",
  "206B9": "shan",
  "206BA": "sha",
  "2070E": "xian",
  "2073C": "qia",
  "207B0": "jiao",
  "208A4": "jue",
  "209E9": "hui",
  "20A7A": "li",
  "20B1B": "mo",
  "20B36": "jin",
  "20B74": "zhuo",
  "20CBF": "shu",
  "20F3B": "ji",
  "210D6": "le",
  "2145E": "sui",
  "215D7": "peng",
  "217BE": "nen",
  "21A04": "xia",
  "21BA6": "zao",
  "21C46": "shu",
  "21C95": "ti",
  "21F71": "jie",
  "21FFA": "nao",
  "2214F": "lian",
  "2219E": "jian",
  "223F3": "beng",
  "2272B": "xing",
  "2272C": "duo",
  "2295E": "chong",
  "2298F": "zai",
  "22B46": "chou",
  "22CB7": "sou",
  "22D91": "niao",
  "22DA3": "die",
  "22E23": "niao",
  "233B4": "dun",
  "23AA0": "ji",
  "2418D": "chi",
  "241FE": "ying",
  "243B1": "zuan",
  "243F2": "zhou",
  "2456D": "jiang",
  "2456F": "jiang",
  "2486E": "ran",
  "248AA": "lie",
  "24BAD": "chan",
  "24E93": "bie",
  "2521F": "sou",
  "252CC": "sa",
  "252DF": "xi",
  "2546A": "nao",
  "254FF": "tuo",
  "2570C": "ao",
  "2579B": "duo",
  "25A72": "hai",
  "25B2F": "kao",
  "267A3": "sao",
  "267E4": "xiu",
  "2690E": "gao",
  "2696F": "xue",
  "269C5": "weng",
  "26A88": "ao",
  "26C56": "fu",
  "26DB2": "kou",
  "26DDD": "chu",
  "272CD": "zhe",
  "27C0A": "tian",
  "27D2A": "suo",
  "27D73": "she",
  "27E16": "zhuan",
  "27F2E": "tang",
  "27F78": "jue",
  "282EF": "zhuai",
  "288A5": "mi",
  "28E1A": "ji",
  "28E2C": "zhen",
  "28EB9": "jiao",
  "28EF2": "xia",
  "292D8": "xie",
  "292E7": "xie",
  "2956D": "gai",
  "29A2D": "que",
  "29A97": "jue",
  "29E28": "yi",
  "29F08": "ao",
  "2A0CF": "mei",
  "2A0FF": "ge",
  "2A378": "qu",
  "2A3D9": "huang",
  "2A502": "ding",
  "2A599": "hou"
}